﻿<%@ page language="C#" autoeventwireup="true" inherits="Forms_AMS, App_Web_tnfq0fem" enableeventvalidation="false" %>

<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc1" %>
<%@ Register Assembly="TimePicker" Namespace="MKB.TimePicker" TagPrefix="MKB" %>
<%@ Register Src="~/UserControls/New_Header.ascx" TagName="Header" TagPrefix="uc1" %>
<%@ Register Src="~/UserControls/New_Footer.ascx" TagName="Footer" TagPrefix="uc2" %>

<%--<%@ Register Assembly="DevExpress.Web.v8.2" Namespace="DevExpress.Web.ASPxPopupControl"
    TagPrefix="dxpc" %>
<%@ Register Assembly="DevExpress.Web.ASPxGridView.v8.2, Version=8.2.10.0, Culture=neutral, PublicKeyToken=9B171C9FD64DA1D1"
    Namespace="DevExpress.Web.ASPxGridView" TagPrefix="dxwgv" %>
<%@ Register Assembly="DevExpress.Web.ASPxEditors.v8.2, Version=8.2.10.0, Culture=neutral, PublicKeyToken=9B171C9FD64DA1D1"
    Namespace="DevExpress.Web.ASPxEditors" TagPrefix="dxe" %>
<%@ Register Assembly="DevExpress.Web.ASPxGridView.v8.2.Export, Version=8.2.10.0, Culture=neutral, PublicKeyToken=9B171C9FD64DA1D1"
    Namespace="DevExpress.Web.ASPxGridView.Export" TagPrefix="exp" %>
<%@ Register Assembly="DevExpress.Web.ASPxEditors.v8.2, Version=8.2.10.0, Culture=neutral, PublicKeyToken=9B171C9FD64DA1D1"
    Namespace="DevExpress.Web.ASPxEditors" TagPrefix="dx" %>--%>

<%@ Register Assembly="DevExpress.Web.v14.2" Namespace="DevExpress.Web" TagPrefix="dxw" %>

<!DOCTYPE html>
<html lang="en">
<head runat="server">
    <title>tSense-IoT Configuration</title>
    <meta content="charset=utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
    <%--<meta http-equiv="X-UA-Compatible" content="IE=7" />
    <meta http-equiv="Page-Enter" content="blendTrans(Duration=0)" />
    <meta http-equiv="Page-Exit" content="blendTrans(Duration=0)" />--%>

    <link href="../css/CustomeAlert/demos.css" rel="stylesheet" type="text/css" />
    <link href="../css/CustomeAlert/themes/jquery.ui.all.css" rel="stylesheet" type="text/css" />
    <link id="reset" runat="server" href="../css/reset.css" rel="stylesheet" type="text/css" />
    <link id="stylesheet2" runat="server" href="../css/stylesheet2.css" rel="stylesheet" type="text/css" />
    <link id="uidatepicker" runat="server" type="text/css" href="../css/ui.datepicker.css" rel="stylesheet" />
    <link id="dropdown" runat="server" href="../css/dropdown.css" rel="stylesheet" type="text/css" />
    <link id="updatedcss" runat="server" href="../css/Updated_css.css" rel="stylesheet" type="text/css" />
    <link id="ieonly" runat="server" rel="stylesheet" type="text/css" href="" />
    <link id="uicore" runat="server" type="text/css" href="../css/ui.core.css" rel="stylesheet" />
    <link id="uitheme" runat="server" type="text/css" href="../css/ui.theme.css" rel="stylesheet" />
    <link rel="SHORTCUT ICON" href="../images/favicon.ico" />

    <%--Custom Theme for DevEx 14.2--%>
    <link id="GridView" type="text/css" href="~/App_Themes/Office2003Blue/GridView/grid.css" rel="stylesheet" />
    <link id="Editors" type="text/css" href="~/App_Themes/Office2003Blue/Editors/styles.css" rel="stylesheet" />

    <%--********* For Bootstrap Implementation *************--%>
    <link id="BootStrapCss" href="../css/bootstrap.css" runat="server" rel="stylesheet" type="text/css" />
    <link id="mainstyle" runat="server" href="../css/mainstyle.css" rel="stylesheet" type="text/css" />
    <%--********* End of Bootstrap Implementation *************--%>

    <script src="../js/CustomAlert/jquery.min.js" type="text/javascript"></script>
    <script src="../js/CustomAlert/jquery-ui-1.10.3.custom.min.js" type="text/javascript"></script>
    <script src="../js/CustomAlert/jquery-ui-1.10.3.custom.js" type="text/javascript"></script>
    <script src="../js/CustomAlert/CustomAlert.js" type="text/javascript"></script>
    <script type="text/javascript" src="../js/jquery-1.5.1.min.js"></script>
    <script type="text/javascript" src="../js/ui.datepicker.js"></script>
    <script type="text/javascript" src="../js/JQQueryDatePicker.js"></script>
    <script type="text/javascript" src="../js/DateValidations.js"></script>
    <script src="../js/myformvalidations.js" type="text/javascript"></script>
    <script src="../js/DriverManagementScript.js" type="text/javascript"></script>
    <script type="text/javascript" language="javascript" src="../js/ReportScripts.js"></script>
    <script src="../js/wow.min.js"></script>
</head>
<body>
    <div class="pageContainer">
        <form id="form1" runat="server">
            <asp:ScriptManager ID="ScriptManager1" runat="server" EnablePageMethods="true">
            </asp:ScriptManager>
            <uc1:Header ID="ucHeader" runat="server" />
            <div id="outer">
                <div id="inner">
                    <div id="float-wrap">
                        <div id="content">
                            <div class="content-wrap">
                                <asp:UpdatePanel ID="UpdatePanel1" runat="server" UpdateMode="Conditional">
                                    <ContentTemplate>
                                        <div id="top-content" class="head-part">
                                            <div id="heading" class="col-sm-5">
                                                <img class="icon" src="../images/preferences-icon.jpg" alt="" />
                                                <h1>
                                                    <asp:Literal ID="lblConfigurationCaption" Text="Configuration" runat="server"></asp:Literal>
                                                </h1>
                                                <a href="Dashboard.aspx">
                                                    <asp:Label ID="lblHomeCaption" Text="Home" runat="server"></asp:Label>
                                                </a>
                                                <span>&gt;</span>
                                                <span>
                                                    <a href="AMS.aspx">
                                                        <asp:Label ID="lblAMSCaption" Text="Accident Management System" runat="server"></asp:Label>
                                                    </a>
                                                </span>
                                            </div>
                                            <div class="col-sm-7 head-part-btns">
                                                <div class="pull-right">
                                                    <asp:LinkButton ID="lbtnAddAccident" runat="server" CssClass="MultilingualBtn" CausesValidation="false"
                                                        OnClientClick="ShowPopUp()" OnClick="lbtnAddAccident_Click">
                                                        <span id="Span5" runat="server" class="MultilingualBtnspan">
                                                            <div class="AddVehicle">
                                                                <div id="AddVendorDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                    Add Accident Details
                                                                </div>
                                                            </div>
                                                        </span>
                                                    </asp:LinkButton>
                                                    <asp:LinkButton ID="btnBack" runat="server" CssClass="MultilingualBtn" CausesValidation="false"
                                                        PostBackUrl="~/Forms/ConfigurationSetup.aspx">
                                                        <span id="Span7" runat="server" class="MultilingualBtnspan">
                                                            <div class="Back">
                                                                <div id="BacktoConfigurationDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                    Back to Configuration
                                                                </div>
                                                            </div>
                                                        </span>
                                                    </asp:LinkButton>
                                                </div>
                                            </div>
                                            <div class="clear clearfix"></div>
                                        </div>
                                        <div class="clear clearfix"></div>
                                        <asp:Panel ID="pnlAMSGridDetails" runat="server">
                                            <div class="form-box">
                                                <div id="grid-dsply">
                                                    <div id="top">
                                                        <div class="right-col">
                                                            <span class="dropdown">
                                                                <dxw:ASPxComboBox ID="ASPxCboExport" runat="server" ValueType="System.String" Width="80px" Height="20px"
                                                                    ShowImageInEditBox="false" ItemImage-Height="12px" ClientInstanceName="ASPxCboExport" SelectedIndex="0"
                                                                    CssFilePath="~/App_Themes/Office2003Blue/Editors/styles.css" CssPostfix="Office2003_Blue"
                                                                    EnableTheming="true" Theme="Office2003Blue">
                                                                    <Items>
                                                                        <dxw:ListEditItem ImageUrl="../images/icn-pdf.jpg" Text="pdf" Value="pdf" />
                                                                        <dxw:ListEditItem ImageUrl="../images/icn-excel.jpg" Text="xls" Value="xls" />
                                                                        <dxw:ListEditItem ImageUrl="../images/icn-excel-xlsx.png" Text="xlsx" Value="xlsx" />
                                                                        <dxw:ListEditItem ImageUrl="../images/icn-word.jpg" Text="rtf" Value="rtf" />
                                                                    </Items>
                                                                </dxw:ASPxComboBox>
                                                            </span>
                                                            <span class="txt">
                                                                <asp:LinkButton ID="btnExport" runat="server" CssClass="MultilingualBtn" OnClick="btnExport_Click">
                                                                    <span id="Span9" runat="server" class="MultilingualBtnspan">
                                                                        <div class="Export">
                                                                            <div id="ExportButDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                                Export
                                                                            </div>
                                                                        </div>
                                                                    </span>
                                                                </asp:LinkButton>
                                                            </span>
                                                        </div>
                                                    </div>
                                                    <div class="clear clearfix"></div>
                                                    <div class="table-responsive">
                                                        <dxw:ASPxGridView ID="gvAMSData" ClientInstanceName="gvData" runat="server"
                                                            KeyFieldName="AccidentId" Width="100%" AutoGenerateColumns="False"
                                                            CssFilePath="~/App_Themes/Office2003Blue/GridView/grid.css" CssPostfix="Office2003_Blue"
                                                            EnableTheming="true" Theme="Office2003Blue" OnHtmlRowCreated="gvAMSData_OnHtmlRowCreated">
                                                            <%--<Images ImageFolder="~/App_Themes/Office2003Blue/GridView/">
                                                        <CollapsedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvCollapsedButton.png"
                                                            Width="11px" />
                                                        <ExpandedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvExpandedButton.png"
                                                            Width="11px" />
                                                        <DetailCollapsedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvCollapsedButton.png"
                                                            Width="11px" />
                                                        <DetailExpandedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvExpandedButton.png"
                                                            Width="11px" />
                                                    </Images>--%>
                                                            <Styles CssFilePath="~/App_Themes/Office2003Blue/GridView/grid.css" AlternatingRow-Enabled="True"
                                                                CssPostfix="Office2003_Blue">
                                                                <Header ImageSpacing="5px" SortingImageSpacing="5px">
                                                                </Header>
                                                                <LoadingPanel ImageSpacing="10px">
                                                                </LoadingPanel>
                                                                <PagerBottomPanel CssClass="PageFooter">
                                                                </PagerBottomPanel>
                                                                <PagerTopPanel CssClass="PageFooter">
                                                                </PagerTopPanel>
                                                            </Styles>
                                                            <SettingsPager PrevPageButton-Image-Url="../App_Themes/Office2003Blue/GridView/pPrev.gif"
                                                                PrevPageButton-Image-UrlDisabled="../App_Themes/Office2003Blue/GridView/pPrevDisabled.gif"
                                                                NextPageButton-Image-UrlDisabled="../App_Themes/Office2003Blue/GridView/pNextDisabled.gif"
                                                                NextPageButton-Image-Url="../App_Themes/Office2003Blue/GridView/pNext.gif" AlwaysShowPager="true"
                                                                PageSize="25" Mode="ShowPager">
                                                            </SettingsPager>
                                                            <Columns>
                                                                <dxw:GridViewDataTextColumn Caption="AutoID" FieldName="AccidentId" VisibleIndex="0"
                                                                    Visible="false">
                                                                </dxw:GridViewDataTextColumn>
                                                                <dxw:GridViewDataTextColumn Caption="Vehicle" FieldName="VehicleDescription" VisibleIndex="1"
                                                                    Width="10%">
                                                                    <HeaderCaptionTemplate>
                                                                        <span class="icon">
                                                                            <asp:Image ImageUrl="../images/vehicle-icon.gif" ImageAlign="top" AlternateText="Vehicle"
                                                                                ToolTip="Vehicle" runat="server" ID="imgLandmarkName" /></span>
                                                                        <asp:Label ID="lblLandmarkName" runat="server" Text="Vehicle"></asp:Label>
                                                                    </HeaderCaptionTemplate>
                                                                </dxw:GridViewDataTextColumn>
                                                                <dxw:GridViewDataTextColumn Caption="Driver" FieldName="DisplayName" VisibleIndex="2"
                                                                    Width="10%">
                                                                    <HeaderCaptionTemplate>
                                                                        <span class="icon">
                                                                            <asp:Image ImageUrl="../images/icn-driver-name.gif" ImageAlign="top" AlternateText="Driver"
                                                                                ToolTip="Driver" runat="server" ID="imgLandmarkDesc" /></span>
                                                                        <asp:Label ID="lblLandmarkDescCaption" runat="server" Text="Driver"></asp:Label>
                                                                    </HeaderCaptionTemplate>
                                                                </dxw:GridViewDataTextColumn>
                                                                <dxw:GridViewDataTextColumn Caption="Accident Type" FieldName="AccidentTypeName"
                                                                    VisibleIndex="3" Visible="true" Width="13%">
                                                                    <HeaderCaptionTemplate>
                                                                        <span class="icon">
                                                                            <asp:Image ImageUrl="../images/driver-scheduling-caption.png" ImageAlign="top" AlternateText="Accident Types"
                                                                                ToolTip="Accident Types" runat="server" ID="imgAccidentType" /></span>
                                                                        <asp:Label ID="lblLatitude" runat="server" Text="Accident Type"></asp:Label>
                                                                    </HeaderCaptionTemplate>
                                                                </dxw:GridViewDataTextColumn>
                                                                <dxw:GridViewDataTextColumn Caption="Date & Time Of Accident" FieldName="AccidentDate"
                                                                    VisibleIndex="4" Visible="true" Width="13%">
                                                                    <HeaderCaptionTemplate>
                                                                        <span class="label">
                                                                            <asp:Image ImageUrl="../images/calendar-rht-icon.gif" ImageAlign="top" AlternateText="Accident Date & Time"
                                                                                ToolTip="Accident Date & Time" runat="server" ID="imgDateTime" /></span>
                                                                        <asp:Label ID="lblLongitude" runat="server" Text="Date & Time Of Accident"></asp:Label>
                                                                        </span>
                                                                    </HeaderCaptionTemplate>
                                                                </dxw:GridViewDataTextColumn>
                                                                <dxw:GridViewDataTextColumn Caption="Route" FieldName="RouteName" Width="10%" VisibleIndex="5"
                                                                    CellStyle-Wrap="true">
                                                                    <HeaderCaptionTemplate>
                                                                        <span class="icon">
                                                                            <asp:Image ImageUrl="../imagesButton/manage-route.png" ImageAlign="top" AlternateText="Route"
                                                                                ID="imgStreetAddressCaption" runat="server" ToolTip="Route" /></span>
                                                                        <asp:Label Text="Route" ID="lblAddressCaption" runat="server"></asp:Label>
                                                                    </HeaderCaptionTemplate>
                                                                </dxw:GridViewDataTextColumn>
                                                                <dxw:GridViewDataTextColumn Caption="Location" FieldName="Location" VisibleIndex="6"
                                                                    Width="10%">
                                                                    <HeaderCaptionTemplate>
                                                                        <span class="icon">
                                                                            <asp:Image ImageUrl="../images/icn-radius.gif" ImageAlign="top" AlternateText="Location"
                                                                                ToolTip="Location" runat="server" ID="imgRadiusIcon" /></span>
                                                                        <asp:Label ID="lblRadiusCaption" runat="server" Text="Location"></asp:Label>
                                                                    </HeaderCaptionTemplate>
                                                                </dxw:GridViewDataTextColumn>
                                                                <dxw:GridViewDataTextColumn Caption="Accident Reason" FieldName="AccidentReasonName"
                                                                    VisibleIndex="7" Width="14%">
                                                                    <HeaderCaptionTemplate>
                                                                        <span class="icon">
                                                                            <asp:Image ID="imgEmailUsers" runat="server" ImageUrl="../images/manage-drivers_resize.png"
                                                                                align="top" AlternateText="Email Users" ToolTip="Accident Reason" /></span>
                                                                        <span class="label">
                                                                            <asp:Label ID="lblEmailUsers" runat="server" Text="Accident Reason"></asp:Label>
                                                                        </span>
                                                                    </HeaderCaptionTemplate>
                                                                </dxw:GridViewDataTextColumn>
                                                                <dxw:GridViewDataTextColumn Caption="Damage Details" FieldName="DamageDetails"
                                                                    VisibleIndex="7" Width="10%" Visible="false">
                                                                    <HeaderCaptionTemplate>
                                                                        <span class="icon">
                                                                            <asp:Image ID="imgSeverityCaption" runat="server" ImageUrl="../images/icn-severity.gif"
                                                                                ImageAlign="top" AlternateText="" /></span>
                                                                        <asp:Label ID="lblSeverityCaption" runat="server" Text="Damage Details"></asp:Label>
                                                                    </HeaderCaptionTemplate>
                                                                </dxw:GridViewDataTextColumn>
                                                                <dxw:GridViewDataTextColumn Caption="Damage Cost" FieldName="DamageCost" VisibleIndex="8"
                                                                    Width="10%">
                                                                    <HeaderCaptionTemplate>
                                                                        <span class="icon">
                                                                            <asp:Image runat="server" ImageUrl="../images/cost.gif" ID="imgCategory" align="top"
                                                                                AlternateText="Damage Cost" ToolTip="Damage Cost" /></span> <span class="label">
                                                                                    <asp:Label ID="lblCategory" runat="server" Text="Damage Cost"></asp:Label>
                                                                                </span>
                                                                    </HeaderCaptionTemplate>
                                                                </dxw:GridViewDataTextColumn>
                                                                <dxw:GridViewDataTextColumn Caption="Corrective Action" FieldName="CorrectiveActionName"
                                                                    VisibleIndex="9" Width="11%" Visible="false">
                                                                    <HeaderCaptionTemplate>
                                                                        <span class="icon">
                                                                            <asp:Image ID="imgSMSUsers" runat="server" ImageUrl="../images/icn-sms-users.gif"
                                                                                align="top" AlternateText="SMS Users" ToolTip="SMS Users" /></span> <span class="label">
                                                                                    <asp:Label ID="lblSMSUsers" runat="server" Text="Corrective Action"></asp:Label>
                                                                                </span>
                                                                    </HeaderCaptionTemplate>
                                                                </dxw:GridViewDataTextColumn>
                                                                <dxw:GridViewDataTextColumn Caption="View" Width="3%" Name="View">
                                                                    <HeaderTemplate>
                                                                    </HeaderTemplate>
                                                                    <DataItemTemplate>
                                                                        <asp:LinkButton ID="ibView" runat="server" OnClick="ibView_Click" OnClientClick="ShowPopUp();"
                                                                            CommandArgument='<%# Eval("AccidentId") %>' Style="text-decoration: none;"><img src="../images/icn-view.gif" alt="Click here to View" title="Click here to View"/></asp:LinkButton>
                                                                    </DataItemTemplate>
                                                                </dxw:GridViewDataTextColumn>
                                                                <dxw:GridViewDataTextColumn Caption="Edit" CellStyle-HorizontalAlign="Center" Width="3%"
                                                                    Name="Edit">
                                                                    <HeaderTemplate>
                                                                    </HeaderTemplate>
                                                                    <DataItemTemplate>
                                                                        <asp:LinkButton ID="ibEdit" runat="server" CommandArgument='<%# Eval("AccidentId") %>'
                                                                            CommandName="Edit" OnClick="ibEdit_Click" OnClientClick="ShowPopUp();" Style="text-decoration: none;"><img src="../images/icn-edit.gif" alt="Click here to Edit" title="Click here to Edit"/></asp:LinkButton>
                                                                    </DataItemTemplate>
                                                                </dxw:GridViewDataTextColumn>
                                                                <dxw:GridViewDataTextColumn Caption="Delete" CellStyle-HorizontalAlign="Center"
                                                                    Width="3%" Name="Delete">
                                                                    <HeaderTemplate>
                                                                    </HeaderTemplate>
                                                                    <DataItemTemplate>
                                                                        <asp:LinkButton ID="ibDelete" runat="server" CommandArgument='<%# Eval("AccidentId") %>'
                                                                            CommandName="Delete" OnClick="ibDelete_Click" Style="text-decoration: none;"><img src="../images/delete-icon.gif" alt="Click here to Delete" title="Click here to Delete"/></asp:LinkButton>
                                                                    </DataItemTemplate>
                                                                </dxw:GridViewDataTextColumn>
                                                                <dxw:GridViewDataTextColumn Caption="Type" FieldName="LandmarkType" VisibleIndex="10"
                                                                    Visible="false">
                                                                </dxw:GridViewDataTextColumn>
                                                            </Columns>
                                                            <Settings ShowStatusBar="Auto" ShowFilterRow="true" ShowGroupPanel="false" ShowVerticalScrollBar="true"
                                                                VerticalScrollableHeight="500" />
                                                            <SettingsText EmptyDataRow="No Accident Details Identified" />
                                                            <SettingsBehavior ColumnResizeMode="NextColumn" AllowSort="true" AllowDragDrop="true"
                                                                AllowGroup="true" AllowFocusedRow="false" AllowMultiSelection="true" />
                                                        </dxw:ASPxGridView>
                                                    </div>
                                                    <div class="clear clearfix"></div>
                                                    <dxw:ASPxGridViewExporter ID="ASPxGridViewExporter1" runat="server" GridViewID="gvAMSData"
                                                        ReportHeader="{\rtf1\ansi\ansicpg1252\deff0\deflang1033{\fonttbl{\f0\fnil\fcharset0 Arial;}}
                                                        \viewkind4\uc1\pard\qc\b\fs28 Landmark Details\par\pard\par\par}">
                                                        <PageFooter Right="[Page # of Pages #]">
                                                        </PageFooter>
                                                    </dxw:ASPxGridViewExporter>
                                                </div>
                                            </div>
                                        </asp:Panel>
                                        <asp:Panel ID="pnlUserPreferences" runat="server">
                                            <div class="form-box">
                                                <h1>
                                                    <span class="icon">
                                                        <asp:Image ID="imgUserPreferences" runat="server" ImageUrl="../images/usernew-icon.gif" />
                                                    </span>
                                                    <asp:Label ID="lblUserPreferences" runat="server" Text="Accident Details"></asp:Label>
                                                </h1>
                                                <div class="form-tbl padding-sm-lrt">
                                                    <div class="form-horizontal">
                                                        <div class="form-group" id="trFleet">
                                                            <div class="col-sm-2 padding-width-sm icon-img">
                                                                <asp:Label ID="lblFleetCaption" runat="server" Font-Bold="False" Text="Fleet"></asp:Label>
                                                                <span style="color: red">*</span>
                                                            </div>
                                                            <div class="col-sm-3 padding-width-sm form-controllinebreak">
                                                                <dxw:ASPxComboBox ID="ddlFleet" runat="server" ValueType="System.String" ShowImageInEditBox="false"
                                                                    EnableIncrementalFiltering="true" ClientInstanceName="ddlFleet" SelectedIndex="0"
                                                                    CssFilePath="~/App_Themes/Office2003Blue/Editors/styles.css" CssPostfix="Office2003_Blue"
                                                                    AutoPostBack="true" CssClass="form-control" TabIndex="1" AutoResizeWithContainer="true"
                                                                    EnableTheming="true" Theme="Office2003Blue" OnSelectedIndexChanged="ddlFleet_SelectedIndexChanged">
                                                                    <Items>
                                                                        <dxw:ListEditItem Text="- Select -" Value="0" />
                                                                    </Items>
                                                                </dxw:ASPxComboBox>
                                                            </div>
                                                            <div class="col-sm-6">
                                                                <asp:UpdatePanel ID="updVehicleDetails" runat="server">
                                                                    <ContentTemplate>
                                                                        <asp:Panel ID="pnlVehicleDetails" runat="server" GroupingText="Vehicle Details">
                                                                            <div class="form-horizontal col-sm-12">
                                                                                <div class="form-group">
                                                                                    <div class="col-sm-3 padding-width-sm">
                                                                                        <asp:Label ID="lblVDNameCaption" runat="server" Font-Bold="true" Text="Vehicle"></asp:Label>
                                                                                    </div>
                                                                                    <div class="col-sm-3 padding-width-sm form-controllinebreak">
                                                                                        <asp:Label ID="lblVDNameDetail" runat="server" Font-Bold="False" Text="Vehicle name displayed here"></asp:Label>
                                                                                    </div>
                                                                                    <div class="col-sm-3 padding-width-sm">
                                                                                        <asp:Label ID="lblVDLicenseCaption" runat="server" Font-Bold="true" Text="License Plate"></asp:Label>
                                                                                    </div>
                                                                                    <div class="col-sm-3 padding-width-sm">
                                                                                        <asp:Label ID="lblVDLicenseDetail" runat="server" Font-Bold="False" Text="License plate displayed here"></asp:Label>
                                                                                    </div>
                                                                                </div>
                                                                                <div class="form-group">
                                                                                    <div class="col-sm-3 padding-width-sm">
                                                                                        <asp:Label ID="lblVDTypeCaption" runat="server" Font-Bold="true" Text="Vehicle Type"></asp:Label>
                                                                                    </div>
                                                                                    <div class="col-sm-3 padding-width-sm">
                                                                                        <asp:Label ID="lblVDTypeDetail" runat="server" Font-Bold="False" Text="Vehicle type displayed here"></asp:Label>
                                                                                    </div>
                                                                                </div>
                                                                            </div>
                                                                        </asp:Panel>
                                                                    </ContentTemplate>
                                                                </asp:UpdatePanel>
                                                            </div>
                                                        </div>
                                                        <div class="form-group" id="trVehicle">
                                                            <div class="col-sm-2 padding-width-sm icon-img">
                                                                <asp:Label ID="lblVehicleCaption" runat="server" Font-Bold="False" Text="Vehicle"></asp:Label>
                                                                <span style="color: red">*</span>
                                                            </div>
                                                            <div class="col-sm-3 padding-width-sm">
                                                                <dxw:ASPxComboBox ID="ddlVehicle" runat="server" ValueType="System.String" ShowImageInEditBox="false"
                                                                    EnableIncrementalFiltering="true" ClientInstanceName="ddlVehicle" SelectedIndex="0"
                                                                    CssFilePath="~/App_Themes/Office2003Blue/Editors/styles.css" CssPostfix="Office2003_Blue"
                                                                    AutoPostBack="true" CssClass="form-control" TabIndex="2" AutoResizeWithContainer="true"
                                                                    EnableTheming="true" Theme="Office2003Blue" OnSelectedIndexChanged="ddlVehicle_OnSelectedIndexChanged">
                                                                    <Items>
                                                                        <dxw:ListEditItem Text="- Select -" Value="0" />
                                                                    </Items>
                                                                </dxw:ASPxComboBox>
                                                            </div>
                                                        </div>
                                                        <div class="form-group" id="trDriver">
                                                            <div class="col-sm-2 padding-width-sm icon-img">
                                                                <asp:Label ID="lblDriverCaption" runat="server" Font-Bold="False" Text="Driver"></asp:Label>
                                                                <span style="color: red">*</span>
                                                            </div>
                                                            <div class="col-sm-3 padding-width-sm">
                                                                <dxw:ASPxComboBox ID="ddlDriver" runat="server" ValueType="System.String" ShowImageInEditBox="false"
                                                                    EnableIncrementalFiltering="true" ClientInstanceName="ddlDriver" SelectedIndex="0"
                                                                    CssFilePath="~/App_Themes/Office2003Blue/Editors/styles.css" CssPostfix="Office2003_Blue"
                                                                    AutoPostBack="true" CssClass="form-control" TabIndex="3" AutoResizeWithContainer="true"
                                                                    EnableTheming="true" Theme="Office2003Blue" OnSelectedIndexChanged="ddlDriver_OnSelectedIndexChanged">
                                                                    <Items>
                                                                        <dxw:ListEditItem Text="- Select -" Value="0" />
                                                                    </Items>
                                                                </dxw:ASPxComboBox>
                                                            </div>
                                                            <div class="col-sm-3 padding-width-sm">
                                                                <asp:ImageButton ID="lnkAddDriver" runat="server" ToolTip="Add Driver Details" Style="width: auto;"
                                                                    OnClientClick="LoadCategoryPopup()" ImageUrl="../images/add-icon.gif" CausesValidation="false"></asp:ImageButton>
                                                                <asp:ImageButton ID="lnkEditDriver" ToolTip="Edit Driver Details" runat="server"
                                                                    Visible="false" ImageUrl="../images/icn-edit.gif" Style="width: auto; display: none"
                                                                    OnClientClick="ShowPopUp();"></asp:ImageButton>
                                                            </div>
                                                        </div>
                                                        <div class="form-group" id="trAccidentType">
                                                            <div class="col-sm-2 padding-width-sm icon-img">
                                                                <asp:Label ID="lblAccidentTypeCaption" runat="server" Font-Bold="False" Text="Accident Types"></asp:Label>
                                                                <span style="color: red">*</span>
                                                            </div>
                                                            <div class="col-sm-3 padding-width-sm form-controllinebreak">
                                                                <dxw:ASPxComboBox ID="ddlAccidentTypes" runat="server" ValueType="System.String" SelectedIndex="0"
                                                                    ShowImageInEditBox="false" EnableIncrementalFiltering="true" ClientInstanceName="ddlAccidentTypes"
                                                                    AutoPostBack="false" CssClass="form-control" TabIndex="4" AutoResizeWithContainer="true"
                                                                    CssFilePath="~/App_Themes/Office2003Blue/Editors/styles.css" CssPostfix="Office2003_Blue"
                                                                    EnableTheming="true" Theme="Office2003Blue">
                                                                    <Items>
                                                                        <dxw:ListEditItem Text="- Select -" Value="0" />
                                                                    </Items>
                                                                </dxw:ASPxComboBox>
                                                            </div>
                                                            <div class="col-sm-6">
                                                                <asp:UpdatePanel ID="updDriverDetails" runat="server">
                                                                    <ContentTemplate>
                                                                        <asp:Panel ID="pnlDriverDetails" runat="server" GroupingText="Driver Details">
                                                                            <div class="form-horizontal col-sm-12">
                                                                                <div class="form-group">
                                                                                    <div class="col-sm-3 padding-width-sm">
                                                                                        <asp:Label ID="lblDDDriverCaption" runat="server" Font-Bold="true" Text="Driver"></asp:Label>
                                                                                    </div>
                                                                                    <div class="col-sm-3 padding-width-sm form-controllinebreak">
                                                                                        <asp:Label ID="lblDDDriverName" runat="server" Font-Bold="False" Text="Driver name displayed here"></asp:Label>
                                                                                    </div>
                                                                                    <div class="col-sm-3 padding-width-sm">
                                                                                        <asp:Label ID="lblDDMobileNoCaption" runat="server" Font-Bold="true" Text="Mobile No."></asp:Label>
                                                                                    </div>
                                                                                    <div class="col-sm-3 padding-width-sm">
                                                                                        <asp:Label ID="lblDDMobileNo" runat="server" Font-Bold="False" Text="Mobile no. displayed here"></asp:Label>
                                                                                    </div>
                                                                                </div>
                                                                                <div class="form-group">
                                                                                    <div class="col-sm-3 padding-width-sm">
                                                                                        <asp:Label ID="lblDDLicenseCaption" runat="server" Font-Bold="true" Text="License No"></asp:Label>
                                                                                    </div>
                                                                                    <div class="col-sm-3 padding-width-sm form-controllinebreak">
                                                                                        <asp:Label ID="lblDDLicenseNo" runat="server" Font-Bold="False" Text="License no. displayed here"></asp:Label>
                                                                                    </div>
                                                                                    <div class="col-sm-3 padding-width-sm">
                                                                                        <asp:Label ID="lblDDLicenseExpireCaption" runat="server" Font-Bold="true" Text="License Expire On"></asp:Label>
                                                                                    </div>
                                                                                    <div class="col-sm-3 padding-width-sm">
                                                                                        <asp:Label ID="lblDDLicenseExpire" runat="server" Font-Bold="False" Text="License Expire On displayed here"></asp:Label>
                                                                                    </div>
                                                                                </div>
                                                                                <div class="form-group">
                                                                                    <div class="col-sm-3 padding-width-sm">
                                                                                        <asp:Label ID="lblDDPreviousInstancesCaption" runat="server" Font-Bold="true" Text="Previous Accident Instances"></asp:Label>
                                                                                    </div>
                                                                                    <div class="col-sm-3 padding-width-sm">
                                                                                        <asp:Label ID="lblDDPreviousInstances" runat="server" Font-Bold="False" Text="Previous Instances displayed here"></asp:Label>
                                                                                    </div>
                                                                                </div>
                                                                            </div>
                                                                        </asp:Panel>
                                                                    </ContentTemplate>
                                                                </asp:UpdatePanel>
                                                            </div>
                                                        </div>
                                                        <div class="form-group" id="trDateTimeAccident">
                                                            <div class="col-sm-2 padding-width-sm icon-img">
                                                                <asp:Label ID="lblDateTimeAccidentCaption" runat="server" Font-Bold="False" Text="Date & Time Of Accident"></asp:Label>
                                                                <span style="color: red">*</span>
                                                            </div>
                                                            <div class="col-sm-4 col-md-3 padding-width-sm">
                                                                <div class="col-xs-6 padding-width-sm-right">
                                                                    <asp:TextBox ID="txtStartDate" runat="server" CssClass="form-control" oncopy="return false"
                                                                        oncut="return false" onkeydown="doCheckBackSpaceOrDelete()" onkeypress="return false"
                                                                        onpaste="return false" ToolTip="dd-MMM-yyyy" TabIndex="5"></asp:TextBox>
                                                                </div>
                                                                <div class="col-xs-6 padding-width-sm-right">
                                                                    <div class="time1 Responsivetime">
                                                                        <MKB:TimeSelector ID="tsAccidentTime" runat="server" AmPm="AM" DisplaySeconds="False"
                                                                            TabIndex="6" Hour="8" Font-Size="10pt" SelectedTimeFormat="Twelve">
                                                                        </MKB:TimeSelector>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="form-group" id="trLocation">
                                                            <div class="col-sm-2 padding-width-sm icon-img">
                                                                <asp:Label ID="lblLocationCaption" runat="server" Font-Bold="False" Text="Location"></asp:Label>
                                                                <span style="color: red">*</span>
                                                            </div>
                                                            <div class="col-sm-3 padding-width-sm">
                                                                <asp:LinkButton ID="lnkLocationFromMap" runat="server" Text="Choose from map" TabIndex="7"
                                                                    OnClientClick="if(validBeforeOpenMap()){javascript:window.open('Map.aspx?'+frameParameters(),'_blank','width=655,height=580,scrollbars=no, resizable=no',false);return false;}else {TrinetraCustomAlerts('Please Choose Date & Time Of Accident');}"></asp:LinkButton>
                                                                <asp:Label ID="lblChoosedLocation" runat="server" Text="Lat & Long displayed here..."></asp:Label>
                                                            </div>
                                                        </div>
                                                        <div class="form-group" id="trTrip">
                                                            <div class="col-sm-2 padding-width-sm icon-img">
                                                                <asp:Label ID="lblTripCaption" runat="server" Font-Bold="False" Text="Trip"></asp:Label>
                                                            </div>
                                                            <div class="col-sm-3 padding-width-sm">
                                                                <asp:RadioButtonList ID="rdblTrips" runat="server" RepeatDirection="Horizontal" TabIndex="8">
                                                                    <asp:ListItem Text="&nbsp;FIRST&nbsp;" Value="1"></asp:ListItem>
                                                                    <asp:ListItem Text="&nbsp;SECOND&nbsp;" Value="2"></asp:ListItem>
                                                                    <asp:ListItem Text="&nbsp;ROUND&nbsp;" Value="3"></asp:ListItem>
                                                                    <asp:ListItem Text="&nbsp;NA&nbsp;" Value="0" Selected="True"></asp:ListItem>
                                                                </asp:RadioButtonList>
                                                            </div>
                                                        </div>
                                                        <div class="form-group" id="trRoute">
                                                            <div class="col-sm-2 padding-width-sm icon-img">
                                                                <asp:Label ID="lblRouteCaption" runat="server" Font-Bold="False" Text="Route Name"></asp:Label>
                                                            </div>
                                                            <div class="col-sm-3 padding-width-sm form-controllinebreak">
                                                                <asp:TextBox ID="txtRoute" runat="server" MaxLength="50" TabIndex="9" CssClass="form-control"></asp:TextBox>
                                                            </div>
                                                            <div class="col-sm-2 padding-width-sm icon-img">
                                                                <asp:Label ID="lblSupervisorNameCaption" runat="server" Font-Bold="False" Text="Supervisor Name"></asp:Label>
                                                            </div>
                                                            <div class="col-sm-3 padding-width-sm">
                                                                <asp:TextBox ID="txtSupervisor" runat="server" MaxLength="30" TabIndex="10" CssClass="form-control"></asp:TextBox>
                                                            </div>
                                                        </div>
                                                        <div class="form-group" id="trReasonForAccident">
                                                            <div class="col-sm-2 padding-width-sm icon-img">
                                                                <asp:Label ID="lblReasonForAccident" runat="server" Font-Bold="False" Text="Reason for Accidents"></asp:Label>
                                                                <span style="color: red">*</span>
                                                            </div>
                                                            <div class="col-sm-3 padding-width-sm form-controllinebreak">
                                                                <dxw:ASPxComboBox ID="ddlReasonForAccident" runat="server" ValueType="System.String"
                                                                    ShowImageInEditBox="false" EnableIncrementalFiltering="true" ClientInstanceName="ddlReasonForAccident"
                                                                    SelectedIndex="0" AutoPostBack="false" CssClass="form-control" TabIndex="11" AutoResizeWithContainer="true"
                                                                    CssFilePath="~/App_Themes/Office2003Blue/Editors/styles.css" CssPostfix="Office2003_Blue"
                                                                    EnableTheming="true" Theme="Office2003Blue">
                                                                    <Items>
                                                                        <dxw:ListEditItem Text="- Select -" Value="0" />
                                                                    </Items>
                                                                </dxw:ASPxComboBox>
                                                            </div>
                                                            <div class="col-sm-2 padding-width-sm icon-img">
                                                                <asp:Label ID="lblAnyOneInjured" runat="server" Font-Bold="False" Text="Was Anyone Injured?"></asp:Label>
                                                            </div>
                                                            <div class="col-sm-3 padding-width-sm">
                                                                <div class="col-xs-4 col-sm-5 col-md-4 padding-width-sm">
                                                                    <asp:RadioButtonList ID="rdblAnyoneInjured" runat="server" RepeatDirection="Horizontal"
                                                                        TabIndex="12">
                                                                        <asp:ListItem Text="&nbsp;YES&nbsp;" Value="1"></asp:ListItem>
                                                                        <asp:ListItem Text="&nbsp;NO&nbsp;" Value="0" Selected="True"></asp:ListItem>
                                                                    </asp:RadioButtonList>
                                                                </div>
                                                                <div class="col-xs-8 col-sm-7 col-md-8 padding-width-sm">
                                                                    <asp:TextBox ID="txtAnyoneInjured" runat="server" TextMode="MultiLine" CssClass="form-control"
                                                                        MaxLength="250" onkeypress="return chkDescription(event,this,249);" TabIndex="13"></asp:TextBox>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="form-group" id="trNoOfPassengers">
                                                            <div class="col-sm-2 padding-width-sm icon-img">
                                                                <asp:Label ID="lblNoOfPassengers" runat="server" Font-Bold="False" Text="No. Of Passengers"></asp:Label>
                                                            </div>
                                                            <div class="col-sm-3 padding-width-sm form-controllinebreak">
                                                                <dxw:ASPxComboBox ID="ddlNoOfPassengers" runat="server" ValueType="System.String"
                                                                    ShowImageInEditBox="false" EnableIncrementalFiltering="true" ClientInstanceName="ddlNoOfPassengers"
                                                                    SelectedIndex="0" AutoPostBack="false" CssClass="form-control" TabIndex="14" AutoResizeWithContainer="true"
                                                                    CssFilePath="~/App_Themes/Office2003Blue/Editors/styles.css" CssPostfix="Office2003_Blue"
                                                                    EnableTheming="true" Theme="Office2003Blue">
                                                                    <Items>
                                                                        <dxw:ListEditItem Text="- Select -" Value="0" />
                                                                    </Items>
                                                                </dxw:ASPxComboBox>
                                                            </div>
                                                            <div class="col-sm-2 padding-width-sm icon-img">
                                                                <asp:Label ID="lblNoOfPassengersInjured" runat="server" Font-Bold="False" Text="No. Of Passengers Injured"></asp:Label>
                                                            </div>
                                                            <div class="col-sm-3 padding-width-sm">
                                                                <dxw:ASPxComboBox ID="ddlNoOfPassengersInjured" runat="server" ValueType="System.String"
                                                                    ShowImageInEditBox="false" EnableIncrementalFiltering="true" ClientInstanceName="ddlNoOfPassengersInjured"
                                                                    SelectedIndex="0" AutoPostBack="false" CssClass="form-control" TabIndex="15" AutoResizeWithContainer="true"
                                                                    CssFilePath="~/App_Themes/Office2003Blue/Editors/styles.css" CssPostfix="Office2003_Blue"
                                                                    EnableTheming="true" Theme="Office2003Blue">
                                                                    <Items>
                                                                        <dxw:ListEditItem Text="- Select -" Value="0" />
                                                                    </Items>
                                                                </dxw:ASPxComboBox>
                                                            </div>
                                                        </div>
                                                        <div class="form-group" id="trDamageDetails">
                                                            <div class="col-sm-2 padding-width-sm icon-img">
                                                                <asp:Label ID="lblDamageDetails" runat="server" Font-Bold="False" Text="Damage Details"></asp:Label>
                                                                <span style="color: red">&nbsp;*</span>
                                                            </div>
                                                            <div class="col-sm-3 padding-width-sm form-controllinebreak">
                                                                <asp:TextBox ID="txtDamageDetails" runat="server" TextMode="MultiLine" CssClass="form-control"
                                                                    MaxLength="250" onkeypress="return chkDescription(event,this,249);" TabIndex="16"></asp:TextBox>
                                                            </div>
                                                            <div class="col-sm-2 padding-width-sm icon-img">
                                                                <asp:Label ID="lblDamageCost" runat="server" Font-Bold="False" Text="Damage Cost"></asp:Label>
                                                                <span style="color: red">&nbsp;*</span>
                                                            </div>
                                                            <div class="col-sm-3 padding-width-sm">
                                                                <asp:TextBox ID="txtDamageCost" runat="server" TextMode="SingleLine" CssClass="form-control"
                                                                    MaxLength="10" Text="" oncopy="return false" onkeypress="return chkDecNums(event, this);"
                                                                    ToolTip="Damage cost for accident vehicle" TabIndex="17"></asp:TextBox>
                                                            </div>
                                                        </div>
                                                        <div class="form-group" id="trCompensationPaid">
                                                            <div class="col-sm-2 padding-width-sm icon-img">
                                                                <asp:Label ID="lblCompensationPaid" runat="server" Font-Bold="False" Text="Compensation Paid If any"></asp:Label>
                                                            </div>
                                                            <div class="col-sm-3 padding-width-sm">
                                                                <asp:TextBox ID="txtCompensationPaid" runat="server" CssClass="form-control" TextMode="MultiLine"
                                                                    MaxLength="250" onkeypress="return chkDescription(event,this,249);" TabIndex="18"></asp:TextBox>
                                                            </div>
                                                        </div>
                                                        <div class="form-group" id="trInsuranceCoverage">
                                                            <div class="col-sm-2 padding-width-sm icon-img">
                                                                <asp:Label ID="lblInsuranceCoverageAvailable" runat="server" Font-Bold="False" Text="Insurance Coverage Available"></asp:Label>
                                                            </div>
                                                            <div class="col-sm-3 padding-width-sm form-controllinebreak">
                                                                <asp:RadioButtonList ID="rdblInsuranceCoverageAvailable" runat="server" RepeatDirection="Horizontal"
                                                                    TabIndex="19">
                                                                    <asp:ListItem Text="&nbsp;YES&nbsp;" Value="1"></asp:ListItem>
                                                                    <asp:ListItem Text="&nbsp;NO&nbsp;" Value="0" Selected="True"></asp:ListItem>
                                                                </asp:RadioButtonList>
                                                            </div>
                                                            <div class="col-sm-2 padding-width-sm icon-img">
                                                                <asp:Label ID="lblWasClaimed" runat="server" Font-Bold="False" Text="Was Insurance Claimed?"></asp:Label>
                                                            </div>
                                                            <div class="col-sm-3 padding-width-sm">
                                                                <div class="col-xs-4 col-sm-5 col-md-4 padding-width-sm">
                                                                    <asp:RadioButtonList ID="rdblWasInsurance" runat="server" RepeatDirection="Horizontal"
                                                                        TabIndex="20">
                                                                        <asp:ListItem Text="&nbsp;YES&nbsp;" Value="1"></asp:ListItem>
                                                                        <asp:ListItem Text="&nbsp;NO&nbsp;" Value="0" Selected="True"></asp:ListItem>
                                                                    </asp:RadioButtonList>
                                                                </div>
                                                                <div class="col-xs-8 col-sm-7 col-md-8 padding-width-sm">
                                                                    <asp:TextBox ID="txtInsuranceComments" runat="server" TextMode="MultiLine" CssClass="form-control"
                                                                        MaxLength="250" onkeypress="return chkDescription(event,this,249);" TabIndex="21"></asp:TextBox>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="form-group" id="trClaimedCost">
                                                            <div class="col-sm-2 padding-width-sm icon-img">
                                                                <asp:Label ID="lblClaimedCost" runat="server" Font-Bold="False" Text="Claimed Cost"></asp:Label>
                                                            </div>
                                                            <div class="col-sm-3 padding-width-sm form-controllinebreak">
                                                                <asp:TextBox ID="txtClaimedCost" runat="server" CssClass="form-control" MaxLength="10" TabIndex="22"
                                                                    oncopy="return false" onkeypress="return chkDecNums(event, this);"></asp:TextBox>
                                                            </div>
                                                            <div class="col-sm-2 padding-width-sm icon-img">
                                                                <asp:Label ID="lblClaimedOn" runat="server" Font-Bold="False" Text="Claimed On"></asp:Label>
                                                            </div>
                                                            <div class="col-sm-4 col-md-3 padding-width-sm">
                                                                <div class="col-xs-6 padding-width-sm-right">
                                                                    <asp:TextBox ID="txtEndDate" runat="server" CssClass="form-control" oncopy="return false" oncut="return false"
                                                                        onkeydown="doCheckBackSpaceOrDelete()" onkeypress="return false"
                                                                        onpaste="return false" ToolTip="dd-MMM-yyyy" TabIndex="23"></asp:TextBox>
                                                                </div>
                                                                <div class="col-xs-6 padding-width-sm-right">
                                                                    <div class="time1 Responsivetime">
                                                                        <MKB:TimeSelector ID="tsClaimedTime" runat="server" AmPm="AM" DisplaySeconds="False"
                                                                            TabIndex="24" Hour="8" Font-Size="10pt" SelectedTimeFormat="Twelve">
                                                                        </MKB:TimeSelector>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="form-group" id="trCorrectiveAction">
                                                            <div class="col-sm-2 padding-width-sm icon-img">
                                                                <asp:Label ID="lblCorrectiveAction" runat="server" Font-Bold="False" Text="Corrective Action"></asp:Label>
                                                                <span style="color: red">&nbsp;*</span>
                                                            </div>
                                                            <div class="col-sm-3 padding-width-sm">
                                                                <dxw:ASPxComboBox ID="ddlCorrectiveAction" runat="server" ValueType="System.String"
                                                                    ShowImageInEditBox="false" EnableIncrementalFiltering="true" ClientInstanceName="ddlCorrectiveAction"
                                                                    SelectedIndex="0" AutoPostBack="false" CssClass="form-control" TabIndex="25" AutoResizeWithContainer="true"
                                                                    CssFilePath="~/App_Themes/Office2003Blue/Editors/styles.css" CssPostfix="Office2003_Blue"
                                                                    EnableTheming="true" Theme="Office2003Blue">
                                                                    <Items>
                                                                        <dxw:ListEditItem Text="- Select -" Value="0" />
                                                                    </Items>
                                                                </dxw:ASPxComboBox>
                                                            </div>
                                                        </div>
                                                        <div class="form-group" id="trActionTaken">
                                                            <div class="col-sm-2 padding-width-sm icon-img">
                                                                <asp:Label ID="lblActionTaken" runat="server" Font-Bold="False" Text="Action Taken"></asp:Label>
                                                            </div>
                                                            <div class="col-sm-3 padding-width-sm">
                                                                <asp:TextBox ID="txtActionTaken" runat="server" CssClass="form-control" TextMode="MultiLine"
                                                                    MaxLength="250" onkeypress="return chkDescription(event,this,249);" TabIndex="26"></asp:TextBox>
                                                            </div>
                                                        </div>
                                                        <div class="form-group">
                                                            <div class="col-sm-3"></div>
                                                            <div class="col-sm-9">
                                                                <span style="color: Red">*</span> Indicates Mandatory Fields
                                                            </div>
                                                        </div>
                                                        <div class="form-group">
                                                            <div class="col-sm-3"></div>
                                                            <div class="col-sm-9">
                                                                <asp:ImageButton ImageUrl="~/images/btn-save.jpg" ID="btnSave1" runat="server" OnClick="btnSave_Click"
                                                                    TabIndex="5" Visible="false" />
                                                                <asp:LinkButton ID="btnSave" runat="server" CssClass="MultilingualBtn" OnClick="btnSave_Click"
                                                                    OnClientClick="if (validateAMS()){ShowPopUp();return true;} else {return false}"
                                                                    TabIndex="27">
                                                                    <span id="Span1" runat="server" class="MultilingualBtnspan">
                                                                        <div class="Save">
                                                                            <div id="SaveButDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                                Save
                                                                            </div>
                                                                        </div>
                                                                    </span>
                                                                </asp:LinkButton>
                                                                <asp:ImageButton ImageUrl="~/images/btn-cancel.jpg" ID="btnCancel1" runat="server"
                                                                    OnClick="btnCancel_Click" TabIndex="6" Visible="false" />
                                                                <asp:LinkButton ID="btnCancel" runat="server" CssClass="MultilingualBtn" OnClick="btnCancel_Click"
                                                                    OnClientClick="ShowPopUp();" TabIndex="28">
                                                                    <span id="Span2" runat="server" class="MultilingualBtnspan">
                                                                        <div class="Cancel">
                                                                            <div id="CancelButDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                                Cancel
                                                                            </div>
                                                                        </div>
                                                                    </span>
                                                                </asp:LinkButton>
                                                            </div>
                                                        </div>
                                                        <div class="clear clearfix"></div>
                                                    </div>
                                                </div>
                                            </div>
                                        </asp:Panel>
                                        <div class="clear clearfix"></div>
                                    </ContentTemplate>
                                    <Triggers>
                                        <asp:PostBackTrigger ControlID="btnSave" />
                                        <asp:PostBackTrigger ControlID="btnExport" />
                                    </Triggers>
                                </asp:UpdatePanel>
                                <asp:Panel ID="pnlAddEditDrivers" runat="server" Style="display: none;" CssClass="landmarkPanel">
                                    <asp:UpdatePanel ID="upLandmarkCate" runat="server" UpdateMode="Conditional">
                                        <ContentTemplate>
                                            <div class="popup">
                                                <div class="top">
                                                    <h1>
                                                        <asp:Label ID="lblResetPwd" Text="Add Driver Details" runat="server"></asp:Label></h1>
                                                    <div class="close">
                                                        <asp:ImageButton ID="ibtClose" runat="server" OnClientClick="CloseCategoryPopup(); return false;"
                                                            ImageUrl="~/Images/popup-close.gif" />
                                                    </div>
                                                    <div class="clear clearfix"></div>
                                                </div>
                                                <div class="popup-content">
                                                    <div class="form-tbl">
                                                        <div class="form-horizontal">
                                                            <div class="form-group">
                                                                <div class="col-sm-3 col-lg-2 icon-img padding-width-sm">
                                                                    <asp:Label ID="lblDriverName" runat="server" Text="Driver Name" CssClass="label"></asp:Label>
                                                                    <span style="color: Red">*</span>
                                                                </div>
                                                                <div class="col-sm-3 padding-width-sm">
                                                                    <asp:TextBox ID="txtDriverName" MaxLength="50" onpaste="return false;" ondrop="return false;"
                                                                        onkeypress="return chkCharacter_only(event);" TabIndex="29" runat="server" CssClass="form-control"></asp:TextBox>
                                                                </div>
                                                            </div>
                                                            <div class="form-group">
                                                                <div class="col-sm-3 col-lg-2 icon-img padding-width-sm">
                                                                    <asp:Label ID="lblDisplayName" runat="server" Text="Display Name" CssClass="label"></asp:Label>
                                                                    <span style="color: Red">*</span>
                                                                </div>
                                                                <div class="col-sm-3 padding-width-sm">
                                                                    <asp:TextBox ID="txtDisplayName" MaxLength="20" onkeypress="return chkAlphaNumericWithSpace(event,this,19);"
                                                                        TabIndex="30" runat="server" onpaste="return false;" ondrop="return false;" CssClass="form-control"></asp:TextBox>
                                                                </div>
                                                            </div>
                                                            <div class="form-group">
                                                                <div class="col-sm-3 col-lg-2 icon-img padding-width-sm">
                                                                    <asp:Label ID="lblMobileNo" runat="server" Text="Mobile No" CssClass="label"></asp:Label>
                                                                </div>
                                                                <div class="col-sm-3 padding-width-sm">
                                                                    <asp:TextBox ID="txtMobileNo" MaxLength="12" runat="server" onkeypress="return chkNumeric_only(event);"
                                                                        TabIndex="31" ondrop="return false;" CssClass="form-control"></asp:TextBox>
                                                                    <br />
                                                                    For e.g 91xxxxxxxxxx
                                                                </div>
                                                            </div>
                                                            <div class="form-group">
                                                                <div class="col-sm-3 col-lg-2 icon-img padding-width-sm">
                                                                    <asp:Label ID="lblLicense" runat="server" Text="License Number"></asp:Label>
                                                                    <span style="color: Red">*</span>
                                                                </div>
                                                                <div class="col-sm-3 padding-width-sm">
                                                                    <asp:TextBox ID="txtLicenseNo" runat="server" MaxLength="30" ondrop="return false"
                                                                        onkeypress="return chkAlphaNumericWithSpace(event,this,29);" onpaste="return false"
                                                                        TabIndex="32" CssClass="form-control"></asp:TextBox>
                                                                </div>
                                                            </div>
                                                            <div class="form-group">
                                                                <div class="col-sm-3 col-lg-2 icon-img padding-width-sm">
                                                                    <asp:Label ID="lblLicenseExpires" runat="server" Text="License Expires On"></asp:Label>
                                                                    <span style="color: Red">*</span>
                                                                </div>
                                                                <div class="col-sm-3 padding-width-sm">
                                                                    <asp:TextBox ID="txtLicenseValidity" runat="server" oncopy="return false" oncut="return false"
                                                                        onkeydown="doCheckBackSpaceOrDelete()" onkeypress="return false" onpaste="return false"
                                                                        CssClass="form-control" ToolTip="dd-MMM-yyyy" TabIndex="33"></asp:TextBox>
                                                                </div>
                                                                <div class="col-sm-1 padding-width-sm">
                                                                    <asp:ImageButton ID="imgLicenseCal" runat="server" ImageUrl="~/images/calendar-icon.gif" />
                                                                </div>
                                                            </div>
                                                            <div class="form-group">
                                                                <div class="col-sm-3"></div>
                                                                <div class="col-sm-9">
                                                                    <asp:LinkButton ID="btnSaveDriver" runat="server" CausesValidation="true" ValidationGroup="vgLandmark"
                                                                        TabIndex="34" OnClientClick="if(ValidateDriverInfo()){ShowPopUp();return true;}else{return false;};"
                                                                        CssClass="MultilingualBtn" OnClick="btnSaveDriver_Click">
                                                                        <span id="Span3" runat="server" class="MultilingualBtnspan">
                                                                            <div class="Save">
                                                                                <div id="SaveButDivCategory" runat="server" class="MultilingualBtnTextAlign">
                                                                                    Save
                                                                                </div>
                                                                            </div>
                                                                        </span>
                                                                    </asp:LinkButton>
                                                                    <asp:LinkButton ID="btnCancelDriver" runat="server" CssClass="MultilingualBtn" CausesValidation="false"
                                                                        OnClientClick="CloseCategoryPopup(); return false;" TabIndex="35">
                                                                        <span id="Span4" runat="server" class="MultilingualBtnspan">
                                                                            <div class="Cancel">
                                                                                <div id="CancelButDivCategory" runat="server" class="MultilingualBtnTextAlign">
                                                                                    Cancel
                                                                                </div>
                                                                            </div>
                                                                        </span>
                                                                    </asp:LinkButton>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </ContentTemplate>
                                        <Triggers>
                                            <asp:PostBackTrigger ControlID="btnSaveDriver" />
                                        </Triggers>
                                    </asp:UpdatePanel>
                                </asp:Panel>
                                <asp:UpdatePanel ID="updPanel1" runat="server" UpdateMode="Conditional">
                                    <ContentTemplate>
                                        <asp:Button ID="btnTest" runat="server" Text="Test" CssClass="ControlHide" OnClick="btnTest_Click" />
                                    </ContentTemplate>
                                </asp:UpdatePanel>
                                <asp:HiddenField ID="hdnInfoBubbleProcessing" runat="server" Value="" />
                            </div>
                        </div>
                        <div id="left">
                        </div>
                        <div class="clear clearfix">
                        </div>
                    </div>
                    <div id="right">
                    </div>
                    <div class="clear clearfix">
                    </div>
                </div>
            </div>
            <cc1:ModalPopupExtender ID="mpeProgressIndicator" runat="server" PopupControlID="progressPopUp"
                TargetControlID="btnTesting">
            </cc1:ModalPopupExtender>
            <asp:Button ID="btnTesting" Style="display: none;" runat="server" />
            <asp:Panel ID="progressPopUp" runat="server" CssClass="processMessage" Style="z-index: 1000; display: none;">
                <center>
                <br />
                <img id="imgLoad" runat="server" alt="Please Wait ..." src="../images/47.gif" /><br />
                <br />
                <asp:Label ID="lbl_msg12" Text="Processing... Please Wait..." runat="server" CssClass="specialdisplay"></asp:Label>
                <br />
                <br />
            </center>
            </asp:Panel>
            <asp:HiddenField ID="hdnPreference" runat="server" />
            <asp:HiddenField runat="server" ID="hdnDateFormat" Value="dd-MMM-yyyy" />
            <asp:HiddenField ID="hdnUserId" runat="server" />
            <asp:HiddenField ID="hdnOrgizationId" runat="server" />
            <asp:HiddenField ID="hdnLogout" runat="server" />
            <asp:HiddenField ID="hdnMultiLingualmsg" runat="server" />
            <asp:HiddenField ID="hdnchartPos" runat="server" />
            <asp:HiddenField ID="hdnViewEnabled" runat="server" Value="0" />

            <script lang="JavaScript1.2" type="text/javascript" src="../js/myformvalidations.js"></script>
            <script lang="javascript" type="text/javascript" src="../js/SendCommandScripts.js"></script>
            <script type="text/javascript">
                function OrgList() {
                    var rbtDefault = document.getElementById('rbtDefault');
                    var rbtAllOrganizations = document.getElementById('rbtAllOrganizations');
                    if (rbtDefault.checked) {
                        document.getElementById('ddlOrganizations').style.display = "block";
                    }
                    if (rbtAllOrganizations.checked) {
                        document.getElementById('ddlOrganizations').style.display = "none";
                    }
                }
            </script>
            <script type="text/javascript">
                var keyValue;
                function OnMoreInfoClick(element) {
                    popup.ShowAtElement(element);
                }
                function popup_Shown(s, e) {
                    popup.ShowAtPos(s, e);
                }

                function validBeforeOpenMap() {
                    if (document.getElementById('txtStartDate') != null && document.getElementById('txtStartDate').value.length == 0) {
                        return false;
                    }
                    else {
                        return true;
                    }
                }
                function frameParameters() {
                    var param = '';
                    var vehId = ddlVehicle.GetValueString();
                    var usrId = document.getElementById('hdnUserId').value;
                    var orgId = document.getElementById('hdnOrgizationId').value;
                    var latlng = document.getElementById('lblChoosedLocation').innerHTML.toString();
                    var stDate = document.getElementById('txtStartDate').value + ' 12:00 AM'
                    var endDate = document.getElementById('txtStartDate').value + ' ' +
                    document.getElementById('tsAccidentTime_txtHour').value + ':' + document.getElementById('tsAccidentTime_txtMinute').value + ' ' +
                    document.getElementById('tsAccidentTime_txtAmPm').value;
                    param = 'VehicleId=' + vehId + '&UserId=' + usrId + '&StDate=' + stDate + '&EndDate=' + endDate;
                    if (latlng.length > 0 && latlng.indexOf('Long displayed here') == -1) {
                        param = param + '&LatLng=' + latlng;
                    }
                    return param;
                }

                function validateAMS() {
                    var isError = false;
                    var alertMessage = '';
                    var fleetId = ddlFleet.GetValueString();
                    var vehId = ddlVehicle.GetValueString();
                    var driverId = ddlDriver.GetValueString();
                    var accTypeId = ddlAccidentTypes.GetValueString();
                    var accDate = document.getElementById('txtStartDate').value;
                    var location = document.getElementById('lblChoosedLocation').innerHTML.toString();
                    var reason = ddlReasonForAccident.GetValueString();
                    var dmgDetails = document.getElementById('txtDamageDetails').value;
                    var dmgCost = document.getElementById('txtDamageCost').value;
                    var cAction = ddlCorrectiveAction.GetValueString();
                    if (fleetId == 0) {
                        isError = true;
                        alertMessage = (alertMessage.length == 0 ? '' : alertMessage + '</br>') + 'Please Select Fleet.';
                    }
                    if (vehId == 0) {
                        isError = true;
                        alertMessage = (alertMessage.length == 0 ? '' : alertMessage + '</br>') + 'Please Select Vehicle.';
                    }
                    if (driverId == 0) {
                        isError = true;
                        alertMessage = (alertMessage.length == 0 ? '' : alertMessage + '</br>') + 'Please Select Driver.';
                    }
                    if (accTypeId == 0) {
                        isError = true;
                        alertMessage = (alertMessage.length == 0 ? '' : alertMessage + '</br>') + 'Please Select Accident Type.';
                    }
                    if (accDate.length == 0) {
                        isError = true;
                        alertMessage = (alertMessage.length == 0 ? '' : alertMessage + '</br>') + 'Please Choose Date & Time Of Accident.';
                    }
                    if (location.length == 0 || location == 'Lat & Long displayed here...' || location == 'Lat &amp; Long displayed here...') {
                        isError = true;
                        alertMessage = (alertMessage.length == 0 ? '' : alertMessage + '</br>') + 'Please Choose Location From MAP.';
                    }
                    if (reason == 0) {
                        isError = true;
                        alertMessage = (alertMessage.length == 0 ? '' : alertMessage + '</br>') + 'Please Select Reason For Accident.';
                    }
                    if (dmgDetails == 0) {
                        isError = true;
                        alertMessage = (alertMessage.length == 0 ? '' : alertMessage + '</br>') + 'Please Enter Damage Details.';
                    }
                    if (dmgCost == 0) {
                        isError = true;
                        alertMessage = (alertMessage.length == 0 ? '' : alertMessage + '</br>') + 'Please Enter Damage Cost.';
                    }
                    if (cAction == 0) {
                        isError = true;
                        alertMessage = (alertMessage.length == 0 ? '' : alertMessage + '</br>') + 'Please Select Corrective Action.';
                    }

                    if (isError) {
                        TrinetraCustomAlerts(alertMessage);
                        return false;
                    }
                    else {
                        return true;
                    }
                }

                // Function to Show or Hide the Add & Edit Icons based on the driver detail Selection
                function ShowHideCategoryIcons() {
                    var categoryId = "";
                    categoryId = ddlDriver.GetSelectedItem().text;

                    if (categoryId == "- Select -") {
                        $('#lnkAddDriver').show();
                        $('#lnkEditDriver').hide();
                    }
                    else if (categoryId != "") {
                        $('#lnkEditDriver').show();
                        $('#lnkAdd').hide();
                    }
                    else {
                        // Nothing
                    }
                }
                // Function to load the driver details Popup
                function LoadCategoryPopup() {
                    var isIE = CheckBrowser();
                    var pnlCategory = document.getElementById("pnlAddEditDrivers");
                    pnlCategory.style.display = "block";
                }

                // Function to close the driver details Popup
                function CloseCategoryPopup() {
                    var pnlCategory = document.getElementById("pnlAddEditDrivers");
                    var lnkadd = document.getElementById("lnkAddDriver");
                    pnlCategory.style.display = "none";
                    lnkadd.style.display = "block";
                }

                function ValidateDriverInfo() {
                    var txtDriverName = document.getElementById('txtDriverName');
                    var txtDisplayName = document.getElementById('txtDisplayName');
                    var txtMobileNo = document.getElementById('txtMobileNo');
                    var txtLicenseNo = document.getElementById('txtLicenseNo');
                    var txtLicenseValidity = document.getElementById('txtLicenseValidity');
                    var errorMessage = '';
                    var isError = false;
                    if (RemoveSpaces(txtDriverName).length == 0) {
                        isError = true;
                        errorMessage = 'Please enter a driver name.';
                        txtDriverName.focus();
                        txtDriverName.style.backgroundColor = 'lightyellow';
                    }
                    else {
                        txtDriverName.style.backgroundColor = 'white';
                    }
                    if (RemoveSpaces(txtDisplayName).length == 0) {
                        errorMessage = (isError ? errorMessage + '</br>' : '') + 'Please enter a display name.';
                        if (!isError) {
                            txtDisplayName.focus();
                            isError = true;
                        }
                        txtDisplayName.style.backgroundColor = 'lightyellow';
                    }
                    else {
                        txtDisplayName.style.backgroundColor = 'white';
                    }

                    if (RemoveSpaces(txtLicenseNo).length == 0) {
                        errorMessage = (isError ? errorMessage + '</br>' : '') + 'Please enter a driver license no.';
                        if (!isError) {
                            txtLicenseNo.focus();
                            isError = true;
                        }
                        txtLicenseNo.style.backgroundColor = 'lightyellow';
                    }
                    else {
                        txtLicenseNo.style.backgroundColor = 'white';
                    }
                    if (RemoveSpaces(txtLicenseValidity).length == 0) {
                        errorMessage = (isError ? errorMessage + '</br>' : '') + 'Please choose driver license expire date.';
                        if (!isError) {
                            txtLicenseValidity.focus();
                            isError = true;
                        }
                        txtLicenseValidity.style.backgroundColor = 'lightyellow';
                    }
                    else {
                        txtLicenseValidity.style.backgroundColor = 'white';
                    }
                    if (isError) {
                        TrinetraCustomAlerts(errorMessage);
                    }
                    else {
                        ShowPopUp();
                    }
                    return !isError;
                }

                function RemoveSpaces(fieldName) {
                    var s;
                    if (typeof (fieldName) == 'object') {
                        s = fieldName.value;
                    }
                    else {
                        s = fieldName;
                    }
                    s = s.replace(/(^\s*)|(\s*$)/gi, "");
                    s = s.replace(/[ ]{2,}/gi, " ");
                    s = s.replace(/\n /, "\n");
                    if (typeof (fieldName) == 'object') {
                        fieldName.value = s;
                    }
                    return s;
                }
            </script>
        </form>
    </div>
    <uc2:Footer ID="ucFooter" runat="server" />
</body>
</html>
