﻿<%@ page language="C#" autoeventwireup="true" inherits="Forms_DeviceMonitoring, App_Web_f1guidzd" %>

<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc1" %>
<%@ Register Src="~/UserControls/New_Header.ascx" TagName="Header" TagPrefix="uc1" %>
<%@ Register Src="~/UserControls/New_Footer.ascx" TagName="Footer" TagPrefix="uc2" %>

<%--<%@ Register Assembly="DevExpress.Web.ASPxGridView.v8.2" Namespace="DevExpress.Web.ASPxGridView"
    TagPrefix="dxgv" %>
<%@ Register Assembly="DevExpress.Web.ASPxGridView.v8.2.Export" Namespace="DevExpress.Web.ASPxGridView.Export"
    TagPrefix="exp" %>
<%@ Register Assembly="DevExpress.Web.v8.2" Namespace="DevExpress.Web.ASPxRoundPanel"
    TagPrefix="dxrp" %>
<%@ Register Assembly="DevExpress.Web.ASPxEditors.v8.2, Version=8.2.10.0, Culture=neutral, PublicKeyToken=9b171c9fd64da1d1"
    Namespace="DevExpress.Web.ASPxEditors" TagPrefix="dxe" %>
<%@ Register Assembly="DevExpress.Web.ASPxEditors.v8.2" Namespace="DevExpress.Web.ASPxEditors"
    TagPrefix="dxe" %>--%>

<%@ Register Assembly="DevExpress.Web.v14.2" Namespace="DevExpress.Web" TagPrefix="dxw" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title>tSense-IoT Device Monitoring</title>
    <meta http-equiv="Page-Enter" content="blendTrans(Duration=0)" />
    <meta http-equiv="Page-Exit" content="blendTrans(Duration=0)" />
    <meta http-equiv="X-UA-Compatible" content="IE=7" />
    <link id="reset" runat="server" href="../css/reset.css" rel="stylesheet" type="text/css" />
    <link id="stylesheet2" runat="server" href="../css/stylesheet2.css" rel="stylesheet" type="text/css" />
    <link id="dropdown" runat="server" href="../css/dropdown.css" rel="stylesheet" type="text/css" />
    <link rel="SHORTCUT ICON" href="../images/favicon.ico" />
    <%--Custom Theme for DevEx 14.2--%>
    <link id="GridView" runat="server" type="text/css" href="~/App_Themes/Office2003Blue/GridView/grid.css" rel="stylesheet" />
    <link id="Editors" runat="server" type="text/css" href="~/App_Themes/Office2003Blue/Editors/styles.css" rel="stylesheet" />
    <%--********* For Bootstrap Implementation *************--%>
    <link id="BootStrapCss" href="../css/bootstrap.css" runat="server" rel="stylesheet" type="text/css" />
    <link id="mainstyle" runat="server" href="../css/mainstyle.css" rel="stylesheet" type="text/css" />
    <%--********* End of Bootstrap Implementation *************--%>
    <script src="../js/wow.min.js"></script>
</head>
<body>
    <div id="container">
        <form id="form1" runat="server">
            <asp:ScriptManager ID="ScriptManager1" runat="server">
            </asp:ScriptManager>
            <!-- Header Starts Here -->
            <uc1:Header ID="ucHeader" runat="server" />
            <!-- Nav Ends Here -->
            <!-- Content Starts Here -->
            <div id="outer">
                <div id="inner">
                    <div id="float-wrap">
                        <!-- Main Content Starts Here -->
                        <div id="content">
                            <div class="content-wrap">
                                <div id="top-content">
                                    <div id="heading">
                                        <img class="icon" src="../images/configuration-icon.jpg" alt="" />
                                        <h1>
                                            <asp:Literal ID="lblConfigurationCaption" runat="server"></asp:Literal></h1>
                                        <%--<a href="Dashboard.aspx"><asp:Label ID="lblHomeCaption" runat="server" Text="Home"></asp:Label></a>--%>
                                        <asp:LinkButton ID="lnkHomeCaption" runat="server"></asp:LinkButton>
                                        <span>&gt;</span><span><a href="ConfigurationSetup.aspx">
                                            <asp:Label ID="lblDeviceCaption" runat="server" Text="Device"></asp:Label></a></span><span>&gt;</span><span><a
                                                href="DeviceMonitoring.aspx"><asp:Label ID="lblMonitoringCaption" runat="server"
                                                    Text="Monitoring"></asp:Label></a></span>
                                    </div>
                                    <div id="control-box" align="right">
                                        <asp:UpdatePanel ID="updControl" runat="server">
                                            <ContentTemplate>
                                                <table border="0" cellpadding="0" cellspacing="0" id="control-tbl" align="right">
                                                    <tr>
                                                        <td width="33%">
                                                            <div id="control-btn">
                                                                <span>&nbsp;</span>
                                                                <asp:LinkButton ID="btnBack" align="right" runat="server" PostBackUrl="~/Forms/ConfigurationSetup.aspx"
                                                                    class="btn">
                                                                    <span class="icon">
                                                                        <asp:Image runat="server" ImageUrl="../images/back-icon.gif" ID="imgBackToConfiguration" /></span>
                                                                    <asp:Label ID="lblBackToConfiguration" Text="Back to Configuration" runat="server"></asp:Label>
                                                                </asp:LinkButton>
                                                            </div>
                                                        </td>
                                                    </tr>
                                                </table>
                                            </ContentTemplate>
                                        </asp:UpdatePanel>
                                    </div>
                                    <div class="clear clearfix">
                                    </div>
                                </div>
                                <div class="clear clearfix">
                                </div>
                                <asp:UpdatePanel ID="UpdatePanel1" runat="server">
                                    <ContentTemplate>
                                        <asp:Panel ID="pnlVehicleSelection" runat="server" CssClass="ControlShow">
                                            <div class="form-box">
                                                <h1>
                                                    <span class="icon">
                                                        <asp:Image ID="imgDeviceMonitoring" ImageUrl="../images/icn-device-id.gif" runat="server" /></span>
                                                    <asp:Label ID="lblDeviceMonitoring" runat="server" Text="Device Monitoring"></asp:Label>
                                                </h1>
                                                <table width="40%" border="0" cellspacing="7" cellpadding="0" class="form-tbl">
                                                    <tr>
                                                        <td class="split"></td>
                                                        <td width="10%">
                                                            <asp:Label ID="lblOrganizationName" runat="server" Font-Bold="true" Text="Organization"></asp:Label>
                                                        </td>
                                                        <td width="10%">
                                                            <asp:DropDownList ID="ddlOrganizationName" runat="server" AutoPostBack="true" OnSelectedIndexChanged="ddlOrganizationName_SelectedIndexChanged">
                                                            </asp:DropDownList>
                                                        </td>
                                                        <%--</tr>
                                                <tr>
                                                    <td class="split">
                                                    </td>--%>
                                                        <td width="8%">
                                                            <asp:Label ID="lblVehicleName" runat="server" Font-Bold="true" Text="Vehicle"></asp:Label>
                                                        </td>
                                                        <td width="10%">
                                                            <asp:DropDownList ID="ddlVehicleName" runat="server" AutoPostBack="true" OnSelectedIndexChanged="ddlVehicleName_SelectedIndexChanged">
                                                            </asp:DropDownList>
                                                        </td>
                                                    </tr>
                                                </table>
                                            </div>
                                        </asp:Panel>
                                        <div class="clear clearfix">
                                        </div>
                                        <asp:Panel ID="pnlDeviceMonitoring" runat="server">
                                            <div id="grid-dsply">
                                                <div id="top">
                                                    <div class="left-col">
                                                        <span class="icon" style="padding-top: 5px">
                                                            <img src="../images/icn-device-id.gif" /></span><span class="txt">Device Statistics</span>
                                                    </div>
                                                    <div class="right-col" align="right">
                                                        <span class="dropdown">
                                                            <dxw:ASPxComboBox ID="ASPxCboExport" runat="server" ValueType="System.String" Width="80px" Height="20px"
                                                                ShowImageInEditBox="false" ItemImage-Height="12px" ClientInstanceName="ASPxCboExport" SelectedIndex="0"
                                                                CssFilePath="~/App_Themes/Office2003Blue/Editors/styles.css" CssPostfix="Office2003_Blue"
                                                                EnableTheming="true" Theme="Office2003Blue">
                                                                <Items>
                                                                    <dxw:ListEditItem ImageUrl="../images/icn-pdf.jpg" Text="pdf" Value="pdf" />
                                                                    <dxw:ListEditItem ImageUrl="../images/icn-excel.jpg" Text="xls" Value="xls" />
                                                                    <dxw:ListEditItem ImageUrl="../images/icn-excel-xlsx.png" Text="xlsx" Value="xlsx" />
                                                                    <dxw:ListEditItem ImageUrl="../images/icn-word.jpg" Text="rtf" Value="rtf" />
                                                                    <%--<dxw:ListEditItem ImageUrl="../images/icn-csv.gif" Text="csv" Value="csv" />--%>
                                                                </Items>
                                                            </dxw:ASPxComboBox>
                                                        </span><span class="txt">
                                                            <asp:ImageButton ID="btnExport" runat="server" ImageUrl="~/images/btn-export.jpg"
                                                                OnClick="btnExport_Click" /></span>
                                                    </div>
                                                </div>
                                                <dxw:ASPxGridView ID="gvVehicleDetails" runat="server" Width="100%" EnableTheming="true" Theme="Office2003Blue"
                                                    KeyFieldName="BoxId" CssPostfix="Office2003_Blue" CssFilePath="~/App_Themes/Office2003Blue/GridView/styles.css"
                                                    AutoGenerateColumns="false" Settings-ShowFilterRow="true" OnHtmlRowCreated="gvVehicleDetails_OnHtmlRowCreated">
                                                    <SettingsBehavior AllowFocusedRow="true" />
                                                    <Settings ShowVerticalScrollBar="true" VerticalScrollableHeight="290" />
                                                    <%--<Images ImageFolder="~/App_Themes/Office2003Blue/GridView/">
                                                    <CollapsedButton Height="12px" Url="~/App_Themes/Office2  003 Blue/GridView/gvCollapsedButton.png"
                                                        Width="11px" />
                                                    <ExpandedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvExpandedButton.png"
                                                        Width="11px" />
                                                    <DetailCollapsedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvCollapsedButton.png"
                                                        Width="11px" />
                                                    <DetailExpandedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvExpandedButton.png"
                                                        Width="11px" />
                                                </Images>--%>
                                                    <Styles AlternatingRow-Enabled="True" CssFilePath="~/App_Themes/Office2003Blue/GridView/grid.css"
                                                        CssPostfix="Office2003_Blue">
                                                        <Header ImageSpacing="5px" SortingImageSpacing="5px">
                                                        </Header>
                                                        <PagerBottomPanel CssClass="PageFooter">
                                                        </PagerBottomPanel>
                                                        <PagerTopPanel CssClass="PageFooter">
                                                        </PagerTopPanel>
                                                    </Styles>
                                                    <SettingsPager PrevPageButton-Image-Url="../App_Themes/Office2003Blue/GridView/pPrev.gif"
                                                        PrevPageButton-Image-UrlDisabled="../App_Themes/Office2003Blue/GridView/pPrevDisabled.gif"
                                                        NextPageButton-Image-UrlDisabled="../App_Themes/Office2003Blue/GridView/pNextDisabled.gif"
                                                        NextPageButton-Image-Url="../App_Themes/Office2003Blue/GridView/pNext.gif" AlwaysShowPager="true">
                                                    </SettingsPager>
                                                    <Columns>
                                                        <dxw:GridViewDataTextColumn Caption="VehicleName" Width="5%" FieldName="VehicleDescription"
                                                            CellStyle-Wrap="True">
                                                            <HeaderCaptionTemplate>
                                                                <span class="icon">
                                                                    <asp:Image runat="server" ID="imgVehicleName" ImageUrl="../images/vehiclenew-icon.gif"
                                                                        alt="" /></span> <span class="label">
                                                                            <asp:Label ID="lblVehicleName" runat="server" Text="Vehicle Name"></asp:Label>
                                                                        </span>
                                                            </HeaderCaptionTemplate>
                                                        </dxw:GridViewDataTextColumn>
                                                        <dxw:GridViewDataTextColumn Caption="BoxId" Width="5%" FieldName="BoxId">
                                                            <HeaderCaptionTemplate>
                                                                <span class="icon">
                                                                    <asp:Image runat="server" ID="imgBoxID" ImageUrl="../images/icn-device-id.gif" alt="" /></span>
                                                                <span class="label">
                                                                    <asp:Label ID="lblBoxID" runat="server" Text="Box ID"></asp:Label>
                                                                </span>
                                                            </HeaderCaptionTemplate>
                                                        </dxw:GridViewDataTextColumn>
                                                        <dxw:GridViewDataTextColumn Caption="ModeName" Width="6%" FieldName="CommModeName"
                                                            CellStyle-Wrap="True">
                                                            <HeaderCaptionTemplate>
                                                                <span class="icon">
                                                                    <asp:Image runat="server" ID="imgComModeName" ImageUrl="../images/icn-comm-modename.gif"
                                                                        alt="" /></span> <span class="label">
                                                                            <asp:Label ID="lblComModeName" runat="server" Text="Comm..Mode Name"></asp:Label>
                                                                        </span>
                                                            </HeaderCaptionTemplate>
                                                            <Settings AllowAutoFilter="false" />
                                                        </dxw:GridViewDataTextColumn>
                                                        <dxw:GridViewDataTextColumn Caption="FirmwareName" Width="7%" FieldName="FwName"
                                                            CellStyle-Wrap="True">
                                                            <HeaderCaptionTemplate>
                                                                <span class="icon" style="padding-top: 2px">
                                                                    <asp:Image ID="imgFirmwareName" runat="server" ImageUrl="../images/icn-firmware-name.gif" /></span>
                                                                <span class="label">
                                                                    <asp:Label ID="lblFirmwareName" runat="server" Text="Firmware Name"></asp:Label>
                                                                </span>
                                                            </HeaderCaptionTemplate>
                                                        </dxw:GridViewDataTextColumn>
                                                        <dxw:GridViewDataTextColumn Caption=" SystemInstalled" Width="6%" FieldName="SystemInstalled"
                                                            CellStyle-Wrap="True">
                                                            <HeaderCaptionTemplate>
                                                                <span class="icon">
                                                                    <asp:Image runat="server" ID="imgSystemInstalled" ImageUrl="../images/icn-system-name.gif" /></span>
                                                                <span class="label">
                                                                    <asp:Label ID="lblSystemInstalled" runat="server" Text="System Installed"></asp:Label>
                                                                </span>
                                                            </HeaderCaptionTemplate>
                                                            <Settings AllowAutoFilter="false" />
                                                        </dxw:GridViewDataTextColumn>
                                                        <dxw:GridViewDataTextColumn Caption="MessageIn" Width="5%" FieldName="MessageIn"
                                                            CellStyle-Wrap="True">
                                                            <HeaderCaptionTemplate>
                                                                <span class="icon">
                                                                    <asp:Image runat="server" ID="imgMessageIn" ImageUrl="../images/icn-msg-in.gif" /></span>
                                                                <span class="label">
                                                                    <asp:Label ID="lblMessageIn" runat="server" Text="Message In"></asp:Label>
                                                                </span>
                                                            </HeaderCaptionTemplate>
                                                            <Settings AllowAutoFilter="false" />
                                                        </dxw:GridViewDataTextColumn>
                                                        <dxw:GridViewDataTextColumn Caption="MessageOut" Width="5%" FieldName="MessageOut"
                                                            CellStyle-Wrap="True">
                                                            <HeaderCaptionTemplate>
                                                                <span class="icon">
                                                                    <asp:Image runat="server" ID="imgMessageOut" ImageUrl="../images/icn-msg-out.gif" /></span>
                                                                <span class="label">
                                                                    <asp:Label ID="lblMessageOut" runat="server" Text="Message Out"></asp:Label>
                                                                </span>
                                                            </HeaderCaptionTemplate>
                                                            <Settings AllowAutoFilter="false" />
                                                        </dxw:GridViewDataTextColumn>
                                                        <dxw:GridViewDataTextColumn Caption="AcknowledgedMsg" Width="7%" FieldName="AcknowledgedMsg"
                                                            CellStyle-Wrap="True">
                                                            <HeaderCaptionTemplate>
                                                                <span class="icon">
                                                                    <asp:Image runat="server" ID="imgAcknowledged" ImageUrl="../images/icn-accept.gif" /></span>
                                                                <span class="label">
                                                                    <asp:Label ID="lblAcknowledged" runat="server" Text="Acknowledged"></asp:Label>
                                                                </span>
                                                            </HeaderCaptionTemplate>
                                                            <Settings AllowAutoFilter="false" />
                                                        </dxw:GridViewDataTextColumn>
                                                        <dxw:GridViewDataTextColumn Caption="UnAcknowledgedMsg" Width="7%" FieldName="UnAcknowledgedMsg"
                                                            CellStyle-Wrap="True">
                                                            <HeaderCaptionTemplate>
                                                                <span class="icon">
                                                                    <asp:Image runat="server" ID="imgUnacknowledged" ImageUrl="../images/icn-close.gif"
                                                                        alt="" /></span> <span class="label">
                                                                            <asp:Label ID="lblUnacknowledged" runat="server" Text="Unacknowledged"></asp:Label>
                                                                        </span>
                                                            </HeaderCaptionTemplate>
                                                            <Settings AllowAutoFilter="false" />
                                                        </dxw:GridViewDataTextColumn>
                                                    </Columns>
                                                    <Settings ShowFilterRow="true" ShowFilterRowMenu="True" />
                                                    <SettingsText EmptyDataRow="No Device details found" />
                                                </dxw:ASPxGridView>
                                                <dxw:ASPxGridViewExporter ID="ASPxGridViewExporter1" runat="server" GridViewID="gvVehicleDetails"
                                                    ReportHeader="{\rtf1\ansi\ansicpg1252\deff0\deflang1033{\fonttbl{\f0\fnil\fcharset0 Arial;}}
\viewkind4\uc1\pard\qc\b\fs28 Alert Details    \fs24\par
\pard\par
\par
}
">
                                                    <PageFooter Right="[Page # of Pages #]">
                                                    </PageFooter>
                                                </dxw:ASPxGridViewExporter>
                                            </div>
                                        </asp:Panel>
                                    </ContentTemplate>
                                    <Triggers>
                                        <asp:PostBackTrigger ControlID="btnExport" />
                                    </Triggers>
                                </asp:UpdatePanel>
                            </div>
                        </div>
                        <!-- Main Content Ends Here -->
                        <div id="left">
                        </div>
                        <div class="clear clearfix">
                        </div>
                    </div>
                    <div id="right">
                    </div>
                    <div class="clear clearfix">
                    </div>
                </div>
            </div>
        </form>
        <!-- Content Ends Here -->
    </div>
    <uc2:Footer ID="Footer1" runat="server" />
</body>
</html>
