﻿<%@ page language="C#" autoeventwireup="true" inherits="Forms_DriverMaster, App_Web_tnfq0fem" %>

<%@ Register Src="~/UserControls/Notification_List.ascx" TagPrefix="uc3" TagName="NotificationsList" %>
<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc1" %>
<%@ Register Src="~/UserControls/New_Header.ascx" TagName="Header" TagPrefix="uc1" %>
<%@ Register Src="~/UserControls/New_Footer.ascx" TagName="Footer" TagPrefix="uc2" %>

<%--<%@ Register Assembly="DevExpress.Web.ASPxGridView.v8.2, Version=8.2.10.0, Culture=neutral, PublicKeyToken=9B171C9FD64DA1D1"
    Namespace="DevExpress.Web.ASPxGridView" TagPrefix="dxwgv" %>
<%@ Register Assembly="DevExpress.Web.ASPxEditors.v8.2, Version=8.2.10.0, Culture=neutral, PublicKeyToken=9B171C9FD64DA1D1"
    Namespace="DevExpress.Web.ASPxEditors" TagPrefix="dxe" %>
<%@ Register Assembly="DevExpress.Web.ASPxEditors.v8.2" Namespace="DevExpress.Web.ASPxEditors"
    TagPrefix="dxe" %>
<%@ Register Assembly="DevExpress.Web.ASPxGridView.v8.2.Export, Version=8.2.10.0, Culture=neutral, PublicKeyToken=9B171C9FD64DA1D1"
    Namespace="DevExpress.Web.ASPxGridView.Export" TagPrefix="exp" %>
<%@ Register Assembly="DevExpress.Web.ASPxEditors.v8.2, Version=8.2.10.0, Culture=neutral, PublicKeyToken=9B171C9FD64DA1D1"
    Namespace="DevExpress.Web.ASPxEditors" TagPrefix="dx" %>--%>

<%@ Register Assembly="DevExpress.Web.v14.2" Namespace="DevExpress.Web" TagPrefix="dxw" %>

<%--********* For Bootstrap Implementation *************--%>
<!DOCTYPE html>
<html lang="en">
<%--********* End of Bootstrap Implementation *************--%>
<head id="Head1" runat="server">
    <%--********* For Bootstrap Implementation *************--%>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <%--********* End of Bootstrap Implementation *************--%>
    <title>tSense-IoT Manage Driver</title>
    <link href="../css/CustomeAlert/demos.css" rel="stylesheet" type="text/css" />
    <link href="../css/CustomeAlert/themes/jquery.ui.all.css" rel="stylesheet" type="text/css" />
    <link id="reset" runat="server" href="../css/reset.css" rel="stylesheet" type="text/css" />
    <link id="stylesheet2" runat="server" href="../css/stylesheet2.css" rel="stylesheet"
        type="text/css" />
    <link id="dropdown" runat="server" href="../css/dropdown.css" rel="stylesheet" type="text/css" />
    <link rel="SHORTCUT ICON" href="../images/favicon.ico" />
    <link id="datepicker" runat="server" type="text/css" href="../css/ui.datepicker.css"
        rel="stylesheet" />
    <link id="uicore" runat="server" type="text/css" href="../css/ui.core.css" rel="stylesheet" />
    <link id="uitheme" runat="server" type="text/css" href="../css/ui.theme.css" rel="stylesheet" />
    <style type="text/css">
        </style>
    <%--Custom Theme for DevEx 14.2--%>
    <link id="GridView" runat="server" type="text/css" href="~/App_Themes/Office2003Blue/GridView/grid.css" rel="stylesheet" />
    <link id="Editors" runat="server" type="text/css" href="~/App_Themes/Office2003Blue/Editors/styles.css" rel="stylesheet" />

    <script src="../js/CustomAlert/jquery.min.js" type="text/javascript"></script>

    <script src="../js/CustomAlert/jquery-ui-1.10.3.custom.min.js" type="text/javascript"></script>

    <script src="../js/CustomAlert/jquery-ui-1.10.3.custom.js" type="text/javascript"></script>

    <script src="../js/CustomAlert/CustomAlert.js" type="text/javascript"></script>

    <script language="JavaScript1.2" type="text/javascript" src="../js/myformvalidations.js"></script>

    <script language="javascript" type="text/javascript" src="../js/DriverManagementScript.js"></script>

    <link id="ieonly" runat="server" href="" rel="stylesheet" type="text/css" />

    <%--<script type="text/javascript" src="../js/jquery-1.3.2.js"></script>--%>

    <script src="../js/jquery-1.5.1.min.js" type="text/javascript"></script>

    <script type="text/javascript" src="../js/ui.datepicker.js"></script>

    <script type="text/javascript" language="javascript" src="../js/JQQueryDatePicker.js"></script>
    <%--********* For Bootstrap Implementation *************--%>
    <link id="BootStrapCss" href="../css/bootstrap.css" runat="server" rel="stylesheet" type="text/css" />
    <link id="mainstyle" runat="server" href="../css/mainstyle.css" rel="stylesheet" type="text/css" />
    <%--********* End of Bootstrap Implementation *************--%>

    <script type="text/javascript">
        function GenerateClearButton(sender, e) {
            $("#calDOJ1_container").hide();
            $("#calInsurance1_container").hide();
            $("#ceValidity1_container").hide();
            $("#ceDOB1_container").hide();
            $('#ajax__calendar_clear_button').remove();
            if ($('#ajax__calendar_clear_button').length == 0) {
                $(sender._today).parent();
                $(sender._today).parent().after("<div id='ajax__calendar_clear_button' style='text-align:right'><span id='clear' style='cursor:pointer'>Clear</span></div>");
                $('#clear').bind("click", sender, function (e) {
                    sender._textbox.set_Value('');
                });
            }
        }
    </script>
    <style type="text/css">
        #pnlDriverInfo table td {
            padding: 3px 5px;
        }
    </style>
    <script src="../js/wow.min.js"></script>
</head>
<body>
    <div class="pageContainer">
        <form id="form1" runat="server">
            <asp:ScriptManager ID="ScriptManager1" runat="server">
            </asp:ScriptManager>
            <asp:UpdatePanel runat="server" ID="updDriverDetails">
                <ContentTemplate>
                    <!-- Header Starts Here -->
                    <uc1:Header ID="ucHeader" runat="server" />
                    <!-- Nav Ends Here -->
                    <!-- Content Starts Here -->
                    <div id="outer">
                        <div id="inner">
                            <div id="float-wrap">
                                <!-- Main Content Starts Here -->
                                <div id="content">
                                    <div class="content-wrap">
                                        <div id="top-content" class="head-part">
                                            <div id="heading" class="col-sm-4 col-md-3 col-lg-3">
                                                <img class="icon" src="../images/configuration-icon.jpg" alt="" />
                                                <h1>
                                                    <asp:Literal ID="lblConfigurationSetupCaption" Text="Configuration" runat="server"></asp:Literal>
                                                </h1>
                                                <asp:LinkButton ID="lnkHomeCaption" runat="server"></asp:LinkButton><span>&gt;</span><span><a
                                                    href="DriverMaster.aspx"><asp:Label ID="lblManageDriver" Text="Manage Driver" runat="server"></asp:Label></a></span>
                                            </div>

                                            <div class="col-sm-8 col-md-9 col-lg-9 head-part-btns">
                                                <div class="pull-right">
                                                    <asp:ImageButton ID="lbtnAddDriver1" runat="server" ImageUrl="~/images/btn-add-drivers.jpg"
                                                        OnClick="lbtnAddDriver_Click" Visible="false" />
                                                    <asp:LinkButton ID="lbtnAddDriver" runat="server" CssClass="MultilingualBtn" OnClick="lbtnAddDriver_Click">
                                                        <span runat="server" class="MultilingualBtnspan">
                                                            <div class="AddGeozone">
                                                                <div id="AddDriverDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                    Add Drivers
                                                                </div>
                                                            </div>
                                                        </span>
                                                    </asp:LinkButton>
                                                    &nbsp;
                                                                        <asp:ImageButton ID="ibtnDriverAssignment1" runat="server" PostBackUrl="~/Forms/NewDriverAssignmentDevx.aspx"
                                                                            ImageUrl="~/images/btn-schedule-driver.png" Visible="false" />
                                                    <asp:LinkButton ID="ibtnDriverAssignment" runat="server" CssClass="MultilingualBtn"
                                                        PostBackUrl="~/Forms/NewDriverAssignmentDevx.aspx">
                                                        <span runat="server" class="MultilingualBtnspan">
                                                            <div class="DriverSchedule">
                                                                <div id="ScheduleDriverDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                    Schedule Driver
                                                                </div>
                                                            </div>
                                                        </span>
                                                    </asp:LinkButton>
                                                    &nbsp;
                                                                        <asp:ImageButton ID="ibtnViewDriver1" runat="server" PostBackUrl="~/Forms/DriverListing.aspx"
                                                                            ImageUrl="~/images/btn-driver-scheduling.png" Visible="false" />
                                                    <asp:LinkButton ID="ibtnViewDriver" runat="server" CssClass="MultilingualBtn" PostBackUrl="~/Forms/DriverListing.aspx">
                                                        <span runat="server" class="MultilingualBtnspan">
                                                            <div class="DriverSchedule">
                                                                <div id="DriverScheduleDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                    Driver Schedule
                                                                </div>
                                                            </div>
                                                        </span>
                                                    </asp:LinkButton>
                                                    &nbsp;
                                                                        <asp:ImageButton ID="ibtnViewVehicles1" runat="server" PostBackUrl="~/Forms/VehicleListing.aspx"
                                                                            ImageUrl="~/images/btn-vehicle-schedule.png" Visible="false" />
                                                    <asp:LinkButton ID="ibtnViewVehicles" runat="server" CssClass="MultilingualBtn" PostBackUrl="~/Forms/VehicleListing.aspx">
                                                        <span runat="server" class="MultilingualBtnspan">
                                                            <div class="VehicleSchedule">
                                                                <div id="VehicleScheduleDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                    Vehicle Schedule
                                                                </div>
                                                            </div>
                                                        </span>
                                                    </asp:LinkButton>
                                                    &nbsp;
                                                                        <asp:ImageButton ID="ibtnBackToConfig1" runat="server" CausesValidation="false" ImageUrl="~/images/btn-back-to-configuration.jpg"
                                                                            PostBackUrl="~/Forms/ConfigurationSetup.aspx" Visible="false" />
                                                    <asp:LinkButton ID="ibtnBackToConfig" runat="server" CssClass="MultilingualBtn" NavigateUrl="~/Forms/ConfigurationSetup.aspx">
                                                        <span runat="server" class="MultilingualBtnspan">
                                                            <div class="Back">
                                                                <div id="BacktoConfigurationDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                    Back to Configuration
                                                                </div>
                                                            </div>
                                                        </span>
                                                    </asp:LinkButton>&nbsp;
                                                </div>
                                            </div>

                                            <div class="clear clearfix">
                                            </div>
                                            <div class="row-Geozone">
                                            </div>
                                        </div>
                                        <div class="clear clearfix">
                                        </div>
                                        <asp:Panel ID="pnlDriverInfo" runat="server" Visible="false">
                                            <div class="form-box">
                                                <h1>
                                                    <span class="icon">
                                                        <img src="../images/icn-driver-information.gif" alt="" /></span>
                                                    <asp:Label ID="lblCapDrvInformation" Text="Driver Information" runat="server"></asp:Label>
                                                </h1>
                                                <div class="form-tbl col-sm-12 nullpadding">
                                                    <div class="col-sm-12 col-md-10 col-lg-8 nullpadding form-horizontal">
                                                        <div class="col-sm-12 form-group icon-label">
                                                            <div class="col-sm-2 icon-img">
                                                                <asp:Label ID="lblDriverName" runat="server" Text="Driver Name" CssClass="label"></asp:Label>
                                                                <asp:Label ID="Label2" runat="server" ForeColor="Red">*</asp:Label>
                                                            </div>
                                                            <div class="col-sm-4">
                                                                <asp:TextBox ID="txtDriverName" MaxLength="50" CssClass="form-control form-controllinebreak" onpaste="return false;" ondrop="return false;"
                                                                    onkeypress="return chkCharacter_only(event);" TabIndex="1" runat="server"></asp:TextBox>
                                                            </div>
                                                            <div class="col-sm-2 icon-img">
                                                                <asp:Label ID="lblDisplayName" runat="server" Text="Display Name" CssClass="label"></asp:Label>
                                                                <asp:Label ID="Label14" runat="server" ForeColor="Red">*</asp:Label>
                                                            </div>
                                                            <div class="col-sm-4">
                                                                <asp:TextBox ID="txtDisplayName" MaxLength="20" CssClass="form-control form-controllinebreak" onkeypress="return chkAlphaNumericWithSpace(event,this,19);"
                                                                    TabIndex="2" runat="server" onpaste="return false;" ondrop="return false;"></asp:TextBox>
                                                            </div>
                                                        </div>

                                                        <div id="trDisplayName_Ar" runat="server">
                                                            <div class="col-sm-12 form-group">
                                                                <div class="col-sm-2 icon-img">
                                                                    <asp:Label ID="lblDisplayname_Ar" runat="server" Text="Driver Name(Arabic)" CssClass="label"></asp:Label>
                                                                </div>
                                                                <div class="col-sm-4">
                                                                    <asp:TextBox ID="txtDisplayNameAr" MaxLength="20" CssClass="form-control form-controllinebreak" onkeypress="return chkAlphaNumericWithSpace(event,this,19);"
                                                                        TabIndex="3" runat="server" onpaste="return false;" ondrop="return false;" Style="direction: rtl"></asp:TextBox>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="col-sm-12 form-group">
                                                            <div class="col-sm-2 icon-img">
                                                                <asp:Label ID="lblGender" runat="server" Text="Gender" CssClass="label"></asp:Label>
                                                            </div>
                                                            <div class="col-sm-4">
                                                                <div class="col-sm-3 col-xs-3">
                                                                    <asp:RadioButton ID="rbtMale" CssClass="radio" runat="server" Text="Male" GroupName="Sex" TabIndex="4" />
                                                                </div>
                                                                <div class="col-sm-3">
                                                                    <asp:RadioButton ID="rbtFemale" CssClass="radio" runat="server" Text="Female" GroupName="Sex" TabIndex="5" />
                                                                </div>
                                                            </div>
                                                            <div class="col-sm-2 icon-img">
                                                                <asp:Label ID="lblDOB" runat="server" Text="Date of Birth" CssClass="label"></asp:Label>
                                                            </div>
                                                            <div class="col-sm-2">
                                                                <asp:TextBox ID="txtDOB" runat="server" oncopy="return false" oncut="return false"
                                                                    onkeydown="doCheckBackSpaceOrDelete()" onkeypress="return false" onpaste="return false"
                                                                    Width="" CssClass="form-control" ToolTip="dd-MMM-yyyy" TabIndex="6"></asp:TextBox>
                                                            </div>
                                                        </div>
                                                        <div class="col-sm-12 form-group">
                                                            <div class="col-sm-2 icon-img">
                                                                <asp:Label ID="lblTempAddress" runat="server" Text="Address" CssClass="label"></asp:Label>
                                                            </div>
                                                            <div class="col-sm-4">
                                                                <asp:TextBox ID="txtTempAddress" MaxLength="200" CssClass="form-control form-controllinebreak" runat="server" TextMode="MultiLine"
                                                                    onkeypress="return chkDescription(event,this,199);" onblur="disallowScriptTags(this);"
                                                                    TabIndex="7"></asp:TextBox>
                                                            </div>
                                                            <div class="col-sm-2 icon-img">
                                                                <asp:Label ID="lblMobileNo" runat="server" Text="Mobile No" CssClass="label"></asp:Label>
                                                                <asp:Label ID="Label4" runat="server" ForeColor="Red" Visible="false">*</asp:Label>
                                                            </div>
                                                            <div class="col-sm-4">
                                                                <asp:TextBox ID="txtMobileNo" MaxLength="12" runat="server" CssClass="form-control form-controllinebreak" onkeypress="return chkNumeric_only(event);"
                                                                    TabIndex="8" ondrop="return false;"></asp:TextBox>
                                                                &nbsp;
                                                            For e.g 91xxxxxxxxxx
                                                            </div>
                                                        </div>

                                                        <div class="col-sm-12 form-group">
                                                            <div class="col-sm-2 icon-img">
                                                                <asp:Label ID="lblLicense" runat="server" CssClass="label" Text="License Number"></asp:Label>
                                                                <asp:Label ID="Label3" runat="server" ForeColor="Red" Visible="true">*</asp:Label>
                                                            </div>
                                                            <div class="col-sm-4">
                                                                <asp:TextBox ID="txtLicenseNo" runat="server" CssClass="form-control form-controllinebreak" MaxLength="30" ondrop="return false"
                                                                    onkeypress="return chkAlphaNumericWithSpace(event,this,29);" onpaste="return false"
                                                                    TabIndex="11"></asp:TextBox>
                                                            </div>
                                                            <div class="col-sm-2 icon-img">
                                                                <asp:Label ID="lblLicenseType" runat="server" CssClass="label" Text="License Type"></asp:Label>
                                                            </div>
                                                            <div class="col-sm-4">
                                                                <asp:TextBox ID="txtLicenseType" runat="server" CssClass="form-control form-controllinebreak" MaxLength="30" ondrop="return false"
                                                                    onkeypress="return chkAlphaNumericWithSpace(event,this,29);" onpaste="return false"
                                                                    TabIndex="12"></asp:TextBox>
                                                            </div>
                                                        </div>

                                                        <div class="col-sm-12 form-group">
                                                            <div class="col-sm-2 icon-img">
                                                                <asp:Label ID="lblLicenseIssued" runat="server" CssClass="label" Text="License Issued On"></asp:Label>
                                                            </div>
                                                            <div class="col-sm-2">
                                                                <asp:TextBox ID="txtLicenseIssued" runat="server" oncopy="return false" oncut="return false"
                                                                    onkeydown="doCheckBackSpaceOrDelete()" onkeypress="return false" onpaste="return false"
                                                                    Width="" CssClass="form-control" ToolTip="dd-MMM-yyyy" TabIndex="13"></asp:TextBox>
                                                            </div>
                                                            <div class="col-sm-2"></div>
                                                            <div class="col-sm-2 icon-img">
                                                                <asp:Label ID="lblLicenseExpires" runat="server" CssClass="label" Text="License Expires On"></asp:Label>
                                                                <asp:Label ID="Label8" runat="server" ForeColor="Red" Visible="true">*</asp:Label>
                                                            </div>
                                                            <div class="col-sm-2">
                                                                <asp:TextBox ID="txtLicenseValidity" runat="server" oncopy="return false" oncut="return false"
                                                                    onkeydown="doCheckBackSpaceOrDelete()" onkeypress="return false" onpaste="return false"
                                                                    Width="" CssClass="form-control" ToolTip="dd-MMM-yyyy" TabIndex="14"></asp:TextBox>
                                                            </div>

                                                        </div>

                                                        <div class="col-sm-12 form-group">
                                                            <div class="col-sm-2 icon-img">
                                                                <asp:Label ID="lblDOJ" runat="server" CssClass="label" Text="Date Of Joining"></asp:Label>
                                                                <asp:Label ID="Label7" runat="server" ForeColor="Red" Visible="true">*</asp:Label>
                                                            </div>
                                                            <div class="col-sm-2">
                                                                <asp:HiddenField runat="server" ID="hdnDateFormat" Value="dd-MMM-yyyy" />
                                                                <asp:TextBox ID="txtDateOfJoining" runat="server" oncopy="return false" oncut="return false"
                                                                    onkeydown="doCheckBackSpaceOrDelete()" onkeypress="return false" onpaste="return false"
                                                                    Width="" CssClass="form-control" ToolTip="dd-MMM-yyyy" TabIndex="9"></asp:TextBox>
                                                            </div>


                                                            <div class="col-sm-2"></div>


                                                            <div class="col-sm-2 icon-img">
                                                                <asp:Label ID="lblExperience" runat="server" CssClass="" Text="Total Years Of Experience"></asp:Label>
                                                            </div>
                                                            <div class="col-sm-4">
                                                                <asp:TextBox ID="txtExperience" runat="server" CssClass="form-control form-controllinebreak" MaxLength="2" onkeypress="return chkNumeric_only(event);"
                                                                    TabIndex="10"></asp:TextBox>
                                                            </div>
                                                        </div>

                                                        <div class="col-sm-12 form-group">
                                                            <div class="col-sm-2 icon-img">
                                                                <asp:Label ID="lblIbuttonName" runat="server" Text="Driver Key"></asp:Label>
                                                            </div>
                                                            <div class="col-sm-4">
                                                                <asp:DropDownList ID="ddlDriverKey" CssClass="form-control form-controllinebreak" runat="server" TabIndex="15">
                                                                </asp:DropDownList>
                                                            </div>
                                                            <div class="col-sm-2 icon-img">
                                                                <asp:Label ID="lblGroup" runat="server" Text="Driver Group Name"></asp:Label>
                                                            </div>
                                                            <div class="col-sm-4">
                                                                <asp:DropDownList ID="ddlDriverGroup" CssClass="form-control form-controllinebreak" runat="server" TabIndex="16">
                                                                </asp:DropDownList>
                                                            </div>
                                                        </div>

                                                        <div class="col-sm-12 form-group">
                                                            <div class="col-sm-2 icon-img">
                                                                <asp:Label ID="lblActive" runat="server" CssClass="label" Text="Status"></asp:Label>
                                                            </div>
                                                            <div class="col-sm-4 checkbox nullPaddingTop">
                                                                <asp:CheckBox ID="chkActive" CssClass="checkbox-inline icon-label nullPaddingTop" runat="server" TabIndex="17" Text="Active" />
                                                            </div>
                                                            <div class="col-sm-2 icon-img">
                                                                <asp:Label ID="lblPhoto" runat="server" CssClass="label" Text="Photo"></asp:Label>
                                                            </div>
                                                            <div class="col-sm-4">
                                                                <asp:FileUpload ID="fpDriver" runat="server" onchange="LoadImage(this.id);" TabIndex="18" select="img" />
                                                                &nbsp;
                                                               (.jpg/.jpeg -30kb max.)
                                                            </div>


                                                            <img id="idriverPhoto" runat="server" src="~/images/Org_1/DriverPhotos/Drvr1.jpeg" />
                                                        </div>


                                                        <div id="trIbuttonFileds" runat="server" visible="false">
                                                            <td></td>
                                                            <td>&nbsp;
                                                            </td>
                                                            <td>&nbsp;
                                                            </td>
                                                            <td></td>
                                                            <td colspan="2"></td>
                                                        </div>
                                                        <div class="col-sm-12 form-group">
                                                            <div class="col-sm-2 icon-img">
                                                                <asp:Label ID="lblInsuranceExpiryDate" runat="server" Text="Insurance Expiry Date"></asp:Label>
                                                            </div>
                                                            <div class="col-sm-4">
                                                                <asp:TextBox ID="txtInsuranceExpiryDate" runat="server" onkeypress="return false" onpaste="return false"
                                                                    CssClass="form-control form-controllinebreak" TabIndex="12"></asp:TextBox>
                                                            </div>
                                                            <div class="col-sm-2 icon-img">
                                                                <asp:Label ID="lblInsuranceDate" runat="server" Text="Insurance Renewed On"></asp:Label>
                                                            </div>
                                                            <div class="col-sm-4">
                                                                <asp:TextBox ID="txtInsuranceRenewDate" runat="server" onkeypress="return false" onpaste="return false"
                                                                    CssClass="form-control" TabIndex="12"></asp:TextBox>
                                                            </div>
                                                        </div>
                                                        <div class="col-sm-12 form-group" style="display: none;">
                                                            <div class="col-sm-2 icon-img">
                                                                <asp:Label ID="lblNationalPermit" runat="server" Text="National Permit ID"></asp:Label>
                                                            </div>
                                                            <div class="col-sm-4 icon-img">
                                                                <asp:TextBox ID="txtNationalPermit" MaxLength="8" runat="server" CssClass="form-control" onkeypress="return chkNumeric_only(event);"
                                                                    TabIndex="8" ondrop="return false;"></asp:TextBox>
                                                            </div>
                                                            <div class="col-sm-6"></div>
                                                        </div>
                                                        <div class="col-sm-12 form-group">
                                                            <div class="col-sm-2">
                                                                <asp:Label ID="Label1" runat="server" ForeColor="Red">*</asp:Label>&nbsp;
                                                        <asp:Label ID="lblIndicatesMandatory" runat="server">Required Fields</asp:Label>
                                                            </div>
                                                            <div class="col-sm-3"></div>
                                                            <div class="col-sm-6">
                                                                <asp:ImageButton ID="btnAddNotifictions1" runat="server" CssClass="btn" OnClick="btnAddNotifictions_Click"
                                                                    OnClientClick="ShowPopUp();" TabIndex="19" ImageUrl="~/images/btn-manage-notification.jpg"
                                                                    Visible="false" />
                                                                <asp:LinkButton ID="btnAddNotifictions" runat="server" CssClass="MultilingualBtn"
                                                                    OnClientClick="ShowPopUp();" OnClick="btnAddNotifictions_Click">
                                                                    <span runat="server" class="MultilingualBtnspan">
                                                                        <div class="ManageNotification">
                                                                            <div id="AddNotifictionsButDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                                Manage Notifications
                                                                            </div>
                                                                        </div>
                                                                    </span>
                                                                </asp:LinkButton>
                                                            </div>
                                                        </div>
                                                        <div class="col-sm-12 form-group">
                                                            <div class="col-sm-5"></div>
                                                            <div class="col-sm-6">
                                                                <asp:ImageButton ID="ibtnUpdateDriver1" runat="server" OnClientClick="return ValidateDriverInfo();"
                                                                    ImageUrl="~/images/btn-update.jpg" OnClick="ibtnUpdateDriver_Click" TabIndex="17"
                                                                    Visible="false" />
                                                                <asp:LinkButton ID="ibtnUpdateDriver" runat="server" CssClass="MultilingualBtn" OnClientClick="return ValidateDriverInfo();"
                                                                    OnClick="ibtnUpdateDriver_Click" TabIndex="20">
                                                                    <span runat="server" class="MultilingualBtnspan">
                                                                        <div class="Update">
                                                                            <div id="UpdateButDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                                Update
                                                                            </div>
                                                                        </div>
                                                                    </span>
                                                                </asp:LinkButton>
                                                                <asp:ImageButton ID="ibtnAddDriver1" runat="server" OnClientClick="return ValidateDriverInfo();"
                                                                    ImageUrl="~/images/btn-save.jpg" OnClick="ibtnAddDriver_Click" TabIndex="18"
                                                                    Visible="false" />
                                                                <asp:LinkButton ID="ibtnAddDriver" runat="server" CssClass="MultilingualBtn" OnClientClick="return ValidateDriverInfo();"
                                                                    OnClick="ibtnAddDriver_Click" TabIndex="21">
                                                                    <span runat="server" class="MultilingualBtnspan">
                                                                        <div class="Save">
                                                                            <div id="SaveButDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                                Save
                                                                            </div>
                                                                        </div>
                                                                    </span>
                                                                </asp:LinkButton>

                                                                <asp:ImageButton ID="btnDriverCancel1" runat="server" TabIndex="22" ImageUrl="~/images/btn-cancel.jpg"
                                                                    OnClick="btnDriverCancel_Click" Visible="false" />
                                                                &nbsp;
                                                                    <asp:LinkButton ID="btnDriverCancel" runat="server" CssClass="MultilingualBtn" TabIndex="19"
                                                                        OnClick="btnDriverCancel_Click">
                                                                        <span id="Span4" runat="server" class="MultilingualBtnspan">
                                                                            <div class="Cancel">
                                                                                <div id="CancelButDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                                    Cancel
                                                                                </div>
                                                                            </div>
                                                                        </span>
                                                                    </asp:LinkButton>
                                                            </div>

                                                        </div>

                                                    </div>
                                                </div>
                                                <div class="clear clearfix">
                                                </div>
                                            </div>
                                        </asp:Panel>
                                    </div>
                                    <div class="clear clearfix">
                                    </div>
                                    <asp:Panel ID="pnlDriverDetailsList" runat="server">
                                        <div class="form-box">
                                        </div>
                                        <div id="grid-dsply">
                                            <div id="top">
                                                <div class="col-xs-12 gridheader">
                                                    <div class="col-sm-3 padding-width-md-left">

                                                        <span class="icon">
                                                            <img src="../images/icn-driver-information.gif" alt="" /></span> <span class="txt">
                                                                <asp:Label ID="lblCapDrvDetails" runat="server" Text="Driver Details"></asp:Label></span>
                                                    </div>
                                                    <div class="col-sm-9 nullpadding">
                                                        <div class="pull-right">
                                                            <span class="txt">
                                                                <asp:ImageButton ID="ibtnBulkUpdate1" runat="server" ImageUrl="~/images/import.jpg"
                                                                    Visible="false" />
                                                                <asp:LinkButton ID="ibtnBulkUpdate" runat="server" CssClass="MultilingualBtn">
                                                                    <span runat="server" class="MultilingualBtnspan">
                                                                        <div class="Import">
                                                                            <div id="ImportDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                                Import
                                                                            </div>
                                                                        </div>
                                                                    </span>
                                                                </asp:LinkButton>
                                                            </span>&nbsp; </span><span class="dropdown">
                                                                <dxw:ASPxComboBox ID="ASPxCboExport" runat="server" ValueType="System.String" Width="80px" Height="20px"
                                                                    ShowImageInEditBox="false" ItemImage-Height="12px" ClientInstanceName="ASPxCboExport" SelectedIndex="0"
                                                                    CssFilePath="~/App_Themes/Office2003Blue/Editors/styles.css" CssPostfix="Office2003_Blue"
                                                                    EnableTheming="true" Theme="Office2003Blue" Style="display: none">
                                                                    <Items>
                                                                        <dxw:ListEditItem ImageUrl="../images/icn-pdf.jpg" Text="pdf" Value="pdf" />
                                                                        <dxw:ListEditItem ImageUrl="../images/icn-excel.jpg" Text="xls" Value="xls" />
                                                                        <dxw:ListEditItem ImageUrl="../images/icn-excel-xlsx.png" Text="xlsx" Value="xlsx" />
                                                                        <dxw:ListEditItem ImageUrl="../images/icn-word.jpg" Text="rtf" Value="rtf" />
                                                                        <%--<dxw:ListEditItem ImageUrl="../images/icn-csv.gif" Text="csv" Value="csv" />--%>
                                                                    </Items>
                                                                </dxw:ASPxComboBox>
                                                            </span>&nbsp;<span class="txt">
                                                                <asp:ImageButton ID="ibtnExport1" runat="server" ImageUrl="~/images/btn-export.jpg"
                                                                    OnClick="ibtnExport_Click" Visible="false" />
                                                                <asp:LinkButton ID="ibtnExport" runat="server" CssClass="MultilingualBtn" OnClick="ibtnExport_Click">
                                                                    <span runat="server" class="MultilingualBtnspan">
                                                                        <div class="Export">
                                                                            <div id="ExportButDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                                Export
                                                                            </div>
                                                                        </div>
                                                                    </span>
                                                                </asp:LinkButton>
                                                            </span>
                                                        </div>
                                                    </div>

                                                </div>
                                            </div>
                                            <div class="clear clearfix">
                                            </div>
                                            <div class="table-responsive">
                                                <dxw:ASPxGridView ID="gvdrivers" ClientInstanceName="gvdrivers" runat="server"
                                                    Width="100%" KeyFieldName="DriverId" Settings-ShowFilterRow="true"
                                                    CssFilePath="~/App_Themes/Office2003Blue/GridView/styles.css" CssPostfix="Office2003_Blue"
                                                    EnableTheming="true" Theme="Office2003Blue" OnHtmlRowCreated="gvdrivers_OnHtmlRowCreated">
                                                    <ClientSideEvents SelectionChanged="function(s, e) { OnGridSelectionChanged(1); }" />
                                                    <Settings ShowVerticalScrollBar="true" VerticalScrollableHeight="250" />
                                                    <SettingsBehavior ProcessSelectionChangedOnServer="false" />
                                                    <%--<Images ImageFolder="~/App_Themes/Office2003Blue/GridView/">
                                                <CollapsedButton Height="12px" Url="~/App_Themes/Office2  003 Blue/GridView/gvCollapsedButton.png"
                                                    Width="11px" />
                                                <ExpandedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvExpandedButton.png"
                                                    Width="11px" />
                                                <DetailCollapsedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvCollapsedButton.png"
                                                    Width="11px" />
                                                <DetailExpandedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvExpandedButton.png"
                                                    Width="11px" />
                                            </Images>--%>
                                                    <Styles CssFilePath="~/App_Themes/Office2003Blue/GridView/grid.css" AlternatingRow-Enabled="True"
                                                        CssPostfix="Office2003_Blue">
                                                        <Header ImageSpacing="5px" SortingImageSpacing="5px">
                                                        </Header>
                                                        <LoadingPanel ImageSpacing="10px">
                                                        </LoadingPanel>
                                                        <PagerBottomPanel CssClass="PageFooter">
                                                        </PagerBottomPanel>
                                                        <PagerTopPanel CssClass="PageFooter">
                                                        </PagerTopPanel>
                                                    </Styles>
                                                    <SettingsPager PrevPageButton-Image-Url="../App_Themes/Office2003Blue/GridView/pPrev.gif"
                                                        PrevPageButton-Image-UrlDisabled="../App_Themes/Office2003Blue/GridView/pPrevDisabled.gif"
                                                        NextPageButton-Image-UrlDisabled="../App_Themes/Office2003Blue/GridView/pNextDisabled.gif"
                                                        NextPageButton-Image-Url="../App_Themes/Office2003Blue/GridView/pNext.gif" AlwaysShowPager="true">
                                                    </SettingsPager>
                                                    <Columns>
                                                        <dxw:GridViewDataColumn Caption="DriverName" FieldName="DisplayName" Width="15%">
                                                            <HeaderCaptionTemplate>
                                                                <span>
                                                                    <img src="../images/icn-driver-name.gif" alt="" align="top" />&nbsp;
                                                            <asp:Label ID="lbl" runat="server" Text="Driver Name"></asp:Label></span>
                                                            </HeaderCaptionTemplate>
                                                            <DataItemTemplate>
                                                                <%--<asp:Label ID="lblDriName" runat="server" Text='<%# Eval("DisplayName") %>' ForeColor='<%#Convert.ToString((Eval("LicenseExpiresOnSort"))) == "" ? System.Drawing.Color.Black : DateTime.ParseExact(Convert.ToString((Eval("LicenseExpiresOnSort"))), "dd/MM/yyyy", System.Globalization.CultureInfo.InvariantCulture) < DateTime.Now.Date ? System.Drawing.Color.Red : System.Drawing.Color.Black%>'></asp:Label>--%>
                                                                <asp:Label ID="lblDriName" runat="server" Text='<%# Eval("DisplayName") %>' ForeColor='<%#(Convert.ToString((Eval("DojChecking"))) == "1" ? System.Drawing.Color.Blue: Convert.ToString((Eval("LicenseExpiresOnSort"))) == "" ? System.Drawing.Color.Black : DateTime.ParseExact(Convert.ToString((Eval("LicenseExpiresOnSort"))), "dd/MM/yyyy", System.Globalization.CultureInfo.InvariantCulture) < DateTime.Now.Date ? System.Drawing.Color.Red : System.Drawing.Color.Black) %>'></asp:Label>
                                                            </DataItemTemplate>
                                                        </dxw:GridViewDataColumn>
                                                        <%--<dxw:GridViewDataColumn Caption="Address" FieldName="MailingAddress" Width="10%">
                                                        <HeaderCaptionTemplate>
                                                            <span>
                                                                <img src="../images/icn-address.gif" alt="" align="middle" />&nbsp;
                                                            <asp:Label ID="lblAddress" runat="server" Font-Bold="false" Text="Address"></asp:Label>
                                                            </span>
                                                        </HeaderCaptionTemplate>
                                                    </dxw:GridViewDataColumn>--%>
                                                        <dxw:GridViewDataColumn Caption="Date of Birth" FieldName="DateOfBirth" Width="10%">
                                                            <HeaderCaptionTemplate>
                                                                <span>
                                                                    <img src="../images/icn-calendar.gif" alt="" align="middle" />&nbsp;
                                                            <asp:Label ID="lblDateOfBirth" runat="server" Font-Bold="false" Text="Date of Birth"></asp:Label>
                                                                </span>
                                                            </HeaderCaptionTemplate>
                                                        </dxw:GridViewDataColumn>
                                                        <dxw:GridViewDataColumn Caption="Mobile No" FieldName="MobileNo" Width="10%">
                                                            <HeaderCaptionTemplate>
                                                                <span>
                                                                    <img src="../images/icn-contact-number.gif" alt="" align="middle" />&nbsp;
                                                            <asp:Label ID="lblMobileNo" runat="server" Font-Bold="false" Text="Mobile No"></asp:Label>
                                                                </span>
                                                            </HeaderCaptionTemplate>
                                                        </dxw:GridViewDataColumn>
                                                        <dxw:GridViewDataColumn Caption="LicenseNo" FieldName="LicenseNo" Width="10%">
                                                            <HeaderCaptionTemplate>
                                                                <span>
                                                                    <img src="../images/icn-license-number.gif" alt="" align="top" />&nbsp;
                                                            <asp:Label ID="lblLicenseNo" runat="server" Font-Bold="false" Text="License  No"></asp:Label>
                                                                </span>
                                                            </HeaderCaptionTemplate>
                                                        </dxw:GridViewDataColumn>
                                                        <dxw:GridViewDataColumn Caption="LicenseType" FieldName="LicenseType" Width="10%">
                                                            <HeaderCaptionTemplate>
                                                                <span>
                                                                    <img src="../images/icn-license-number.gif" alt="" align="top" />&nbsp;
                                                            <asp:Label ID="lblLicenseType" runat="server" Font-Bold="false" Text="License Type"></asp:Label>
                                                                </span>
                                                            </HeaderCaptionTemplate>
                                                        </dxw:GridViewDataColumn>
                                                        <dxw:GridViewDataColumn Caption="LicenseValidityDate" FieldName="LicenseExpiresOnSort"
                                                            Width="12%">
                                                            <HeaderCaptionTemplate>
                                                                <span>
                                                                    <img src="../images/icn-license-expireson.gif" alt="" align="top" />&nbsp
                                                            <asp:Label ID="lblLicenseExpiresOn" runat="server" Font-Bold="false" Text=" License  Expires On"></asp:Label>
                                                                </span>
                                                            </HeaderCaptionTemplate>
                                                            <DataItemTemplate>
                                                                <asp:Label ID="lblLicenseExpiresOn" runat="server" Text='<%#Eval("LicenseExpiresOn") %>'></asp:Label>
                                                            </DataItemTemplate>
                                                        </dxw:GridViewDataColumn>
                                                        <dxw:GridViewDataColumn Caption="DriverKey" FieldName="IButtonKeyName" Width="10%">
                                                            <HeaderCaptionTemplate>
                                                                <span>
                                                                    <img src="../images/icn-driver-information.gif" alt="" align="top" />&nbsp;
                                                            <asp:Label ID="lblDriverKey" runat="server" Font-Bold="false" Text="Driver Key"></asp:Label>
                                                                </span>
                                                            </HeaderCaptionTemplate>
                                                        </dxw:GridViewDataColumn>
                                                        <%--   <dxw:GridViewDataColumn Caption="NationalPermit" FieldName="NationalPermitID" Width="10%">
                                                        <HeaderCaptionTemplate>
                                                            <span>
                                                                <img src="../images/icn-license-number.gif" alt="" align="top" />&nbsp;
                                                            <asp:Label ID="lblPermitID" runat="server" Font-Bold="false" Text="Na.Permit ID"></asp:Label>
                                                            </span>
                                                        </HeaderCaptionTemplate>
                                                             <DataItemTemplate>
                                                            <asp:Label ID="lblNationalPermitID" runat="server" Text='<%#Eval("NationalPermitID") %>'></asp:Label>
                                                        </DataItemTemplate>
                                                    </dxw:GridViewDataColumn>--%>
                                                        <dxw:GridViewDataTextColumn FieldName="EmailUserNameList" Caption="Email Users"
                                                            HeaderStyle-HorizontalAlign="Center" HeaderStyle-VerticalAlign="Middle" Width="20%"
                                                            CellStyle-Wrap="True">
                                                            <HeaderCaptionTemplate>
                                                                <span class="icon">
                                                                    <asp:Image ID="imgEmailUserNameList" ImageUrl="../images/icn-email-users.gif" runat="server" />
                                                                </span><span class="label">&nbsp;<asp:Label ID="lblEmailUserNameList" runat="server"
                                                                    Font-Bold="false" Text="Email Users"></asp:Label>
                                                                </span>
                                                            </HeaderCaptionTemplate>
                                                            <Settings AllowAutoFilter="False" />
                                                        </dxw:GridViewDataTextColumn>
                                                        <dxw:GridViewDataTextColumn Caption="Edit" Width="3%" Name="Edit" HeaderStyle-HorizontalAlign="Center"
                                                            CellStyle-HorizontalAlign="Center">
                                                            <HeaderTemplate>
                                                            </HeaderTemplate>
                                                            <DataItemTemplate>
                                                                <asp:LinkButton ID="lbtnEdit" runat="server" AlternateText="Update" ImageAlign="Middle"
                                                                    CommandArgument='<%#Eval("DriverId") %>' OnClick="lbtnEdit_click"><img src="../images/icn-edit.gif" alt="" /></asp:LinkButton>
                                                            </DataItemTemplate>
                                                        </dxw:GridViewDataTextColumn>
                                                        <dxw:GridViewDataTextColumn Caption="Delete" Width="3%" HeaderStyle-HorizontalAlign="Center"
                                                            CellStyle-HorizontalAlign="Center">
                                                            <HeaderTemplate>
                                                            </HeaderTemplate>
                                                            <DataItemTemplate>
                                                                <asp:LinkButton ID="lbtnDelete" runat="server" AlternateText="Delete" OnClientClick="return DeleteConfirm();"
                                                                    CommandArgument='<%#Eval("DriverId")+","+ Eval("Photo") %>' OnClick="lbtnDelete_click"><img src="../images/delete-icon.gif" alt="" /></asp:LinkButton>
                                                            </DataItemTemplate>
                                                        </dxw:GridViewDataTextColumn>
                                                    </Columns>
                                                    <%--   <ClientSideEvents ColumnSorting="function(s, e) {document.getElementById('btnTest').click();}"
                                                EndCallback="" />--%>
                                                    <Settings ShowFilterRow="true" ShowFilterRowMenu="True" />
                                                    <SettingsText EmptyDataRow="No Driver details found" />
                                                </dxw:ASPxGridView>
                                            </div>
                                            <dxw:ASPxGridViewExporter ID="ASPxGridViewExporter1" runat="server" GridViewID="gvdrivers"
                                                ReportHeader="{\rtf1\ansi\ansicpg1252\deff0\deflang1033{\fonttbl{\f0\fnil\fcharset0 Times New Roman;}{\f1\fnil\fcharset0 Arial;}}
\viewkind4\uc1\pard\qc\ul\b\f0\fs28 Vehicle Plan Assignment\par
\pard\ulnone\f1\par
\par
}
"
                                                DetailHorizontalOffset="1" DetailVerticalOffset="1" MaxColumnWidth="12000">
                                                <Styles>
                                                    <Default VerticalAlign="Middle">
                                                    </Default>
                                                    <Header BackColor="#D1D1D1" Font-Bold="True" Font-Names="Arial" Font-Size="10pt"
                                                        ForeColor="Black" HorizontalAlign="Center" VerticalAlign="Middle" Wrap="True">
                                                    </Header>
                                                    <Cell VerticalAlign="Middle">
                                                    </Cell>
                                                </Styles>
                                                <PageHeader VerticalAlignment="None">
                                                    <Font Bold="False" Size="10pt"></Font>
                                                </PageHeader>
                                                <PageFooter Right="[Page # of Pages #]">
                                                </PageFooter>
                                            </dxw:ASPxGridViewExporter>
                                        </div>
                                        <div class="AlignControl">
                                            <br />
                                            <img src="../images/blue.png" />
                                            <asp:Label ID="BlueIcnIndicator" runat="server" Text="Inactive Driver"></asp:Label>&nbsp;
                                        &nbsp;
                                        <img src="../images/red.png" />
                                            <asp:Label ID="RedIcnIndicator" runat="server" Text="License expired Driver"></asp:Label>
                                        </div>
                                    </asp:Panel>
                                </div>
                            </div>
                            <!-- Main Content Ends Here -->
                            <div id="left">
                            </div>
                            <div class="clear clearfix">
                            </div>
                        </div>
                        <div id="right">
                        </div>
                        <div class="clear clearfix">
                        </div>
                    </div>
                    <%-- </div>--%>
                    <asp:Button ID="btnTest" Text="Test" CssClass="ControlHide" runat="server" />
                    <asp:Button ID="btnLoadPhoto" runat="server" OnClick="btnLoadPhoto_Click" CssClass="ControlHide" />
                    <asp:HiddenField ID="hdnDriverImage" runat="server" />
                    <cc1:ModalPopupExtender ID="mpDriverDetailsLoad" runat="server" BackgroundCssClass="modalbackground"
                        PopupControlID="pnlImportVehicles" TargetControlID="ibtnBulkUpdate" X="280" CancelControlID="ibtnCancel">
                    </cc1:ModalPopupExtender>
                </ContentTemplate>
                <Triggers>
                    <asp:PostBackTrigger ControlID="btnTest" />
                    <asp:PostBackTrigger ControlID="ibtnAddDriver" />
                    <asp:PostBackTrigger ControlID="ibtnUpdateDriver" />
                    <asp:PostBackTrigger ControlID="btnDriverCancel" />
                    <asp:PostBackTrigger ControlID="lbtnAddDriver" />
                    <asp:PostBackTrigger ControlID="btnLoadPhoto" />
                    <asp:PostBackTrigger ControlID="ibtnExport" />
                </Triggers>
            </asp:UpdatePanel>
            <asp:Panel ID="pnlImportVehicles" runat="server" Style="display: none;" CssClass="import-LandmarkPanel col-sm-7 col-md-5 col-lg-4">
                <div class="popup">

                    <div class="top">
                        <h1>
                            <asp:Label ID="lblFile" Text="Bulk Update Driver Details" runat="server"></asp:Label></h1>
                        <div class="close">
                            <asp:ImageButton ID="ibtnClose" OnClientClick="$find('mpDriverDetailsLoad').hide(); return false;"
                                CausesValidation="false" ImageUrl="~/images/popup-close.gif" Visible="true" runat="server" />
                        </div>
                        <div class="clear clearfix">
                        </div>
                    </div>
                    <div class="popup-content">
                        <div class="form-tbl">
                            <div class="form-horizontal">
                                <div class="form-group">
                                    <div class="col-sm-2">
                                        <asp:Label ID="lblDriverDetails" runat="server" Text="Select File" CssClass="label"></asp:Label>
                                    </div>
                                    <div class="col-sm-10">
                                        <asp:FileUpload ID="fuDrivers" runat="server" onchange="return validateCSVFileUpload(this);" />
                                    </div>
                                </div>
                                <div class="form-group">
                                    <div class="col-sm-2"></div>
                                    <div class="col-sm-10">
                                        <asp:ImageButton ID="ibtnUpdateDrivers1" runat="server" ImageUrl="~/images/btn-update.jpg"
                                            OnClick="ibtnUpdateDrivers_Click" Visible="false" />
                                        <asp:LinkButton ID="ibtnUpdateDrivers" runat="server" CssClass="MultilingualBtn"
                                            OnClick="ibtnUpdateDrivers_Click" TabIndex="17" OnClientClick="return ValidateFileEmpty(this)">
                                            <span runat="server" class="MultilingualBtnspan">
                                                <div class="Update">
                                                    <div id="UpdateDiv" runat="server" class="MultilingualBtnTextAlign">
                                                        Update
                                                    </div>
                                                </div>
                                            </span>
                                        </asp:LinkButton>
                                        <asp:ImageButton ID="ibtnCancel1" runat="server" ImageUrl="~/images/btn-Cancel.jpg"
                                            Visible="false" />
                                        &nbsp;
                                            <asp:LinkButton ID="ibtnCancel" runat="server" CssClass="MultilingualBtn" TabIndex="19">
                                                <span runat="server" class="MultilingualBtnspan">
                                                    <div class="Cancel">
                                                        <div id="CancelDiv" runat="server" class="MultilingualBtnTextAlign">
                                                            Cancel
                                                        </div>
                                                    </div>
                                                </span>
                                            </asp:LinkButton>
                                        &nbsp;&nbsp;
                                            <asp:LinkButton ID="lbtnDownloadTemp" runat="server" Text="Download Template" OnClick="Download_Template"></asp:LinkButton>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </asp:Panel>
            <asp:UpdatePanel ID="updNotify" runat="server" UpdateMode="Conditional">
                <ContentTemplate>
                    <asp:Panel ID="pnlNotificationsList" runat="server" CssClass="notifyManagePanel col-xs-9">
                        <uc3:NotificationsList ID="ucNotificationList" runat="server" NotificationType="3" />
                    </asp:Panel>
                </ContentTemplate>
            </asp:UpdatePanel>
            <%--<asp:UpdateProgress ID="uprDataLoading" runat="server" DynamicLayout="True" AssociatedUpdatePanelID="updDriverDetails">
            <ProgressTemplate>
                <asp:Panel ID="pnlProgress" runat="server" CssClass="processMessage" Style="z-index: 1000;">
                    <center>
                        <br />
                        <img alt="Please Wait ..." src="../images/47.gif" /><br />
                        <br />
                        <asp:Label ID="lbl_msg12" Text="Processing... Please Wait..." runat="server" CssClass="specialdisplay"></asp:Label>
                        <br />
                        <br />
                    </center>
                </asp:Panel>
            </ProgressTemplate>
        </asp:UpdateProgress>--%>
            <cc1:ModalPopupExtender ID="mpeProgressIndicator" runat="server" PopupControlID="pnlProgress1"
                TargetControlID="btnTesting">
            </cc1:ModalPopupExtender>
            <asp:Button ID="btnTesting" Style="display: none;" runat="server" />
            <%-- <asp:UpdateProgress ID="uprDataLoading" runat="server" DynamicLayout="True" AssociatedUpdatePanelID="updVhDetails">
            <ProgressTemplate>--%>
            <asp:Panel ID="pnlProgress1" runat="server" CssClass="processMessage" Style="z-index: 1000;">
                <center>
                    <br />
                    <img id="imgLoad" runat="server" alt="Please Wait ..." src="../images/47.gif" /><br />
                    <br />
                    <asp:Label ID="lbl_msg12" Text="Processing... Please Wait..." runat="server" CssClass="specialdisplay"></asp:Label>
                    <br />
                    <br />
                </center>
            </asp:Panel>
            <script type="text/javascript" language="javascript">
                function ValidateFileEmpty(obj) {
                    var file = document.getElementById("fuDrivers");
                    if (file.value == "") {
                        // TrinetraCustomAlerts("Kindly Upload File");
                        alert("Kindly Upload File");
                        return false;
                    }
                }

                var AlertFileType = '"files are not allowed.\n\n Please upload only xls files.';
                function validateCSVFileUpload(obj) {
                    var fileName = new String();
                    var fileExtension = new String();
                    var validFileExtensions = "xls";
                    var flag = false;
                    // store the file name into the variable
                    fileName = obj.value;
                    // extract and store the file extension into another variable
                    fileExtension = fileName.substr(fileName.length - 3, 3);
                    // Check over the valid file extensions to compare them with uploaded file
                    if (fileExtension.toLowerCase() == validFileExtensions.toString().toLowerCase()) {
                        flag = true;

                    }
                    // display the alert message box according to the flag value
                    if (flag == false) {
                        alert('"' + fileExtension.toUpperCase() + AlertFileType);
                        var file = document.getElementById("fuDrivers");
                        file.select();
                        cmd = file.createTextRange();
                        cmd.execCommand('delete');
                        file.focus();
                        return false;
                    }
                    else {
                        return true;
                    }
                }
                //            var Alert_Delete = "Do you want to really delete this driver?.";

                //            function setAlertMessageDelete(Delete) {
                //                Alert_Delete = Delete;
                //            }

                //            function DeleteConfirm() {
                //                var Alert_Delete = "Do you want to really delete this driver?.";
                //                return confirm(Alert_Delete);
                //            }
            </script>

            <script type="text/javascript" src="../js/GridCheckBoxMaintaining.js"></script>

            <script language="javascript" type="text/javascript" src="../js/DriverManagementScript.js"></script>

            <script language="javascript" type="text/javascript" src="../js/myformvalidations.js"></script>

            <asp:HiddenField ID="hdnLogout" runat="server" />
        </form>
        <!-- Content Ends Here -->
    </div>
    <uc2:Footer ID="ucFooter" runat="server" />
</body>
</html>
