﻿<%@ page language="C#" autoeventwireup="true" inherits="Forms_EmployeeMaster, App_Web_5gbuhbxa" %>

<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc1" %>
<%@ Register Src="~/UserControls/New_Header.ascx" TagName="Header" TagPrefix="uc1" %>
<%@ Register Src="~/UserControls/New_Footer.ascx" TagName="Footer" TagPrefix="uc2" %>

<%--<%@ Register Assembly="DevExpress.Web.ASPxGridView.v8.2, Version=8.2.10.0, Culture=neutral, PublicKeyToken=9B171C9FD64DA1D1"
    Namespace="DevExpress.Web.ASPxGridView" TagPrefix="dxwgv" %>
<%@ Register Assembly="DevExpress.Web.ASPxEditors.v8.2, Version=8.2.10.0, Culture=neutral, PublicKeyToken=9B171C9FD64DA1D1"
    Namespace="DevExpress.Web.ASPxEditors" TagPrefix="dxe" %>
<%@ Register Assembly="DevExpress.Web.ASPxEditors.v8.2" Namespace="DevExpress.Web.ASPxEditors"
    TagPrefix="dxe" %>
<%@ Register Assembly="DevExpress.Web.ASPxGridView.v8.2.Export,  Version=8.2.10.0, Culture=neutral, PublicKeyToken=9B171C9FD64DA1D1"
    Namespace="DevExpress.Web.ASPxGridView.Export" TagPrefix="exp" %>--%>

<%@ Register Assembly="DevExpress.Web.v14.2" Namespace="DevExpress.Web" TagPrefix="dxw" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title>tSense-IoT Employee Master</title>
    <meta http-equiv="X-UA-Compatible" content="IE=7" />
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <meta http-equiv="Page-Enter" content="blendTrans(Duration=0)" />
    <meta http-equiv="Page-Exit" content="blendTrans(Duration=0)" />
    <link id="reset" runat="server" href="../css/reset.css" rel="stylesheet" type="text/css" />
    <link id="stylesheet2" runat="server" href="../css/stylesheet2.css" rel="stylesheet" type="text/css" />
    <link id="updatedcss" runat="server" href="../css/Updated_css.css" rel="stylesheet" type="text/css" />
    <link id="dropdown" runat="server" href="../css/dropdown.css" rel="stylesheet" type="text/css" />
    <link rel="SHORTCUT ICON" href="../images/favicon.ico" />
    <link rel="stylesheet" href="../css/validationEngine.jquery.css" type="text/css" />
    <link href="../App_Themes/Office2003Blue/GridView/grid.css" rel="Stylesheet" />
    <link href="../App_Themes/Office2003Blue/Editors/styles.css" rel="Stylesheet" />

    <script src="../js/jquery-1.11.2.min.js" type="text/javascript"></script>
    <script src="../js/wow.min.js"></script>
</head>
<body>
    <form id="form1" runat="server" enctype="multipart/form-data">
        <asp:ScriptManager ID="EmployeeManager" runat="server">
        </asp:ScriptManager>
        <asp:UpdatePanel ID="updGrid" runat="server">
            <ContentTemplate>
                <div id="container">
                    <!-- Header Starts Here -->
                    <uc1:Header ID="ucHeader" runat="server" />
                    <!-- Nav Ends Here -->
                    <!-- Content Starts Here -->
                    <div id="outer">
                        <div id="inner">
                            <div id="float-wrap">
                                <!-- Main Content Starts Here -->
                                <div id="content">
                                    <div class="content-wrap">
                                        <div id="top-content">
                                            <div id="heading" style="width: 220px">
                                                <img class="icon" src="../images/employee-icon.jpg" alt="" />
                                                <h1>Employee</h1>
                                                <a href="Dashboard.aspx">Home</a><span>&gt;</span><span><a href="EmployeePanel.aspx">Employee</a></span><span>&gt;</span><span><a
                                                    href="EmployeeMaster.aspx">Manage</a></span>
                                            </div>
                                            <div id="control-box">
                                                <table border="0" cellpadding="0" cellspacing="0" id="control-tbl" width="100%">
                                                    <tr height="20px">
                                                        <td>&nbsp;
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td>
                                                            <div id="control-btn">
                                                                <table cellpadding="0" cellspacing="0" border="0" align="right">
                                                                    <tr>
                                                                        <td>
                                                                            <asp:ImageButton ID="btnAddEmployee" runat="server" OnClick="btnAddEmployee_Click"
                                                                                ImageUrl="~/images/btn-add-employee.jpg" />
                                                                        </td>
                                                                        <td>
                                                                            <asp:ImageButton ID="lbtAddUsers" runat="server" OnClick="lbtAddUsers_Click" ImageUrl="~/images/import.jpg" />
                                                                            <cc1:ModalPopupExtender ID="mpEmpDetailsLoad" runat="server" BackgroundCssClass="modalbackground"
                                                                                PopupControlID="pnlImportEmployee" TargetControlID="lbtAddUsers" X="280" CancelControlID="btnImportEmployeeCancel">
                                                                            </cc1:ModalPopupExtender>
                                                                        </td>
                                                                        <%-- <td>
                                                                        <asp:ImageButton ID="lbtAssignUserGrp" runat="server" ImageUrl="~/images/btn-group-assignment.jpg"
                                                                            PostBackUrl="~/Forms/GroupUserAssignment.aspx" />
                                                                    </td>
                                                                    <td>
                                                                        <asp:ImageButton ID="ibtManageUserGroup" runat="server" ImageUrl="~/images/btn-manage-usergroup.jpg"
                                                                            PostBackUrl="~/Forms/UserGroups.aspx" />
                                                                    </td>--%>
                                                                        <td>
                                                                            <asp:ImageButton ID="ibtBackToEmployeeManagement" CausesValidation="false"
                                                                                PostBackUrl="~/Forms/RoutePanelCSS.aspx" runat="server" ImageUrl="~/images/btn-backto-manageemployee.jpg" />
                                                                        </td>
                                                                        <td>&nbsp;
                                                                        </td>
                                                                        <td>&nbsp;&nbsp;
                                                                        </td>
                                                                    </tr>
                                                                </table>
                                                            </div>
                                                        </td>
                                                    </tr>
                                                </table>
                                            </div>
                                            <div class="clear clearfix">
                                            </div>
                                        </div>
                                        <div class="clear clearfix">
                                        </div>
                                        <asp:Panel ID="pnlUserInfo" runat="server">
                                            <div class="form-box">
                                                <h1>
                                                    <span class="icon">
                                                        <img src="../images/usernew-icon.gif" alt="" /></span> Employee Information</h1>
                                                <table border="0" cellpadding="0" cellspacing="0" class="form-tbl">
                                                    <tr>
                                                        <td class="split"></td>
                                                        <td valign="top">
                                                            <table cellpadding="0" cellspacing="0" border="0">
                                                                <tr>
                                                                    <td>
                                                                        <asp:Label ID="lblTitle" runat="server" CssClass="label" Text="Title"></asp:Label>
                                                                    </td>
                                                                    <td>
                                                                        <asp:Label ID="Label4" runat="server" ForeColor="Red">*</asp:Label>
                                                                    </td>
                                                                </tr>
                                                            </table>
                                                        </td>
                                                        <td>
                                                            <asp:DropDownList ID="ddlTitle" runat="server" Width="70px" TabIndex="1" onchange="ValidateGender();">
                                                            </asp:DropDownList>
                                                        </td>
                                                        <td>&nbsp;
                                                        </td>
                                                        <td>
                                                            <table cellpadding="0" cellspacing="0" border="0">
                                                                <tr>
                                                                    <td>
                                                                        <asp:Label ID="lblUserGroup" runat="server" CssClass="label" Text="User group"></asp:Label>
                                                                    </td>
                                                                    <td>
                                                                        <asp:Label ID="Label17" runat="server" ForeColor="Red">*</asp:Label>
                                                                    </td>
                                                                </tr>
                                                            </table>
                                                        </td>
                                                        <td>
                                                            <asp:DropDownList ID="ddlUserGroup" runat="server" Width="150px" TabIndex="2">
                                                            </asp:DropDownList>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td></td>
                                                        <td>
                                                            <table cellpadding="0" cellspacing="0" border="0">
                                                                <tr>
                                                                    <td>
                                                                        <asp:Label ID="lblFirstName" runat="server" Text="First Name"></asp:Label>
                                                                    </td>
                                                                    <td>
                                                                        <asp:Label ID="Label1" runat="server" ForeColor="Red">*</asp:Label>
                                                                    </td>
                                                                </tr>
                                                            </table>
                                                        </td>
                                                        <td>
                                                            <asp:TextBox ID="txtFirstName" runat="server" MaxLength="50" TabIndex="3"
                                                                onkeypress="return chkCharWithDot(this.value)"></asp:TextBox>
                                                        </td>
                                                        <td class="split">&nbsp;
                                                        </td>
                                                        <td>
                                                            <table cellpadding="0" cellspacing="0" border="0">
                                                                <tr>
                                                                    <td>
                                                                        <asp:Label ID="lblLastname" runat="server" Text="Last Name" CssClass="label"></asp:Label>
                                                                    </td>
                                                                </tr>
                                                            </table>
                                                        </td>
                                                        <td>
                                                            <asp:TextBox ID="txtLastName" runat="server" onkeypress="return chkCharWithDot(this.value)"
                                                                MaxLength="50" TabIndex="3"></asp:TextBox>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td>&nbsp;
                                                        </td>
                                                        <td>
                                                            <table cellpadding="0" cellspacing="0" border="0">
                                                                <tr>
                                                                    <td>
                                                                        <asp:Label ID="Label7" runat="server" CssClass="label" Text="Date Of Birth"></asp:Label>
                                                                    </td>
                                                                    <td>
                                                                        <asp:Label ID="Label8" runat="server" ForeColor="Red">*</asp:Label>
                                                                    </td>
                                                                </tr>
                                                            </table>
                                                        </td>
                                                        <td>
                                                            <asp:TextBox ID="txtAge" runat="server" onkeypress="return false" onkeydown="doCheckBackSpaceOrDelete()"
                                                                onpaste="return false" TabIndex="4"></asp:TextBox>
                                                            <cc1:CalendarExtender ID="ceDateofbirth" runat="server" Format="dd/MM/yyyy" OnClientDateSelectionChanged="checkFutureDate"
                                                                CssClass="cal_Theme1" TargetControlID="txtAge">
                                                            </cc1:CalendarExtender>
                                                        </td>
                                                        <td class="split">&nbsp;
                                                        </td>
                                                        <td>
                                                            <table cellpadding="0" cellspacing="0" border="0">
                                                                <tr>
                                                                    <td>
                                                                        <asp:Label ID="Label14" runat="server" Text="Gender" CssClass="label"></asp:Label>
                                                                    </td>
                                                                    <td></td>
                                                                </tr>
                                                            </table>
                                                        </td>
                                                        <td>
                                                            <asp:RadioButton ID="rbtMale" runat="server" Text="Male" GroupName="Gender" TabIndex="6"
                                                                onclick="CheckGender();" />
                                                            &nbsp;&nbsp;<asp:RadioButton ID="rbtFemale" Text="Female" runat="server" GroupName="Gender"
                                                                TabIndex="6" onclick="CheckGender();" />
                                                        </td>
                                                    </tr>
                                                    <tr id="trUserDetails" runat="server">
                                                        <td></td>
                                                        <td>
                                                            <table cellpadding="0" cellspacing="0" border="0">
                                                                <tr>
                                                                    <td>
                                                                        <asp:Label ID="lblUserName" runat="server" CssClass="label" Text="User Name"></asp:Label>
                                                                    </td>
                                                                    <td>
                                                                        <asp:Label ID="Label12" runat="server" ForeColor="Red">*</asp:Label>
                                                                    </td>
                                                                </tr>
                                                            </table>
                                                        </td>
                                                        <td>
                                                            <asp:TextBox ID="txtUserName" runat="server" MaxLength="50" onkeypress="chkCharacter_only(this)"
                                                                TabIndex="7"></asp:TextBox>
                                                        </td>
                                                        <td></td>
                                                        <td>
                                                            <table cellpadding="0" cellspacing="0" border="0">
                                                                <tr>
                                                                    <td>
                                                                        <asp:Label ID="lblDisplayName" runat="server" CssClass="label" Text="Display Name"></asp:Label>
                                                                    </td>
                                                                    <td>
                                                                        <asp:Label ID="Label13" runat="server" ForeColor="Red">*</asp:Label>
                                                                    </td>
                                                                </tr>
                                                            </table>
                                                        </td>
                                                        <td>
                                                            <asp:TextBox ID="txtDisplayName" runat="server" MaxLength="20" onkeypress="chkAlphaNumericWithoutSpace(event,this,19)"
                                                                TabIndex="8"></asp:TextBox>
                                                        </td>
                                                    </tr>
                                                    <tr id="trUserPasswordDetails" runat="server">
                                                        <td></td>
                                                        <td>
                                                            <table cellpadding="0" cellspacing="0" border="0">
                                                                <tr>
                                                                    <td>
                                                                        <asp:Label ID="lblPassword" runat="server" Text="Password" CssClass="label"></asp:Label>
                                                                    </td>
                                                                    <td>
                                                                        <asp:Label ID="Label22" runat="server" ForeColor="Red">*</asp:Label>
                                                                    </td>
                                                                </tr>
                                                            </table>
                                                        </td>
                                                        <td>
                                                            <asp:TextBox ID="txtPassword" runat="server" MaxLength="12" TextMode="Password" onkeypress="return chkDescription(event,this,11);"
                                                                TabIndex="9"></asp:TextBox>
                                                        </td>
                                                        <td></td>
                                                        <td>
                                                            <table cellpadding="0" cellspacing="0" border="0">
                                                                <tr>
                                                                    <td>
                                                                        <asp:Label ID="lblConfirmPassword" runat="server" CssClass="label" Text="Confirm Password"></asp:Label>
                                                                    </td>
                                                                    <td>
                                                                        <asp:Label ID="Label18" runat="server" ForeColor="Red">*</asp:Label>
                                                                    </td>
                                                                </tr>
                                                            </table>
                                                        </td>
                                                        <td>
                                                            <asp:TextBox ID="txtConfirmPassword" runat="server" MaxLength="12" TextMode="Password"
                                                                onkeypress="return chkDescription(event,this,11);" TabIndex="10"></asp:TextBox>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td></td>
                                                        <td>
                                                            <table cellpadding="0" cellspacing="0" border="0">
                                                                <tr>
                                                                    <td>
                                                                        <asp:Label ID="lblMobile" runat="server" CssClass="label" Text="Mobile Number"></asp:Label>
                                                                    </td>
                                                                    <td>
                                                                        <asp:Label ID="Label5" runat="server" ForeColor="Red">*</asp:Label>
                                                                    </td>
                                                                </tr>
                                                            </table>
                                                        </td>
                                                        <td>
                                                            <asp:TextBox ID="txtMobile" runat="server" MaxLength="15" onkeypress="return chkMobile(this);"
                                                                TabIndex="11"></asp:TextBox>
                                                        </td>
                                                        <td></td>
                                                        <td>
                                                            <table cellpadding="0" cellspacing="0" border="0">
                                                                <tr>
                                                                    <td>
                                                                        <asp:Label ID="lblPhone" runat="server" CssClass="label" Text="Phone Number"></asp:Label>
                                                                    </td>
                                                                    <td>&nbsp;
                                                                    </td>
                                                                </tr>
                                                            </table>
                                                        </td>
                                                        <td style="margin: 0; padding: 0">
                                                            <table cellpadding="0" cellspacing="0" border="0">
                                                                <tr>
                                                                    <td>
                                                                        <asp:TextBox ID="txtPhone" runat="server" MaxLength="20" onkeypress="return chkPhone(this);"
                                                                            TabIndex="12"></asp:TextBox>
                                                                    </td>
                                                                </tr>
                                                            </table>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td colspan="2" style="height: 5px;"></td>
                                                        <td style="height: 5px; vertical-align: top;">For e.g 91xxxxxxxxxx
                                                        </td>
                                                        <td style="height: 5px;"></td>
                                                        <td style="height: 5px;"></td>
                                                        <td style="height: 5px; vertical-align: top;">For e.g +91-xxxxx-xxxxxx
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td></td>
                                                        <td>
                                                            <table border="0" cellpadding="0" cellspacing="0">
                                                                <tr>
                                                                    <td>
                                                                        <asp:Label ID="lblEmail" runat="server" CssClass="label" Text="Email"></asp:Label>
                                                                    </td>
                                                                    <td>
                                                                        <asp:Label ID="Label19" runat="server" ForeColor="Red">*</asp:Label>
                                                                    </td>
                                                                </tr>
                                                            </table>
                                                        </td>
                                                        <td>
                                                            <asp:TextBox ID="txtEmail" runat="server" MaxLength="200" TabIndex="13"></asp:TextBox>
                                                        </td>
                                                        <td>&nbsp;
                                                        </td>
                                                        <td colspan="4">
                                                            <asp:Panel ID="pnlEmpEmergency" GroupingText="Emergency Contact" runat="server">
                                                                <table border="0" cellpadding="0" cellspacing="0" width="20px">
                                                                    <tr>
                                                                        <td width="3px"></td>
                                                                        <td>
                                                                            <asp:Label ID="lblContactName" runat="server" CssClass="label" Text="Name"></asp:Label>
                                                                        </td>
                                                                        <td>
                                                                            <asp:Label ID="lblContactRelation" runat="server" CssClass="label" Text="Relationship"></asp:Label>
                                                                        </td>
                                                                        <td>
                                                                            <asp:Label ID="lblContactMobile" runat="server" CssClass="label" Text="Mobile Number"></asp:Label>
                                                                        </td>
                                                                        <td>
                                                                            <asp:Label ID="lblContactPhone" runat="server" CssClass="label" Text="Phone Number"></asp:Label>
                                                                        </td>
                                                                    </tr>
                                                                    <tr>
                                                                        <td width="3px">1<asp:Label ID="Label16" runat="server" ForeColor="Red">*</asp:Label>
                                                                        </td>
                                                                        <td style="height: 5px; vertical-align: top;">
                                                                            <asp:TextBox ID="txtContactName1" runat="server" TabIndex="14" onkeypress="chkCharacter_only(this)"></asp:TextBox>
                                                                        </td>
                                                                        <td style="height: 5px; vertical-align: top;">
                                                                            <asp:TextBox ID="txtContactRelation1" runat="server" TabIndex="15" onkeypress="chkCharacter_only(this)"></asp:TextBox>
                                                                        </td>
                                                                        <td style="height: 5px; vertical-align: top;">
                                                                            <asp:TextBox ID="txtContactMobile1" runat="server" TabIndex="16" onkeypress="return chkMobile(this);"
                                                                                MaxLength="15"></asp:TextBox>
                                                                        </td>
                                                                        <td style="height: 5px; vertical-align: top;">
                                                                            <asp:TextBox ID="txtContactPhone1" runat="server" TabIndex="17" onkeypress="return chkPhoneMobile(this.value);"
                                                                                MaxLength="20"></asp:TextBox>
                                                                        </td>
                                                                    </tr>
                                                                    <tr>
                                                                        <td width="3px">2
                                                                        </td>
                                                                        <td style="height: 5px; vertical-align: top;">
                                                                            <asp:TextBox ID="txtContactName2" runat="server" TabIndex="18" onkeypress="chkCharacter_only(this)"></asp:TextBox>
                                                                        </td>
                                                                        <td style="height: 5px; vertical-align: top;">
                                                                            <asp:TextBox ID="txtContactRelation2" runat="server" TabIndex="19" onkeypress="chkCharacter_only(this)"></asp:TextBox>
                                                                        </td>
                                                                        <td style="height: 5px; vertical-align: top;">
                                                                            <asp:TextBox ID="txtContactMobile2" runat="server" TabIndex="20" onkeypress="return chkMobile(this);"
                                                                                MaxLength="15"></asp:TextBox>
                                                                        </td>
                                                                        <td style="height: 5px; vertical-align: top;">
                                                                            <asp:TextBox ID="txtContactPhone2" runat="server" TabIndex="21" onkeypress="return chkPhoneMobile(this.value);"
                                                                                MaxLength="20"></asp:TextBox>
                                                                        </td>
                                                                    </tr>
                                                                </table>
                                                            </asp:Panel>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td>&nbsp;
                                                        </td>
                                                        <td rowspan="3" valign="top">
                                                            <table border="0" cellpadding="0" cellspacing="0" style="vertical-align: top">
                                                                <tr>
                                                                    <td>
                                                                        <asp:Label ID="Label15" runat="server" CssClass="label" Text="Address"></asp:Label>
                                                                    </td>
                                                                    <td>&nbsp;
                                                                    <asp:Label ID="Label27" runat="server" ForeColor="Red">*</asp:Label>
                                                                    </td>
                                                                </tr>
                                                            </table>
                                                        </td>
                                                        <td rowspan="3">
                                                            <asp:TextBox ID="txtAddress" runat="server" Rows="5" TabIndex="22" onkeypress="return chkDescription(event,this,199);"
                                                                TextMode="MultiLine" onblur="disallowScriptTags(this);"></asp:TextBox>
                                                        </td>
                                                        <td>&nbsp;
                                                        </td>
                                                        <td>
                                                            <table border="0" cellpadding="0" cellspacing="0">
                                                                <tr>
                                                                    <td>
                                                                        <asp:Label ID="lblReportTo" runat="server" CssClass="label" Text="Report To"></asp:Label>
                                                                    </td>
                                                                    <td valign="top">
                                                                        <asp:Label ID="Label3" runat="server" ForeColor="Red">*</asp:Label>
                                                                    </td>
                                                                </tr>
                                                            </table>
                                                        </td>
                                                        <td>
                                                            <asp:DropDownList ID="ddlReportTo" runat="server" TabIndex="23">
                                                            </asp:DropDownList>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td>&nbsp;
                                                        </td>
                                                        <td>&nbsp;
                                                        </td>
                                                        <td>
                                                            <table cellpadding="0" cellspacing="0" border="0">
                                                                <tr>
                                                                    <td>
                                                                        <asp:Label ID="lblDepartment" runat="server" CssClass="label" Font-Bold="False" Text="Department"></asp:Label>
                                                                    </td>
                                                                    <td valign="top">
                                                                        <asp:Label ID="Label9" runat="server" ForeColor="Red">*</asp:Label>
                                                                    </td>
                                                                </tr>
                                                            </table>
                                                        </td>
                                                        <td>
                                                            <asp:DropDownList ID="ddlDepartment" runat="server" AppendDataBoundItems="true" TabIndex="24">
                                                            </asp:DropDownList>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td>&nbsp;
                                                        </td>
                                                        <td>&nbsp;
                                                        </td>
                                                        <td>
                                                            <table cellpadding="0" cellspacing="0" border="0">
                                                                <tr>
                                                                    <td>
                                                                        <asp:Label ID="lblDivision" runat="server" CssClass="label" Font-Bold="False" Text="Division"></asp:Label>
                                                                    </td>
                                                                    <td valign="top">
                                                                        <asp:Label ID="Label6" runat="server" ForeColor="Red">*</asp:Label>
                                                                    </td>
                                                                </tr>
                                                            </table>
                                                        </td>
                                                        <td>
                                                            <asp:DropDownList ID="ddlDivision" runat="server" AppendDataBoundItems="true" Height="18px"
                                                                TabIndex="25">
                                                            </asp:DropDownList>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td>&nbsp;
                                                        </td>
                                                        <td>
                                                            <table border="0" cellpadding="0" cellspacing="0">
                                                                <tr>
                                                                    <td>
                                                                        <asp:Label ID="Label20" runat="server" CssClass="label" Text="Date of Joining"></asp:Label>
                                                                    </td>
                                                                    <td valign="top">
                                                                        <asp:Label ID="Label21" runat="server" ForeColor="Red">*</asp:Label>
                                                                    </td>
                                                                </tr>
                                                            </table>
                                                        </td>
                                                        <td>
                                                            <asp:TextBox ID="txtDateOfJoining" runat="server" onkeydown="doCheckBackSpaceOrDelete()"
                                                                TabIndex="26" onkeypress="return false" onchange="Checkdate(this);"></asp:TextBox><br />
                                                            For e.g DD/MM/YYYY
                                                        <cc1:CalendarExtender ID="ceDateOfJoining" runat="server" Format="dd/MM/yyyy" CssClass="cal_Theme1"
                                                            TargetControlID="txtDateOfJoining">
                                                        </cc1:CalendarExtender>
                                                        </td>
                                                        <td>&nbsp;
                                                        </td>
                                                        <td>
                                                            <table border="0" cellpadding="0" cellspacing="0">
                                                                <tr>
                                                                    <td>
                                                                        <asp:Label ID="lblShift" runat="server" CssClass="label" Text="Shift"></asp:Label>
                                                                    </td>
                                                                    <td valign="top">
                                                                        <asp:Label ID="Label10" runat="server" ForeColor="Red">*</asp:Label>
                                                                    </td>
                                                                </tr>
                                                            </table>
                                                        </td>
                                                        <td>
                                                            <asp:DropDownList ID="ddlShift" runat="server" TabIndex="27">
                                                            </asp:DropDownList>
                                                        </td>
                                                    </tr>
                                                    <caption>
                                                        <tr>
                                                            <td></td>
                                                            <td>
                                                                <table border="0" cellpadding="0" cellspacing="0">
                                                                    <tr>
                                                                        <td colspan="2">
                                                                            <asp:Label ID="lblcubicleNo" runat="server" CssClass="label" Text="Cubicle Number"></asp:Label>
                                                                        </td>
                                                                    </tr>
                                                                </table>
                                                            </td>
                                                            <td>
                                                                <asp:TextBox ID="txtCubicleNo" runat="server" onkeypress="chkAlphaNumericWithoutSpace(event,this,49)"
                                                                    TabIndex="28"></asp:TextBox>
                                                            </td>
                                                            <td></td>
                                                            <td>
                                                                <table border="0" cellpadding="0" cellspacing="0">
                                                                    <tr>
                                                                        <td>
                                                                            <asp:Label ID="lblExtentionNo" runat="server" CssClass="label" Text="Extention Number"></asp:Label>
                                                                        </td>
                                                                        <td valign="top"></td>
                                                                    </tr>
                                                                </table>
                                                            </td>
                                                            <td>
                                                                <asp:TextBox ID="txtExtentionNo" runat="server" onkeypress="chkNumeric_only(this)"
                                                                    TabIndex="29"></asp:TextBox>
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td></td>
                                                            <td>
                                                                <table border="0" cellpadding="0" cellspacing="0">
                                                                    <tr>
                                                                        <td>
                                                                            <asp:Label ID="lblBuilding" runat="server" CssClass="label" Text="Building"></asp:Label>
                                                                        </td>
                                                                        <td valign="top"></td>
                                                                    </tr>
                                                                </table>
                                                            </td>
                                                            <td>
                                                                <asp:TextBox ID="txtBuilding" runat="server" onkeypress="chkAlphaNumericWithoutSpace(event,this,19)"
                                                                    TabIndex="30"></asp:TextBox>
                                                            </td>
                                                            <td></td>
                                                            <td>
                                                                <table border="0" cellpadding="0" cellspacing="0">
                                                                    <tr>
                                                                        <td>
                                                                            <asp:Label ID="lblEmployeeStatus" runat="server" CssClass="label" Text="Status"></asp:Label>
                                                                        </td>
                                                                        <td></td>
                                                                    </tr>
                                                                </table>
                                                            </td>
                                                            <td>
                                                                <asp:CheckBox ID="chkLockStatus" runat="server" TabIndex="32" Text="Active" ValidationGroup="6" />
                                                            </td>
                                                        </tr>
                                                        <tr style="display: none;">
                                                            <td></td>
                                                            <td>
                                                                <table border="0" cellpadding="0" cellspacing="0">
                                                                    <tr>
                                                                        <td>
                                                                            <asp:Label ID="lblPhone1" runat="server" CssClass="label" Text="Latitude"></asp:Label>
                                                                        </td>
                                                                        <td></td>
                                                                    </tr>
                                                                </table>
                                                            </td>
                                                            <td>

                                                                <asp:TextBox ID="txtLatitude" runat="server" onkeypress="return false" onpaste="return false"
                                                                    TabIndex="31"></asp:TextBox>
                                                            </td>
                                                            <td></td>
                                                            <td>
                                                                <table border="0" cellpadding="0" cellspacing="0">
                                                                    <tr>
                                                                        <td>
                                                                            <asp:Label ID="lblPhone2" runat="server" CssClass="label" Text="Longitude"></asp:Label>
                                                                        </td>
                                                                        <td></td>
                                                                    </tr>
                                                                </table>
                                                            </td>
                                                            <td style="padding: 0px; margin: 0px">
                                                                <table cellpadding="0" cellspacing="0" border="0">
                                                                    <tr>
                                                                        <td>
                                                                            <asp:TextBox ID="txtlongitude" runat="server" onkeypress="return false" onpaste="return false"
                                                                                TabIndex="33"></asp:TextBox>
                                                                        </td>
                                                                        <td>
                                                                            <asp:ImageButton ID="ibtGetGPSCoordinates" CausesValidation="false"
                                                                                TabIndex="34" runat="server" ImageUrl="~/images/btn-get-gps.jpg" />
                                                                        </td>
                                                                    </tr>
                                                                </table>
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td></td>
                                                            <td>
                                                                <table border="0" cellpadding="0" cellspacing="0">
                                                                    <tr>
                                                                        <td>
                                                                            <asp:Label ID="lblEmpId" runat="server" Text="EmployeeId"></asp:Label>
                                                                        </td>
                                                                    </tr>
                                                                </table>

                                                            </td>
                                                            <td>
                                                                <asp:TextBox ID="txtEmployeeCode" MaxLength="10" runat="server" onkeypress="chkAlphaNumericWithoutSpace(event,this,9)"></asp:TextBox>
                                                            </td>
                                                            <td></td>
                                                            <td colspan="3"></td>
                                                        </tr>
                                                        <tr>
                                                            <td></td>
                                                            <td colspan="6">
                                                                <asp:Label ID="lblManitary" runat="server" ForeColor="Red">*</asp:Label>
                                                                &nbsp;
                                                            <asp:Label ID="lblIndicates" runat="server">Required Fields</asp:Label>
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td valign="top">&nbsp;
                                                            </td>
                                                            <td valign="top" colspan="5">
                                                                <center>
                                                                    <asp:ImageButton ID="btnAddUser" runat="server" CausesValidation="true" ImageUrl="~/images/btn-save.jpg"
                                                                        OnClick="btnAddUser_Click" OnClientClick="return ValidateEmployeeInformation(false);"
                                                                        TabIndex="35" ValidationGroup="vgUser" />
                                                                    <asp:ImageButton ID="btnEditUser" runat="server" CausesValidation="true" ImageUrl="~/images/btn-update.jpg"
                                                                        OnClick="btnEditUser_Click" OnClientClick="return ValidateEmployeeInformation(true);"
                                                                        TabIndex="36" ValidationGroup="vgUser" />
                                                                    &nbsp;&nbsp;
                                                            <asp:ImageButton ID="btnUserCancel" runat="server" CausesValidation="false" CssClass="cancel"
                                                                ImageUrl="~/images/btn-cancel.jpg" OnClick="btnUserCancel_Click" TabIndex="37" />
                                                                </center>
                                                            </td>

                                                        </tr>
                                                    </caption>
                                                    </tr> </tr>
                                                </table>
                                            </div>
                                        </asp:Panel>
                                        <div class="clear clearfix">
                                        </div>
                                    </div>
                                    <asp:HiddenField ID="hdnAddressStatus" runat="server" />
                                    <asp:Panel ID="pnlUserDetailsList" runat="server" CssClass="ControlShow" Height="216px">
                                        <div id="grid-dsply">
                                            <div class="clear clearfix">
                                            </div>
                                            <div id="top">
                                                <div class="left-col">
                                                    <h1>
                                                        <span class="icon" style="padding-top: 5px;">
                                                            <img src="../images/usernew-icon.gif" alt="" /></span><span class="txt"> 
                                                    Employee Details</span></h1>
                                                </div>
                                                <div class="right-col" align="right">
                                                    <span class="dropdown">
                                                        <dxw:ASPxComboBox ID="ASPxCboExport" runat="server" ValueType="System.String" Width="80px" Height="20px" EnableTheming="true" Theme="Office2003Blue"
                                                            ShowImageInEditBox="false" ItemImage-Height="12px" ClientInstanceName="ASPxCboExport" SelectedIndex="0">
                                                            <Items>
                                                                <dxw:ListEditItem ImageUrl="../images/icn-pdf.jpg" Text="pdf" Value="pdf" />
                                                                <dxw:ListEditItem ImageUrl="../images/icn-excel.jpg" Text="xls" Value="xls" />
                                                                <dxw:ListEditItem ImageUrl="../images/icn-excel-xlsx.png" Text="xlsx" Value="xlsx" />
                                                                <dxw:ListEditItem ImageUrl="../images/icn-word.jpg" Text="rtf" Value="rtf" />
                                                            </Items>
                                                        </dxw:ASPxComboBox>
                                                    </span>&nbsp;<span class="txt">
                                                        <asp:ImageButton ID="btnExport" runat="server" CssClass="cancel" CausesValidation="false"
                                                            ImageUrl="~/images/btn-export.jpg" valign="bottom" align="right" OnClick="btnExport_Click" />

                                                    </span>
                                                </div>
                                            </div>
                                            <div style="overflow: scroll; width: 100%; height: 180%;">
                                                <dxw:ASPxGridView ID="gvEmployeeDetails" ClientInstanceName="gvEmployeeDetails"
                                                    KeyFieldName="EmployeeID" runat="server" CssFilePath="~/App_Themes/Office2003Blue/{0}/grid.css"
                                                    CssPostfix="Office2003_Blue" Width="98%" AutoGenerateColumns="False" Theme="Office2003Blue">
                                                    <Images ImageFolder="~/App_Themes/Office2003Blue/{0}/">
                                                        <CollapsedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvCollapsedButton.png"
                                                            Width="11px" />
                                                        <ExpandedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvExpandedButton.png"
                                                            Width="11px" />
                                                        <DetailCollapsedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvCollapsedButton.png"
                                                            Width="11px" />
                                                        <DetailExpandedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvExpandedButton.png"
                                                            Width="11px" />
                                                    </Images>
                                                    <Styles AlternatingRow-Enabled="True" CssFilePath="~/App_Themes/Office2003Blue/{0}/styles.css"
                                                        CssPostfix="Office2003_Blue">
                                                        <Header ImageSpacing="5px" SortingImageSpacing="5px">
                                                        </Header>
                                                        <LoadingPanel ImageSpacing="10px">
                                                        </LoadingPanel>
                                                        <PagerBottomPanel CssClass="PageFooter">
                                                        </PagerBottomPanel>
                                                        <PagerTopPanel CssClass="PageFooter">
                                                        </PagerTopPanel>
                                                    </Styles>
                                                    <SettingsPager PrevPageButton-Image-Url="../App_Themes/Office2003Blue/GridView/pPrev.gif"
                                                        PrevPageButton-Image-UrlDisabled="../App_Themes/Office2003Blue/GridView/pPrevDisabled.gif"
                                                        NextPageButton-Image-UrlDisabled="../App_Themes/Office2003Blue/GridView/pNextDisabled.gif"
                                                        NextPageButton-Image-Url="../App_Themes/Office2003Blue/GridView/pNext.gif" AlwaysShowPager="true">
                                                    </SettingsPager>
                                                    <Columns>
                                                        <dxw:GridViewDataColumn Caption="Employee Name" Width="15%" FieldName="DisplayName">
                                                            <HeaderCaptionTemplate>
                                                                <span class="icon">
                                                                    <img src="../images/icn-employee-name.gif" align="top" alt="" /></span>
                                                                <span class="label">Employee Name</span>
                                                            </HeaderCaptionTemplate>
                                                        </dxw:GridViewDataColumn>
                                                        <dxw:GridViewDataColumn Caption="User Name" Width="15%" FieldName="UserName">
                                                            <HeaderCaptionTemplate>
                                                                <span class="icon">
                                                                    <img src="../images/icn-employee-name.gif" align="top" alt="" /></span>
                                                                <span class="label">User Name</span>
                                                            </HeaderCaptionTemplate>
                                                        </dxw:GridViewDataColumn>
                                                        <dxw:GridViewDataColumn Caption="Street Address" Width="17%" FieldName="StreetAddress">
                                                            <HeaderCaptionTemplate>
                                                                <span class="icon">
                                                                    <img src="../images/icn-address.gif" align="top" alt="" /></span> <span class="label">Street Address</span>
                                                            </HeaderCaptionTemplate>
                                                        </dxw:GridViewDataColumn>
                                                        <dxw:GridViewDataColumn Caption="Division Name" Width="15%" FieldName="OrgDivisionName">
                                                            <HeaderCaptionTemplate>
                                                                <span class="icon">
                                                                    <img src="../images/icn-division.gif" align="top" alt="" /></span> <span class="label">Division</span>
                                                            </HeaderCaptionTemplate>
                                                        </dxw:GridViewDataColumn>
                                                        <dxw:GridViewDataColumn Caption="Department Name" FieldName="DepartmentName">
                                                            <HeaderCaptionTemplate>
                                                                <span class="icon">
                                                                    <img src="../images/icn-department.gif" align="top" alt="" /></span> <span class="label">Department</span>
                                                            </HeaderCaptionTemplate>
                                                        </dxw:GridViewDataColumn>
                                                        <dxw:GridViewDataColumn Caption="EmailId" Width="17%" FieldName="EmailId">
                                                            <HeaderCaptionTemplate>
                                                                <span class="icon">
                                                                    <img src="../images/icn-email.gif" align="top" alt="" /></span> <span class="label">Email</span>
                                                            </HeaderCaptionTemplate>
                                                        </dxw:GridViewDataColumn>
                                                        <dxw:GridViewDataTextColumn Caption="Edit" Width="3%" HeaderStyle-HorizontalAlign="Center"
                                                            CellStyle-HorizontalAlign="Center">
                                                            <HeaderTemplate>
                                                            </HeaderTemplate>
                                                            <DataItemTemplate>
                                                                <asp:LinkButton ID="btnEdit" runat="server" CommandArgument='<%# Eval("EmployeeID") %>'
                                                                    AlternateText="Edit" OnClick="btnEditEmployee_click" ToolTip="Click here to Edit"><img src="../images/icn-edit.gif" alt="" /></asp:LinkButton>
                                                            </DataItemTemplate>
                                                        </dxw:GridViewDataTextColumn>
                                                        <dxw:GridViewDataTextColumn Caption="Delete" Width="3%" HeaderStyle-HorizontalAlign="Center"
                                                            CellStyle-HorizontalAlign="Center">
                                                            <HeaderTemplate>
                                                            </HeaderTemplate>
                                                            <DataItemTemplate>
                                                                <asp:LinkButton ID="btnDelete" runat="server" CommandArgument='<%# Eval("EmployeeID") %>'
                                                                    AlternateText="Delete" OnClientClick="return confirm('do you want to really delete this..!');"
                                                                    ToolTip="Click here to Delete" OnClick="btnDelete_click"><img src="../images/delete-icon.gif" /></asp:LinkButton>
                                                            </DataItemTemplate>
                                                        </dxw:GridViewDataTextColumn>
                                                    </Columns>
                                                    <Settings ShowStatusBar="Auto" ShowFilterRow="true" ShowFilterRowMenu="true" ShowGroupPanel="false" />
                                                    <SettingsText EmptyDataRow="No Data Identified" />
                                                    <ClientSideEvents EndCallback="function(s, e) {document.getElementById('btnTest').click();}" />
                                                    <SettingsBehavior ColumnResizeMode="Control" AllowSort="true" AllowDragDrop="true"
                                                        AllowGroup="true" AllowFocusedRow="false" AllowMultiSelection="true" />
                                                    <SettingsPager PageSize="10" Mode="ShowPager">
                                                    </SettingsPager>
                                                </dxw:ASPxGridView>
                                            </div>
                                            <dxw:ASPxGridViewExporter ID="ASPxGridViewExporter1" runat="server" GridViewID="gvEmployeeDetails"
                                                ReportHeader="{\rtf1\ansi\ansicpg1252\deff0\deflang1033{\fonttbl{\f0\fnil\fcharset0 Arial;}}
                                                \viewkind4\uc1\pard\qc\b\fs28 Employee Details    \par
                                                \pard\par
                                                \par
                                                }
                                                ">
                                            </dxw:ASPxGridViewExporter>
                                        </div>
                                    </asp:Panel>
                                    <asp:HiddenField ID="hdnLocationDetails" runat="server" />
                                    <asp:HiddenField ID="hdnGenderDetails" runat="server" />
                                    <asp:Button ID="btnTest" Text="Test" CssClass="ControlHide" runat="server" />
                                </div>
                            </div>
                        </div>
                        <!-- Main Content Ends Here -->
                        <div id="left">
                        </div>
                        <div class="clear clearfix">
                        </div>
                        <div id="right">
                        </div>
                        <div class="clear clearfix">
                        </div>
                    </div>
                </div>
                <asp:Button ID="btnBulkCofirm" runat="server" Style="display: none;" OnClick="btnBulkCofirm_Click" />
                <asp:HiddenField ID="hdnBulkduplicates" runat="server" />
                <asp:Panel ID="pnlImportEmployee" runat="server" Style="display: none; position: absolute; top: -600px; width: 375px; height: 210px;">
                    <div id="con">
                        <table cellpadding="0" cellspacing="0" border="0" width="98%" class="popup">
                            <tr>
                                <td class="top-l">&nbsp;
                                </td>
                                <td class="top-m">&nbsp;
                                </td>
                                <td class="top-r">&nbsp;
                                </td>
                            </tr>
                            <tr>
                                <td class="left">&nbsp;
                                </td>
                                <td>
                                    <div class="top">
                                        <h1>
                                            <asp:Label ID="lblResetPwd" Text="Load CSV File" runat="server"></asp:Label></h1>
                                        <div class="close">
                                            <asp:ImageButton ID="ImageButton1" OnClientClick="$find('mpEmpDetailsLoad').hide(); return false;"
                                                CausesValidation="false" ImageUrl="~/images/popup-close.gif" Visible="true" runat="server" />
                                        </div>
                                        <div class="clear clearfix">
                                        </div>
                                    </div>
                                    <div class="popup-cont">
                                        <table class="form-tbl" width="100%" border="0" cellspacing="0" cellpadding="0">
                                            <tr>
                                                <td>
                                                    <asp:Label ID="lblEmpDetails" runat="server" Text="Select File" CssClass="label"></asp:Label>
                                                </td>
                                                <td>
                                                    <asp:FileUpload ID="fuEmployee" runat="server" />
                                                </td>
                                            </tr>
                                            <tr>
                                                <td></td>
                                                <td>
                                                    <asp:ImageButton ID="btnImportEmployeeSave" runat="server" ImageUrl="~/images/btn-Save.jpg"
                                                        OnClick="btnImportEmployeeSave_Click" />
                                                    <asp:ImageButton ID="btnImportEmployeeCancel" runat="server" ImageUrl="~/images/btn-Cancel.jpg" />
                                                </td>
                                            </tr>
                                        </table>
                                    </div>
                                </td>
                                <td class="right">&nbsp;
                                </td>
                            </tr>
                            <tr>
                                <td class="bottom-l">&nbsp;
                                </td>
                                <td class="bottom-m">&nbsp;
                                </td>
                                <td class="bottom-r">&nbsp;
                                </td>
                            </tr>
                        </table>
                    </div>
                </asp:Panel>
            </ContentTemplate>
            <Triggers>
                <asp:PostBackTrigger ControlID="btnAddUser" />
                <asp:PostBackTrigger ControlID="btnExport" />
                <asp:PostBackTrigger ControlID="btnImportEmployeeSave" />
                <asp:PostBackTrigger ControlID="ibtGetGPSCoordinates" />
                <asp:PostBackTrigger ControlID="btnTest" />
            </Triggers>
        </asp:UpdatePanel>

        <asp:UpdateProgress ID="uprDataLoading" runat="server" DynamicLayout="True" AssociatedUpdatePanelID="updGrid">
            <ProgressTemplate>
                <asp:Panel ID="pnlProgress" runat="server" CssClass="processMessage" Style="z-index: 1000; display: none;">
                    <center>
                        <br />
                        <img alt="Please Wait ..." src="../images/47.gif" /><br />
                        <br />
                        <asp:Label ID="lbl_msg12" Text="Processing... Please Wait..." runat="server" CssClass="specialdisplay"></asp:Label>
                        <br />
                        <br />
                    </center>
                </asp:Panel>
            </ProgressTemplate>
        </asp:UpdateProgress>

        <div id="searchresults">
        </div>


        <script type="text/javascript" src="../js/FormValidations.js" language="javascript"></script>

        <script language="JavaScript1.2" type="text/javascript" src="../js/myformvalidations.js"></script>

        <script language="JavaScript1.2" type="text/javascript" src="../js/formvalidation.js"></script>

        <script type="text/javascript">
            function CheckGender() {
                if (document.getElementById('hdnGenderDetails').value == "Male") {
                    document.getElementById('rbtMale').checked = true;
                    document.getElementById('rbtFemale').checked = false;
                }
                else if (document.getElementById('hdnGenderDetails').value == "Female") {
                    document.getElementById('rbtMale').checked = false;
                    document.getElementById('rbtFemale').checked = true;
                }
                else {
                    document.getElementById('rbtMale').checked = true;
                    document.getElementById('rbtFemale').checked = false;
                }
            }
            function validateFileUpload(obj) {
                var fileName = new String();
                var fileExtension = new String();
                var validFileExtensions = "csv";
                var flag = false;
                // store the file name into the variable
                fileName = obj.value;
                // extract and store the file extension into another variable
                fileExtension = fileName.substr(fileName.length - 3, 3);
                // Check over the valid file extensions to compare them with uploaded file
                if (fileExtension.toLowerCase() == validFileExtensions.toString().toLowerCase()) {
                    flag = true;

                }
                // display the alert message box according to the flag value
                if (flag == false) {
                    alert('"' + fileExtension.toUpperCase() + '" files are not allowed.\n\n Please upload only CSV files.');

                    var file = document.getElementById("fuEmployee");
                    file.select();
                    cmd = file.createTextRange();
                    cmd.execCommand('delete');
                    file.focus();

                    return false;
                }
                else {
                    return true;
                }
            }
            //display the Employee location map page 
            function OpenPopup() {
                window.open("EmployeeLocation.aspx", "List", "scrollbars=no,resizable=no,width=400px,height=350px");
                return false;
            }
            function Checkdate(txt) {
                var date = String(txt.value).split('/');
                var selectedDate = new Date(date[1] + '/' + date[0] + '/' + date[2]);
                var fromValidDate = new Date(new Date().getMonth() + '/' + new Date().getDate() + '/' + new Date().getFullYear());
                var toValidDate = new Date(new Date().getMonth() + 2 + '/' + new Date().getDate() + '/' + new Date().getFullYear())

                if ((selectedDate < fromValidDate) || (selectedDate > toValidDate)) {
                    alert('Please select a valid Date of Joining.');
                    txt.value = '';
                    txt.focus();
                }
            }
            function ConfirmBulkStatus() {
                var alertMsg = document.getElementById('hdnBulkduplicates').value;
                var returnValue = confirm(alertMsg);
                if (returnValue) {
                    document.getElementById('<%=btnBulkCofirm.ClientID %>').click();
                }
                else {
                    return false;
                }
            }
        </script>
        <asp:HiddenField ID="hdnLogout" runat="server" />
    </form>
    <!-- Content Ends Here -->
    <uc2:Footer ID="ucFooter" runat="server" />
</body>
</html>
