﻿<%@ page language="C#" autoeventwireup="true" inherits="Forms_GeozonePanel, App_Web_kob0wgzu" %>

<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc1" %>
<%@ Register Src="~/UserControls/New_Header.ascx" TagName="Header" TagPrefix="uc1" %>
<%@ Register Src="~/UserControls/New_Footer.ascx" TagName="Footer" TagPrefix="uc2" %>
<!DOCTYPE html>
<html lang="en">
<head id="Head1" runat="server">
    <title>tSense-IoT Geozone Management</title>
    <meta content="charset=utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />

    <link id="reset" runat="server" href="../css/reset.css" rel="stylesheet" type="text/css" />
    <link id="stylesheet2" runat="server" href="../css/stylesheet2.css" rel="stylesheet"
        type="text/css" />
    <link id="dropdown" runat="server" href="../css/dropdown.css" rel="stylesheet" type="text/css" />
    <link id="ieonly" runat="server" rel="stylesheet" type="text/css" href="" />
    <link rel="SHORTCUT ICON" href="../images/favicon.ico" />
    <script src="../js/jquery-1.11.2.min.js" type="text/javascript"></script>
    <%--BootStrap Css--%>
    <link id="BootStrapCss" href="../css/bootstrap.css" runat="server" rel="stylesheet" type="text/css" />
    <link id="mainstyle" runat="server" href="../css/mainstyle.css" rel="stylesheet" type="text/css" />
    <%--End of BootStrap Css--%>
    <script src="../js/wow.min.js"></script>
</head>
<body>
    <div class="pageContainer">
        <form id="form1" runat="server">
            <asp:ScriptManager ID="ScriptManager1" runat="server" EnablePageMethods="true">
            </asp:ScriptManager>
            <!-- Header Starts Here -->
            <uc1:Header ID="ucHeader" runat="server" />
            <!-- Nav Ends Here -->
            <!-- Content Starts Here -->
            <div id="outer">
                <div id="inner">
                    <div id="float-wrap">
                        <!-- Main Content Starts Here -->
                        <div id="content">
                            <div class="content-wrap">
                                <%-- <div id="top-content">--%>
                                <div id="top-content" class="container-fluid head-part">
                                    <div class="row">
                                        <div id="heading" class="col-sm-6 col-md-6">
                                            <img class="icon" src="../images/geozone-icon.jpg" alt="" />
                                            <h1>
                                                <asp:Literal ID="lblGeozoneCaption" runat="server"></asp:Literal>
                                            </h1>
                                            <asp:LinkButton ID="lnkHomeCaption" runat="server"></asp:LinkButton>
                                            <%--<a href="Dashboard.aspx">Home</a>--%><span>&gt;</span><span><a href="GeozonePanel.aspx"><asp:Label
                                                runat="server" ID="lblCaptionGeozone" Text="Geozone"></asp:Label></a></span>
                                        </div>
                                    </div>
                                </div>

                                <div class="clear clearfix">
                                </div>
                                <div class="clear clearfix">
                                </div>
                                <div class="form-box">
                                    <h1>
                                        <span class="icon">
                                            <img src="../images/icn-geo-zone-name.gif" /></span>
                                        <asp:Label runat="server" ID="lblMgntPanel" Text="Geozone Management Panel">
                                        </asp:Label>
                                    </h1>
                                    <asp:UpdatePanel ID="updConfigPanel" runat="server">
                                        <ContentTemplate>
                                            <div class="row">
                                                <div class="col-sm-2 col-md-3 col-lg-3"></div>
                                                <div class="col-sm-8 col-md-6 col-lg-6">
                                                    <div class="form-box">
                                                        <h1>
                                                            <span class="icon">
                                                                <img src="../images/icn-geo-zone-name.gif" /></span>
                                                            <asp:Label runat="server" ID="lblGeoMgnt" Text="Geozone Management">
                                                            </asp:Label>
                                                        </h1>
                                                        <div class="form-tbl">
                                                            <div class="container-fluid" style="padding: 0!important;">
                                                                <div id="trManageGeozone" runat="server">
                                                                    <div class="col-sm-12 rowgeozonePanel nullpadding" style="padding-top: 5px;">
                                                                        <div class="col-xs-7 col-sm-5 col-md-5 col-lg-5">
                                                                            <div class="GeozonePanelAlignment">
                                                                                <asp:ImageButton ID="ibtnVehGeoAgmt" runat="server" ImageUrl="~/images/btn-manage-geozone.jpg"
                                                                                    OnClientClick="ShowPopUp();" OnClick="ibtnVehGeoAgmt_Click" Visible="false" />
                                                                                <asp:LinkButton ID="lnkManageGeozone" runat="server" CssClass="MultilingualBtn" OnClientClick="ShowPopUp();"
                                                                                    OnClick="ibtnVehGeoAgmt_Click">
                                                                                    <span runat="server" class="MultilingualBtnspan">
                                                                                        <div class="ManageGeozone">
                                                                                            <div id="ManageGeozoneDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                                                Manage Geozone
                                                                                            </div>
                                                                                        </div>
                                                                                    </span>
                                                                                </asp:LinkButton>
                                                                            </div>
                                                                        </div>
                                                                        <div class="col-xs-5 col-sm-7">
                                                                            <asp:Label ID="lblManageGeozone" Text="Create / Update the Geozones" runat="server"></asp:Label>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                                <div id="trVehicleGeozoneAssignment" runat="server">
                                                                    <div class="col-sm-12 rowgeozonePanel nullpadding">
                                                                        <div class="col-xs-7 col-sm-5 col-md-5 col-lg-5">
                                                                            <div class="GeozonePanelAlignment">
                                                                                <asp:ImageButton ID="imgAssignGeozones" runat="server" ImageUrl="~/images/btn-assign-geozones.jpg"
                                                                                    OnClientClick="ShowPopUp();" OnClick="imgAssignGeozones_Click" Visible="false" />
                                                                                <asp:LinkButton ID="lnkAssignGeozones" runat="server" CssClass="MultilingualBtn"
                                                                                    OnClientClick="ShowPopUp();" OnClick="imgAssignGeozones_Click">
                                                                                    <span runat="server" class="MultilingualBtnspan">
                                                                                        <div class="AssignGeozone">
                                                                                            <div id="AssignGeozoneDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                                                Assign Geozones
                                                                                            </div>
                                                                                        </div>
                                                                                    </span>
                                                                                </asp:LinkButton>
                                                                            </div>
                                                                        </div>
                                                                        <div class="col-xs-5 col-sm-7">
                                                                            <asp:Label ID="lblGeoZone" runat="server" Text="Assign / Unassign geozones to the vehicle"></asp:Label>

                                                                        </div>
                                                                    </div>
                                                                </div>
                                                                <div class="col-sm-12 rowgeozonePanel nullpadding">
                                                                    <div id="trGeozoneVehicleAssignment" runat="server">
                                                                        <div class="col-xs-7 col-sm-5 col-md-5 col-lg-5">
                                                                            <div class="GeozonePanelAlignment">
                                                                                <asp:ImageButton ID="imgVehicleGeozones1" runat="server" ImageUrl="~/images/btn-geozone-vehicle-assign.jpg"
                                                                                    OnClientClick="ShowPopUp();" OnClick="imgVehicleGeozones_Click" Visible="false" />
                                                                                <asp:LinkButton ID="imgVehicleGeozones" runat="server" CssClass="MultilingualBtn" OnClientClick="ShowPopUp();"
                                                                                    OnClick="imgVehicleGeozones_Click">
                                                                                    <span runat="server" class="MultilingualBtnspan">
                                                                                        <div class="GeozoneVehicle">
                                                                                            <div id="GeozoneVehicleDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                                                Geozone Vehicle Assignment
                                                                                            </div>
                                                                                        </div>
                                                                                    </span>
                                                                                </asp:LinkButton>
                                                                            </div>
                                                                        </div>
                                                                        <div class="col-xs-5 col-sm-7">
                                                                            <asp:Label ID="lblVehicleGeoZone" Text="Assign / Unassign vehicles to the geozones" runat="server"></asp:Label>

                                                                        </div>
                                                                    </div>
                                                                </div>
                                                                <div id="tr1" runat="server">
                                                                    <div class="col-sm-12 rowgeozonePanel nullpadding">
                                                                        <div class="col-xs-7 col-sm-5 col-md-5 col-lg-5">
                                                                            <div class="GeozonePanelAlignment">
                                                                                <asp:ImageButton ID="ImageButton1" runat="server" ImageUrl="~/images/btn-assign-geozones.jpg"
                                                                                    OnClientClick="ShowPopUp();" OnClick="imgAssignGeozones_Click" Visible="false" />
                                                                                <asp:LinkButton ID="lnkSalikfare" runat="server" CssClass="MultilingualBtn"
                                                                                    OnClientClick="ShowPopUp();" OnClick="imgSalikFare_Click">
                                                                                    <span id="Span1" runat="server" class="MultilingualBtnspan">
                                                                                        <div class="AssignGeozone">
                                                                                            <div id="Div1" runat="server" class="MultilingualBtnTextAlign">
                                                                                                Manage Toll Gate Fare
                                                                                            </div>
                                                                                        </div>
                                                                                    </span>
                                                                                </asp:LinkButton>
                                                                            </div>
                                                                        </div>
                                                                        <div class="col-xs-5 col-sm-7">
                                                                            <asp:Label ID="Label1" runat="server" Text="Manage Toll Gate Fare Details"></asp:Label>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    </br>
                                                </div>
                                            </div>
                                            <div class="col-sm-2 col-md-3 col-lg-3"></div>
                                            </div>
                                        </ContentTemplate>
                                    </asp:UpdatePanel>
                                </div>
                            </div>
                        </div>
                        <!-- Main Content Ends Here -->
                        <div id="left">
                        </div>
                        <div class="clear clearfix">
                        </div>
                    </div>
                </div>

                <div id="right">
                </div>
                <div class="clear clearfix">
                </div>

            </div>
            <cc1:ModalPopupExtender ID="mpeProgressIndicator" runat="server" PopupControlID="progressPopUp"
                TargetControlID="btnTesting">
            </cc1:ModalPopupExtender>
            <asp:Button ID="btnTesting" Style="display: none;" runat="server" />
            <asp:Panel ID="progressPopUp" runat="server" CssClass="processMessage" Style="z-index: 1000; display: none;">
                <center>
                <br />
                <img id="imgLoad" runat="server" alt="Please Wait ..." src="../images/47.gif" /><br />
                <br />
                <asp:Label ID="lbl_msg12" Text="Processing... Please Wait..." runat="server" CssClass="specialdisplay"></asp:Label>
                <br />
                <br />
            </center>
            </asp:Panel>
        </form>
        <!-- Content Ends Here -->
    </div>
    <uc2:Footer ID="Footer1" runat="server" />
</body>
</html>
