﻿<%@ page language="C#" autoeventwireup="true" inherits="Forms_KPISettings, App_Web_kob0wgzu" %>

<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc1" %>
<%@ Register Src="~/UserControls/New_Header.ascx" TagName="Header" TagPrefix="uc1" %>
<%@ Register Src="~/UserControls/New_Footer.ascx" TagName="Footer" TagPrefix="uc2" %>

<%@ Register Assembly="DevExpress.Web.v14.2" Namespace="DevExpress.Web" TagPrefix="dxw" %>

<!DOCTYPE html>
<html lang="en">
<head runat="server">
    <title>tSense-IoT KPI Settings</title>
    <meta content="charset=utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
    <link href="../css/CustomeAlert/demos.css" rel="stylesheet" type="text/css" />
    <link href="../css/CustomeAlert/themes/jquery.ui.all.css" rel="stylesheet" type="text/css" />
    <link id="reset" runat="server" href="../css/reset.css" rel="stylesheet" type="text/css" />
    <%--<link id="stylesheet2" runat="server" href="../css/stylesheet2.css" rel="stylesheet" type="text/css" />--%>
    <link id="dropdown" runat="server" href="../css/dropdown.css" rel="stylesheet" type="text/css" />
    <link id="updatedcss" runat="server" href="../css/Updated_css.css" rel="stylesheet" type="text/css" />
    <link id="ieonly" runat="server" rel="stylesheet" type="text/css" />
    <link id="uicore" runat="server" type="text/css" href="../css/ui.core.css" rel="stylesheet" />
    <link id="uitheme" runat="server" type="text/css" href="../css/ui.theme.css" rel="stylesheet" />
    <link rel="stylesheet" type="text/css" href="../css/tooltipster.css" />
    <link rel="icon" href="../NewDesign/img/favicon.png" type="image/x-icon">
    <link href="../NewDesign/css/bootstrap.css" rel="stylesheet" />
    <link href="../NewDesign/css/font-awesome.css" rel="stylesheet" />
    <link href="../NewDesign/css/responsive.css" rel="stylesheet" />
    <link href="../NewDesign/css/style.css" rel="stylesheet" />
    <link href="../NewDesign/font-awesome-4.7.0/css/font-awesome.css" rel="stylesheet" />
    <link href="../NewDesign/font-awesome-4.7.0/css/font-awesome.min.css" rel="stylesheet" />

    <%--Custom Theme for DevEx 14.2--%>
    <link id="GridView" runat="server" type="text/css" href="~/App_Themes/Office2003Blue/GridView/grid.css" rel="stylesheet" />
    <link id="Editors" runat="server" type="text/css" href="~/App_Themes/Office2003Blue/Editors/styles.css" rel="stylesheet" />
    <%--<link rel="SHORTCUT ICON" href="../images/favicon.ico" />--%>

    <%--BootStrap Css--%>
    <%--<link id="BootStrapCss" href="../css/bootstrap.css" runat="server" rel="stylesheet" type="text/css" />--%>
    <%--<link id="mainstyle" runat="server" href="../css/mainstyle.css" rel="stylesheet" type="text/css" />--%>
    <%--End of BootStrap Css--%>

    <script src="../js/CustomAlert/jquery.min.js" type="text/javascript"></script>
    <script src="../js/CustomAlert/jquery-ui-1.10.3.custom.min.js" type="text/javascript"></script>
    <script src="../js/CustomAlert/jquery-ui-1.10.3.custom.js" type="text/javascript"></script>
    <script src="../js/CustomAlert/CustomAlert.js" type="text/javascript"></script>
    <script src="../js/jquery-1.11.2.min.js" type="text/javascript"></script>
    <script src="../js/myformvalidations.js" type="text/javascript"></script>
    <script src="../js/jquery.tooltipster.js" type="text/javascript"></script>
    <script src="http://code.jquery.com/jquery-2.0.0.min.js" type="text/javascript"></script>
    <script type="text/javascript">
        function checkCombo() {
            try {
                var searchVal = $('#txtSearch').val().toLowerCase();
                $("#chkUsrUsrGrp tr td input").each(function () {
                    var s = $(this).val().toLowerCase();
                    var text = $(this).closest("td").find("label").html().toLowerCase();
                    if (searchVal != "") {
                        document.getElementById("chkSelectAllUsr").disabled = true;
                    }
                    else {
                        document.getElementById("chkSelectAllUsr").disabled = false;
                    }
                    $(this).parent().parent()[text.indexOf(searchVal) !== -1 ? 'show' : 'hide']();

                });
            }
            catch (e) { }
        }

    </script>
    <script type="text/javascript">
        //function checkCombo() {
        //    try {
        //        var searchVal = $('#txtSearch').val();
        //        var opt = document.getElementById("chkUsrUsrGrp");
        //        var chkBoxCount = opt.getElementsByTagName("input");
        //        var options = document.getElementById("chkUsrUsrGrp").innerText;
        //        for (var i = 0, n = options.length; i < n ; i++) {
        //            if (options[i].value.toLowerCase() == searchVal.toLowerCase()) {
        //                document.getElementById("chkUsrUsrGrp").selectedIndex = i;
        //                break;
        //            }
        //        }
        //    }
        //    catch (e) { }
        //}
        //$j = jQuery.noConflict();
        //$j(document).ready(function () {
        //    $j("#txtSearch").on("keyup", function () {
        //        var g = $j(this).val().toLowerCase();
        //        $j("#chkUsrUsrGrp tr td input").each(function () {
        //            var s = $j(this).val().toLowerCase();
        //            $j(this).parent().parent()[s.indexOf(g) !== -1 ? 'show' : 'hide']();
        //        });
        //    });
        //});
    </script>
    <style type="text/css">
        legend {
            display: block;
            width: 100%;
            padding: 0;
            margin-bottom: 20px;
            font-size: 21px;
            line-height: inherit;
            color: #333;
            border: 0;
            border-bottom: 1px solid #e5e5e5;
            background: rgb(98,98,98);
            background: -webkit-linear-gradient(left, rgba(98, 98, 98, 0.47) 0%,rgba(64, 64, 64, 0) 100%) !important;
            /*background: -webkit-linear-gradient(left, rgba(98,98,98,1) 0%,rgba(64,64,64,1) 100%);*/
            /*background: linear-gradient(to right, rgba(98,98,98,1) 0%,rgba(64,64,64,1) 100%);*/
            filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#626262', endColorstr='#404040',GradientType=1 );
            border-radius: 5px;
            color: #333;
            font-size: 18px;
            line-height: 25px;
            padding: 5px 10px;
            font-weight: 400;
            margin: 0 0 25px 0;
        }

        .col-lg-1, .col-lg-10, .col-lg-11, .col-lg-12, .col-lg-2, .col-lg-3, .col-lg-4, .col-lg-5, .col-lg-6, .col-lg-7, .col-lg-8, .col-lg-9, .col-md-1, .col-md-10, .col-md-11, .col-md-12, .col-md-2, .col-md-3, .col-md-4, .col-md-5, .col-md-6, .col-md-7, .col-md-8, .col-md-9, .col-sm-1, .col-sm-10, .col-sm-11, .col-sm-12, .col-sm-2, .col-sm-3, .col-sm-4, .col-sm-5, .col-sm-6, .col-sm-7, .col-sm-8, .col-sm-9, .col-xs-1, .col-xs-10, .col-xs-11, .col-xs-12, .col-xs-2, .col-xs-3, .col-xs-4, .col-xs-5, .col-xs-6, .col-xs-7, .col-xs-8, .col-xs-9 {
            position: relative;
            min-height: 1px;
            padding-right: 15px;
            padding-left: 20px !important;
        }

        label {
            display: inline-block;
            max-width: 100%;
            margin-bottom: 5px;
            font-weight: 500 !important;
        }

        .checkbox label, .radio label {
            min-height: 20px;
            padding-left: 0px;
            margin-bottom: 0;
            font-weight: 700 !important;
            cursor: pointer;
        }

        .btn-primary1 {
            min-height: inherit;
            margin: 0 0 5px 0;
            margin-top: 27px !important;
            margin-left: 50px !important;
        }

        .btn-primary1 {
            border: 1px solid #afb3b7;
            font-size: 10px;
            text-transform: uppercase;
            color: #89c4fa;
            font-weight: 600;
            line-height: 10px;
            padding: 7px 20px;
            background: #FFFFFF;
            background: -moz-linear-gradient(top, #FFFFFF 0%, #D8D5D7 100%);
            background: -webkit-linear-gradient(top, #FFFFFF 0%, #D8D5D7 100%);
            background: linear-gradient(to bottom, #FFFFFF 0%, #D8D5D7 100%);
            filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#FFFFFF', endColorstr='#D8D5D7',GradientType=1 );
            border-radius: 5px;
            color: #cb1646 !important;
        }

        fieldset {
            margin-bottom: 5px !important;
            border: solid 1px #FFFFFF !important;
            padding: 5px !important;
            /*-webkit-box-shadow: 0 10px 6px -6px #777;
            -moz-box-shadow: 0 10px 6px -6px #777;
            box-shadow: 0 10px 6px -6px #777;*/
        }

        .processMessage {
            padding: 0px;
            width: 240px;
            height: 130px;
            z-index: 10000001 !important;
            color: gray;
            box-sizing: border-box;
            background-color: white;
            box-shadow: 0 8px 16px 0 rgba(0,0,0,0.2);
            transform: 0.3s;
            border-radius: 10px;
        }

            .processMessage img {
                height: 50px;
            }

        .carousel .item {
            /*height: 170px !important;
            width: 50% !important;*/
            margin-left: 10%;

        }

        .carousel-inner {
            *height: 100%;
            width: 100% !important;
        }

        .item {
            display: inline-block;
            margin: auto;
        }

        #myCarousel.carousel.slide {
            width: 100%;
            max-width: 400px !important;
        }
    </style>
    <script src="../js/wow.min.js"></script>
</head>
<body class="white">
    <div class="page-wrapper">
        <div class="preloader" runat="server" id="preload"></div>
        <form id="form1" runat="server">
            <asp:ScriptManager ID="ScriptManager1" runat="server" EnablePageMethods="true">
            </asp:ScriptManager>
            <uc1:Header ID="ucHeader" runat="server" />
            <div id="outer">
                <div id="inner">
                    <div id="float-wrap">
                        <div id="content">
                            <div class="content-wrap1">
                                <asp:UpdatePanel ID="UpdatePanel1" runat="server" UpdateMode="Conditional">
                                    <ContentTemplate>
                                        <div class="vlive-reports-section maintenance">
                                            <div class="container-fluid">
                                                <div class="row clearfix">
                                                    <div class="col-ks-16">
                                                        <div class="col-ks-8 HeaderTest">
                                                            <div class="col-ks-16">
                                                                <h2 class="pull-left">
                                                                    <asp:Literal ID="lblKPISettingCaption" runat="server">KPI Settings</asp:Literal></h2>
                                                                </h2>
                                                            </div>
                                                            <div class="col-ks-16">
                                                                <asp:SiteMapPath ID="site" runat="server" CssClass="breadcrumb">
                                                                    <NodeStyle CssClass="active" />
                                                                </asp:SiteMapPath>
                                                            </div>
                                                        </div>
                                                        <div class="col-ks-8 HeaderTopButton">
                                                            <asp:LinkButton ID="lbtAddSettings" runat="server" CssClass="fa-plus btn btn-primary" OnClientClick="ShowPopUp();return true;" OnClick="lbtAddSettings_Click" Text="&nbsp;&nbsp;&nbsp;Add">
                                                            </asp:LinkButton>
                                                            <asp:LinkButton ID="btnBack" runat="server" CssClass="fa-arrow-left btn btn-primary" CausesValidation="false"
                                                                PostBackUrl="~/Forms/KPIDashboard.aspx" Text="&nbsp;&nbsp;Back to KPI">
                                                            </asp:LinkButton>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>

                                        <%--<div id="top-content" class="head-part">--%>
                                        <div id="heading" class="vlive-reports-section maintenance" style="display: none;">
                                            <img class="icon" src="../images/kpisettings.png" alt="" />
                                            <h1>
                                                <asp:Literal ID="lblKPISettingCaption1" Text="KPI Settings" runat="server"></asp:Literal>
                                            </h1>

                                            <span runat="server">&gt;</span>
                                            <span></span>
                                            <span id="greater" runat="server">&gt;</span>
                                            <span></span>
                                        </div>
                                        <div class="col-sm-4 col-md-3 col-lg-2 head-part-btns" style="display: none;">
                                            <div class="pull-right">
                                                <asp:LinkButton ID="lbtAddSettings1" runat="server" CssClass="MultilingualBtn" OnClientClick="ShowPopUp();return true;" OnClick="lbtAddSettings_Click">
                                                    <span runat="server" class="MultilingualBtnspan">
                                                        <div class="AddGeozone">
                                                            <div id="AddUsersDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                Add
                                                            </div>
                                                        </div>
                                                    </span>
                                                </asp:LinkButton>&nbsp;
                                                    <asp:LinkButton ID="btnBack1" runat="server" CssClass="MultilingualBtn" PostBackUrl="~/Forms/KPIDashboard.aspx">
                                                        <span id="Span2" runat="server" class="MultilingualBtnspan">
                                                            <div class="Back">
                                                                <div id="BacktoConfigurationDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                    Back to KPI
                                                                </div>
                                                            </div>
                                                        </span>
                                                    </asp:LinkButton>
                                            </div>
                                        </div>
                                        <div class="vlive-filter">
                                            <div class="vlive-centrifugal-fan maintenance-plan">
                                            </div>
                                        </div>
                                        <%--</div>--%>
                                        <div class="clear clearfix">
                                        </div>
                                        <div class="form-box">
                                            <h1></h1>
                                            <div class="clear clearfix"></div>
                                            <asp:Panel ID="pnlGrid" runat="server">
                                                <div class="table-responsive">
                                                    <dxw:ASPxGridView ID="gvUsers" ClientInstanceName="gvUsers" runat="server" Width="100%"
                                                        KeyFieldName="ASSIGNMENTID" EnableTheming="true" Theme="Office2003Blue"
                                                        CssFilePath="~/App_Themes/Office2003Blue/GridView/grid.css" CssPostfix="Office2003_Blue" OnHtmlRowCreated="gvUsers_HtmlRowCreated"
                                                        Settings-ShowFilterRow="true">
                                                        <Settings ShowVerticalScrollBar="true" VerticalScrollableHeight="550" />
                                                        <Styles CssFilePath="~/App_Themes/office2003Blue/GridView/grid.css" AlternatingRow-Enabled="True"
                                                            CssPostfix="Office2003_Blue">
                                                            <Header ImageSpacing="5px" SortingImageSpacing="5px">
                                                            </Header>
                                                            <LoadingPanel ImageSpacing="10px">
                                                            </LoadingPanel>
                                                            <PagerBottomPanel CssClass="PageFooter">
                                                            </PagerBottomPanel>
                                                            <PagerTopPanel CssClass="PageFooter">
                                                            </PagerTopPanel>
                                                        </Styles>
                                                        <SettingsPager PrevPageButton-Image-Url="../App_Themes/office2003Blue/GridView/pPrev.gif" PageSize="25"
                                                            PrevPageButton-Image-UrlDisabled="../App_Themes/office2003Blue/GridView/pPrevDisabled.gif"
                                                            NextPageButton-Image-UrlDisabled="../App_Themes/office2003Blue/GridView/pNextDisabled.gif"
                                                            NextPageButton-Image-Url="../App_Themes/office2003Blue/GridView/pNext.gif" AlwaysShowPager="true">
                                                        </SettingsPager>
                                                        <Columns>
                                                            <dxw:GridViewDataColumn FieldName="ASSIGNMENTID" Caption="AutoID" VisibleIndex="0" Visible="false">
                                                            </dxw:GridViewDataColumn>
                                                            <dxw:GridViewDataColumn FieldName="KPINAME" Caption="KPI" VisibleIndex="2"
                                                                HeaderStyle-HorizontalAlign="Center" Width="12%">
                                                                <HeaderCaptionTemplate>
                                                                    <span>
                                                                        <img id="kpiIcon" runat="server" src="../images/icn-top.gif" alt="KPI" title="KPI" visible="false" /></span>
                                                                    <span class="">
                                                                        <asp:Label ID="lblUserName" runat="server" Text="KPI"></asp:Label>
                                                                    </span>
                                                                </HeaderCaptionTemplate>
                                                            </dxw:GridViewDataColumn>
                                                            <dxw:GridViewDataColumn FieldName="CUSTOMTITLE" Caption="Title" VisibleIndex="2"
                                                                HeaderStyle-HorizontalAlign="Center" Width="15%">
                                                                <HeaderCaptionTemplate>
                                                                    <span>
                                                                        <img id="titleIcon" runat="server" src="../images/costDescription.png" alt="Title" title="Title" visible="false" /></span>
                                                                    <span class="">
                                                                        <asp:Label ID="lblDisplayName" runat="server" Text="Title"></asp:Label>
                                                                    </span>
                                                                </HeaderCaptionTemplate>
                                                                <DataItemTemplate>
                                                                    <span class="" style="word-wrap: break-word !important;">
                                                                        <asp:Label ID="lblTitleDesc" runat="server" Text='<%# Eval("CUSTOMTITLE") %>'></asp:Label>
                                                                    </span>
                                                                </DataItemTemplate>
                                                            </dxw:GridViewDataColumn>
                                                            <dxw:GridViewDataColumn FieldName="FleetName" Caption="Fleet" VisibleIndex="3"
                                                                HeaderStyle-HorizontalAlign="Center" Width="7%">
                                                                <HeaderCaptionTemplate>
                                                                    <span>
                                                                        <asp:Image ID="imgFleetName" runat="server" ImageUrl="../images/fleet-icon.gif" Visible="false" /></span>
                                                                    <span class="">
                                                                        <asp:Label ID="lblPwd" runat="server" Text="Site"></asp:Label>
                                                                    </span>
                                                                </HeaderCaptionTemplate>
                                                            </dxw:GridViewDataColumn>
                                                            <dxw:GridViewDataColumn FieldName="ESPTYPE" Caption="Fleet" VisibleIndex="3"
                                                                HeaderStyle-HorizontalAlign="Center" Width="10%">
                                                                <HeaderCaptionTemplate>
                                                                    <span>
                                                                        <asp:Image ID="imgFleetName" runat="server" ImageUrl="../images/vehicle-icon.gif" Visible="false" /></span>
                                                                    <span class="">
                                                                        <asp:Label ID="lblPwd" runat="server" Text="Equipment Type"></asp:Label>
                                                                    </span>
                                                                </HeaderCaptionTemplate>
                                                            </dxw:GridViewDataColumn>
                                                            <dxw:GridViewDataColumn FieldName="VehicleCount" Caption="Vehicles" VisibleIndex="4"
                                                                HeaderStyle-HorizontalAlign="Center" CellStyle-HorizontalAlign="Left"
                                                                CellStyle-Wrap="True" Width="10%">
                                                                <HeaderCaptionTemplate>
                                                                    <span style="display: none;">
                                                                        <img src="../images/icn-vehicle-name.gif" alt="" title="" align="top" /></span>
                                                                    <span class="">
                                                                        <asp:Label ID="lblEmail" runat="server" Text="Device"></asp:Label>
                                                                    </span>
                                                                </HeaderCaptionTemplate>
                                                                <%--<DataItemTemplate>
                                                                    <span class="label" style="word-wrap: break-word !important;">
                                                                        <asp:Label ID="lblVehicleCnt" runat="server" Text='<%# Eval("VehicleCount") %>'></asp:Label>
                                                                    </span>
                                                                </DataItemTemplate>--%>
                                                            </dxw:GridViewDataColumn>
                                                            <dxw:GridViewDataColumn FieldName="DISPLAYNAME" Caption="Display" VisibleIndex="5"
                                                                HeaderStyle-HorizontalAlign="Center" CellStyle-HorizontalAlign="Left" Width="7%">
                                                                <HeaderCaptionTemplate>
                                                                    <span style="display: none;">
                                                                        <img src="../images/icn-chart.gif" alt="" title="" align="top" /></span>
                                                                    <span class="">
                                                                        <asp:Label ID="lblGroup" runat="server" Text="Display"></asp:Label>
                                                                    </span>
                                                                </HeaderCaptionTemplate>
                                                            </dxw:GridViewDataColumn>
                                                            <dxw:GridViewDataTextColumn FieldName="REFRESHFREQUENCY" Caption="Freq. (secs)" VisibleIndex="6"
                                                                HeaderStyle-HorizontalAlign="Center" CellStyle-HorizontalAlign="Center" Width="8%" Visible="false">
                                                                <HeaderCaptionTemplate>
                                                                    <span class="label">
                                                                        <asp:Label ID="lblActiveStatus" runat="server" Text="Freq. (secs)"></asp:Label>
                                                                    </span>
                                                                </HeaderCaptionTemplate>
                                                                <Settings AllowAutoFilter="False" AllowSort="True" ShowFilterRowMenu="False" />
                                                            </dxw:GridViewDataTextColumn>
                                                            <dxw:GridViewDataTextColumn FieldName="DurationInText" Caption="Duration" VisibleIndex="7"
                                                                HeaderStyle-HorizontalAlign="Center" CellStyle-HorizontalAlign="Left" Width="10%">
                                                                <HeaderCaptionTemplate>
                                                                    <span style="display: none;">
                                                                        <img src="../images/icn-time.gif" alt="" title="" align="top" />
                                                                    </span>
                                                                    <span class="">
                                                                        <asp:Label ID="lblLockedStatus" runat="server" Text="Duration"></asp:Label>
                                                                    </span>
                                                                </HeaderCaptionTemplate>
                                                                <Settings AllowAutoFilter="False" ShowFilterRowMenu="False" />
                                                            </dxw:GridViewDataTextColumn>
                                                            <dxw:GridViewDataTextColumn FieldName="Ranges" Caption="Range (min - max)" VisibleIndex="8"
                                                                HeaderStyle-HorizontalAlign="Center" CellStyle-HorizontalAlign="Left" Width="10%">
                                                                <HeaderCaptionTemplate>
                                                                    <span style="display: none;">
                                                                        <img src="../images/to-km.png" alt="" title="range" align="top" /></span>
                                                                    <span class="">
                                                                        <asp:Label ID="lblSMSBasedStatus" runat="server" Text="Range (min - max)"></asp:Label>
                                                                    </span>
                                                                </HeaderCaptionTemplate>
                                                                <Settings AllowAutoFilter="False" AllowSort="True" ShowFilterRowMenu="False" />
                                                            </dxw:GridViewDataTextColumn>
                                                            <dxw:GridViewDataTextColumn FieldName="IsAssign" Caption="Hidden Status" VisibleIndex="9"
                                                                HeaderStyle-HorizontalAlign="Center" CellStyle-HorizontalAlign="Center" Width="5%"
                                                                Visible="false">
                                                                <HeaderCaptionTemplate>
                                                                    <span class="">
                                                                        <asp:Label ID="lblHiddenStatus" runat="server" Text="Hidden Status"></asp:Label>
                                                                    </span>
                                                                </HeaderCaptionTemplate>
                                                                <DataItemTemplate>
                                                                    <asp:Label ID="lblIsAssign" runat="server" Text='<%# Eval("ISASSIGN") %>'></asp:Label>
                                                                </DataItemTemplate>
                                                                <Settings AllowAutoFilter="False" ShowFilterRowMenu="False" />
                                                            </dxw:GridViewDataTextColumn>
                                                            <dxw:GridViewDataColumn FieldName="UserName" Caption="User" VisibleIndex="10"
                                                                HeaderStyle-HorizontalAlign="Center" Width="7%">
                                                                <HeaderCaptionTemplate>
                                                                    <span class="">
                                                                        <asp:Label ID="lblGroup" runat="server" Text="User"></asp:Label>
                                                                    </span>
                                                                </HeaderCaptionTemplate>
                                                            </dxw:GridViewDataColumn>
                                                            <dxw:GridViewDataTextColumn Caption="Active Status" VisibleIndex="11" Width="3%"
                                                                HeaderStyle-HorizontalAlign="Center" CellStyle-HorizontalAlign="Center" Name="Reset">
                                                                <HeaderTemplate>
                                                                </HeaderTemplate>
                                                                <DataItemTemplate>
                                                                    <center>
                                                                    <asp:LinkButton ID="imgActiveStatus" runat="server" alternatetext="Click to change the status" OnClientClick="ShowPopUp();return true;"
                                                                        ToolTip="Click to change the status" CssClass="handButton" OnClick="ChangeActiveStatus"
                                                                        CommandArgument='<%# Eval("ASSIGNMENTID") %>'>
                                                                        <asp:Image ID="imgActiveStatusIndicator" ImageUrl='<%# Convert.ToString(Eval("ISASSIGN")) == "True" ?"../images/icn-active.gif" : "../images/icn-inactive.gif" %>'
                                                                            ToolTip='<%# Convert.ToString(Eval("ISASSIGN")) == "True" ? "Active" : "In-active" %>' runat="server" />
                                                                    </asp:LinkButton>
                                                                </center>
                                                                </DataItemTemplate>
                                                            </dxw:GridViewDataTextColumn>
                                                            <dxw:GridViewDataTextColumn Caption="Edit" VisibleIndex="12" Width="3%" HeaderStyle-HorizontalAlign="Center"
                                                                CellStyle-HorizontalAlign="Center" Name="Edit">
                                                                <HeaderTemplate>
                                                                </HeaderTemplate>
                                                                <DataItemTemplate>
                                                                    <asp:LinkButton ID="btn" runat="server" OnClick="btnEditUser_click" CommandArgument='<%# Eval("ASSIGNMENTID") %>'
                                                                        alternatetext="Edit" OnClientClick="ShowPopUp();return true;" CssClass="Grid-btn-fa-pencil-square-o"
                                                                        ToolTip="Click here to Edit">                                                                        
                                                                    </asp:LinkButton>
                                                                    <%--<asp:Image ID="imgEdit" runat="server" ImageUrl="~/images/icn-edit.gif" />--%>
                                                                </DataItemTemplate>
                                                            </dxw:GridViewDataTextColumn>

                                                            <dxw:GridViewDataTextColumn Caption="Delete" VisibleIndex="13" Width="3%" HeaderStyle-HorizontalAlign="Center"
                                                                CellStyle-HorizontalAlign="Center">
                                                                <HeaderTemplate>
                                                                </HeaderTemplate>
                                                                <DataItemTemplate>
                                                                    <asp:LinkButton ID="lbtnDelete" runat="server" alternatetext="Delete" ToolTip="Click here to Delete"
                                                                        CssClass="Grid-btn-fa-trash-o"
                                                                        CommandArgument='<%# Convert.ToString(Eval("ASSIGNMENTID")) %>' OnClick="lbtnDelete_click">                                                                       
                                                                    </asp:LinkButton>
                                                                    <%--<img src="../images/delete-icon.gif" alt="" />--%>
                                                                </DataItemTemplate>
                                                            </dxw:GridViewDataTextColumn>
                                                            <%--OnClientClick="return confirm('Are you sure want to delete this KPI?');ShowPopUp();"--%>
                                                        </Columns>
                                                        <Settings ShowFilterRowMenu="True" />
                                                        <SettingsText EmptyDataRow="No KPI data matching to the search criteria" />
                                                    </dxw:ASPxGridView>
                                                </div>
                                            </asp:Panel>
                                            <asp:Panel ID="pnlUserPreferences" runat="server" CssClass="container-fluid">
                                                <%--  <div class="clearfix"></div>
                                                &nbsp;--%>
                                                <div class="form-horizontal">
                                                    <asp:Panel ID="pnlSettings" runat="server" GroupingText="KPI Settings">
                                                        <div class="form-group">
                                                            <div class="col-sm-6">
                                                                <div class="form-group">
                                                                    <div class="col-sm-6 col-md-4">
                                                                        <asp:Label ID="lblKPICaption" runat="server" CssClass="" Font-Bold="False" Text="Key Performance Indicator"></asp:Label>
                                                                        <%--<span style="color: red">*</span>--%>
                                                                    </div>
                                                                    <div class="col-sm-6 col-md-6">
                                                                        <dxw:ASPxComboBox ID="ddlKPI" runat="server" ValueType="System.String" ShowImageInEditBox="false" OnSelectedIndexChanged="ddlKPI_SelectedIndexChanged"
                                                                            EnableIncrementalFiltering="true" ClientInstanceName="ddlKPI" SelectedIndex="0" AutoPostBack="true" TabIndex="1"
                                                                            AutoResizeWithContainer="true" CssClass="form-control man-dat" EnableTheming="true" Theme="Office2003Blue"
                                                                            CssFilePath="~/App_Themes/Office2003 Blue/Editors/styles.css" CssPostfix="Office2003_Blue">
                                                                            <ClientSideEvents SelectedIndexChanged="foo" />
                                                                        </dxw:ASPxComboBox>
                                                                    </div>
                                                                    <div class="col-sm-2">
                                                                        <a style="background: url(../images/notify-alert.gif) no-repeat left 9px;"></a>
                                                                    </div>
                                                                </div>
                                                                <div class="form-group" id="divType" runat="server" style="display: none;">
                                                                    <div class="col-sm-6 col-md-4">
                                                                        <asp:Label ID="lbl_Type" runat="server" CssClass="" Font-Bold="False" Text="Type"></asp:Label>
                                                                        <%--<span style="color: red">*</span>--%>
                                                                    </div>
                                                                    <div class="col-sm-6 col-md-6">
                                                                        <dxw:ASPxComboBox ID="ddlType" runat="server" ValueType="System.String" ShowImageInEditBox="false"
                                                                            EnableIncrementalFiltering="true" ClientInstanceName="ddlType" SelectedIndex="0" TabIndex="1"
                                                                            AutoResizeWithContainer="true" CssClass="form-control man-dat" EnableTheming="true" Theme="Office2003Blue"
                                                                            CssFilePath="~/App_Themes/Office2003 Blue/Editors/styles.css" CssPostfix="Office2003_Blue">
                                                                        </dxw:ASPxComboBox>
                                                                    </div>
                                                                    <div class="col-sm-2">
                                                                        <a style="background: url(../images/notify-alert.gif) no-repeat left 9px;"></a>
                                                                    </div>
                                                                </div>
                                                                <div class="form-group">
                                                                    <div class="col-sm-6 col-md-4">
                                                                        <asp:Label ID="lblCustomTitle" runat="server" CssClass="" Font-Bold="False" Text="Custom Title">
                                                                        </asp:Label>
                                                                        <%--<span style="color: red">*</span>--%>
                                                                    </div>
                                                                    <div class="col-sm-6 col-md-6">
                                                                        <asp:TextBox ID="txtCustomTitle" runat="server" TextMode="SingleLine" MaxLength="75"
                                                                            onpaste="return false;" TabIndex="2" CssClass="form-control man-dat"></asp:TextBox>
                                                                    </div>
                                                                </div>
                                                                <div class="form-group">
                                                                    <div class="col-sm-6 col-md-4">
                                                                        <asp:Label ID="lblCustomDescription" runat="server" CssClass="" Font-Bold="False" Text="Description">
                                                                        </asp:Label>
                                                                    </div>
                                                                    <div class="col-sm-6 col-md-6">
                                                                        <asp:TextBox ID="txtCustomDescription" runat="server" TextMode="MultiLine" MaxLength="250" Height="100px"
                                                                            TabIndex="3" class="form-control"></asp:TextBox>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <div class="col-sm-6">
                                                                <div class="form-group">
                                                                    <div class="col-sm-4 col-md-3 col-lg-3"></div>
                                                                    <div class="col-sm-6 icon-img">
                                                                        <asp:LinkButton ID="LinkButton1" runat="server" CssClass="btn btn-primary btn-fa-search" OnClientClick="ShowPopUp();" OnClick="btnPreview_Click" Text="&nbsp;&nbsp;&nbsp;Preview">
                                                                        </asp:LinkButton>
                                                                        <asp:LinkButton ID="btnPreview" Visible="false" runat="server" CssClass="MultilingualBtn" OnClientClick="ShowPopUp();" OnClick="btnPreview_Click" TabIndex="4">
                                                                            <span runat="server" class="MultilingualBtnspan">
                                                                                <div class="Search">
                                                                                    <div id="UpdateResultsButDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                                        Preview
                                                                                    </div>
                                                                                </div>
                                                                            </span>
                                                                        </asp:LinkButton>
                                                                    </div>
                                                                    <div class="col-sm-12">
                                                                        <div id="frmPreview" runat="server" height="150px" visible="false">
                                                                        </div>
                                                                        <div id="myCarousel" class="carousel slide" data-ride="carousel" runat="server" visible="false">
                                                                            <ol class="carousel-indicators">
                                                                                <li data-target="#myCarousel" data-slide-to="0" class="active"></li>
                                                                                <li data-target="#myCarousel" data-slide-to="1"></li>
                                                                                <li data-target="#myCarousel" data-slide-to="2"></li>
                                                                            </ol>
                                                                            <div class="carousel-inner">
                                                                                <div class="item active">
                                                                                    <img class="itemimg" src="../images/Safe_Preview.png" alt="safe">
                                                                                </div>

                                                                                <div class="item">
                                                                                    <img class="itemimg" src="../images/Warning_Preview.png" alt="warrning">
                                                                                </div>

                                                                                <div class="item">
                                                                                    <img class="itemimg" src="../images/Critical_Preview.png" alt="critical">
                                                                                </div>
                                                                            </div>

                                                                            <a class="left carousel-control" href="#myCarousel" data-slide="prev">
                                                                                <span class="glyphicon glyphicon-chevron-left"></span>
                                                                                <span class="sr-only">Previous</span>
                                                                            </a>
                                                                            <a class="right carousel-control" href="#myCarousel" data-slide="next">
                                                                                <span class="glyphicon glyphicon-chevron-right"></span>
                                                                                <span class="sr-only">Next</span>
                                                                            </a>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                </div>
                                            </asp:Panel>
                                            <div id="trOtherSettings" runat="server">
                                                <asp:Panel ID="pnlOtherSettings" runat="server" GroupingText="Other Settings">
                                                    <div class="form-horizontal">
                                                        <div id="trColorSelection" runat="server" class="form-group" style="display: none">
                                                            <div class="col-sm-3 col-md-2">
                                                                <asp:Label ID="lblTitleColor" runat="server" CssClass="" Font-Bold="False" Text="Title Color"></asp:Label>
                                                                <span style="color: red">*</span>
                                                            </div>
                                                            <div class="col-sm-4">
                                                                <div id="spi1" style="padding-left: 2px; height: 16px; width: 20px; border: 2px solid black; background-color: rgb(255, 255, 255); float: left;"
                                                                    onmouseover="setColorForDiv(1);"
                                                                    onclick="setColorForDiv(1);">
                                                                </div>
                                                                &nbsp;
                                                                                <div id="spi2" style="padding-left: 2px; height: 20px; width: 20px; background-color: rgb(255, 255, 0); float: left;"
                                                                                    onmouseover="setColorForDiv(2);"
                                                                                    onclick="setColorForDiv(2);">
                                                                                </div>
                                                                &nbsp;
                                                                                <div id="spi3" style="padding-left: 2px; height: 20px; width: 20px; background-color: rgb(0, 255, 255); float: left;"
                                                                                    onmouseover="setColorForDiv(3);" onclick="setColorForDiv(3);">
                                                                                </div>
                                                                &nbsp;
                                                                                <div id="spi4" style="padding-left: 2px; height: 20px; width: 20px; background-color: rgb(0, 127, 255); float: left;"
                                                                                    onmouseover="setColorForDiv(4);" onclick="setColorForDiv(4);">
                                                                                </div>
                                                                &nbsp;
                                                                                <div id="spi5" style="padding-left: 2px; height: 20px; width: 20px; background-color: rgb(0, 0, 255); float: left;"
                                                                                    onmouseover="setColorForDiv(5);" onclick="setColorForDiv(5);">
                                                                                </div>
                                                                &nbsp;
                                                                                <div id="spi6" style="padding-left: 2px; height: 20px; width: 20px; background-color: rgb(127, 0, 255); float: left;"
                                                                                    onmouseover="setColorForDiv(6);" onclick="setColorForDiv(6);">
                                                                                </div>
                                                                &nbsp;
                                                                                <div id="spi7" style="padding-left: 2px; height: 20px; width: 20px; background-color: rgb(255, 0, 255); float: left;"
                                                                                    onmouseover="setColorForDiv(7);" onclick="setColorForDiv(7);">
                                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div id="trFleetSelection" runat="server" class="form-group" visible="false">
                                                            <div class="col-sm-3 col-md-2">
                                                                <asp:Label ID="lblFleet" runat="server" CssClass="" Font-Bold="False" Text="Site"></asp:Label>
                                                                <%--<span style="color: red">*</span>--%>
                                                            </div>
                                                            <div class="col-sm-3 form-controllinebreak">
                                                                <dxw:ASPxComboBox ID="ddlFleet" runat="server" ValueType="System.String" ShowImageInEditBox="false"
                                                                    EnableIncrementalFiltering="true" ClientInstanceName="ddlFleet" SelectedIndex="0" CssClass="form-control man-dat"
                                                                    AutoPostBack="true" TabIndex="5" AutoResizeWithContainer="true" EnableTheming="true" Theme="Office2003Blue"
                                                                    OnSelectedIndexChanged="ddlFleet_SelectedIndexChanged"
                                                                    CssFilePath="~/App_Themes/Office2003 Blue/Editors/styles.css" CssPostfix="Office2003_Blue">
                                                                </dxw:ASPxComboBox>
                                                            </div>

                                                            <div class="col-sm-6 form-controllinebreak">
                                                                <div class="col-sm-3 nullpadding form-controllinebreak">
                                                                    <asp:Label ID="lblVehType" runat="server" CssClass="" Font-Bold="False" Text="Equipment Type"></asp:Label>
                                                                    <%--<span style="color: red" id="spnVehtype" runat="server">*</span>--%>
                                                                </div>
                                                                <div class="col-sm-3" style="padding-left: 5px">
                                                                    <asp:DropDownList ID="ddlVehType" runat="server" AutoPostBack="true" OnSelectedIndexChanged="ddlVehType_SelectedIndexChanged" CssClass="form-control man-dat"></asp:DropDownList>
                                                                    <%--<dxw:ASPxComboBox ID="ddlVehType" runat="server" ValueType="System.String"
                                                                                EnableIncrementalFiltering="true" AutoPostBack="true" SelectedIndex="0" CssClass="form-control" AutoResizeWithContainer="true"
                                                                                EnableTheming="true" Theme="office2003Blue" OnSelectedIndexChanged="ddlVehType_SelectedIndexChanged"
                                                                                CssFilePath="~/App_Themes/Office2003 Blue/Editors/styles.css" CssPostfix="Office2003_Blue">
                                                                            </dxw:ASPxComboBox>--%>
                                                                </div>
                                                                <div class="col-sm-3 col-md-2">
                                                                    <asp:Label ID="lblVehicle" runat="server" CssClass="" Font-Bold="False" Text="Device"></asp:Label>
                                                                    <%--<span style="color: red" id="spnVehicle" runat="server">*</span>--%>
                                                                </div>
                                                                <div class="col-sm-4 col-md-4">
                                                                    <dxw:ASPxTokenBox ID="ddlVehicleToken" runat="server" EnableTheming="true" Theme="Office2003Blue" NullText="Select Device.." Width="100%" onkeypress="return false;"
                                                                        Border-BorderStyle="Solid" Border-BorderColor="#C0C0C0" FocusedStyle-Border-BorderColor="#000" Paddings-PaddingTop="3px" Paddings-PaddingBottom="3px"
                                                                        AnimationType="Fade" TextField="VehicleDescription" ValueField="BoxId" AllowCustomTokens="false" AutoResizeWithContainer="true">
                                                                        <TokenTextStyle Wrap="True" VerticalAlign="Bottom"></TokenTextStyle>
                                                                        <TokenRemoveButtonStyle VerticalAlign="Top"></TokenRemoveButtonStyle>
                                                                        <ClientSideEvents TokensChanged="function(s,e) { if(ddlVehicleToken.GetSelectedItem().text == 'All'){ ddlVehicleToken.ClearTokenCollection();  ddlVehicleToken.AddToken('All'); }else { ddlVehicleToken.RemoveTokenByText('All'); } if(ddlVehicleToken.GetTokenCollection().length > 5) { ddlVehicleToken.RemoveToken(5); TrinetraCustomAlerts('Maximum selection limit is 5 vehicles.'); }}"></ClientSideEvents>
                                                                    </dxw:ASPxTokenBox>
                                                                    <dxw:ASPxComboBox ID="ddlVehicle" runat="server" ValueType="System.String" ShowImageInEditBox="false" Visible="false"
                                                                        EnableIncrementalFiltering="true" ClientInstanceName="ddlVehicle" SelectedIndex="0" CssClass="form-control"
                                                                        AutoPostBack="false" TabIndex="6" AutoResizeWithContainer="true" EnableTheming="true" Theme="Office2003Blue"
                                                                        CssFilePath="~/App_Themes/Office2003 Blue/Editors/styles.css" CssPostfix="Office2003_Blue">
                                                                    </dxw:ASPxComboBox>
                                                                </div>
                                                            </div>


                                                        </div>
                                                        <div id="trDisplay" runat="server" class="form-group">
                                                            <div class="col-sm-3 col-md-2">
                                                                <span class="redtxt">|</span><asp:Label ID="lblDisplay" runat="server" CssClass="" Font-Bold="False" Text="Display"></asp:Label>
                                                                <%--<span style="color: red">*</span>--%>
                                                            </div>
                                                            <div id="trDisplayTypeControls" runat="server" class="col-sm-3 form-controllinebreak">
                                                                <asp:RadioButtonList ID="rdbDisplayType" runat="server" RepeatDirection="Horizontal" TabIndex="7" CssClass="radiobtnlst">
                                                                    <asp:ListItem Text="Tile&nbsp;" Selected="True" Value="1"></asp:ListItem>
                                                                    <asp:ListItem Text="Grid&nbsp;" Value="5"></asp:ListItem>
                                                                    <asp:ListItem Text="Chart" Value="4"></asp:ListItem>
                                                                </asp:RadioButtonList>
                                                            </div>
                                                            <div class="ControlHide col-sm-3 col-md-2" id="tdCostKPICaption" runat="server">
                                                                <asp:Label ID="lblCostKPICaption" runat="server" CssClass="" Font-Bold="False" Text="Cost"></asp:Label>
                                                                <%--<span style="color: red">*</span>--%>
                                                            </div>
                                                            <div class="ControlHide col-sm-3" id="tdCostKPIValues" runat="server">
                                                                <asp:TextBox ID="txtCostKPIValues" runat="server" CssClass="form-control man-dat" onkeypress="return chkDecNums(event, this);"
                                                                    Font-Bold="False" MaxLength="5" TabIndex="10"></asp:TextBox>
                                                            </div>
                                                        </div>
                                                        <div id="trRefresh" runat="server" class="form-group" style="display: none">
                                                            <div class="col-sm-3 col-md-2">
                                                                <asp:Label ID="lblRefreshFreq" runat="server" CssClass="" Font-Bold="False" Text="Refresh Frequency"></asp:Label>
                                                                <span style="color: red">*</span>
                                                            </div>
                                                            <div class="col-sm-3">
                                                                <dxw:ASPxComboBox ID="ddlRefreshFreq" runat="server" ValueType="System.String" ShowImageInEditBox="false"
                                                                    EnableIncrementalFiltering="true" ClientInstanceName="ddlRefreshFreq" SelectedIndex="0" CssClass="form-control"
                                                                    AutoPostBack="false" TabIndex="8" AutoResizeWithContainer="true" EnableTheming="true" Theme="Office2003Blue"
                                                                    CssFilePath="~/App_Themes/Office2003 Blue/Editors/styles.css" CssPostfix="Office2003_Blue">
                                                                </dxw:ASPxComboBox>
                                                            </div>
                                                        </div>
                                                        <div id="trDuration" runat="server" class="form-group">
                                                            <div class="col-sm-3 col-md-2">
                                                                <asp:Label ID="lblDuration" runat="server" CssClass="" Font-Bold="False" Text="Duration"></asp:Label>
                                                                <%--<span style="color: red">*</span>--%>
                                                            </div>
                                                            <div class="col-sm-3 form-controllinebreak">
                                                                <dxw:ASPxComboBox ID="ddlDuration" runat="server" ValueType="System.String" ShowImageInEditBox="false" DropDownHeight="100px"
                                                                    EnableIncrementalFiltering="true" ClientInstanceName="ddlDuration" SelectedIndex="0" CssClass="form-control man-dat"
                                                                    AutoPostBack="false" TabIndex="9" AutoResizeWithContainer="true" EnableTheming="true" Theme="Office2003Blue"
                                                                    CssFilePath="~/App_Themes/Office2003 Blue/Editors/styles.css" CssPostfix="Office2003_Blue">
                                                                </dxw:ASPxComboBox>
                                                            </div>
                                                            <div class="ControlHide col-sm-3 col-md-2" id="tdTempKPICaption" runat="server">
                                                                <asp:Label ID="lblTempType" runat="server" CssClass="label" Font-Bold="False" Text="Temperature Type"></asp:Label>
                                                                <span style="color: red">*</span>
                                                            </div>
                                                            <div class="ControlHide col-sm-3" id="tdTempKPIValues" runat="server">
                                                                <dxw:ASPxComboBox ID="ddlTempType" runat="server" ValueType="System.String" ShowImageInEditBox="false"
                                                                    EnableIncrementalFiltering="true" ClientInstanceName="ddlTempType" SelectedIndex="0" CssClass="form-control"
                                                                    AutoPostBack="false" TabIndex="9" AutoResizeWithContainer="true" EnableTheming="true" Theme="Office2003Blue"
                                                                    CssFilePath="~/App_Themes/Office2003 Blue/Editors/styles.css" CssPostfix="Office2003_Blue">
                                                                </dxw:ASPxComboBox>
                                                            </div>
                                                        </div>
                                                        <div id="trRangeSelection" runat="server" class="form-group">
                                                            <div class="col-sm-3 col-md-2">
                                                                <asp:Label ID="lblRange" runat="server" CssClass="" Font-Bold="False" Text="Ideal Range (in nos)"></asp:Label>
                                                                <%--<span style="color: red">*</span>--%>
                                                            </div>
                                                            <div class="col-sm-3 form-controllinebreak">
                                                                <div class="col-sm-4 nullpadding form-controllinebreak">
                                                                    <asp:TextBox ID="txtRangeFrom" runat="server" CssClass="form-control man-dat" Font-Bold="False"
                                                                        MaxLength="10" onkeypress="return chkNumeric_only(event);" TabIndex="10"></asp:TextBox>
                                                                </div>
                                                                <div class="col-sm-1" style="padding-left: 5px">
                                                                    <asp:Label ID="Label2" runat="server" CssClass="" Font-Bold="False" Text="To"></asp:Label>
                                                                </div>
                                                                <div class="col-sm-4 nullpadding">
                                                                    <asp:TextBox ID="txtRangeTo" runat="server" CssClass="form-control man-dat" Font-Bold="False"
                                                                        MaxLength="10" onkeypress="return chkNumeric_only(event);" TabIndex="11"></asp:TextBox>
                                                                </div>
                                                            </div>
                                                            <%--<div class="col-sm-6 col-md-5 col-lg-4 form-group">
                                                                    </div>--%>
                                                            <div class="ControlHide" id="tdRangeCaption" runat="server">
                                                                <asp:Label ID="lblIsValidate" runat="server" CssClass="" Font-Bold="False" Text="Range to be validated"></asp:Label>
                                                                <span style="color: red">*</span>
                                                            </div>
                                                            <div class="ControlHide" id="tdRangeDetail" runat="server">
                                                                <asp:RadioButtonList ID="rdbRangeValidate" runat="server" RepeatDirection="Horizontal" CssClass="radiobtnlst">
                                                                    <asp:ListItem Text="As Usual" Value="1" Selected="True"></asp:ListItem>
                                                                    <asp:ListItem Text="As Reverse" Value="2"></asp:ListItem>
                                                                </asp:RadioButtonList>
                                                            </div>
                                                            <%--<div class="col-sm-6 col-md-5 col-lg-4 form-group">
                                                                    </div>--%>
                                                        </div>
                                                        <div class="form-group">
                                                            <div class="col-sm-3 col-md-2"></div>
                                                            <div class="col-sm-3">
                                                                <span class="bg-primary" style="padding: 10px; color: #000; font-weight: bold; background-color: #04B713; text-align: center;">Min</span>
                                                                <span class="bg-primary" style="padding: 10px; color: #000; font-weight: bold; background-color: #FF7F00; text-align: center;">Avg</span>
                                                                <span class="bg-primary" style="padding: 10px; color: #000; font-weight: bold; background-color: #FE0000; text-align: center;">Max</span>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </asp:Panel>
                                            </div>
                                            <div id="trPermission" runat="server">
                                                <asp:UpdatePanel ID="updPermission" runat="server">
                                                    <ContentTemplate>
                                                        <asp:Panel ID="pnlPermission" runat="server" GroupingText="Permission Settings">
                                                            <div class="form-horizontal">
                                                                <div class="form-group">
                                                                    <div class="col-sm-3 col-md-2">
                                                                        <asp:Label ID="lblApplySettings" runat="server" CssClass="" Font-Bold="False" Text="Apply Settings by"></asp:Label>
                                                                    </div>
                                                                    <div class="col-sm-3">
                                                                        <%--onchange="fnEnableControls('rdbApplySettings');" --%>
                                                                        <asp:RadioButtonList ID="rdbApplySettings" runat="server" RepeatDirection="Horizontal" onclick="ShowPopUp();"
                                                                            OnSelectedIndexChanged="rdbApplySettings_SelectedIndexChanged" AutoPostBack="true" TabIndex="12" CssClass="radiobtnlst">
                                                                            <asp:ListItem Text="Own&nbsp;" Selected="True" Value="0"></asp:ListItem>
                                                                            <%--<asp:ListItem Text="Copy from" Value="1"></asp:ListItem>--%>
                                                                        </asp:RadioButtonList>
                                                                        <dxw:ASPxComboBox ID="ddlCopiedFrom" runat="server" ValueType="System.String" ShowImageInEditBox="false" OnSelectedIndexChanged="ddlCopiedFrom_SelectedIndexChanged"
                                                                            EnableIncrementalFiltering="true" ClientInstanceName="ddlCopiedFrom" SelectedIndex="0" CssClass="form-control"
                                                                            AutoPostBack="true" TabIndex="13" AutoResizeWithContainer="true" EnableTheming="true" Theme="Office2003Blue"
                                                                            CssFilePath="~/App_Themes/Office2003 Blue/Editors/styles.css" CssPostfix="Office2003_Blue">
                                                                            <ClientSideEvents SelectedIndexChanged="function ShowCopied(s, e) {ShowPopUp();}" />
                                                                        </dxw:ASPxComboBox>
                                                                    </div>
                                                                </div>
                                                                <div class="form-group">
                                                                    <div class="col-sm-3 col-md-2">
                                                                        <asp:Label ID="lblPrivilege" runat="server" CssClass="" Font-Bold="False" Text="Privilege Type"></asp:Label>
                                                                    </div>
                                                                    <div class="col-sm-3">
                                                                        <asp:RadioButtonList ID="rdbPrivilegeType" runat="server" RepeatDirection="Horizontal" AutoPostBack="true"
                                                                            OnSelectedIndexChanged="rdbPrivilegeType_SelectedIndexChanged1" TabIndex="14" onclick="ShowPopUp();" CssClass="radiobtnlst">
                                                                            <asp:ListItem Text="User Group&nbsp;" Selected="True" Value="0"></asp:ListItem>
                                                                            <asp:ListItem Text="User" Value="1"></asp:ListItem>
                                                                        </asp:RadioButtonList>
                                                                    </div>
                                                                </div>
                                                                <div class="form-group">
                                                                    <div class="col-sm-3 col-md-2 form-lbl-vertical-center">
                                                                        <span class="redtxt">|</span>&nbsp;<asp:Label ID="lblUserUserGrp" runat="server" CssClass="" Font-Bold="False" Text="User Group(s) / User(s)"></asp:Label>
                                                                        <%--<span style="color: red">*</span>--%>
                                                                    </div>
                                                                    <div class="col-sm-3 form-controllinebreak">
                                                                        <div class="form-group has-feedback">
                                                                            <asp:TextBox ID="txtSearch" runat="server" Height="30%" Width="95%" placeholder="Search" onblur="checkCombo();" CssClass="form-control" AutoCompleteType="None"></asp:TextBox>
                                                                            <span class="glyphicon glyphicon-search form-control-feedback"></span>
                                                                        </div>
                                                                        <div style="overflow-y: scroll; background-color: white; height: 100px;">
                                                                            <div class="col-sm-12 checkbox">
                                                                                <asp:CheckBox ID="chkSelectAllUsr" runat="server" Text="SELECT ALL" onclick="CheckAll('chkSelectAllUsr','chkUsrUsrGrp');" TabIndex="15" />
                                                                            </div>
                                                                            <asp:CheckBoxList ID="chkUsrUsrGrp" runat="server" onclick="UnCheckAll('chkSelectAllUsr','chkUsrUsrGrp');" TabIndex="16" CssClass="checkboxlst">
                                                                                <asp:ListItem Text="item 1" Value="0" Selected="True"></asp:ListItem>
                                                                            </asp:CheckBoxList>
                                                                        </div>
                                                                    </div>
                                                                    <div class="col-sm-3 col-md-2 form-lbl-vertical-center">
                                                                        <span class="redtxt">|</span>&nbsp;<asp:Label ID="lblFilterToDisp" runat="server" CssClass="" Font-Bold="False" Text="Filter(s) to display"></asp:Label>
                                                                        <%--<span style="color: red">*</span>--%>
                                                                    </div>
                                                                    <div class="col-sm-3">
                                                                        <div style="overflow-y: scroll; background-color: white; height: 100px;">
                                                                            <div class="col-sm-12 checkbox">
                                                                                <asp:CheckBox ID="chkSelectAllFilters" runat="server" Text="SELECT ALL" onclick="CheckAll('chkSelectAllFilters','chkLstFilters');" TabIndex="17" />
                                                                            </div>
                                                                            <asp:CheckBoxList ID="chkLstFilters" runat="server" onclick="UnCheckAll('chkSelectAllFilters','chkLstFilters');" TabIndex="18" CssClass="checkboxlst">
                                                                                <%--<asp:ListItem Text="All" Value="0" Selected="True"></asp:ListItem>
                                                                                                <asp:ListItem Text="Vehicle Selection" Value="1"></asp:ListItem>
                                                                                                <asp:ListItem Text="Color Selection" Value="2"></asp:ListItem>
                                                                                                <asp:ListItem Text="Display" Value="3"></asp:ListItem>
                                                                                                <asp:ListItem Text="Refresh Frequency" Value="4"></asp:ListItem>
                                                                                                <asp:ListItem Text="Duration" Value="5"></asp:ListItem>
                                                                                                <asp:ListItem Text="Range Selection" Value="6"></asp:ListItem>--%>
                                                                            </asp:CheckBoxList>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </asp:Panel>
                                                    </ContentTemplate>
                                                    <Triggers>
                                                        <asp:PostBackTrigger ControlID="ddlCopiedFrom" />
                                                    </Triggers>
                                                </asp:UpdatePanel>
                                            </div>
                                            <%--<tr>
                                                        <td width="95px">
                                                            <asp:CheckBox ID="chkNearingMaintenance" runat="server" Text="Nearing Maintenance" />
                                                        </td>
                                                        <td>
                                                            <asp:DropDownList ID="drop9" runat="server" Width="78" AutoPostBack="false">
                                                                <asp:ListItem>- Select -</asp:ListItem>
                                                                <asp:ListItem>1</asp:ListItem>
                                                                <asp:ListItem>2</asp:ListItem>
                                                                <asp:ListItem>3</asp:ListItem>
                                                                <asp:ListItem>4</asp:ListItem>
                                                                <asp:ListItem>5</asp:ListItem>
                                                                <asp:ListItem>6</asp:ListItem>
                                                                <asp:ListItem>7</asp:ListItem>
                                                                <asp:ListItem>8</asp:ListItem>
                                                                <asp:ListItem>9</asp:ListItem>
                                                            </asp:DropDownList>
                                                        </td>
                                                    </tr>--%>
                                            <div class="form-group">
                                                <div class="col-sm-4 col-md-5"></div>
                                                <div class="col-sm-6">
                                                    <asp:LinkButton ID="btnSave" runat="server" CssClass="btn btn-primary btn-fa-floppy-o" OnClick="btnSave_Click" TabIndex="19" OnClientClick="if (validateKPI()){return true;} else {return false}" Text="&nbsp;&nbsp;&nbsp;Save">
                                                    </asp:LinkButton>
                                                    <%-- <asp:LinkButton ID="btnSave1" runat="server" CssClass="MultilingualBtn" OnClick="btnSave_Click" TabIndex="19" Visible="false"
                                                                OnClientClick="if (validateKPI()){return true;} else {return false}">
                                                                <span runat="server" class="MultilingualBtnspan">
                                                                    <div class="Save">
                                                                        <div id="SaveButDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                            Save
                                                                        </div>
                                                                    </div>
                                                                </span>
                                                            </asp:LinkButton>--%>
                                                    <asp:LinkButton ID="lnkClear" runat="server" CssClass="btn btn-primary btn-fa-remove" OnClientClick="ShowPopUp();" OnClick="btnClear_Click" TabIndex="20" Text="&nbsp;&nbsp;&nbsp;Clear">
                                                    </asp:LinkButton>
                                                    <%-- <asp:LinkButton ID="lnkClear1" runat="server" CssClass="MultilingualBtn" OnClick="btnClear_Click" TabIndex="20" Visible="false">
                                                                <span runat="server" class="MultilingualBtnspan" style="display: none;">
                                                                    <div class="Clear">
                                                                        <div id="Div1" runat="server" class="MultilingualBtnTextAlign">
                                                                            Clear
                                                                        </div>
                                                                    </div>
                                                                </span>
                                                            </asp:LinkButton>--%>
                                                    <asp:LinkButton ID="btnCancel" runat="server" CssClass="btn btn-primary btn-fa-ban" OnClientClick="ShowPopUp();return true;" OnClick="btnCancel_Click" TabIndex="21" Text="&nbsp;&nbsp;&nbsp;Cancel">
                                                    </asp:LinkButton>
                                                    <asp:ImageButton ImageUrl="~/images/btn-cancel.jpg" ID="btnCancel1" runat="server"
                                                        OnClick="btnCancel_Click" TabIndex="6" Visible="false" />
                                                    <%-- <asp:LinkButton ID="btnCanceli" runat="server" CssClass="MultilingualBtn" Visible="false" OnClientClick="ShowPopUp();return true;" OnClick="btnCancel_Click" TabIndex="21">
                                                                <span runat="server" class="MultilingualBtnspan">
                                                                    <div class="Cancel">
                                                                        <div id="CancelButDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                            Cancel
                                                                        </div>
                                                                    </div>
                                                                </span>
                                                            </asp:LinkButton>--%>
                                                </div>
                                            </div>
                                        </div>
                                        </asp:Panel>
                                        </div>
                                        <asp:HiddenField ID="hdnSelectedKPI" runat="server" />
                                    </ContentTemplate>
                                </asp:UpdatePanel>
                            </div>
                        </div>
                        <div id="left">
                        </div>
                        <div class="clear clearfix">
                        </div>
                    </div>
                    <div id="right">
                    </div>
                    <div class="clear clearfix">
                    </div>
                </div>
            </div>
            <asp:HiddenField ID="hdnPreference" runat="server" />
            <asp:HiddenField runat="server" ID="hdnDateFormat" Value="dd-MMM-yyyy" />
            <asp:HiddenField ID="hdnColorCode" runat="server" />
            <asp:HiddenField ID="hdnLogout" runat="server" />
            <asp:HiddenField ID="hdnMultiLingualmsg" runat="server" />
            <asp:HiddenField ID="hdnchartPos" runat="server" />
            <asp:HiddenField ID="hdnDefaultRanges" runat="server" />
            <!--Progress Bar -->
            <cc1:ModalPopupExtender ID="mpeProgressIndicator" runat="server" PopupControlID="progressPopUp"
                TargetControlID="btnTesting" DropShadow="false" BackgroundCssClass="modalBackground">
            </cc1:ModalPopupExtender>
            <asp:Button ID="btnTesting" Style="display: none;" runat="server" />
            <asp:Panel ID="progressPopUp" runat="server" CssClass="processMessage" Style="z-index: 1000; display: none;">
                <center>
                    <br />
                    <img id="imgLoad" runat="server" alt="Please Wait ..." src="../images/47.gif" /><br />
                    <br />
                    <asp:Label ID="lbl_msg12" Text="Processing... Please Wait..." runat="server" CssClass="specialdisplay"></asp:Label>
                    <br />
                    <br />
                </center>
            </asp:Panel>
            <!-- Progress Bar Ends Here -->

            <script language="JavaScript1.2" type="text/javascript" src="../js/myformvalidations.js"></script>
            <script language="javascript" type="text/javascript" src="../js/SendCommandScripts.js"></script>

            <script type="text/javascript">
                function OrgList() {
                    var rbtDefault = document.getElementById('rbtDefault');
                    var rbtAllOrganizations = document.getElementById('rbtAllOrganizations');
                    if (rbtDefault.checked) {
                        document.getElementById('ddlOrganizations').style.display = "block";
                    }
                    if (rbtAllOrganizations.checked) {
                        document.getElementById('ddlOrganizations').style.display = "none";
                    }
                }
            </script>
            <script type="text/javascript">
                var Alert_Confirm = "Are you sure you want to save the settings?";
                var Alert_PreferedChart = "Select minimum one chart as preferred Dashboard chart.";
                var Alert_FromDate = "Please select the From Date.";
                var Alert_ToDate = "Please select the To Date.";

                function Save(Confirm, Prefered, FromDate, ToDate) {
                    Alert_Confirm = Confirm;
                    Alert_PreferedChart = Prefered;
                    Alert_FromDate = FromDate;
                    Alert_ToDate = ToDate;
                }
                function GetSettings() {
                    if (confirm(Alert_Confirm)) {
                        return true;
                    }
                }
            </script>
            <script type="text/javascript">
                function checkDropdowns() {
                    // The number of dropdowns you have (use the naming convention 'dropx' as an id attribute)
                    var iDropdowns = 8;
                    // var sValue;
                    var sValue;
                    var sValue2;
                    for (var i = 1; i <= iDropdowns; ++i) {
                        // Get selected value
                        // sValue = document.getElementById('drop1')//drop + i.value;
                        if (document.getElementById('drop' + i) != null) {
                            sValue = document.getElementById('drop' + i).value;
                            if (sValue != "- Select -") {
                                // Nested loop - loop over dropdowns again
                                for (var j = 1; j <= iDropdowns; ++j) {
                                    // Get selected value
                                    if (document.getElementById('drop' + j) != null) {
                                        sValue2 = document.getElementById('drop' + j).value;
                                        // If we're not checking the same dropdown and the values are the same...
                                        if (i != j && sValue == sValue2) {
                                            // ...we have a duplicate!
                                            TrinetraCustomAlerts('Duplicate Position found!  please Check the Positions!');
                                            return false;
                                        }
                                    }
                                }
                            }
                        }
                    }
                    // No duplicates
                    return true;
                }

            </script>
            <script type="text/javascript">
                var keyValue;
                var kpi = 0;
                function OnMoreInfoClick(element) {
                    popup.ShowAtElement(element);
                }
                function popup_Shown(s, e) {
                    popup.ShowAtPos(s, e);
                }
                function validateKPI() {
                    var alertMsg = '';
                    var title = document.getElementById('txtCustomTitle');
                    var desc = document.getElementById('txtCustomDescription');
                    var min = document.getElementById('txtRangeFrom');
                    var max = document.getElementById('txtRangeTo');
                    var dur = ddlDuration.GetValueString();
                    var kpi = document.getElementById('hdnPreference');
                    var selectedkpi = document.getElementById('hdnSelectedKPI');

                    var itemsCount = ddlVehicleToken.GetItemCount();
                    var selectedTokensCount = ddlVehicleToken.GetTokenCollection().length;
                    //var costkpivalue = document.getElementById('txtCostKPIValues');
                    //alert(itemsCount)
                    var EquTye = document.getElementById('ddlVehType');

                    if (title != null && title.value.length == 0) {
                        alertMsg += 'Please enter a title.</br>';
                    }
                    if (desc != null && desc.value.length > 250) {
                        alertMsg += 'Length of the Description should not be greater than 250 characters.</br>';
                    }
                    if (EquTye.value.length == 0) {
                        alertMsg += 'Please select Equipment Type.</br>';
                    }
                    if (selectedTokensCount == 0) {
                        alertMsg += 'Please select Device.</br>';
                    }
                    //if (costkpivalue != null && costkpivalue.value.length == 0) {
                    //    alertMsg += 'Please enter cost value.</br>';
                    //}
                    if (min != null && min.value.length == 0) {
                        alertMsg += 'Please enter minimum range.</br>';
                    }
                    if (max != null && max.value.length == 0) {
                        alertMsg += 'Please enter maximum range.</br>';
                    }
                    else if (min != null && max != null) {
                        if (min.value == 0) {
                            alertMsg += "Please enter valid min range. </br>";
                        }
                        else if (max.value == 0) {
                            alertMsg += "Please enter valid max range. </br>";
                        }
                        else if (parseInt(max.value, 0) < parseInt(min.value, 0) && kpi.value != "7") {
                            alertMsg += "Please set a valid range. </br>";
                        }
                    }

                    if (document.getElementById('pnlPermission') != null) {
                        var rowCountUser = document.getElementById('chkUsrUsrGrp').getElementsByTagName("input").length;
                        var rowCountFilter = document.getElementById('chkLstFilters').getElementsByTagName("input").length;
                        var userFlag = false;
                        var filterFlag = false;
                        for (i = 0; i < rowCountUser; i++) {
                            if (document.getElementById("chkUsrUsrGrp_" + i).checked) {
                                userFlag = true;
                            }
                        }

                        for (i = 0; i < rowCountFilter; i++) {
                            if (document.getElementById("chkLstFilters_" + i).checked) {
                                filterFlag = true;
                            }
                        }

                        if (!userFlag) { alertMsg += "Please select user(s) / user group(s). </br>"; }
                        if (!filterFlag) { alertMsg += "Please select filter(s). </br>"; }
                    }
                    if (kpi != null) {
                        switch (kpi.value) {
                            case '1':
                                break;
                            case '2':
                                break;
                            case '3':
                                break;
                            case '4':
                                break;
                            case '5':
                                break;
                            case '6':
                                break;
                            case '7':
                                if (min != null && max != null && dur != null) {
                                    if (dur == 72) {
                                        if (parseInt(min.value, 0) > 2) {
                                            alertMsg += "Please enter valid min range as per selected duration (Last 3 days). </br>";
                                        }
                                        if (parseInt(max.value, 0) > 3) {
                                            alertMsg += "Please enter valid max range as per selected duration (Last 3 days). </br>";
                                        }
                                    }
                                    else if (dur == 120) {
                                        if (parseInt(min.value, 0) > 4) {
                                            alertMsg += "Please enter valid min range as per selected duration (Last 5 days). </br>";
                                        }
                                        if (parseInt(max.value, 0) > 5) {
                                            alertMsg += "Please enter valid max range as per selected duration (Last 5 days). </br>";
                                        }
                                    }
                                    else if (dur == 168) {
                                        if (parseInt(min.value, 0) > 6) {
                                            alertMsg += "Please enter valid min range as per selected duration (Last week). </br>";
                                        }
                                        if (parseInt(max.value, 0) > 7) {
                                            alertMsg += "Please enter valid max range as per selected duration (Last week). </br>";
                                        }
                                    }

                                    if (parseInt(max.value, 0) < parseInt(min.value, 0)) {
                                        alertMsg += "Please set a valid range. </br>";
                                    }
                                }
                                break;
                            default:
                                break;
                        }
                    }
                    if (alertMsg.length == 0) {
                        if (kpi.value != 9 && kpi.value != 10) {
                            var defaultRange = document.getElementById('hdnDefaultRanges').value;
                            var enteredRange;
                            enteredRange = min.value + '-' + max.value;
                            if (defaultRange == enteredRange)
                                return TrinetraConfirmKPI('btnSave', 'Are you sure you want to save this KPI with default range values?<br/><br/>' +
                                                            '<strong>Note:</strong><br/>Default Range provided is applicable for 1 Device for the minimum duration (Last 8 Hours/Last 3 days).<br/>' +
                                                            'Kindly change the Range based on the number of Device(s) and duration selected.<br/>');
                            else
                                return true;
                        }
                        else
                            return true;
                    }
                    else { HidePopUp(); TrinetraCustomAlerts(alertMsg); return false; }
                }
                function CheckBrowser() {
                    var isIE = false;
                    if (navigator.appName == "Microsoft Internet Explorer") {
                        isIE = true;
                    }
                    else {
                        isIE = false;
                    }
                    return isIE;
                }
                function fnEnableControls(id) {
                    var isIE = CheckBrowser();
                    var radio = document.getElementsByName(id);
                    var value = '';
                    for (var j = 0; j < radio.length; j++) {
                        if (radio[j].checked)
                            value = radio[j].value;
                    }
                    if (value == '1') {
                        document.getElementById("tdCopiedFrom").setAttribute(isIE ? "className" : "class", (isIE ? "ControlShow" : "ControlShowFF"));
                    }
                    else {
                        document.getElementById("tdCopiedFrom").setAttribute(isIE ? "className" : "class", "ControlHide");
                    }
                }
                function CheckAll(id, sub_id) {
                    var intIndex = 0;
                    var rowCount = document.getElementById(sub_id).getElementsByTagName("input").length;
                    for (i = 0; i < rowCount; i++) {
                        if (document.getElementById(id).checked == true) {
                            if (document.getElementById(sub_id + "_" + i)) {
                                if (document.getElementById(sub_id + "_" + i).disabled != true)
                                    document.getElementById(sub_id + "_" + i).checked = true;
                            }
                        }
                        else {
                            if (document.getElementById(sub_id + "_" + i)) {
                                if (document.getElementById(sub_id + "_" + i).disabled != true)
                                    document.getElementById(sub_id + "_" + i).checked = false;
                            }
                        }
                    }
                }

                function UnCheckAll(id, sub_id) {
                    var intIndex = 0;
                    var flag = 0;
                    var rowCount = document.getElementById(sub_id).getElementsByTagName("input").length;
                    for (i = 0; i < rowCount; i++) {
                        if (document.getElementById(sub_id + "_" + i)) {
                            if (document.getElementById(sub_id + "_" + i).checked == true) {
                                flag = 1;
                            }
                            else {
                                flag = 0;
                                break;
                            }
                        }
                    }
                    if (flag == 0)
                        document.getElementById(id).checked = false;
                    else
                        document.getElementById(id).checked = true;

                }
                function setColorForDiv(id) {
                    for (var i = 1; i < 8; i++) {
                        if (id == i) {
                            document.getElementById('spi' + i.toString()).style.border = '2px solid black';
                            document.getElementById('spi' + i.toString()).style.height = '16px';
                            document.getElementById("hdnColorCode").value = colorCode(i);
                        }
                        else { document.getElementById('spi' + i.toString()).style.border = '0px solid black'; document.getElementById('spi' + i.toString()).style.height = '20px'; }
                    }
                }
                function colorCode(val) {
                    switch (val) {
                        case 1: return "FFFFFF"; break;
                        case 2: return "FFFF00"; break;
                        case 3: return "00FFFF"; break;
                        case 4: return "007FFF"; break;
                        case 5: return "0000FF"; break;
                        case 6: return "7F00FF"; break;
                        case 7: return "FF00FF"; break;
                    }
                }

                function confirmBox(ctrl) {
                    return TrinetraConfirmKPI(ctrl.id.toString(), 'Are you sure want to delete this KPI?');
                }
                function foo(s, e) {
                    ShowPopUp();
                    var isIE = CheckBrowser();
                    document.getElementById('hdnPreference').value = s.GetValueString();
                    document.getElementById("rdbRangeValidate_0").checked = true;
                    document.getElementById("rdbRangeValidate_1").checked = false;

                    if (s.GetValueString() == "3") {
                        document.getElementById("tdRangeCaption").setAttribute(isIE ? "className" : "class", (isIE ? "label" : "label"));
                        document.getElementById("tdRangeDetail").setAttribute(isIE ? "className" : "class", (isIE ? "dropdown" : "dropdown"));
                    }
                    else if (s.GetValueString() == "7") {
                        document.getElementById("tdRangeCaption").setAttribute(isIE ? "className" : "class", (isIE ? "label" : "label"));
                        document.getElementById("tdRangeDetail").setAttribute(isIE ? "className" : "class", (isIE ? "dropdown" : "dropdown"));
                    }
                    else {
                        document.getElementById("tdRangeCaption").setAttribute(isIE ? "className" : "class", "ControlHide");
                        document.getElementById("tdRangeDetail").setAttribute(isIE ? "className" : "class", "ControlHide");
                    }
                }
            </script>
        </form>
    </div>
    <uc2:Footer ID="ucFooter" runat="server" />
</body>
</html>
