﻿<%@ page language="C#" autoeventwireup="true" inherits="Forms_TyreVendorMgmt, App_Web_t42gtr5a" enableeventvalidation="false" %>

<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc1" %>
<%@ Register Src="~/UserControls/TrinetraGrid.ascx" TagName="FleetGrid" TagPrefix="uc5" %>
<%@ Register Src="~/UserControls/TrinetraGrid.ascx" TagName="EmailGrid" TagPrefix="uc4" %>
<%@ Register Src="~/UserControls/New_Header.ascx" TagName="Header" TagPrefix="uc1" %>
<%@ Register Src="~/UserControls/New_Footer.ascx" TagName="Footer" TagPrefix="uc2" %>
<%@ Register Src="~/UserControls/Notification_List.ascx" TagPrefix="uc3" TagName="NotificationsList" %>
<%--<%@ Register Assembly="AspNetPager" Namespace="Wuqi.Webdiyer" TagPrefix="webdiyer" %>--%>

<%--<%@ Register Assembly="DevExpress.Web.v8.2, Version=8.2.10.0, Culture=neutral, PublicKeyToken=9b171c9fd64da1d1"
    Namespace="DevExpress.Web.ASPxMenu" TagPrefix="dxm" %>
<%@ Register Assembly="DevExpress.Web.ASPxGridView.v8.2" Namespace="DevExpress.Web.ASPxGridView"
    TagPrefix="dxgv" %>
<%@ Register Assembly="DevExpress.Web.ASPxEditors.v8.2, Version=8.2.10.0, Culture=neutral, PublicKeyToken=9b171c9fd64da1d1"
    Namespace="DevExpress.Web.ASPxEditors" TagPrefix="dxe" %>
<%@ Register Assembly="DevExpress.Web.ASPxEditors.v8.2" Namespace="DevExpress.Web.ASPxEditors"
    TagPrefix="dxe" %>
<%@ Register Assembly="DevExpress.Web.ASPxGridView.v8.2.Export" Namespace="DevExpress.Web.ASPxGridView.Export"
    TagPrefix="exp" %>
<%@ Register Assembly="DevExpress.Web.v8.2" Namespace="DevExpress.Web.ASPxPopupControl"
    TagPrefix="dxpc" %>
<%@ Register Assembly="DevExpress.Web.ASPxEditors.v8.2, Version=8.2.10.0, Culture=neutral, PublicKeyToken=9B171C9FD64DA1D1"
    Namespace="DevExpress.Web.ASPxEditors" TagPrefix="dx" %>--%>

<%@ Register Assembly="DevExpress.Web.v14.2" Namespace="DevExpress.Web" TagPrefix="dxw" %>

<!DOCTYPE html>
<html lang="en">
<head runat="server">
    <title>tSense-IoT Vendor Management</title>
    <meta content="charset=utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
    <%--<meta http-equiv="Page-Enter" content="blendTrans(Duration=0)" />
    <meta http-equiv="Page-Exit" content="blendTrans(Duration=0)" />
    <meta http-equiv="X-UA-Compatible" content="IE=7" />--%>

    <link href="../css/CustomeAlert/demos.css" rel="stylesheet" type="text/css" />
    <link href="../css/CustomeAlert/themes/jquery.ui.all.css" rel="stylesheet" type="text/css" />
    <link id="reset" runat="server" href="../css/reset.css" rel="stylesheet" type="text/css" />
    <link id="stylesheet2" runat="server" href="../css/stylesheet2.css" rel="stylesheet" type="text/css" />
    <link id="dropdown" runat="server" href="../css/dropdown.css" rel="stylesheet" type="text/css" />
    <link rel="SHORTCUT ICON" href="../images/favicon.ico" />
    <link id="ieonly" runat="server" rel="stylesheet" type="text/css" href="" />
    <link id="datepicker" runat="server" type="text/css" href="../css/ui.datepicker.css" rel="stylesheet" />
    <link id="uicore" runat="server" type="text/css" href="../css/ui.core.css" rel="stylesheet" />
    <link id="uitheme" runat="server" type="text/css" href="../css/ui.theme.css" rel="stylesheet" />

    <%--Custom Theme for DevEx 14.2--%>
    <link id="GridView" runat="server" type="text/css" href="~/App_Themes/Office2003Blue/GridView/grid.css" rel="stylesheet" />
    <link id="Editors" runat="server" type="text/css" href="~/App_Themes/Office2003Blue/Editors/styles.css" rel="stylesheet" />

    <%--BootStrap Css--%>
    <link id="BootStrapCss" href="../css/bootstrap.css" runat="server" rel="stylesheet" type="text/css" />
    <link id="mainstyle" runat="server" href="../css/mainstyle.css" rel="stylesheet" type="text/css" />
    <%--End of BootStrap Css--%>

    <script src="../js/CustomAlert/jquery.min.js" type="text/javascript"></script>
    <script src="../js/CustomAlert/jquery-ui-1.10.3.custom.min.js" type="text/javascript"></script>
    <script src="../js/CustomAlert/jquery-ui-1.10.3.custom.js" type="text/javascript"></script>
    <script src="../js/CustomAlert/CustomAlert.js" type="text/javascript"></script>
    <script type="text/javascript" src="../js/jquery-1.5.1.min.js"></script>
    <script type="text/javascript" src="../js/ui.datepicker.js"></script>
    <script type="text/javascript" src="../js/JQQueryDatePicker.js"></script>
    <script src="../js/wow.min.js"></script>
</head>
<body>
    <div class="pageContainer">
        <form id="form1" runat="server">
            <asp:ScriptManager ID="ScriptManager1" runat="server">
            </asp:ScriptManager>
            <asp:UpdatePanel runat="server" ID="updVenDetails" UpdateMode="Conditional">
                <ContentTemplate>
                    <!-- Header Starts Here -->
                    <uc1:Header ID="ucHeader" runat="server" />
                    <!-- Nav Ends Here -->
                    <!-- Content Starts Here -->
                    <div id="outer">
                        <div id="inner">
                            <div id="float-wrap">
                                <!-- Main Content Starts Here -->
                                <div id="content">
                                    <div class="content-wrap">
                                        <div id="top-content">
                                            <div id="heading" class="col-sm-4">
                                                <img class="icon" src="../images/fleetmaintenance-icon.png" alt="" />
                                                <h1>
                                                    <asp:Literal ID="lblFleetMaintenanceCaption" Text="Fleet Maintenance" runat="server"></asp:Literal>
                                                </h1>
                                                <asp:LinkButton ID="lnkHomeCaption" runat="server">Home</asp:LinkButton>
                                                <span>&gt;</span>
                                                <asp:LinkButton ID="lnkVendorMgmt" runat="server" Text="Vendor Management" OnClick="lnkTyreVendorMgmt_Click">
                                                </asp:LinkButton>
                                            </div>
                                            <div class="col-sm-8 head-part-btns">
                                                <div class="pull-right">
                                                    <asp:ImageButton ID="lbtnAddVendor1" runat="server" CausesValidation="false" OnClick="lbtnAddVendor_Click"
                                                        ImageUrl="~/images/btn-add-vehicle.jpg" Visible="false" />
                                                    <asp:LinkButton ID="lbtnAddVendor" runat="server" CssClass="MultilingualBtn" CausesValidation="false"
                                                        OnClick="lbtnAddVendor_Click">
                                                        <span id="Span1" runat="server" class="MultilingualBtnspan">
                                                            <div class="AddVendor">
                                                                <div id="AddVendorDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                    Add Vendor
                                                                </div>
                                                            </div>
                                                        </span>
                                                    </asp:LinkButton>
                                                    <asp:ImageButton ID="lbtnVehSeveritySetting1" PostBackUrl="MsgSeveritySettings.aspx"
                                                        runat="server" CausesValidation="false" ImageUrl="~/images/btn-vehicle-msg.jpg"
                                                        Visible="false" />
                                                    <asp:LinkButton ID="lbtnVehSeveritySetting" runat="server" CssClass="MultilingualBtn"
                                                        CausesValidation="false" PostBackUrl="~/Forms/TyreMaster.aspx">
                                                        <span id="Span3" runat="server" class="MultilingualBtnspan">
                                                            <div class="AddTyre">
                                                                <div id="SeveritySettingsDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                    Tyre Master
                                                                </div>
                                                            </div>
                                                        </span>
                                                    </asp:LinkButton>
                                                    <asp:ImageButton ID="ibtnBackToConfig1" runat="server" CausesValidation="false" ImageUrl="~/images/btnFleetMaintenance.png"
                                                        PostBackUrl="~/Forms/FleetMaintenancePanel.aspx" Visible="false" />
                                                    <asp:LinkButton ID="ibtnBackToConfig" runat="server" CausesValidation="false" CssClass="MultilingualBtn"
                                                        PostBackUrl="~/Forms/FleetMaintenancePanel.aspx">
                                                        <span id="Span2" runat="server" class="MultilingualBtnspan">
                                                            <div class="Back">
                                                                <div id="BacktoConfigurationDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                    Back to Fleet Maintenance                                                                                       
                                                                </div>
                                                            </div>
                                                        </span>
                                                    </asp:LinkButton>
                                                </div>
                                            </div>
                                            <div class="clear clearfix"></div>
                                        </div>
                                        <div class="clear clearfix"></div>
                                        <asp:Panel ID="pnlVendorInfo" runat="server" Visible="false">
                                            <div class="form-box">
                                                <h1>
                                                    <span class="icon" style="padding-top: 5">
                                                        <img src="../images/icn-user-name.gif" alt="" title="" />
                                                    </span>
                                                    <asp:Label ID="lblVenInfoHeading" runat="server" Text="Vendor Information"></asp:Label>
                                                </h1>
                                                <div class="form-tbl">
                                                    <div class="form-horizontal padding-sm-lrt">
                                                        <div class="col-sm-4">
                                                            <%--<div>
                                                                    <div style="vertical-align: top; padding-top: 2px; padding-left: 35px">
                                                                        <asp:Label ID="lblId" runat="server" Text="VendorID" CssClass="label" v></asp:Label>
                                                                        <span style="color: red">*</span>
                                                                    </div>
                                                                    <div style="vertical-align: top">
                                                                        <asp:TextBox ID="txtVendorId" MaxLength="49" TabIndex="1"
                                                                            runat="server" ></asp:TextBox>
                                                                    </div>
                                                                </div>--%>
                                                            <div class="form-group">
                                                                <div class="col-sm-5 col-md-4 col-lg-3 padding-width-sm">
                                                                    <asp:Label ID="lblVName" runat="server" Text="Name" CssClass="label"></asp:Label>
                                                                    <span style="color: red">*</span>
                                                                </div>
                                                                <div class="col-sm-7 padding-width-sm">
                                                                    <asp:TextBox ID="txtVenName" MaxLength="49" onkeypress="return chkDescription(event,this,49);"
                                                                        TabIndex="2" runat="server" CssClass="form-control"></asp:TextBox>
                                                                </div>
                                                            </div>
                                                            <div class="form-group">
                                                                <div class="col-sm-5 col-md-4 col-lg-3 padding-width-sm">
                                                                    <asp:Label ID="lblvendesc" runat="server" Text="Description" CssClass="label"></asp:Label>
                                                                </div>
                                                                <div class="col-sm-7 padding-width-sm">
                                                                    <asp:TextBox ID="txtVenDesc" MaxLength="400" runat="server" TextMode="MultiLine"
                                                                        CssClass="form-control" onkeypress="return chkDescription(event,this,400);" TabIndex="3"></asp:TextBox>
                                                                </div>
                                                            </div>
                                                            <div class="form-group">
                                                                <div class="col-sm-5 col-md-4 col-lg-3 padding-width-sm">
                                                                    <asp:Label ID="lblworkorder" runat="server" Text="Address" CssClass="label"></asp:Label>
                                                                    <span style="color: red">*</span>
                                                                </div>
                                                                <div class="col-sm-7 padding-width-sm">
                                                                    <asp:TextBox ID="txtAddress" MaxLength="200" runat="server" TextMode="MultiLine"
                                                                        CssClass="form-control" onkeypress="return chkDescription(event,this,200);" TabIndex="4"></asp:TextBox>
                                                                </div>
                                                            </div>
                                                            <div class="form-group">
                                                                <div class="col-sm-5 col-md-4 col-lg-3 padding-width-sm">
                                                                    <asp:Label ID="lblCity" runat="server" Text="City"></asp:Label>
                                                                </div>
                                                                <div class="col-sm-7 padding-width-sm">
                                                                    <asp:TextBox ID="txtCity" runat="server" onpaste="return false" onkeypress="return chkDescription(event,this,49);"
                                                                        MaxLength="20" TabIndex="5" CssClass="form-control"></asp:TextBox>
                                                                </div>
                                                            </div>
                                                            <div class="form-group">
                                                                <div class="col-sm-5 col-md-4 col-lg-3 padding-width-sm">
                                                                    <asp:Label ID="lblState" runat="server" Text="State"></asp:Label>
                                                                </div>
                                                                <div class="col-sm-7 padding-width-sm">
                                                                    <asp:TextBox ID="txtState" runat="server" onpaste="return false" onkeypress="return chkDescription(event,this,20);"
                                                                        MaxLength="20" TabIndex="6" CssClass="form-control"></asp:TextBox>
                                                                </div>
                                                            </div>
                                                            <div class="form-group">
                                                                <div class="col-sm-5 col-md-4 col-lg-3 padding-width-sm">
                                                                    <asp:Label ID="lblZipCode" runat="server" Text="ZipCode"></asp:Label>
                                                                    <%-- <asp:Label ID="Label15" runat="server" ForeColor="Red">*</asp:Label>--%>
                                                                </div>
                                                                <div class="col-sm-7 padding-width-sm">
                                                                    <asp:TextBox ID="txtZipcode" runat="server" onpaste="return false" onkeypress="return chkDescription(event,this,25);"
                                                                        MaxLength="25" TabIndex="7" CssClass="form-control"></asp:TextBox>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="col-sm-4">
                                                            <div class="form-group">
                                                                <div class="col-sm-5 col-md-4 col-lg-3 padding-width-sm">
                                                                    <asp:Label ID="lblContactNo" runat="server" Text="Contact Number" CssClass="label"></asp:Label>
                                                                    <span style="color: red">*</span>

                                                                </div>
                                                                <div class="col-sm-7 padding-width-sm">
                                                                    <asp:TextBox ID="txtContactNo" runat="server" TabIndex="8" onpaste="return false"
                                                                        onkeypress="return chkContactNo(event);" MaxLength="15" CssClass="form-control"> </asp:TextBox>
                                                                </div>
                                                            </div>
                                                            <div class="form-group">
                                                                <div class="col-sm-5 col-md-4 col-lg-3 padding-width-sm">
                                                                    <asp:Label ID="Label4" runat="server" Text="Mobile Number" CssClass="label"></asp:Label>
                                                                </div>
                                                                <div class="col-sm-7 padding-width-sm">
                                                                    <asp:TextBox ID="txtMobileNo" runat="server" TabIndex="9" onpaste="return false" CssClass="form-control"
                                                                        onkeypress="return chkNumeric_only(event);" MaxLength="12"> </asp:TextBox>
                                                                </div>
                                                            </div>

                                                            <div class="form-group">
                                                                <div class="col-sm-5 col-md-4 col-lg-3 padding-width-sm">
                                                                    <asp:Label ID="lblEmailId" runat="server" Text="Email Id"></asp:Label>
                                                                    <span style="color: red">*</span>
                                                                </div>
                                                                <div class="col-sm-7 padding-width-sm">
                                                                    <asp:TextBox ID="txtEmailId" runat="server" oncopy="return false" TabIndex="10"
                                                                        ondrop="return false" CssClass="form-control" onpaste="return false" onkeypress="return chkDescription(event,this,49);" />
                                                                </div>
                                                            </div>
                                                            <div class="form-group">
                                                                <div class="col-sm-5 col-md-4 col-lg-3 padding-width-sm">
                                                                    <asp:Label ID="Label2" runat="server" Text="Alternate Email Id 1"></asp:Label>
                                                                </div>
                                                                <div class="col-sm-7 padding-width-sm">
                                                                    <asp:TextBox ID="txtEmailId1" runat="server" oncopy="return false" TabIndex="11" CssClass="form-control"
                                                                        ondrop="return false" onpaste="return false" onkeypress="return chkDescription(event,this,49);" />
                                                                </div>
                                                            </div>
                                                            <div class="form-group">
                                                                <div class="col-sm-5 col-md-4 col-lg-3 padding-width-sm">
                                                                    <asp:Label ID="Label3" runat="server" Text="Alternate Email Id 2"></asp:Label>
                                                                </div>
                                                                <div class="col-sm-7 padding-width-sm">
                                                                    <asp:TextBox ID="txtEmailId2" runat="server" oncopy="return false" TabIndex="12" CssClass="form-control"
                                                                        ondrop="return false" onpaste="return false" onkeypress="return chkDescription(event,this,49);" />
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="form-group">
                                                            <div class="col-xs-12 padding-width-sm">
                                                                <asp:Label ID="Label1" runat="server" ForeColor="Red">*</asp:Label>&nbsp;
                                                                <asp:Label ID="lblIndicatesMandatory" runat="server">Required Fields</asp:Label>
                                                            </div>
                                                        </div>
                                                        <div class="form-group">
                                                            <div class="col-xs-3"></div>
                                                            <div class="col-xs-9">
                                                                <asp:ImageButton ID="ibtnUpdateVehicle1" runat="server" CausesValidation="true" ImageUrl="~/images/btn-update.jpg"
                                                                    ValidationGroup="vgVeh" TabIndex="14" OnClientClick="return ValidateTyreVendor();"
                                                                    OnClick="ibtnUpdateVendor_Click" Visible="false" />
                                                                <asp:LinkButton ID="ibtnUpdateVendor" ValidationGroup="vgVeh" runat="server" CssClass="MultilingualBtn"
                                                                    CausesValidation="false" OnClientClick="return ValidateTyreVendor();" OnClick="ibtnUpdateVendor_Click">
                                                                    <span id="Span6" runat="server" class="MultilingualBtnspan">
                                                                        <div class="Update">
                                                                            <div id="UpdateVehicleButDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                                Update
                                                                            </div>
                                                                        </div>
                                                                    </span>
                                                                </asp:LinkButton>
                                                                <asp:ImageButton ID="ibtnAddVendor1" runat="server" CausesValidation="true" ImageUrl="~/images/btn-save.jpg"
                                                                    ValidationGroup="vgVeh" TabIndex="13" OnClientClick="return ValidateTyreVendor();"
                                                                    OnClick="ibtnAddVendor_Click" Visible="false" />
                                                                <asp:LinkButton ID="ibtnAddVendor" runat="server" CssClass="MultilingualBtn" ValidationGroup="vgVeh"
                                                                    TabIndex="13" OnClientClick="return ValidateTyreVendor();" OnClick="ibtnAddVendor_Click">
                                                                    <span id="Span7" runat="server" class="MultilingualBtnspan">
                                                                        <div class="Save">
                                                                            <div id="AddVehicleButDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                                Save
                                                                            </div>
                                                                        </div>
                                                                    </span>
                                                                </asp:LinkButton>
                                                                <%--  </td>
                                                                <td>--%>&nbsp;
                                                                    <asp:ImageButton ID="btnUserCancel1" runat="server" OnClick="btnUserCancel_Click"
                                                                        CausesValidation="false" TabIndex="15" ImageUrl="~/images/btn-cancel.jpg" Visible="false" />
                                                                <asp:LinkButton ID="btnUserCancel" runat="server" CssClass="MultilingualBtn" OnClick="btnUserCancel_Click"
                                                                    CausesValidation="false">
                                                                    <%--OnClientClick="return ClearData();"--%>
                                                                    <span id="Span8" runat="server" class="MultilingualBtnspan">
                                                                        <div class="Cancel">
                                                                            <div id="UserCancelDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                                Cancel
                                                                            </div>
                                                                        </div>
                                                                    </span>
                                                                </asp:LinkButton>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="clear clearfix">
                                                </div>
                                            </div>
                                        </asp:Panel>
                                    </div>
                                    <div class="clear clearfix"></div>
                                    <asp:Panel ID="pnlVendorDetailsList" runat="server">
                                        <div id="grid-dsply">
                                            <div id="top">
                                                <%--<div class="left-col" visible="false">
                                                 <span class="txtAlign">
                                                    <asp:Label ID="lblFleet" runat="server" Text="Fleet"></asp:Label>
                                                    &nbsp;</span><span class="dropdown">
                                                        <dxw:ASPxComboBox ID="ddlFleet" runat="server" ValueType="System.Int32" Width="130px"
                                                            ShowImageInEditBox="false" ClientInstanceName="ddlFleet" SelectedIndex="0" OnSelectedIndexChanged="ddlFleet_SelectedIndexChanged"
                                                            CssFilePath="~/App_Themes/Office2003Blue/Editors/styles.css" CssPostfix="Office2003_Blue"
                                                            EnableTheming="true" Theme="Office2003Blue" AutoPostBack="true">
                                                            <ClientSideEvents SelectedIndexChanged="function(s, e) { ShowPopUp(); }" />
                                                        </dxw:ASPxComboBox>
                                                    </span> 
                                            </div>--%>
                                                <div class="col-sm-12">
                                                    <div class="pull-right">
                                                        <span class="dropdown">
                                                            <dxw:ASPxComboBox ID="ASPxCboExport" runat="server" ValueType="System.String" Width="80px" Height="20px"
                                                                ShowImageInEditBox="false" ItemImage-Height="12px" ClientInstanceName="ASPxCboExport" SelectedIndex="0"
                                                                CssFilePath="~/App_Themes/Office2003Blue/Editors/styles.css" CssPostfix="Office2003_Blue"
                                                                EnableTheming="true" Theme="Office2003Blue">
                                                                <Items>
                                                                    <dxw:ListEditItem ImageUrl="../images/icn-pdf.jpg" Text="pdf" Value="pdf" />
                                                                    <dxw:ListEditItem ImageUrl="../images/icn-excel.jpg" Text="xls" Value="xls" />
                                                                    <dxw:ListEditItem ImageUrl="../images/icn-excel-xlsx.png" Text="xlsx" Value="xlsx" />
                                                                    <dxw:ListEditItem ImageUrl="../images/icn-word.jpg" Text="rtf" Value="rtf" />
                                                                    <%--<dxw:ListEditItem ImageUrl="../images/icn-csv.gif" Text="csv" Value="csv" />--%>
                                                                </Items>
                                                            </dxw:ASPxComboBox>
                                                        </span>&nbsp;
                                                        <span class="txt">
                                                            <asp:ImageButton ID="btnExport1" runat="server" ImageUrl="~/images/btn-export.jpg"
                                                                OnClick="btnExport_Click" Visible="false" />
                                                            <asp:LinkButton ID="btnExport" runat="server" CssClass="MultilingualBtn" OnClick="btnExport_Click">
                                                                <span id="Span9" runat="server" class="MultilingualBtnspan">
                                                                    <div class="Export">
                                                                        <div id="ExportButDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                            Export
                                                                        </div>
                                                                    </div>
                                                                </span>
                                                            </asp:LinkButton>
                                                        </span>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="clear clearfix"></div>
                                            <div class="table-responsive">
                                                <dxw:ASPxGridView ID="gvVendor" runat="server" Width="100%" EnableViewState="true" KeyFieldName="VendorId"
                                                    CssFilePath="~/App_Themes/Office2003Blue/GridView/styles.css" CssPostfix="Office2003_Blue"
                                                    EnableTheming="true" Theme="Office2003Blue" OnHtmlRowCreated="gvVendor_OnHtmlRowCreated">
                                                    <%--OnDataBinding="gvVendor_DataBinding"--%>
                                                    <%--<Images ImageFolder="~/App_Themes/Office2003Blue/GridView/">
                                                <CollapsedButton Height="12px" Url="~/App_Themes/Office2  003 Blue/GridView/gvCollapsedButton.png"
                                                    Width="11px" />
                                                <ExpandedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvExpandedButton.png"
                                                    Width="11px" />
                                                <DetailCollapsedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvCollapsedButton.png"
                                                    Width="11px" />
                                                <DetailExpandedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvExpandedButton.png"
                                                    Width="11px" />
                                            </Images>--%>
                                                    <Styles CssFilePath="~/App_Themes/Office2003Blue/GridView/grid.css" AlternatingRow-Enabled="True"
                                                        CssPostfix="Office2003_Blue">
                                                        <Header ImageSpacing="5px" SortingImageSpacing="5px">
                                                        </Header>
                                                        <LoadingPanel ImageSpacing="10px">
                                                        </LoadingPanel>
                                                        <PagerBottomPanel CssClass="PageFooter">
                                                        </PagerBottomPanel>
                                                        <PagerTopPanel CssClass="PageFooter">
                                                        </PagerTopPanel>
                                                    </Styles>
                                                    <SettingsPager PageSize="15" PrevPageButton-Image-Url="../App_Themes/Office2003Blue/GridView/pPrev.gif"
                                                        PrevPageButton-Image-UrlDisabled="../App_Themes/Office2003Blue/GridView/pPrevDisabled.gif"
                                                        NextPageButton-Image-UrlDisabled="../App_Themes/Office2003Blue/GridView/pNextDisabled.gif"
                                                        NextPageButton-Image-Url="../App_Themes/Office2003Blue/GridView/pNext.gif" AlwaysShowPager="true">
                                                    </SettingsPager>
                                                    <Columns>
                                                        <dxw:GridViewDataColumn FieldName="VendorName" Caption="Vendor Name" VisibleIndex="0" CellStyle-Wrap="True"
                                                            Width="10%">
                                                            <HeaderCaptionTemplate>
                                                                <span class="icon">
                                                                    <img src="../Images/usermanage-icon.gif" align="top" alt="" title="" /></span>
                                                                <span class="label">
                                                                    <asp:Label ID="lblVendorNameCaption" runat="server" Text="Name"></asp:Label></span>
                                                            </HeaderCaptionTemplate>
                                                        </dxw:GridViewDataColumn>
                                                        <dxw:GridViewDataColumn FieldName="VendorDesc" Caption="Vendor Description" VisibleIndex="1" Width="10%" CellStyle-Wrap="True"
                                                            HeaderStyle-HorizontalAlign="Center" CellStyle-HorizontalAlign="Center">
                                                            <HeaderCaptionTemplate>
                                                                <span class="icon">
                                                                    <img src="../Images/icn-description.gif" alt="" title="" align="middle" /></span>
                                                                <span class="label">
                                                                    <asp:Label ID="lblCntrctprdCaption" runat="server" Text="Description"></asp:Label></span>
                                                            </HeaderCaptionTemplate>
                                                            <Settings AllowAutoFilter="False" />
                                                        </dxw:GridViewDataColumn>
                                                        <dxw:GridViewDataColumn FieldName="VendorAddress" Caption="Address" VisibleIndex="2" CellStyle-Wrap="True"
                                                            Width="10%">
                                                            <HeaderCaptionTemplate>
                                                                <span class="icon">
                                                                    <img src="../images/address-icon.gif" alt="" title="" align="top" /></span>
                                                                <span class="label">
                                                                    <asp:Label ID="lblWrkOdrCaption" runat="server" Text="Address"></asp:Label></span>
                                                            </HeaderCaptionTemplate>
                                                            <Settings AllowAutoFilter="False" />
                                                        </dxw:GridViewDataColumn>
                                                        <dxw:GridViewDataColumn FieldName="Email" Caption="EmailID" VisibleIndex="3" Width="10%" CellStyle-Wrap="True"
                                                            HeaderStyle-HorizontalAlign="Center" CellStyle-HorizontalAlign="Center">
                                                            <HeaderCaptionTemplate>
                                                                <span class="icon">
                                                                    <img src="../Images/icn-email.gif" alt="" title="" align="middle" /></span>
                                                                <span class="label">
                                                                    <asp:Label ID="lblCntrctprdCaption" runat="server" Text="EmailID"></asp:Label></span>
                                                            </HeaderCaptionTemplate>
                                                            <Settings AllowAutoFilter="False" />
                                                        </dxw:GridViewDataColumn>
                                                        <dxw:GridViewDataColumn FieldName="Email1" Caption="EmailID1" VisibleIndex="4" Width="10%" CellStyle-Wrap="True"
                                                            HeaderStyle-HorizontalAlign="Center" CellStyle-HorizontalAlign="Center">
                                                            <HeaderCaptionTemplate>
                                                                <span class="icon">
                                                                    <img src="../Images/icn-email.gif" alt="" title="" align="middle" /></span>
                                                                <span class="label">
                                                                    <asp:Label ID="lblCntrctprdCaption" runat="server" Text="EmailID 1"></asp:Label></span>
                                                            </HeaderCaptionTemplate>
                                                            <Settings AllowAutoFilter="False" />
                                                        </dxw:GridViewDataColumn>

                                                        <dxw:GridViewDataColumn FieldName="ContactNo" Caption="Contact No." VisibleIndex="5" CellStyle-Wrap="True"
                                                            Width="8%" HeaderStyle-HorizontalAlign="Center" CellStyle-HorizontalAlign="Center">
                                                            <HeaderCaptionTemplate>
                                                                <span class="icon">
                                                                    <img src="../images/icn-contact-number.GIF" alt="" title="" align="middle" /></span>
                                                                <span class="label">
                                                                    <asp:Label ID="lblCntrctprdCaption" runat="server" Text="ContactNo"></asp:Label></span>
                                                            </HeaderCaptionTemplate>
                                                            <Settings AllowAutoFilter="False" />
                                                        </dxw:GridViewDataColumn>
                                                        <dxw:GridViewDataColumn FieldName="MobileNo" Caption="Mobile No." VisibleIndex="6" CellStyle-Wrap="True"
                                                            Width="10%" HeaderStyle-HorizontalAlign="Center" CellStyle-HorizontalAlign="Center">
                                                            <HeaderCaptionTemplate>
                                                                <span class="icon">
                                                                    <img src="../images/mobile.PNG" alt="" title="" align="middle" /></span>
                                                                <span class="label">
                                                                    <asp:Label ID="lblMobileNo" runat="server" Text="Mobile No."></asp:Label></span>
                                                            </HeaderCaptionTemplate>
                                                            <Settings AllowAutoFilter="False" />
                                                        </dxw:GridViewDataColumn>
                                                        <dxw:GridViewDataColumn FieldName="VendorState" Caption="State" VisibleIndex="7" CellStyle-Wrap="True"
                                                            Width="8%" CellStyle-HorizontalAlign="Center">
                                                            <HeaderCaptionTemplate>
                                                                <span class="icon">
                                                                    <img src="../images/icn-locality.gif" alt="" title="" align="middle" /></span>
                                                                <span class="label">
                                                                    <asp:Label ID="lblState" runat="server" Text="State"></asp:Label></span>
                                                            </HeaderCaptionTemplate>
                                                            <Settings AllowAutoFilter="False" />
                                                        </dxw:GridViewDataColumn>
                                                        <dxw:GridViewDataColumn FieldName="VendorCity" Caption="City" VisibleIndex="8" Width="6%" CellStyle-Wrap="True"
                                                            CellStyle-HorizontalAlign="Center">
                                                            <HeaderCaptionTemplate>
                                                                <span class="icon">
                                                                    <img src="../images/city.png" alt="" title="" align="middle" /></span> <span class="label">
                                                                        <asp:Label ID="lblMDaysCaption" runat="server" Text="City"></asp:Label></span>
                                                            </HeaderCaptionTemplate>
                                                            <Settings AllowAutoFilter="False" />
                                                        </dxw:GridViewDataColumn>
                                                        <dxw:GridViewDataColumn FieldName="ZipCode" Caption="ZipCode" VisibleIndex="9" Width="8%" CellStyle-Wrap="True"
                                                            HeaderStyle-HorizontalAlign="Center" CellStyle-HorizontalAlign="Center">
                                                            <HeaderCaptionTemplate>
                                                                <span class="icon">
                                                                    <img src="../images/icn-trip-mode.gif" alt="" title="" align="middle" /></span>
                                                                <span class="label">
                                                                    <asp:Label ID="lblZipCode" runat="server" Text="ZipCode"></asp:Label></span>
                                                            </HeaderCaptionTemplate>
                                                            <Settings AllowAutoFilter="False" />
                                                        </dxw:GridViewDataColumn>
                                                        <dxw:GridViewDataTextColumn Caption="View" Width="3%" Name="View" VisibleIndex="10"
                                                            CellStyle-HorizontalAlign="Center">
                                                            <HeaderTemplate>
                                                            </HeaderTemplate>
                                                            <DataItemTemplate>
                                                                <asp:LinkButton ID="ibView" runat="server" OnClick="ibtViewVendor_click" CommandArgument='<%# Eval("VendorId") %>'
                                                                    Style="text-decoration: none;"><img src="../images/icn-view.gif" alt="View" title="Click here to view"/></asp:LinkButton>
                                                            </DataItemTemplate>
                                                        </dxw:GridViewDataTextColumn>
                                                        <dxw:GridViewDataTextColumn Caption="Edit" VisibleIndex="11" Width="3%" Name="Edit"
                                                            CellStyle-HorizontalAlign="Center">
                                                            <HeaderTemplate>
                                                            </HeaderTemplate>
                                                            <DataItemTemplate>
                                                                <asp:LinkButton ID="btnUpdateVendor" runat="server" CommandArgument='<%# Eval("VendorId") %>'
                                                                    OnClientClick="return ShowPopUp();" OnClick="btnUpdateVendor_Click" Style="text-decoration: none;">
                                                            <img src="../images/icn-edit.gif" alt="View" title="Click here to Edit"/></asp:LinkButton>
                                                            </DataItemTemplate>
                                                        </dxw:GridViewDataTextColumn>
                                                        <dxw:GridViewDataTextColumn Caption="Delete" Width="3%" HeaderStyle-HorizontalAlign="Center"
                                                            CellStyle-HorizontalAlign="Center" VisibleIndex="12">
                                                            <HeaderTemplate>
                                                            </HeaderTemplate>
                                                            <DataItemTemplate>
                                                                <%--Delete();--%>
                                                                <asp:LinkButton ID="lbtnDelete" runat="server" OnClientClick="return ShowPopUp();"
                                                                    CommandArgument='<%#Eval("VendorId") %>' OnClick="lbtnDelete_click"><img src="../images/delete-icon.gif" alt="Delete" title="Click here to Delete"/></asp:LinkButton>
                                                            </DataItemTemplate>
                                                        </dxw:GridViewDataTextColumn>
                                                    </Columns>
                                                    <Settings ShowVerticalScrollBar="true" VerticalScrollableHeight="270" />
                                                    <Settings ShowFilterRow="true" ShowFilterRowMenu="True" />
                                                    <SettingsText EmptyDataRow="No Vendors details found" />
                                                    <SettingsBehavior AllowFocusedRow="false" />
                                                    <SettingsPager PageSize="25">
                                                    </SettingsPager>
                                                </dxw:ASPxGridView>
                                            </div>
                                            <dxw:ASPxGridViewExporter ID="ASPxGridViewExporter1" runat="server" GridViewID="gvVendor"
                                                ReportHeader="{\rtf1\ansi\ansicpg1252\deff0\deflang1033{\fonttbl{\f0\fnil\fcharset0 Times New Roman;}{\f1\fnil\fcharset0 Arial;}}
                                                                \viewkind4\uc1\pard\f0\fs20\b\f1\fs28 Vendor Details\par\par\par}"
                                                DetailHorizontalOffset="1" DetailVerticalOffset="1" MaxColumnWidth="120">
                                                <Styles>
                                                    <Default VerticalAlign="Middle">
                                                    </Default>
                                                    <Header BackColor="#D1D1D1" Font-Bold="True" Font-Names="Arial" Font-Size="10pt"
                                                        ForeColor="Black" HorizontalAlign="Center" VerticalAlign="Middle" Wrap="false">
                                                    </Header>
                                                    <Cell VerticalAlign="Middle" Wrap="True" Font-Size="8pt" Font-Names="Arial" HorizontalAlign="Left"
                                                        ForeColor="Black">
                                                    </Cell>
                                                </Styles>
                                                <PageHeader Center="Fuel Entry Details" VerticalAlignment="Far">
                                                    <Font Bold="True" Names="Arial" Size="10pt" Underline="True"></Font>
                                                </PageHeader>
                                                <PageFooter Right="[Page # of Pages #]">
                                                </PageFooter>
                                            </dxw:ASPxGridViewExporter>
                                        </div>
                                    </asp:Panel>
                                </div>
                            </div>
                            <%--</div>--%>
                            <!-- Main Content Ends Here -->
                            <div id="left">
                            </div>
                            <div class="clear clearfix">
                            </div>
                        </div>
                        <div id="right">
                        </div>
                        <div class="clear clearfix">
                        </div>
                    </div>
                    <asp:Button ID="btnLoadModel" runat="server" CssClass="btn" Style="display: none"></asp:Button>
                    <asp:Button ID="btnTest" runat="server" OnClick="btnTest_click" CssClass="ControlHide"
                        Text="Test" />
                    <asp:HiddenField ID="hdnCancelsts" runat="server" />
                    <asp:HiddenField ID="hdnselectedays" runat="server" />
                </ContentTemplate>
                <Triggers>
                    <asp:PostBackTrigger ControlID="ibtnAddVendor" />
                    <asp:PostBackTrigger ControlID="ibtnUpdateVendor" />
                    <asp:PostBackTrigger ControlID="btnExport" />
                    <asp:PostBackTrigger ControlID="btnTest" />
                    <%--<asp:PostBackTrigger ControlID="gvVendor_cell3_4_lnkLegend" /> --%>
                </Triggers>
            </asp:UpdatePanel>
            <asp:UpdatePanel ID="UpdatePanel2" runat="server" UpdateMode="Conditional">
                <ContentTemplate>
                </ContentTemplate>
            </asp:UpdatePanel>
            <cc1:ModalPopupExtender ID="mpeProgressIndicator" runat="server" PopupControlID="pnlProgress"
                TargetControlID="Button1">
            </cc1:ModalPopupExtender>
            <asp:Button ID="Button1" Style="display: none;" runat="server" />
            <asp:Panel ID="pnlProgress" runat="server" CssClass="processMessage" Style="z-index: 1000;">
                <center>
                    <br />
                    <img id="imgLoad" runat="server" alt="Please Wait ..." src="../images/47.gif" /><br />
                    <br />
                    <asp:Label ID="lbl_msg12" Text="Processing... Please Wait..." runat="server" CssClass="specialdisplay"></asp:Label>
                    <br />
                    <br />
                </center>
            </asp:Panel>

            <script src="../js/ScriptToClearCtrls.js" type="text/javascript"></script>
            <script type="text/javascript" src="../js/GridCheckBoxMaintaining.js"></script>
            <script type="text/javascript" src="../js/DriverManagementScript.js"></script>
            <script type="text/javascript" src="../js/myformvalidations.js"></script>
            <script type="text/javascript" src="../js/FormValidations.js"></script>
            <script language="javascript" type="text/javascript">
                function HidePopUp() {
                    if ($find('mpeProgressIndicator') != undefined) {
                        $find('mpeProgressIndicator').hide();
                    }
                }
                function ShowPopUp() {
                    if ($find('mpeProgressIndicator') != undefined) {
                        $find('mpeProgressIndicator').show();
                    }
                }
            </script>
            <script type="text/javascript">
                Sys.Browser.WebKit = {}; //Safari 3 is considered WebKit
                if (navigator.userAgent.indexOf('WebKit/') > -1) {
                    Sys.Browser.agent = Sys.Browser.WebKit;
                    Sys.Browser.version = parseFloat(navigator.userAgent.match(/WebKit\/(\d+(\.\d+)?)/)[1]);
                    Sys.Browser.name = 'WebKit';
                }
            </script>
            <script type="text/javascript">
                var keyValue;
                function OnMoreInfoClick(element) {
                    popup.ShowAtElement(element);
                }
                function popup_Shown(s, e) {
                    popup.ShowAtPos(s, e);
                }
                function calSelectiondays() {
                    // aspxCalTodayClick('popup_calDriverScheduler');
                    aspxCalClearClick('popup_calDriverScheduler');
                    //var selecteddate = new Date(s.GetSelectedDate());
                    // alert('dfgfgdfg'); return false;
                    //var selectedays = document.getElementById('hdnselectedays').value;
                    //                if (selectedays > 2) {
                    //                    document.getElementById('hdnselectedays').value = 0;
                    //                    selectedays = 0;
                    //                    TrinetraCustomAlerts('Only 2 days can be maintenance days in a month client');
                    //                }
                    //                else {
                    //                    selectedays++;
                    //                    alert(selectedays, selecteddate);
                    //                    document.getElementById('hdnselectedays').value = selectedays;
                    //                    selectedays = selectedays;
                    //                }
                }
            </script>
        </form>
    </div>
    <!-- Content Ends Here -->
    <uc2:Footer ID="ucFooter" runat="server" />
</body>
</html>
