<%@ page language="C#" autoeventwireup="true" inherits="Forms_FullscreenMap_Advanced, App_Web_4uopfcmr" %>

<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc1" %>
<%@ Register Src="~/UserControls/Notification_List.ascx" TagPrefix="uc3" TagName="NotificationsList" %>
<%@ Register Src="~/UserControls/New_Header.ascx" TagName="Header" TagPrefix="uc1" %>
<%@ Register Src="~/UserControls/New_Footer.ascx" TagName="Footer" TagPrefix="uc2" %>

<%--<%@ Register Assembly="DevExpress.Web.ASPxGridView.v8.2, Version=8.2.10.0, Culture=neutral, PublicKeyToken=9b171c9fd64da1d1"
    Namespace="DevExpress.Web.ASPxGridView" TagPrefix="dxwgv" %>
<%@ Register Assembly="DevExpress.Web.ASPxEditors.v8.2, Version=8.2.10.0, Culture=neutral, PublicKeyToken=9b171c9fd64da1d1"
    Namespace="DevExpress.Web.ASPxEditors" TagPrefix="dxe" %>
<%@ Register Assembly="DevExpress.Web.ASPxEditors.v8.2" Namespace="DevExpress.Web.ASPxEditors"
    TagPrefix="dxe" %>
<%@ Register Assembly="DevExpress.Web.ASPxGridView.v8.2.Export" Namespace="DevExpress.Web.ASPxGridView.Export"
    TagPrefix="exp" %>--%>
<!DOCTYPE html>
<html lang="en">
<head id="Head1" runat="server">
    <title>Full screen Map View</title>
    <%--<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />--%>
    <%--<meta http-equiv="Content-Type" content="text/html; charset=windows-1256" />
    <meta http-equiv="Page-Enter" content="blendTrans(Duration=0)" />
    <meta http-equiv="Page-Exit" content="blendTrans(Duration=0)" />--%>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">

    <link id="reset" runat="server" href="../css/reset.css" rel="stylesheet" type="text/css" />
    <link id="dropdown" runat="server" href="../css/dropdown.css" rel="stylesheet" type="text/css" />
    <link id="stylesheet2" runat="server" href="../css/stylesheet2.css" rel="stylesheet" type="text/css" />
    <link id="style" runat="server" href="../css/style.css" rel="stylesheet" type="text/css" />
    <%--<link id="jcarousel" runat="server" rel="stylesheet" type="text/css" href="../css/jquery.jcarousel.css" />--%>
    <link id="skin" runat="server" rel="stylesheet" type="text/css" href="../css/skin.css" />
    <link rel="SHORTCUT ICON" href="../images/favicon.ico" />
    <link id="ieonly" runat="server" rel="stylesheet" type="text/css" href="" />
    <%-- <link href="../css/CustomeAlert/demos.css" rel="stylesheet" type="text/css" />
    <link href="../css/CustomeAlert/themes/jquery.ui.all.css" rel="stylesheet" type="text/css" />--%>

    <%--BootStrap Css--%>
    <link id="BootStrapCss" href="../css/bootstrap.css" runat="server" rel="stylesheet" type="text/css" />
    <link id="mainstyle" runat="server" href="../css/mainstyle.css" rel="stylesheet" type="text/css" />
    <%--End of BootStrap Css--%>

    <%-- <script src="../js/CustomAlert/jquery.min.js" type="text/javascript"></script>
    <script src="../js/CustomAlert/jquery-ui-1.10.3.custom.min.js" type="text/javascript"></script>
    <script src="../js/CustomAlert/jquery-ui-1.10.3.custom.js" type="text/javascript"></script>
    <script src="../js/CustomAlert/CustomAlert.js" type="text/javascript"></script>
    <script language="javascript" type="text/javascript" src="../js/CommonFuncitonsInHeader.js"></script>--%>
    <script src="../js/wow.min.js"></script>
</head>
<body onprerender="ShowPopUp();">
    <div class="pageContainer">
        <form id="form1" runat="server">
            <cc1:ModalPopupExtender ID="mpeProgressIndicator" runat="server" PopupControlID="progressPopUp"
                TargetControlID="btnTesting">
            </cc1:ModalPopupExtender>
            <asp:Button ID="btnTesting" Style="display: none;" runat="server" />
            <asp:HiddenField ID="hdnLandmarkEntries" runat="server" Value="" />
            <asp:Panel ID="progressPopUp" runat="server" CssClass="processMessage" Style="z-index: 1000; display: none;">
                <center>
                <br />
                <img alt="Please Wait ..." src="../images/47.gif" /><br />
                <br />
                <asp:Label ID="lbl_msg12" Text="Processing... Please Wait..." runat="server" CssClass="specialdisplay"></asp:Label>
                <br />
                <br />
            </center>
            </asp:Panel>
            <asp:ScriptManager ID="ScriptManager1" runat="server">
            </asp:ScriptManager>
            <!-- Content Starts Here -->
            <div id="outer">
                <div id="inner">
                    <div id="float-wrap">
                        <!-- Main Content Starts Here -->
                        <div id="content">
                            <div class="content-wrap">
                                <div id="map-legend" style="right: 0px; height: auto; position: absolute; z-index: 100; margin-top: 0px; padding-top: 0px; float: right;">
                                </div>
                                <div class="row" id="containerdiv">
                                    <div class="col-sm-12">
                                        <div class="col-sm-4">
                                            <div id="map-dsply1" class="MapDsp">
                                            </div>
                                            <div class="Map-Text">
                                                <asp:Label ID="Map1_Vehicle" runat="server"></asp:Label><br />
                                                <asp:Label ID="Map1_Address" runat="server"></asp:Label><br />
                                                <asp:Label ID="Map1_Speed" runat="server"></asp:Label>
                                            </div>
                                        </div>
                                        <div class="col-sm-4">
                                            <div id="map-dsply2" class="MapDsp">
                                            </div>
                                            <div class="Map-Text">
                                                <asp:Label ID="Map2_Vehicle" runat="server"></asp:Label><br />
                                                <asp:Label ID="Map2_Address" runat="server"></asp:Label><br />
                                                <asp:Label ID="Map2_Speed" runat="server"></asp:Label>
                                            </div>
                                        </div>
                                        <div class="col-sm-4">
                                            <div id="map-dsply3" class="MapDsp">
                                            </div>
                                            <div class="Map-Text">
                                                <asp:Label ID="Map3_Vehicle" runat="server"></asp:Label><br />
                                                <asp:Label ID="Map3_Address" runat="server"></asp:Label><br />
                                                <asp:Label ID="Map3_Speed" runat="server"></asp:Label>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-sm-12">
                                        <div class="col-sm-4">
                                            <div id="map-dsply4" class="MapDsp">
                                            </div>
                                            <div class="Map-Text">
                                                <asp:Label ID="Map4_Vehicle" runat="server"></asp:Label><br />
                                                <asp:Label ID="Map4_Address" runat="server"></asp:Label><br />
                                                <asp:Label ID="Map4_Speed" runat="server"></asp:Label>
                                            </div>
                                        </div>
                                        <div class="col-sm-4">
                                            <div id="map-dsply5" class="MapDsp">
                                            </div>
                                            <div class="Map-Text">
                                                <asp:Label ID="Map5_Vehicle" runat="server"></asp:Label><br />
                                                <asp:Label ID="Map5_Address" runat="server"></asp:Label><br />
                                                <asp:Label ID="Map5_Speed" runat="server"></asp:Label>
                                            </div>
                                        </div>
                                        <div class="col-sm-4">
                                            <div id="map-dsply6" class="MapDsp">
                                            </div>
                                            <div class="Map-Text">
                                                <asp:Label ID="Map6_Vehicle" runat="server"></asp:Label><br />
                                                <asp:Label ID="Map6_Address" runat="server"></asp:Label><br />
                                                <asp:Label ID="Map6_Speed" runat="server"></asp:Label>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-sm-12">
                                        <div class="col-sm-4">
                                            <div id="map-dsply7" class="MapDsp">
                                            </div>
                                            <div class="Map-Text">
                                                <asp:Label ID="Map7_Vehicle" runat="server"></asp:Label><br />
                                                <asp:Label ID="Map7_Address" runat="server"></asp:Label><br />
                                                <asp:Label ID="Map7_Speed" runat="server"></asp:Label>
                                            </div>
                                        </div>
                                        <div class="col-sm-4">
                                            <div id="map-dsply8" class="MapDsp">
                                            </div>
                                            <div class="Map-Text">
                                                <asp:Label ID="Map8_Vehicle" runat="server"></asp:Label><br />
                                                <asp:Label ID="Map8_Address" runat="server"></asp:Label><br />
                                                <asp:Label ID="Map8_Speed" runat="server"></asp:Label>
                                            </div>
                                        </div>
                                        <div class="col-sm-4">
                                            <div id="map-dsply9" class="MapDsp">
                                            </div>
                                            <div class="Map-Text">
                                                <asp:Label ID="Map9_Vehicle" runat="server"></asp:Label><br />
                                                <asp:Label ID="Map9_Address" runat="server"></asp:Label><br />
                                                <asp:Label ID="Map9_Speed" runat="server"></asp:Label>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <style type="text/css">
                                    .MapDsp {
                                        direction: ltr;
                                        width: 100%;
                                        height: 200px !important;
                                        padding: 7px;
                                        box-shadow: inset 0px 0px 10px rgba(0,0,0,0.9);
                                    }

                                    .Map-Text {
                                        direction: ltr;
                                        height: 50px !important;
                                        background-color: Black;
                                        opacity: 0.8;
                                        min-width: 96%;
                                        min-width: 96%;
                                        filter: alpha(opacity=60); /* for ie8 and earlier */
                                        color: white;
                                        height: 13px;
                                        white-space: normal;
                                        overflow: auto;
                                        padding-left: 5px;
                                    }

                                    .map-legend {
                                        margin-top: 0px;
                                    }

                                    .nm_crimg {
                                        display: none !important;
                                    }

                                    .nm_crnode {
                                        display: none !important;
                                    }

                                    .nm_buttonPair {
                                        right: 96%;
                                    }

                                    @media screen and (-webkit-min-device-pixel-ratio:0) {
                                        .nm_zoomWrap {
                                            margin-right: 96%;
                                        }
                                    }

                                    .nm_mapSettingsWrap {
                                        display: inline-block !important;
                                        position: relative;
                                        z-index: 10000000;
                                    }

                                    .nm_mapSettingsWrap {
                                        display: inline-block !important;
                                        position: relative;
                                        z-index: 10000000;
                                    }

                                    .nm_right[aria-role="menubar"] {
                                        float: left;
                                        margin-left: 3px; /*margin-right: 94%;*/
                                    }

                                    .nm_dropDownMenu {
                                        float: left !important;
                                        margin-left: 1px !important;
                                    }

                                    .nm_menuItemMapType {
                                        float: left !important;
                                        margin-left: 1px !important;
                                    }

                                    .modal {
                                        display: none;
                                        position: absolute;
                                        top: 0px;
                                        left: 0px;
                                        background-color: black;
                                        z-index: 100;
                                        opacity: 0.8;
                                        filter: alpha(opacity=60);
                                        -moz-opacity: 0.8;
                                        min-height: 100%;
                                        -moz-border-radius: 10px; /* for Firefox */
                                        -webkit-border-radius: 10px; /* for Webkit-Browsers */
                                        border-radius: 10px; /* regular */
                                        -moz-box-shadow: 3px 3px 5px 6px #ccc;
                                        -webkit-box-shadow: 3px 3px 5px 6px #ccc;
                                        box-shadow: 3px 3px 5px 6px #ccc;
                                    }

                                    #containerdiv div div {
                                        padding: 2px;
                                    }
                                </style>
                            </div>
                        </div>
                        <!-- Main Content Ends Here -->
                        <div id="left">
                        </div>
                        <div class="clear clearfix">
                        </div>
                    </div>
                    <div id="right">
                    </div>
                    <div class="clear clearfix">
                    </div>
                </div>
            </div>
            <asp:HiddenField ID="hdnMapType" runat="server" Value="N" />
            <asp:UpdatePanel ID="updMap" runat="server" UpdateMode="Conditional">
                <ContentTemplate>
                    <asp:Button ID="btnMap" runat="server" OnClick="btnMap_Click" Text="Full Map" Style="display: none" />
                    <asp:Timer ID="tmrRefresh" runat="server" Enabled="false" OnTick="tmrRefresh_Tick">
                    </asp:Timer>
                </ContentTemplate>
            </asp:UpdatePanel>
            <asp:HiddenField ID="hdnAddLandmark" runat="server" />
            <asp:HiddenField ID="hdnlang" runat="server" />
            <asp:HiddenField ID="hdnMapLng" runat="server" />
            <cc1:ModalPopupExtender ID="mpeMapProgressIndicator" runat="server" PopupControlID="pnlMapPopUp"
                TargetControlID="btnTesting">
            </cc1:ModalPopupExtender>
            <asp:Panel ID="pnlMapPopUp" runat="server" CssClass="processMessage" Style="z-index: 1000; display: none;">
                <center>
                <br />
                <img id="imgLoad" runat="server" alt="Please Wait ..." src="../images/47.gif" /><br />
                <br />
                <asp:Label ID="lbl_msg13" Text="Auto Refreshing... Please Wait..." runat="server"
                    CssClass="specialdisplay"></asp:Label>
                <br />
                <br />
            </center>
            </asp:Panel>
            <%-- <script language="javascript" type="text/javascript" src="../js/Map_Google.js"></script>

        <script type="text/javascript" src="../js/Elabel.js"></script>

        <script type="text/javascript" src="../js/HtmlControl.js"></script>
        
        <script type="text/javascript" src="../js/Clusterer2.js"></script>

        <script src="http://jsapi.lbsp.navteq.com/v1/jsl.js" type="text/javascript" charset="utf-8"></script>

        <script language="javascript" type="text/javascript" src="../js/Map_NavTeq1.js"></script>--%>
            <%-- <script src="../js/myformvalidations.js" type="text/javascript"></script>

        <script type="text/javascript" src="../js/GridCheckBoxMaintaining.js"></script>

        <script type="text/javascript" src="../js/HistoryScript.js"></script>

        <script src="../js/Formvalidations.js" type="text/javascript"></script>--%>

            <script type="text/javascript">
                function doPostback() {
                    document.getElementById('btnMap').click();
                }
            </script>

        </form>
    </div>
    <!-- Content Ends Here -->
    <uc2:Footer ID="ucFooter" runat="server" />
</body>
</html>
