﻿<%@ page language="C#" autoeventwireup="true" inherits="Forms_GeozoneSalikFare, App_Web_isgq1fab" %>

<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc1" %>
<%@ Register Src="~/UserControls/New_Header.ascx" TagName="Header" TagPrefix="uc1" %>
<%@ Register Src="~/UserControls/New_Footer.ascx" TagName="Footer" TagPrefix="uc2" %>

<%--<%@ Register Assembly="DevExpress.Web.ASPxGridView.v8.2, Version=8.2.10.0, Culture=neutral, PublicKeyToken=9B171C9FD64DA1D1"
    Namespace="DevExpress.Web.ASPxGridView" TagPrefix="dxwgv" %>
<%@ Register Assembly="DevExpress.Web.ASPxEditors.v8.2, Version=8.2.10.0, Culture=neutral, PublicKeyToken=9B171C9FD64DA1D1"
    Namespace="DevExpress.Web.ASPxEditors" TagPrefix="dxe" %>
<%@ Register Assembly="DevExpress.Web.ASPxEditors.v8.2" Namespace="DevExpress.Web.ASPxEditors"
    TagPrefix="dxe" %>
<%@ Register Assembly="DevExpress.Web.ASPxGridView.v8.2.Export, Version=8.2.10.0, Culture=neutral, PublicKeyToken=9B171C9FD64DA1D1"
    Namespace="DevExpress.Web.ASPxGridView.Export" TagPrefix="exp" %>
<%@ Register Assembly="DevExpress.Web.ASPxEditors.v8.2, Version=8.2.10.0, Culture=neutral, PublicKeyToken=9B171C9FD64DA1D1"
    Namespace="DevExpress.Web.ASPxEditors" TagPrefix="dx" %>--%>

<%@ Register Assembly="DevExpress.Web.v14.2" Namespace="DevExpress.Web" TagPrefix="dxw" %>

<!DOCTYPE html>
<html lang="en">
<head id="Head1" runat="server">
    <%--   <meta http-equiv="X-UA-Compatible" content="IE=7" />
    <meta http-equiv="Page-Enter" content="blendTrans(Duration=0)" />
    <meta http-equiv="Page-Exit" content="blendTrans(Duration=0)" />--%>

    <meta content="charset=utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />

    <title>tSense-IoT Geozone Toll Fare</title>
    <link href="../css/CustomeAlert/demos.css" rel="stylesheet" type="text/css" />
    <link href="../css/CustomeAlert/themes/jquery.ui.all.css" rel="stylesheet" type="text/css" />
    <link id="reset" runat="server" href="../css/reset.css" rel="stylesheet" type="text/css" />
    <link id="stylesheet2" runat="server" href="../css/stylesheet2.css" rel="stylesheet" type="text/css" />
    <link id="dropdown" runat="server" href="../css/dropdown.css" rel="stylesheet" type="text/css" />
    <link id="ieonly" runat="server" href="" rel="stylesheet" type="text/css" />
    <link rel="SHORTCUT ICON" href="../images/favicon.ico" />
    <link id="datepicker" runat="server" type="text/css" href="../css/ui.datepicker.css" rel="stylesheet" />
    <link id="uicore" runat="server" type="text/css" href="../css/ui.core.css" rel="stylesheet" />
    <link id="uitheme" runat="server" type="text/css" href="../css/ui.theme.css" rel="stylesheet" />

    <%--Custom Theme for DevEx 14.2--%>
    <link id="GridView" runat="server" type="text/css" href="~/App_Themes/Office2003Blue/GridView/grid.css" rel="stylesheet" />
    <link id="Editors" runat="server" type="text/css" href="~/App_Themes/Office2003Blue/Editors/styles.css" rel="stylesheet" />
    <%--BootStrap Css--%>
    <link id="BootStrapCss" href="../css/bootstrap.css" runat="server" rel="stylesheet" type="text/css" />
    <link id="mainstyle" runat="server" href="../css/mainstyle.css" rel="stylesheet" type="text/css" />
    <%--End of BootStrap Css--%>

    <script src="../js/CustomAlert/jquery.min.js" type="text/javascript"></script>
    <script src="../js/CustomAlert/jquery-ui-1.10.3.custom.min.js" type="text/javascript"></script>
    <script src="../js/CustomAlert/jquery-ui-1.10.3.custom.js" type="text/javascript"></script>
    <script src="../js/CustomAlert/CustomAlert.js" type="text/javascript"></script>
    <script lang="JavaScript1.2" type="text/javascript" src="../js/myformvalidations.js"></script>
    <script lang="javascript" type="text/javascript" src="../js/DriverManagementScript.js"></script>
    <%--<script type="text/javascript" src="../js/jquery-1.3.2.js"></script>--%>
    <script src="../js/jquery-1.5.1.min.js" type="text/javascript"></script>
    <script type="text/javascript" src="../js/ui.datepicker.js"></script>
    <script type="text/javascript" lang="javascript" src="../js/JQQueryDatePicker.js"></script>
    <script type="text/javascript">
        function GenerateClearButton(sender, e) {
            $("#calDOJ1_container").hide();
            $("#calInsurance1_container").hide();
            $("#ceValidity1_container").hide();
            $("#ceDOB1_container").hide();
            $('#ajax__calendar_clear_button').remove();
            if ($('#ajax__calendar_clear_button').length == 0) {
                $(sender._today).parent();
                $(sender._today).parent().after("<div id='ajax__calendar_clear_button' style='text-align:right'><span id='clear' style='cursor:pointer'>Clear</span></div>");
                $('#clear').bind("click", sender, function (e) {
                    sender._textbox.set_Value('');
                });
            }
        }
    </script>
    <script src="../js/wow.min.js"></script>
</head>
<body>
    <div class="pageContainer">
        <form id="form1" runat="server">
            <asp:ScriptManager ID="ScriptManager1" runat="server">
            </asp:ScriptManager>
            <asp:UpdatePanel runat="server" ID="updDriverDetails">
                <ContentTemplate>
                    <!-- Header Starts Here -->
                    <uc1:Header ID="ucHeader" runat="server" />
                    <!-- Nav Ends Here -->
                    <!-- Content Starts Here -->
                    <div id="outer">
                        <div id="inner">
                            <div id="float-wrap">
                                <!-- Main Content Starts Here -->
                                <div id="content">
                                    <div class="content-wrap">

                                        <div id="top-content" class="head-part">

                                            <div id="heading" class="col-sm-5 col-md-4">
                                                <img class="icon" src="../images/geozone-icon.jpg" alt="" />
                                                <h1>
                                                    <asp:Literal ID="lblGeozoneCaption" runat="server"></asp:Literal></h1>
                                                <asp:LinkButton ID="lnkHomeCaption" runat="server"></asp:LinkButton>
                                                <span>&gt;</span><span><asp:LinkButton ID="lnkGeozoneCaption" runat="server" PostBackUrl="~/Forms/GeozonePanel.aspx"
                                                    Text="Geozone"></asp:LinkButton></span><span> &gt;</span><span><asp:LinkButton PostBackUrl="~/Forms/GeozoneSalikFare.aspx"
                                                        ID="lnkManageCaption" runat="server" Text="Manage" OnClick="lnkManageCaption_Click"></asp:LinkButton>
                                                    </span>
                                            </div>
                                            <div class="col-sm-7 col-md-8 head-part-btns">
                                                <div class="pull-right">
                                                    <div class="ManageGeozoneTableAlign">
                                                        <asp:LinkButton ID="lbtnAddTollFare" runat="server" CssClass="MultilingualBtn" OnClick="lbtnAddTollFare_Click">
                                                            <span runat="server" class="MultilingualBtnspan">
                                                                <div class="ManageIncentives">
                                                                    <div id="AddDriverDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                        Add Toll Gate Fare
                                                                    </div>
                                                                </div>
                                                            </span>
                                                        </asp:LinkButton>

                                                        <asp:ImageButton ID="ibtnBackToConfig1" runat="server" CausesValidation="false" ImageUrl="~/images/btn-back-to-configuration.jpg"
                                                            PostBackUrl="~/Forms/ConfigurationSetup.aspx" Visible="false" />
                                                        <asp:LinkButton ID="ibtnBackToConfig" runat="server" CssClass="MultilingualBtn" PostBackUrl="~/Forms/GeozonePanel.aspx">
                                                            <span runat="server" class="MultilingualBtnspan">
                                                                <div class="Back">
                                                                    <div id="BacktoConfigurationDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                        Back to Geozone Management
                                                                    </div>
                                                                </div>
                                                            </span>
                                                        </asp:LinkButton>&nbsp;
                                                    </div>
                                                </div>
                                            </div>


                                            <div class="clear clearfix">
                                            </div>
                                            <div class="row-Geozone"></div>
                                        </div>

                                        <asp:Panel ID="pnlDriverInfo" runat="server" Visible="false">
                                            <div class="form-box">
                                                <h1>

                                                    <img src="../images/icn-driver-information.gif" class="icon" alt="" /><asp:Label ID="lblCapDrvInformation"
                                                        Text="Geozone Toll Gate Fare Details" runat="server"></asp:Label></h1>
                                                <div class="row">
                                                    <div class="col-sm-5 col-lg-4 col-md-4">
                                                        <div class="form-tbl">
                                                            <div class="row rowTollgate">
                                                                <div class="col-xs-4 col-sm-5">
                                                                    <asp:Label ID="lblgeozoneName" runat="server" Text="Geozone Name" CssClass="label"></asp:Label>
                                                                    <asp:Label ID="Label2" runat="server" ForeColor="Red">*</asp:Label>
                                                                </div>
                                                                <div class="col-xs-6 col-sm-6">
                                                                    <asp:DropDownList ID="ddlGeozone" CssClass="form-control" runat="server" TabIndex="1" AutoPostBack="true" OnSelectedIndexChanged="ddlGeozone_SelectedIndexChanged">
                                                                    </asp:DropDownList>
                                                                </div>
                                                            </div>
                                                            <div class="row rowTollgate">
                                                                <div class="col-xs-4 col-sm-5">
                                                                    <asp:Label ID="lblvehtype" runat="server" Text="Vehicle Type" CssClass="label"></asp:Label>
                                                                </div>
                                                                <div class="col-xs-6 col-sm-6">
                                                                    <asp:DropDownList ID="ddlVehicleType" CssClass="form-control" runat="server" TabIndex="2" AutoPostBack="false">
                                                                    </asp:DropDownList>
                                                                </div>
                                                            </div>

                                                            <div class="row rowTollgate">
                                                                <div class="col-xs-4 col-sm-5">
                                                                    <asp:Label ID="lblfare" runat="server" Text="Fare Amount" CssClass="label"></asp:Label>
                                                                    <asp:Label ID="Label16" runat="server" ForeColor="Red" Visible="false">*</asp:Label>
                                                                </div>
                                                                <div class="col-xs-6 col-sm-6">
                                                                    <asp:TextBox ID="txtfare" runat="server" CssClass="form-control" ondrop="return false" onpaste="return false" MaxLength="6"
                                                                        onkeypress="return chkDecNums(event, this);" TabIndex="3"></asp:TextBox>
                                                                </div>
                                                            </div>
                                                            <div class="row rowTollgate">
                                                                <div class="col-xs-4 col-sm-5">
                                                                    <asp:Label ID="lblvalidate" runat="server" CssClass="label" Text="Valid From"></asp:Label>
                                                                </div>
                                                                <div class="col-xs-6 col-sm-6">
                                                                    <asp:TextBox ID="txtFareValidFrom" runat="server" oncopy="return false" oncut="return false"
                                                                        onkeydown="doCheckBackSpaceOrDelete()" onkeypress="return false" onpaste="return false"
                                                                        CssClass="form-control" ToolTip="dd-MMM-yyyy" TabIndex="4"></asp:TextBox>
                                                                </div>
                                                            </div>
                                                            <div class="row gridrow-space">
                                                                <div class="col-xs-4 col-sm-5">
                                                                    <asp:Label ID="lblvalidto" runat="server" Text="Valid To" Visible="false"></asp:Label>
                                                                </div>
                                                                <div class="col-xs-6 col-sm-6">
                                                                    <asp:TextBox ID="txtLicenseValidity" runat="server" oncopy="return false" oncut="return false"
                                                                        onkeydown="doCheckBackSpaceOrDelete()" onkeypress="return false" onpaste="return false"
                                                                        CssClass="form-control" ToolTip="dd-MMM-yyyy" Visible="false"></asp:TextBox>
                                                                </div>
                                                            </div>
                                                            <div class="row rowTollgate">
                                                                <div class="col-xs-4"></div>
                                                                <div class="col-xs-6"></div>
                                                                <div class="btn pull-right">
                                                                    <asp:LinkButton ID="btnAdd" runat="server" CssClass="MultilingualBtn" OnClick="btnAdd_Click" TabIndex="5" OnClientClick="return ValTollFare();">
                                                                        <span id="Span6" runat="server" class="MultilingualBtnspan">
                                                                            <div class="AddGeozone">
                                                                                <div id="AddLand" runat="server" class="MultilingualBtnTextAlign">
                                                                                    Add
                                                                                </div>
                                                                            </div>
                                                                        </span>
                                                                    </asp:LinkButton>
                                                                </div>
                                                            </div>
                                                            <div class="row rowTollgate">
                                                                <asp:Panel ID="Panel1" runat="server" Style="vertical-align: middle">
                                                                    <div class="form-box">
                                                                        <div width="100%">

                                                                            <h1>
                                                                                <span class="icon" style="padding-top: 0px"></span>
                                                                                <asp:Label ID="lblRouteDetails" runat="server" Text="Toll Gate Fare Details"></asp:Label>
                                                                            </h1>
                                                                            <div>
                                                                                <div class="table-responsive">
                                                                                    <asp:GridView ID="gvGezoneFare" runat="server" AutoGenerateColumns="false" CellPadding="0"
                                                                                        CellSpacing="1" Width="100%" Style="vertical-align: middle;" BorderStyle="Solid"
                                                                                        GridLines="Vertical" OnRowDataBound="gvLandMarks_OnHtmlRowCreated">

                                                                                        <Columns>
                                                                                            <asp:TemplateField>
                                                                                                <HeaderTemplate>
                                                                                                    <asp:Label ID="lblVehType" Text="Vehicle Type" runat="server"></asp:Label>
                                                                                                </HeaderTemplate>
                                                                                                <HeaderStyle BackColor="#F2F2F2" Height="25px" VerticalAlign="Middle" CssClass="mousestyle" />
                                                                                                <ItemTemplate>
                                                                                                    <asp:Label ID="lblVehTypeName" runat="server" Text='<%# Eval("VehicleType") %>'></asp:Label>
                                                                                                </ItemTemplate>
                                                                                            </asp:TemplateField>
                                                                                            <asp:TemplateField>
                                                                                                <HeaderTemplate>
                                                                                                    <asp:Label ID="lblFare" Text="Fare Amount" runat="server"></asp:Label>
                                                                                                </HeaderTemplate>
                                                                                                <HeaderStyle BackColor="#F2F2F2" Height="25px" VerticalAlign="Middle" CssClass="mousestyle" />
                                                                                                <ItemTemplate>
                                                                                                    <asp:Label ID="lblFareAmt" runat="server" Text='<%# Eval("Fare") %>'></asp:Label>
                                                                                                </ItemTemplate>
                                                                                            </asp:TemplateField>
                                                                                            <asp:TemplateField>
                                                                                                <HeaderTemplate>
                                                                                                    <asp:Label ID="lblDate" Text="Valid From" runat="server"></asp:Label>
                                                                                                </HeaderTemplate>
                                                                                                <HeaderStyle BackColor="#F2F2F2" Height="25px" VerticalAlign="Middle" CssClass="mousestyle" />
                                                                                                <ItemTemplate>
                                                                                                    <asp:Label ID="lbldatefrom" runat="server" Text='<%# Eval("DateFrom") %>'></asp:Label>
                                                                                                </ItemTemplate>
                                                                                            </asp:TemplateField>
                                                                                            <asp:TemplateField>
                                                                                                <HeaderTemplate>
                                                                                                </HeaderTemplate>
                                                                                                <HeaderStyle BackColor="#F2F2F2" Height="25px" VerticalAlign="Bottom" />
                                                                                                <ItemTemplate>
                                                                                                    <asp:ImageButton ID="btnDelete" runat="server" AlternateText="Delete" CommandArgument='<%#String.Format("{0}-{1}", Eval("VehicleTypeId"), Eval("Index"))%>'
                                                                                                        ImageUrl="~/images/delete-icon.gif" OnClick="btnDeleteLandmark_click" ToolTip="Click here to Delete"
                                                                                                        ImageAlign="Middle" CssClass="handButton" Style="cursor: pointer" /><%--OnClientClick="return DeleteConfirmation();"--%>
                                                                                                    <asp:HiddenField runat="server" ID="hdnLandId" Value='<%#String.Format("{0}-{1}", Eval("VehicleTypeId"), Eval("Index"))%>' />
                                                                                                </ItemTemplate>
                                                                                                <ItemStyle Width="7px" />
                                                                                            </asp:TemplateField>
                                                                                        </Columns>
                                                                                        <EmptyDataTemplate>
                                                                                            No Records Found
                                                                                        </EmptyDataTemplate>
                                                                                        <EmptyDataRowStyle HorizontalAlign="Center" />
                                                                                    </asp:GridView>
                                                                                </div>
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                                </asp:Panel>
                                                            </div>
                                                            <div class="row rowTollgate">
                                                                <div class="col-sm-4"></div>
                                                                <div class="col-sm-8">
                                                                    <asp:ImageButton ID="ibtnAddDriver1" runat="server" OnClientClick="return ValidateDriverInfo();"
                                                                        ImageUrl="~/images/btn-save.jpg" OnClick="ibtnSaveFare_Click" TabIndex="18"
                                                                        Visible="false" />
                                                                    <asp:LinkButton ID="ibtnSaveFare" runat="server" CssClass="MultilingualBtn"
                                                                        OnClick="ibtnSaveFare_Click" TabIndex="18">
                                                                        <span runat="server" class="MultilingualBtnspan">
                                                                            <div class="Save">
                                                                                <div id="SaveButDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                                    Save
                                                                                </div>
                                                                            </div>
                                                                        </span>
                                                                    </asp:LinkButton>

                                                                    <asp:ImageButton ID="btnDriverCancel1" runat="server" TabIndex="19" ImageUrl="~/images/btn-cancel.jpg"
                                                                        OnClick="btnCancel_Click" Visible="false" />
                                                                    &nbsp;
                                                                    <asp:LinkButton ID="btnCancel" runat="server" CssClass="MultilingualBtn" TabIndex="19"
                                                                        OnClick="btnCancel_Click">
                                                                        <span id="Span4" runat="server" class="MultilingualBtnspan">
                                                                            <div class="Cancel">
                                                                                <div id="CancelButDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                                    Cancel
                                                                                </div>
                                                                            </div>
                                                                        </span>
                                                                    </asp:LinkButton>
                                                                </div>
                                                            </div>
                                                            <div class="clear clearfix">
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="col-sm-8"></div>
                                                </div>
                                            </div>
                                        </asp:Panel>

                                        <div class="clear clearfix">
                                        </div>
                                        <asp:Panel ID="pnlDriverDetailsList" runat="server">
                                            <div class="form-box">
                                                <div id="grid-dsply">
                                                    <div id="top">
                                                        <span class="icon" style="vertical-align: bottom">
                                                            <img src="../images/icn-driver-information.gif" alt="" /></span> <span class="txt">
                                                                <asp:Label ID="lblCapDrvDetails" runat="server" Text="Toll Gate Fare Details"></asp:Label></span>

                                                        <div class="right-col">
                                                            <span class="txt">
                                                                <asp:ImageButton ID="ibtnBulkUpdate1" runat="server" ImageUrl="~/images/import.jpg"
                                                                    Visible="false" />
                                                                <asp:LinkButton ID="ibtnBulkUpdate" runat="server" CssClass="MultilingualBtn" Visible="false">
                                                                    <span runat="server" class="MultilingualBtnspan">
                                                                        <div class="Import">
                                                                            <div id="ImportDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                                Import
                                                                            </div>
                                                                        </div>
                                                                    </span>
                                                                </asp:LinkButton>
                                                            </span>&nbsp; </span><span class="dropdown">
                                                                <dxw:ASPxComboBox ID="ASPxCboExport" runat="server" ValueType="System.String" Width="80px" Height="20px"
                                                                    ShowImageInEditBox="false" ItemImage-Height="12px" ClientInstanceName="ASPxCboExport" SelectedIndex="0"
                                                                    EnableTheming="true" Theme="Office2003Blue"
                                                                    CssFilePath="~/App_Themes/Office2003Blue/Editors/styles.css" CssPostfix="Office2003_Blue"
                                                                    Style="display: none" Visible="false">
                                                                    <Items>
                                                                        <dxw:ListEditItem ImageUrl="../images/icn-pdf.jpg" Text="pdf" Value="pdf" />
                                                                        <dxw:ListEditItem ImageUrl="../images/icn-excel.jpg" Text="xls" Value="xls" />
                                                                        <dxw:ListEditItem ImageUrl="../images/icn-excel-xlsx.png" Text="xlsx" Value="xlsx" />
                                                                        <dxw:ListEditItem ImageUrl="../images/icn-word.jpg" Text="rtf" Value="rtf" />
                                                                        <%--<dxw:ListEditItem ImageUrl="../images/icn-csv.gif" Text="csv" Value="csv" />--%>
                                                                    </Items>
                                                                </dxw:ASPxComboBox>
                                                            </span>&nbsp;<span class="txt">
                                                                <asp:ImageButton ID="ibtnExport1" runat="server" ImageUrl="~/images/btn-export.jpg"
                                                                    OnClick="ibtnExport_Click" Visible="false" />
                                                                <asp:LinkButton ID="ibtnExport" runat="server" CssClass="MultilingualBtn" OnClick="ibtnExport_Click" Visible="false">
                                                                    <span runat="server" class="MultilingualBtnspan">
                                                                        <div class="Export">
                                                                            <div id="ExportButDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                                Export
                                                                            </div>
                                                                        </div>
                                                                    </span>
                                                                </asp:LinkButton>
                                                            </span>
                                                        </div>
                                                    </div>
                                                    <div class="clear clearfix">
                                                    </div>
                                                    <div class="table-responsive">
                                                        <dxw:ASPxGridView ID="gvData" ClientInstanceName="gvData" KeyFieldName="GeozoneNo"
                                                            runat="server" EnableTheming="true" Theme="Office2003Blue"
                                                            CssFilePath="~/App_Themes/Office2003 Blue/GridView/grid.css" CssPostfix="Office2003_Blue"
                                                            Width="100%" AutoGenerateColumns="False" OnHtmlRowCreated="gvData_HtmlRowCreated"
                                                            OnRowUpdating="ASPxGridView1_RowUpdating" OnFillContextMenuItems="gvData_FillContextMenuItems">
                                                            <Settings ShowVerticalScrollBar="true" VerticalScrollableHeight="240" />
                                                            <%--VerticalScrollableHeight="335"--%>
                                                            <SettingsPager PrevPageButton-Image-Url="../App_Themes/Office2003Blue/GridView/pPrev.gif"
                                                                PrevPageButton-Image-UrlDisabled="../App_Themes/Office2003Blue/GridView/pPrevDisabled.gif"
                                                                NextPageButton-Image-UrlDisabled="../App_Themes/Office2003Blue/GridView/pNextDisabled.gif"
                                                                NextPageButton-Image-Url="../App_Themes/Office2003Blue/GridView/pNext.gif" AlwaysShowPager="true">
                                                            </SettingsPager>
                                                            <ClientSideEvents SelectionChanged="function(s, e) { OnGridSelectionChanged(); }" />
                                                            <%--<Images ImageFolder="~/App_Themes/Office2003Blue/{0}/">
                                                    <CollapsedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvCollapsedButton.png"
                                                        Width="11px" />
                                                    <ExpandedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvExpandedButton.png"
                                                        Width="11px" />
                                                    <DetailCollapsedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvCollapsedButton.png"
                                                        Width="11px" />
                                                    <DetailExpandedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvExpandedButton.png"
                                                        Width="11px" />
                                                </Images>--%>
                                                            <Styles CssFilePath="~/App_Themes/Office2003Blue/GridView/grid.css" AlternatingRow-Enabled="True"
                                                                CssPostfix="Office2003_Blue">
                                                                <Header ImageSpacing="5px" SortingImageSpacing="5px">
                                                                </Header>
                                                                <LoadingPanel ImageSpacing="10px">
                                                                </LoadingPanel>
                                                                <PagerBottomPanel CssClass="PageFooter">
                                                                </PagerBottomPanel>
                                                                <PagerTopPanel CssClass="PageFooter">
                                                                </PagerTopPanel>
                                                            </Styles>
                                                            <SettingsPager PrevPageButton-Image-Url="../App_Themes/Office2003Blue/GridView/pPrev.gif"
                                                                PrevPageButton-Image-UrlDisabled="../App_Themes/Office2003Blue/GridView/pPrevDisabled.gif"
                                                                NextPageButton-Image-UrlDisabled="../App_Themes/Office2003Blue/GridView/pNextDisabled.gif"
                                                                NextPageButton-Image-Url="../App_Themes/Office2003Blue/GridView/pNext.gif" AlwaysShowPager="true">
                                                            </SettingsPager>
                                                            <SettingsContextMenu Enabled="false" EnableGroupPanelMenu="False" ColumnMenuItemVisibility-GroupByColumn="false" ColumnMenuItemVisibility-ShowGroupPanel="false"
                                                                EnableFooterMenu="False" ColumnMenuItemVisibility-ShowFooter="false" RowMenuItemVisibility-NewRow="false" RowMenuItemVisibility-EditRow="false"
                                                                RowMenuItemVisibility-DeleteRow="false" EnableRowMenu="false">
                                                            </SettingsContextMenu>
                                                            <ClientSideEvents ContextMenuItemClick="
                                                                            function(s,e) {                                                         
                                                                                switch(e.item.name) {    
                                                                                        case 'SelectAll':
                                                                                            gvData.SelectAllRowsOnPage();
                                                                                            break;
                                                                                        case 'DeselectAll':
                                                                                            gvData.UnselectAllRowsOnPage();
                                                                                            break;}
                                                                            }" />
                                                            <Columns>
                                                                <dxw:GridViewDataTextColumn Caption="GeozoneNo" FieldName="GeozoneNo" Visible="false">
                                                                    <HeaderCaptionTemplate>
                                                                        <asp:Label ID="lblNo" runat="server" value='<%#Eval("GeozoneNo") %>'></asp:Label>
                                                                    </HeaderCaptionTemplate>
                                                                </dxw:GridViewDataTextColumn>
                                                                <dxw:GridViewDataTextColumn Caption="GeoType" FieldName="GeoType" Visible="false">
                                                                    <HeaderCaptionTemplate>
                                                                        <asp:Label ID="lblGeoType" runat="server" value='<%#Eval("GeoType") %>'></asp:Label>
                                                                    </HeaderCaptionTemplate>
                                                                </dxw:GridViewDataTextColumn>
                                                                <dxw:GridViewDataTextColumn Caption="Geozone Name" FieldName="GeozoneName" VisibleIndex="0"
                                                                    Width="30%">
                                                                    <HeaderCaptionTemplate>
                                                                        <span class="">
                                                                            <asp:Image ID="Image1" runat="server" ImageUrl="../images/icn-geo-zone-name.gif" align="top"
                                                                                AlternateText="Geozone Name" /></span> <span class="label">
                                                                                    <asp:Label ID="lblGeozoneName" runat="server" Text="Geozone Name"></asp:Label>
                                                                                </span>
                                                                    </HeaderCaptionTemplate>
                                                                </dxw:GridViewDataTextColumn>
                                                                <dxw:GridViewDataTextColumn Caption="Description" FieldName="Description" VisibleIndex="1"
                                                                    Width="30%">
                                                                    <HeaderCaptionTemplate>
                                                                        <span class="">
                                                                            <asp:Image ID="Image2" runat="server" ImageUrl="../images/icn-description.gif" align="top" AlternateText="Description" /></span>
                                                                        <span class="label">
                                                                            <asp:Label ID="lblDEscription" runat="server" Text="Description"></asp:Label>
                                                                        </span>
                                                                    </HeaderCaptionTemplate>
                                                                </dxw:GridViewDataTextColumn>
                                                                <dxw:GridViewDataTextColumn Caption="Severity" FieldName="Severity" VisibleIndex="2"
                                                                    Width="30%">
                                                                    <HeaderCaptionTemplate>
                                                                        <span class="">
                                                                            <asp:Image ID="imgSeverity" ImageUrl="../images/icn-severity.gif" runat="server"
                                                                                align="top" AlternateText="Severity" /></span> <span class="label">
                                                                                    <asp:Label ID="lblSeverity" runat="server" Text="Severity"></asp:Label>
                                                                                </span>
                                                                    </HeaderCaptionTemplate>
                                                                </dxw:GridViewDataTextColumn>



                                                            </Columns>
                                                            <Templates>
                                                                <DetailRow>
                                                                    <div class="clear clearfix"></div>
                                                                    <div class="table-responsive">
                                                                        <dxw:ASPxGridView ID="gvfare" ClientInstanceName="gvfare" KeyFieldName="SNo"
                                                                            runat="server" CssFilePath="~/App_Themes/Office2003Blue/GridView/grid.css" CssPostfix="Office2003_Blue"
                                                                            EnableTheming="true" Theme="Office2003Blue" OnRowUpdating="ASPxGridView1_RowUpdating"
                                                                            Width="100%" AutoGenerateColumns="False" OnHtmlRowCreated="gvData_HtmlRowCreated" OnBeforePerformDataSelect="detailGrid_DataSelect">
                                                                            <Settings ShowVerticalScrollBar="true" VerticalScrollableHeight="240" />
                                                                            <%--VerticalScrollableHeight="335"--%>
                                                                            <SettingsPager PrevPageButton-Image-Url="../App_Themes/Office2003Blue/GridView/pPrev.gif"
                                                                                PrevPageButton-Image-UrlDisabled="../App_Themes/Office2003Blue/GridView/pPrevDisabled.gif"
                                                                                NextPageButton-Image-UrlDisabled="../App_Themes/Office2003Blue/GridView/pNextDisabled.gif"
                                                                                NextPageButton-Image-Url="../App_Themes/Office2003Blue/GridView/pNext.gif" AlwaysShowPager="true">
                                                                            </SettingsPager>
                                                                            <ClientSideEvents SelectionChanged="function(s, e) { OnGridSelectionChanged(); }" />
                                                                            <%--<Images ImageFolder="~/App_Themes/Office2003Blue/{0}/">
                                                    <CollapsedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvCollapsedButton.png"
                                                        Width="11px" />
                                                    <ExpandedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvExpandedButton.png"
                                                        Width="11px" />
                                                    <DetailCollapsedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvCollapsedButton.png"
                                                        Width="11px" />
                                                    <DetailExpandedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvExpandedButton.png"
                                                        Width="11px" />
                                                </Images>--%>
                                                                            <Styles CssFilePath="~/App_Themes/Office2003Blue/GridView/grid.css" AlternatingRow-Enabled="True"
                                                                                CssPostfix="Office2003_Blue">
                                                                                <Header ImageSpacing="5px" SortingImageSpacing="5px">
                                                                                </Header>
                                                                                <LoadingPanel ImageSpacing="10px">
                                                                                </LoadingPanel>
                                                                                <PagerBottomPanel CssClass="PageFooter">
                                                                                </PagerBottomPanel>
                                                                                <PagerTopPanel CssClass="PageFooter">
                                                                                </PagerTopPanel>
                                                                            </Styles>
                                                                            <SettingsPager PrevPageButton-Image-Url="../App_Themes/Office2003Blue/GridView/pPrev.gif"
                                                                                PrevPageButton-Image-UrlDisabled="../App_Themes/Office2003Blue/GridView/pPrevDisabled.gif"
                                                                                NextPageButton-Image-UrlDisabled="../App_Themes/Office2003Blue/GridView/pNextDisabled.gif"
                                                                                NextPageButton-Image-Url="../App_Themes/Office2003Blue/GridView/pNext.gif" AlwaysShowPager="true">
                                                                            </SettingsPager>
                                                                            <Columns>
                                                                                <dxw:GridViewDataTextColumn Caption="GeozoneNo" FieldName="GeozoneID" Visible="false">
                                                                                    <HeaderCaptionTemplate>
                                                                                        <asp:Label ID="lblNo" runat="server" value='<%#Eval("GeozoneNo") %>'></asp:Label>
                                                                                    </HeaderCaptionTemplate>
                                                                                </dxw:GridViewDataTextColumn>

                                                                                <dxw:GridViewDataTextColumn Caption="Vehicle Type" FieldName="VehicleTypeName" VisibleIndex="0"
                                                                                    Width="22%">
                                                                                    <HeaderCaptionTemplate>
                                                                                        <span class="">
                                                                                            <asp:Image ID="Image1" runat="server" ImageUrl="../images/icn-geo-zone-name.gif" align="top"
                                                                                                AlternateText="VehicleTypeName" /></span> <span class="label">
                                                                                                    <asp:Label ID="lblVehicleTypeName" runat="server" Text="VehicleTypeName"></asp:Label>
                                                                                                </span>
                                                                                    </HeaderCaptionTemplate>
                                                                                </dxw:GridViewDataTextColumn>
                                                                                <dxw:GridViewDataTextColumn Caption="TollFare" FieldName="TollFare" VisibleIndex="1"
                                                                                    Width="22%">
                                                                                    <HeaderCaptionTemplate>
                                                                                        <span class="">
                                                                                            <asp:Image ID="Image2" runat="server" ImageUrl="../images/icn-description.gif" align="top" AlternateText="TollFare" /></span>
                                                                                        <span class="label">
                                                                                            <asp:Label ID="lblTollFare" runat="server" Text="TollFare"></asp:Label>
                                                                                        </span>
                                                                                    </HeaderCaptionTemplate>
                                                                                </dxw:GridViewDataTextColumn>
                                                                                <dxw:GridViewDataTextColumn Caption="ValidFrom" FieldName="ValidFrom" VisibleIndex="2"
                                                                                    Width="22%">
                                                                                    <HeaderCaptionTemplate>
                                                                                        <span class="">
                                                                                            <asp:Image ID="imgValidFrom" ImageUrl="../images/calendar-rht-icon.gif" runat="server"
                                                                                                align="top" AlternateText="Severity" /></span> <span class="label">
                                                                                                    <asp:Label ID="lblValidFrom" runat="server" Text="Valid From (00:00:00)"></asp:Label>
                                                                                                </span>
                                                                                    </HeaderCaptionTemplate>
                                                                                </dxw:GridViewDataTextColumn>
                                                                                <dxw:GridViewDataTextColumn Caption="ValidTo (23:59:59)" FieldName="ValidTo" VisibleIndex="2"
                                                                                    Width="22%">
                                                                                    <HeaderCaptionTemplate>
                                                                                        <span class="">
                                                                                            <asp:Image ID="imgValidTo" ImageUrl="../images/calendar-rht-icon.gif" runat="server"
                                                                                                align="top" AlternateText="ValidTo" /></span> <span class="label">
                                                                                                    <asp:Label ID="lblValidTo" runat="server" Text="Valid Till (23:59:59)"></asp:Label>
                                                                                                </span>
                                                                                    </HeaderCaptionTemplate>
                                                                                </dxw:GridViewDataTextColumn>
                                                                            </Columns>
                                                                            <Settings ShowStatusBar="Auto" ShowFilterRow="true" ShowGroupPanel="false" />
                                                                            <SettingsText EmptyDataRow="No Fare Details Identified" />
                                                                            <SettingsBehavior ColumnResizeMode="NextColumn" AllowSort="false" AllowDragDrop="false"
                                                                                AllowGroup="true" AllowFocusedRow="true" />
                                                                            <SettingsDetail IsDetailGrid="true" />
                                                                        </dxw:ASPxGridView>
                                                                    </div>
                                                                </DetailRow>
                                                            </Templates>

                                                            <Settings ShowStatusBar="Auto" ShowFilterRow="true" ShowGroupPanel="false" />
                                                            <SettingsText EmptyDataRow="No Geozones Identified" />
                                                            <SettingsBehavior ColumnResizeMode="NextColumn" AllowSort="true" AllowDragDrop="true"
                                                                AllowGroup="true" AllowFocusedRow="true" />
                                                            <SettingsDetail ShowDetailRow="true" AllowOnlyOneMasterRowExpanded="true" />
                                                        </dxw:ASPxGridView>

                                                    </div>
                                                    <dxw:ASPxGridViewExporter ID="ASPxGridViewExporter1" runat="server" GridViewID="gvData">
                                                        <PageFooter Right="[Page # of Pages #]">
                                                        </PageFooter>
                                                    </dxw:ASPxGridViewExporter>
                                                </div>
                                            </div>
                                        </asp:Panel>
                                    </div>
                                </div>
                                <!-- Main Content Ends Here -->
                                <div id="left">
                                </div>
                                <div class="clear clearfix">
                                </div>
                            </div>
                            <div id="right">
                            </div>
                            <div class="clear clearfix">
                            </div>
                        </div>
                    </div>
                    <asp:Button ID="btnTest" Text="Test" CssClass="ControlHide" runat="server" />
                    <asp:HiddenField ID="hdnDriverImage" runat="server" />
                    <cc1:ModalPopupExtender ID="mpDriverDetailsLoad" runat="server" BackgroundCssClass="modalbackground"
                        PopupControlID="pnlImportVehicles" TargetControlID="ibtnBulkUpdate" X="280" CancelControlID="ibtnCancel">
                    </cc1:ModalPopupExtender>
                </ContentTemplate>
                <Triggers>
                    <asp:PostBackTrigger ControlID="btnTest" />
                    <asp:PostBackTrigger ControlID="ibtnSaveFare" />
                    <asp:PostBackTrigger ControlID="btnCancel" />
                    <asp:PostBackTrigger ControlID="lbtnAddTollFare" />
                    <asp:PostBackTrigger ControlID="ibtnExport" />
                </Triggers>
            </asp:UpdatePanel>

            <cc1:ModalPopupExtender ID="mpeProgressIndicator" runat="server" PopupControlID="pnlProgress1"
                TargetControlID="btnTesting">
            </cc1:ModalPopupExtender>
            <asp:Button ID="btnTesting" Style="display: none;" runat="server" />

            <asp:Panel ID="pnlProgress1" runat="server" CssClass="processMessage" Style="z-index: 1000;">
                <center>
                    <br />
                    <img id="imgLoad" runat="server" alt="Please Wait ..." src="../images/47.gif" /><br />
                    <br />
                    <asp:Label ID="lbl_msg12" Text="Processing... Please Wait..." runat="server" CssClass="specialdisplay"></asp:Label>
                    <br />
                    <br />
                </center>
            </asp:Panel>

            <script type="text/javascript" src="../js/GridCheckBoxMaintaining.js"></script>

            <script language="javascript" type="text/javascript" src="../js/DriverManagementScript.js"></script>

            <script language="javascript" type="text/javascript" src="../js/myformvalidations.js"></script>
            <script language="javascript" type="text/javascript" src="../js/FormValidations.js"></script>

            <asp:HiddenField ID="hdnLogout" runat="server" />
        </form>
    </div>
    <!-- Content Ends Here -->

    <uc2:Footer ID="ucFooter" runat="server" />
</body>
</html>
