﻿<%@ page language="C#" autoeventwireup="true" inherits="Forms_FleetUserAssignment, App_Web_niziglsf" enableeventvalidation="false" validaterequest="false" %>

<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc1" %>
<%@ Register Src="~/UserControls/New_Header.ascx" TagName="Header" TagPrefix="uc1" %>
<%@ Register Src="~/UserControls/New_Footer.ascx" TagName="Footer" TagPrefix="uc2" %>
<%--<%@ Register Assembly="DevExpress.Web.ASPxGridView.v8.2" Namespace="DevExpress.Web.ASPxGridView"
    TagPrefix="dxgv" %>
<%@ Register Assembly="DevExpress.Web.ASPxEditors.v8.2" Namespace="DevExpress.Web.ASPxEditors"
    TagPrefix="dxe" %>--%>
<%@ Register Assembly="DevExpress.Web.v14.2" Namespace="DevExpress.Web" TagPrefix="dxw" %>
<!DOCTYPE html>
<html lang="en">
<head runat="server">
    <meta content="charset=utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
    <title>tSense-IoT Configuration</title>
    <link href="../css/CustomeAlert/demos.css" rel="stylesheet" type="text/css" />
    <link href="../css/CustomeAlert/themes/jquery.ui.all.css" rel="stylesheet" type="text/css" />
    <link id="reset" runat="server" href="../css/reset.css" rel="stylesheet" type="text/css" />
    <link id="stylesheet2" runat="server" href="../css/stylesheet2.css" rel="stylesheet" type="text/css" />
    <link id="updatedcss" runat="server" href="../css/Updated_css.css" rel="stylesheet" type="text/css" />
    <link id="dropdown" runat="server" href="../css/dropdown.css" rel="stylesheet" type="text/css" />
    <link rel="icon" href="../NewDesign/img/favicon.png" type="image/x-icon">
    <link href="../NewDesign/css/bootstrap.css" rel="stylesheet" />
    <link href="../NewDesign/css/font-awesome.css" rel="stylesheet" />
    <link href="../NewDesign/css/responsive.css" rel="stylesheet" />
    <link href="../NewDesign/css/style.css" rel="stylesheet" />
    <script src="../NewDesign/js/jquery.min.js"></script>
    <script src="../js/jquery-3.3.1.min.js"></script>
    <script src="../NewDesign/js/bootstrap.min.js"></script>
    <script src="../NewDesign/js/jquery.js"></script>
    <script src="../NewDesign/js/script.js"></script>
    <link href="../NewDesign/font-awesome-4.7.0/css/font-awesome.css" rel="stylesheet" />
    <link href="../NewDesign/font-awesome-4.7.0/css/font-awesome.min.css" rel="stylesheet" />
    <link id="ieonly" runat="server" rel="stylesheet" type="text/css" href="" />
    <%--Custom Theme for DevEx 14.2--%>
    <link id="GridView" runat="server" type="text/css" href="~/App_Themes/Office2003Blue/GridView/grid.css" rel="stylesheet" />
    <link id="Editors" runat="server" type="text/css" href="~/App_Themes/Office2003Blue/Editors/styles.css" rel="stylesheet" />
    <%--<script src="../js/jquery-1.11.2.min.js" type="text/javascript"></script>--%>
    <%--<script src="../js/bootstrap.min.js" type="text/javascript"></script>--%>
    <script src="../js/CustomAlert/jquery.min.js" type="text/javascript"></script>
    <script src="../js/CustomAlert/jquery-ui-1.10.3.custom.min.js" type="text/javascript"></script>
    <script src="../js/CustomAlert/jquery-ui-1.10.3.custom.js" type="text/javascript"></script>
    <script src="../js/CustomAlert/CustomAlert.js" type="text/javascript"></script>
    <%--BootStrap Css--%>
    <%--<link id="BootStrapCss" href="../css/bootstrap.css" runat="server" rel="stylesheet" type="text/css" />--%>
    <link id="mainstyle" runat="server" href="../css/mainstyle.css" rel="stylesheet" type="text/css" />
    <%--End of BootStrap Css--%>
    <script language="JavaScript1.2" type="text/javascript" src="../js/GridCheckBoxMaintaining.js"></script>
    <script src="../js/wow.min.js"></script>
</head>
<body class="white">
    <div class="page-wrapper">
        <div class="preloader"></div>
        <form id="form1" runat="server">
            <asp:ScriptManager ID="ScriptManager1" runat="server">
            </asp:ScriptManager>
            <!-- Header Starts Here -->
            <uc1:Header ID="ucHeader" runat="server" />
            <!-- Nav Ends Here -->
            <!-- Content Starts Here -->
            <asp:UpdatePanel ID="updGrid" runat="server">
                <ContentTemplate>
                    <div class="vlive-reports-section maintenance">
                        <div class="container-fluid">
                            <div class="row clearfix">
                                <div class="col-ks-16">
                                    <div class="col-ks-8 HeaderTest">
                                        <div class="col-ks-16">
                                            <h2 class="pull-left">
                                                <asp:Literal ID="lblConfigurationSetupCaption" Text="Configuration" runat="server"></asp:Literal>
                                            </h2>
                                        </div>
                                        <div class="col-ks-16">
                                            <asp:SiteMapPath ID="site" runat="server" CssClass="breadcrumb">
                                                <NodeStyle CssClass="active" />
                                            </asp:SiteMapPath>
                                        </div>
                                    </div>
                                    <div class="col-ks-8 HeaderTopButton">
                                        <asp:LinkButton ID="ibtVehicleAssignment" runat="server" CssClass="btn btn-primary btn-fa-microchip"
                                            NavigateUrl="~/Forms/GroupingAssignment.aspx" Text="&nbsp;&nbsp;Vehicle Assignment">
                                        </asp:LinkButton>
                                        <asp:LinkButton ID="lbtManageFleets" runat="server" CssClass="btn btn-primary btn-fa-globe" NavigateUrl="~/Forms/ManageGroupings.aspx">
                                        </asp:LinkButton>
                                        <asp:LinkButton ID="lbtConfiguration" runat="server" CssClass="btn btn-primary fa-arrow-left" NavigateUrl="~/Forms/ConfigurationSetup.aspx">
                                        </asp:LinkButton>
                                    </div>
                                </div>

                                <div class="col-ks-8 HeaderTopButton ControlHide">
                                    <div class="col-ks-1"></div>
                                    <div class="col-ks-5_5" align="right">
                                        <asp:HyperLink ID="ibtVehicleAssignment1" runat="server" ImageUrl="~/images/btn-vehicle-assignment.jpg"
                                            NavigateUrl="~/Forms/GroupingAssignment.aspx" Visible="false"></asp:HyperLink>

                                    </div>
                                    <div class="col-ks-4" align="center">
                                        <asp:HyperLink ID="lbtManageFleets1" runat="server" NavigateUrl="~/Forms/ManageGroupings.aspx"
                                            ImageUrl="~/images/btn-manage-fleet.jpg" Visible="false"></asp:HyperLink>

                                    </div>
                                    <div class="col-ks-5_5">
                                        <asp:HyperLink ID="lbtConfiguration1" runat="server" NavigateUrl="~/Forms/ConfigurationSetup.aspx"
                                            ImageUrl="~/images/btn-back-to-configuration.jpg" Visible="false"></asp:HyperLink>

                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <asp:Panel ID="pnlFleetSelection" runat="server" CssClass="ControlShow">
                        <div class="vlive-filter">
                            <div class="container-fluid">
                                <div class="vlive-centrifugal-fan maintenance-plan">
                                    <div class="col-ks-16 vlive-header_VXL">
                                        <div class="col-ks-16">
                                            <asp:Label ID="lblFleetUserAssignment" runat="server" CssClass="pnlhearder" Text="Site User Assignment"></asp:Label>
                                        </div>
                                    </div>
                                </div>
                                <div class="row ftop">
                                    <div class="col-md-12" style="padding-top: 10px;">
                                        <div class="col-ks-4">
                                            <asp:Label ID="lblFleetName" runat="server" CssClass="labelAlign" Style="white-space: nowrap" Font-Bold="true"
                                                Text="Fleet Name"></asp:Label>
                                        </div>
                                        <div class="col-ks-6">
                                            <asp:DropDownList ID="ddlFleetUser" CssClass="form-control FontAlign" onchange="ShowPopUp();" runat="server" AutoPostBack="true" OnSelectedIndexChanged="FleetNameUser_selectionchanged">
                                                <asp:ListItem Text="- Select -" Value="0"></asp:ListItem>
                                            </asp:DropDownList>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </asp:Panel>
                    <div class="clear clearfix">
                    </div>
                    <asp:Panel ID="pnlUnAssignedUsersList" runat="server">
                        <div class="vlive-filter">
                            <div class="container-fluid">
                                <div class="vlive-centrifugal-fan maintenance-plan">
                                    <div class="col-ks-16 vlive-header_Sub">
                                        <div class="col-ks-16">
                                            <asp:Label ID="lblUnassignedUsers" runat="server" Font-Bold="true" Text="Unassigned Users"></asp:Label>
                                        </div>
                                    </div>
                                    <div class="row ftop">
                                        <div class="col-md-12" style="padding-top: 10px;">
                                            <dxw:ASPxGridView ID="gvUnAssignedUsers" runat="server" Width="100%" KeyFieldName="UserId"
                                                CssFilePath="~/App_Themes/office2003Blue/GridView/styles.css" CssPostfix="Office2003_Blue"
                                                EnableTheming="true" Theme="Office2003Blue" OnHtmlRowCreated="gvUnAssignedUsers_OnHtmlRowCreated"
                                                ClientInstanceName="gvUnAssignedUsers" OnAfterPerformCallback="gvUnAssignedUsers_AfterPerformCallback">
                                                <ClientSideEvents SelectionChanged="function(s, e) { OnGridSelectionChanged(1); }" />
                                                <Settings ShowVerticalScrollBar="true" VerticalScrollableHeight="100" />
                                                <%--<Images ImageFolder="~/App_Themes/office2003Blue/GridView/">
                                                    <CollapsedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvCollapsedButton.png"
                                                        Width="11px" />
                                                    <ExpandedButton Height="12px" Url="~/App_Themes/office2003Blue/GridView/gvExpandedButton.png"
                                                        Width="11px" />
                                                    <DetailCollapsedButton Height="12px" Url="~/App_Themes/office2003Blue/GridView/gvCollapsedButton.png"
                                                        Width="11px" />
                                                    <DetailExpandedButton Height="12px" Url="~/App_Themes/office2003Blue/GridView/gvExpandedButton.png"
                                                        Width="11px" />
                                                </Images>--%>
                                                <Styles CssFilePath="~/App_Themes/office2003Blue/GridView/grid.css" AlternatingRow-Enabled="True"
                                                    CssPostfix="Office2003_Blue">
                                                    <Header ImageSpacing="5px" SortingImageSpacing="5px">
                                                    </Header>
                                                    <LoadingPanel ImageSpacing="10px">
                                                    </LoadingPanel>
                                                    <PagerBottomPanel CssClass="PageFooter">
                                                    </PagerBottomPanel>
                                                    <PagerTopPanel CssClass="PageFooter">
                                                    </PagerTopPanel>
                                                </Styles>
                                                <SettingsPager PrevPageButton-Image-Url="../App_Themes/office2003Blue/GridView/pPrev.gif"
                                                    PrevPageButton-Image-UrlDisabled="../App_Themes/office2003Blue/GridView/pPrevDisabled.gif"
                                                    NextPageButton-Image-UrlDisabled="../App_Themes/office2003Blue/GridView/pNextDisabled.gif"
                                                    NextPageButton-Image-Url="../App_Themes/office2003Blue/GridView/pNext.gif" AlwaysShowPager="true"
                                                    PageSize="5">
                                                </SettingsPager>
                                                <Columns>
                                                    <dxw:GridViewDataColumn FieldName="UserId" Caption="AutoID" VisibleIndex="0" Visible="false">
                                                    </dxw:GridViewDataColumn>
                                                    <dxw:GridViewCommandColumn ShowSelectCheckbox="True" VisibleIndex="1" Width="5%">
                                                        <HeaderTemplate>
                                                            <input type="checkbox" id="chkSelectAll" runat="server" onclick="gvUnAssignedUsers.SelectAllRowsOnPage(this.checked);"
                                                                style="vertical-align: middle;" />
                                                        </HeaderTemplate>
                                                        <HeaderStyle Paddings-PaddingTop="1" Paddings-PaddingBottom="1" HorizontalAlign="Center" />
                                                    </dxw:GridViewCommandColumn>
                                                    <dxw:GridViewDataColumn FieldName="UserName" Caption="User Name" VisibleIndex="2"
                                                        Width="20%">
                                                        <HeaderCaptionTemplate>
                                                            <asp:Label ID="lblUAUserName" runat="server" Text="User Name"></asp:Label>
                                                        </HeaderCaptionTemplate>
                                                        <Settings AllowAutoFilter="True" />
                                                    </dxw:GridViewDataColumn>
                                                    <dxw:GridViewDataColumn FieldName="LastName" Caption="Customer Name" VisibleIndex="3"
                                                        Width="20%">
                                                        <HeaderCaptionTemplate>
                                                            <asp:Label ID="lblUADisplayName" runat="server" Text="Customer Name"></asp:Label>
                                                        </HeaderCaptionTemplate>
                                                        <Settings AllowAutoFilter="True" />
                                                    </dxw:GridViewDataColumn>
                                                    <dxw:GridViewDataColumn FieldName="GroupBelongsTo" Caption="Group" VisibleIndex="4"
                                                        Width="20%">
                                                        <HeaderCaptionTemplate>
                                                            <asp:Label ID="lblUAGroup" runat="server" Text="User Group"></asp:Label>
                                                        </HeaderCaptionTemplate>
                                                        <Settings AllowAutoFilter="False" />
                                                    </dxw:GridViewDataColumn>
                                                    <dxw:GridViewDataTextColumn FieldName="ActiveStatus" Caption="Active Status" VisibleIndex="5"
                                                        HeaderStyle-HorizontalAlign="Center" CellStyle-HorizontalAlign="Center" Width="10%">
                                                        <HeaderCaptionTemplate>
                                                            <asp:Label ID="lblUAActiveStatus" runat="server" Text="Active Status"></asp:Label>
                                                        </HeaderCaptionTemplate>
                                                        <DataItemTemplate>
                                                            <table>
                                                                <tr>
                                                                    <td>
                                                                        <%--<asp:Image ID="imgUnAssActiveStatus" runat="server" AlternateText="" />--%>
                                                                        <asp:LinkButton ID="imgUnAssActiveStatus" runat="server" Style="cursor: default;"></asp:LinkButton>
                                                                    </td>
                                                                    <td>&nbsp;<asp:Label ID="lblUnAssActiveStatus" runat="server" Text='<%#Eval("ActiveStatusDisp") %>'></asp:Label>
                                                                    </td>
                                                                </tr>
                                                            </table>
                                                        </DataItemTemplate>
                                                        <Settings AllowAutoFilter="False" />
                                                    </dxw:GridViewDataTextColumn>
                                                    <dxw:GridViewDataTextColumn FieldName="LockedStatus" Caption="Locked Status" VisibleIndex="6"
                                                        HeaderStyle-HorizontalAlign="Center" CellStyle-HorizontalAlign="Center" Width="10%">
                                                        <HeaderCaptionTemplate>
                                                            <asp:Label ID="lblUALockedStatus" runat="server" Text="Locked Status"></asp:Label>
                                                        </HeaderCaptionTemplate>
                                                        <DataItemTemplate>
                                                            <table>
                                                                <tr>
                                                                    <td>
                                                                        <%--<asp:Image ID="imgUnAssLockedStatus" runat="server" AlternateText="" />--%>
                                                                        <asp:LinkButton ID="imgUnAssLockedStatus" runat="server" Style="cursor: default;"></asp:LinkButton>
                                                                    </td>
                                                                    <td>&nbsp;<asp:Label ID="lblUnAssLockedStatus" runat="server" Text='<%#Eval("LockedStatusDisp") %>'></asp:Label>
                                                                    </td>
                                                                </tr>
                                                            </table>
                                                        </DataItemTemplate>
                                                        <Settings AllowAutoFilter="False" />
                                                    </dxw:GridViewDataTextColumn>
                                                </Columns>
                                                <SettingsText EmptyDataRow="No Unassigned Users found" />
                                                <Settings ShowFilterRow="true" ShowFilterRowMenu="True" />
                                            </dxw:ASPxGridView>
                                        </div>
                                        <asp:HiddenField ID="hdnUsersToBeAssigned" runat="server" />
                                        <div class="col-md-12" style="padding-top: 10px;">
                                            <div class="col-ks-14"></div>
                                            <div class="col-ks-2" align="right">
                                                <asp:ImageButton ID="btnAssignUsers1" runat="server" ImageUrl="../images/btn-assign-users.jpg"
                                                    OnClick="AssignUsers" OnClientClick="return CheckSelectionForManipulation(3,'btnAssignUsers');"
                                                    Visible="false" />
                                                <asp:LinkButton ID="btnAssignUsers" runat="server" CssClass="btn btn-primary btn-fa-check-circle-o" OnClick="AssignUsers" Text="&nbsp;&nbsp;Assign">
                                                </asp:LinkButton>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </asp:Panel>
                    <div class="clear clearfix">
                    </div>
                    <asp:Panel ID="pnlAssignedUsersList" runat="server">
                        <div class="vlive-filter">
                            <div class="container-fluid">
                                <div class="vlive-centrifugal-fan maintenance-plan">
                                    <div class="col-ks-16 vlive-header_Sub">
                                        <div class="col-ks-16">
                                            <asp:Label ID="lblAssignedUsers" runat="server" Font-Bold="true" Text="Assigned Users"></asp:Label>
                                        </div>
                                    </div>
                                    <asp:HiddenField ID="hdnUsersToBeUnassinged" runat="server" />
                                    <div class="row ftop">
                                        <div class="col-md-12" style="padding-top: 10px;">
                                            <dxw:ASPxGridView ID="gvAssignedUsers" runat="server" Width="100%" KeyFieldName="UserId"
                                                CssFilePath="~/App_Themes/office2003Blue/GridView/styles.css" CssPostfix="Office2003_Blue"
                                                EnableTheming="true" Theme="Office2003Blue" OnHtmlRowCreated="gvAssignedUsers_OnHtmlRowCreated"
                                                ClientInstanceName="gvAssignedUsers" OnAfterPerformCallback="gvAssignedUsers_AfterPerformCallback">
                                                <ClientSideEvents SelectionChanged="function(s, e) { OnGridSelectionChanged(2); }" />
                                                <Settings ShowVerticalScrollBar="true" VerticalScrollableHeight="100" />
                                                <%--<Images ImageFolder="~/App_Themes/office2003Blue/GridView/">
                                                    <CollapsedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvCollapsedButton.png"
                                                        Width="11px" />
                                                    <ExpandedButton Height="12px" Url="~/App_Themes/office2003Blue/GridView/gvExpandedButton.png"
                                                        Width="11px" />
                                                    <DetailCollapsedButton Height="12px" Url="~/App_Themes/office2003Blue/GridView/gvCollapsedButton.png"
                                                        Width="11px" />
                                                    <DetailExpandedButton Height="12px" Url="~/App_Themes/office2003Blue/GridView/gvExpandedButton.png"
                                                        Width="11px" />
                                                </Images>--%>
                                                <Styles CssFilePath="~/App_Themes/office2003Blue/GridView/grid.css" AlternatingRow-Enabled="True"
                                                    CssPostfix="Office2003_Blue">
                                                    <Header ImageSpacing="5px" SortingImageSpacing="5px">
                                                    </Header>
                                                    <LoadingPanel ImageSpacing="10px">
                                                    </LoadingPanel>
                                                    <PagerBottomPanel CssClass="PageFooter">
                                                    </PagerBottomPanel>
                                                    <PagerTopPanel CssClass="PageFooter">
                                                    </PagerTopPanel>
                                                </Styles>
                                                <SettingsPager PrevPageButton-Image-Url="../App_Themes/office2003Blue/GridView/pPrev.gif"
                                                    PrevPageButton-Image-UrlDisabled="../App_Themes/office2003Blue/GridView/pPrevDisabled.gif"
                                                    NextPageButton-Image-UrlDisabled="../App_Themes/office2003Blue/GridView/pNextDisabled.gif"
                                                    NextPageButton-Image-Url="../App_Themes/office2003Blue/GridView/pNext.gif" AlwaysShowPager="true"
                                                    PageSize="5">
                                                </SettingsPager>
                                                <Columns>
                                                    <dxw:GridViewDataColumn FieldName="UserId" Caption="AutoID" VisibleIndex="0" Visible="false">
                                                    </dxw:GridViewDataColumn>
                                                    <dxw:GridViewCommandColumn ShowSelectCheckbox="True" VisibleIndex="1" Width="5%">
                                                        <HeaderTemplate>
                                                            <input type="checkbox" id="chkSelectAll" runat="server" onclick="gvAssignedUsers.SelectAllRowsOnPage(this.checked);"
                                                                style="vertical-align: middle;"></input>
                                                        </HeaderTemplate>
                                                        <HeaderStyle Paddings-PaddingTop="1" Paddings-PaddingBottom="1" HorizontalAlign="Center" />
                                                    </dxw:GridViewCommandColumn>
                                                    <dxw:GridViewDataColumn FieldName="UserName" Caption="User Name" VisibleIndex="2"
                                                        Width="20%">
                                                        <HeaderCaptionTemplate>
                                                            <asp:Label ID="lblAUserName" runat="server" Text="User Name"></asp:Label>
                                                        </HeaderCaptionTemplate>
                                                        <Settings AllowAutoFilter="True" />
                                                    </dxw:GridViewDataColumn>
                                                    <dxw:GridViewDataColumn FieldName="LastName" Caption="Customer Name" VisibleIndex="3"
                                                        Width="20%">
                                                        <HeaderCaptionTemplate>
                                                            <asp:Label ID="lblADisplayName" runat="server" Text="Customer Name"></asp:Label>
                                                        </HeaderCaptionTemplate>
                                                        <Settings AllowAutoFilter="True" />
                                                    </dxw:GridViewDataColumn>
                                                    <dxw:GridViewDataColumn FieldName="GroupBelongsTo" Caption="User Group" VisibleIndex="4"
                                                        Width="20%">
                                                        <HeaderCaptionTemplate>
                                                            <asp:Label ID="lblAGroup" runat="server" Text="User Group"></asp:Label>
                                                        </HeaderCaptionTemplate>
                                                        <Settings AllowAutoFilter="False" />
                                                    </dxw:GridViewDataColumn>
                                                    <dxw:GridViewDataTextColumn FieldName="ActiveStatus" Caption="Active Status" VisibleIndex="5"
                                                        HeaderStyle-HorizontalAlign="Center" CellStyle-HorizontalAlign="Center" Width="10%">
                                                        <HeaderCaptionTemplate>
                                                            <asp:Label ID="lblAActiveStatus" runat="server" Text="Active Status"></asp:Label>
                                                        </HeaderCaptionTemplate>
                                                        <DataItemTemplate>
                                                            <table>
                                                                <tr>
                                                                    <td>
                                                                        <%--<asp:Image ID="imgActiveStatus" runat="server" AlternateText="" />--%>
                                                                        <asp:LinkButton ID="imgActiveStatus" runat="server" Style="cursor: default;"></asp:LinkButton>
                                                                    </td>
                                                                    <td>&nbsp;<asp:Label ID="lblAssActiveStatus" runat="server" Text='<%#Eval("ActiveStatusDisp") %>'></asp:Label>
                                                                    </td>
                                                                </tr>
                                                            </table>
                                                        </DataItemTemplate>
                                                        <Settings AllowAutoFilter="False" />
                                                    </dxw:GridViewDataTextColumn>
                                                    <dxw:GridViewDataTextColumn FieldName="LockedStatus" Caption="Locked Status" VisibleIndex="6"
                                                        HeaderStyle-HorizontalAlign="Center" CellStyle-HorizontalAlign="Center" Width="10%">
                                                        <HeaderCaptionTemplate>
                                                            <asp:Label ID="lblALockedStatus" runat="server" Text="Locked Status"></asp:Label>
                                                        </HeaderCaptionTemplate>
                                                        <DataItemTemplate>
                                                            <table>
                                                                <tr>
                                                                    <td>
                                                                        <%--<asp:Image ID="imgLockedStatus" runat="server" AlternateText="" />--%>
                                                                        <asp:LinkButton ID="imgLockedStatus" runat="server" Style="cursor: default;"></asp:LinkButton>
                                                                    </td>
                                                                    <td>&nbsp;<asp:Label ID="lblAssLockedStatus" runat="server" Text='<%#Eval("LockedStatusDisp") %>'></asp:Label>
                                                                    </td>
                                                                </tr>
                                                            </table>
                                                        </DataItemTemplate>
                                                        <Settings AllowAutoFilter="False" />
                                                    </dxw:GridViewDataTextColumn>
                                                </Columns>
                                                <Settings ShowFilterRow="true" ShowFilterRowMenu="True" />
                                                <SettingsText EmptyDataRow=" No Assigned Users found" />
                                            </dxw:ASPxGridView>
                                        </div>
                                        <div class="col-md-12" style="padding-top: 10px;">
                                            <div class="col-ks-14"></div>
                                            <div class="col-ks-2" align="right">
                                                <asp:ImageButton ID="btnUnassignUsers1" runat="server" ImageUrl="../images/btn-unassign-users.jpg"
                                                    OnClick="UnassignUsers" Visible="false" />
                                                <asp:LinkButton ID="btnUnassignUsers" runat="server" CssClass="btn btn-primary btn-fa-times-circle-o" OnClick="UnassignUsers" Text="&nbsp;&nbsp;Unassign">
                                                </asp:LinkButton>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </asp:Panel>
                </ContentTemplate>
            </asp:UpdatePanel>
            <cc1:ModalPopupExtender ID="mpeProgressIndicator" runat="server" PopupControlID="progressPopUp"
                TargetControlID="btnTesting" BackgroundCssClass="modalBackground">
            </cc1:ModalPopupExtender>
            <asp:Button ID="btnTesting" Style="display: none;" runat="server" />
            <asp:Panel ID="progressPopUp" runat="server" CssClass="processMessage" Style="display: none;">
                <center>
                    <br />
                    <img id="imgLoad" runat="server" alt="Please Wait ..." src="../images/47.gif" /><br />
                    <br />
                    <asp:Label ID="lbl_msg12" Text="Processing... Please Wait..." runat="server" CssClass="specialdisplay"></asp:Label>
                    <br />
                    <br />
                </center>
            </asp:Panel>
            <%--<script type="text/javascript" language="javascript" src="../js/FormValidations.js"></script>--%>
            <script src="../js/CommonFuncitonsInHeader.js" type="text/javascript"></script>
            <script type="text/javascript" language="javascript" src="../js/FleetUserAssignmentScripts.js"></script>
            <asp:HiddenField ID="hdnLogout" runat="server" />
        </form>
    </div>
    <!-- Content Ends Here -->
    <uc2:Footer ID="ucFooter" runat="server" />
</body>
</html>
