﻿<%@ page language="C#" autoeventwireup="true" inherits="Forms_ManageFleets, App_Web_kob0wgzu" enableeventvalidation="false" %>

<%@ Register Src="~/UserControls/Notification_List.ascx" TagPrefix="uc3" TagName="NotificationsList" %>
<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc1" %>
<%@ Register Src="~/UserControls/New_Header.ascx" TagName="Header" TagPrefix="uc1" %>
<%@ Register Src="~/UserControls/New_Footer.ascx" TagName="Footer" TagPrefix="uc2" %>

<%--<%@ Register Assembly="DevExpress.Web.ASPxGridView.v8.2" Namespace="DevExpress.Web.ASPxGridView"
    TagPrefix="dxgv" %>
<%@ Register Assembly="DevExpress.Web.ASPxGridView.v8.2.Export" Namespace="DevExpress.Web.ASPxGridView.Export"
    TagPrefix="exp" %>
<%@ Register Assembly="DevExpress.Web.ASPxEditors.v8.2" Namespace="DevExpress.Web.ASPxEditors"
    TagPrefix="dxe" %>--%>

<%@ Register Assembly="DevExpress.Web.v14.2" Namespace="DevExpress.Web" TagPrefix="dxw" %>

<!DOCTYPE html>
<html lang="en">
<head id="Head1" runat="server">
    <title>tSense-IoT Configuration</title>
    <link href="../css/CustomeAlert/demos.css" rel="stylesheet" type="text/css" />
    <link href="../css/CustomeAlert/themes/jquery.ui.all.css" rel="stylesheet" type="text/css" />

    <meta content="charset=utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />

    <link id="reset" runat="server" href="../css/reset.css" rel="stylesheet" type="text/css" />
    <link id="stylesheet2" runat="server" href="../css/stylesheet2.css" rel="stylesheet" type="text/css" />
    <link id="dropdown" runat="server" href="../css/dropdown.css" rel="stylesheet" type="text/css" />
    <link id="ieonly" runat="server" rel="stylesheet" type="text/css" href="" />

    <%--Custom Theme for DevEx 14.2--%>
    <link id="GridView" runat="server" type="text/css" href="~/App_Themes/Office2003Blue/GridView/grid.css" rel="stylesheet" />
    <link id="Editors" runat="server" type="text/css" href="~/App_Themes/Office2003Blue/Editors/styles.css" rel="stylesheet" />
    <link rel="icon" href="../NewDesign/img/favicon.png" type="image/x-icon">
    <link href="../NewDesign/css/bootstrap.css" rel="stylesheet" />
    <link href="../NewDesign/css/font-awesome.css" rel="stylesheet" />
    <link href="../NewDesign/css/responsive.css" rel="stylesheet" />
    <link href="../NewDesign/css/style.css" rel="stylesheet" />
    <script src="../NewDesign/js/jquery.min.js"></script>
    <script src="../js/jquery-3.3.1.min.js"></script>
    <script src="../NewDesign/js/bootstrap.min.js"></script>
    <script src="../NewDesign/js/jquery.js"></script>
    <script src="../NewDesign/js/script.js"></script>
    <link href="../NewDesign/font-awesome-4.7.0/css/font-awesome.css" rel="stylesheet" />
    <link href="../NewDesign/font-awesome-4.7.0/css/font-awesome.min.css" rel="stylesheet" />

    <script src="../js/jquery-1.11.2.min.js" type="text/javascript"></script>
    <script src="../js/bootstrap.min.js" type="text/javascript"></script>
    <script src="../js/CustomAlert/jquery.min.js" type="text/javascript"></script>
    <script src="../js/CustomAlert/jquery-ui-1.10.3.custom.min.js" type="text/javascript"></script>
    <script src="../js/CustomAlert/jquery-ui-1.10.3.custom.js" type="text/javascript"></script>
    <script src="../js/CustomAlert/CustomAlert.js" type="text/javascript"></script>

    <%--BootStrap Css--%>
    <%--<link id="BootStrapCss" href="../css/bootstrap.css" runat="server" rel="stylesheet" type="text/css" />--%>
    <link id="mainstyle" runat="server" href="../css/mainstyle.css" rel="stylesheet" type="text/css" />
    <%--End of BootStrap Css--%>
    <script src="../js/wow.min.js"></script>
</head>
<body onkeypress="checkEscKey(event)" class="white">
    <div class="page-wrapper">
        <div class="preloader"></div>
        <form id="form1" runat="server">
            <asp:ScriptManager ID="ScriptManager1" runat="server">
            </asp:ScriptManager>
            <!-- Header Starts Here -->
            <uc1:Header ID="ucHeader" runat="server" />
            <!-- Nav Ends Here -->
            <!-- Content Starts Here -->
            <asp:UpdatePanel runat="server" ID="updFleetDetails" UpdateMode="Conditional">
                <Triggers>
                    <asp:PostBackTrigger ControlID="btnExport"></asp:PostBackTrigger>
                    <asp:PostBackTrigger ControlID="btnExport"></asp:PostBackTrigger>
                    <asp:PostBackTrigger ControlID="btnExport"></asp:PostBackTrigger>
                    <asp:PostBackTrigger ControlID="btnExport"></asp:PostBackTrigger>
                    <asp:PostBackTrigger ControlID="btnExport"></asp:PostBackTrigger>
                    <asp:PostBackTrigger ControlID="btnExport"></asp:PostBackTrigger>
                    <asp:PostBackTrigger ControlID="btnExport"></asp:PostBackTrigger>
                    <asp:PostBackTrigger ControlID="btnExport"></asp:PostBackTrigger>
                    <asp:PostBackTrigger ControlID="btnExport"></asp:PostBackTrigger>
                    <asp:PostBackTrigger ControlID="btnExport"></asp:PostBackTrigger>
                    <asp:PostBackTrigger ControlID="btnExport"></asp:PostBackTrigger>
                    <asp:PostBackTrigger ControlID="btnExport"></asp:PostBackTrigger>
                    <asp:PostBackTrigger ControlID="btnExport"></asp:PostBackTrigger>
                    <asp:PostBackTrigger ControlID="btnExport"></asp:PostBackTrigger>
                    <asp:PostBackTrigger ControlID="btnExport"></asp:PostBackTrigger>
                    <asp:PostBackTrigger ControlID="btnExport"></asp:PostBackTrigger>
                    <asp:PostBackTrigger ControlID="btnExport"></asp:PostBackTrigger>
                </Triggers>
                <ContentTemplate>
                    <div class="vlive-reports-section maintenance">
                        <div class="container-fluid">
                            <div class="row clearfix">
                                <div class="col-ks-16">
                                    <div class="col-ks-6 HeaderTest">
                                        <div class="col-ks-16">
                                            <h2 class="pull-left">
                                                <asp:Literal ID="lblConfigurationCaption" Text="Configuration" runat="server">
                                                </asp:Literal>
                                            </h2>
                                        </div>
                                        <div class="col-ks-16">
                                            <asp:SiteMapPath ID="site" runat="server" CssClass="breadcrumb">
                                                <NodeStyle CssClass="active" />
                                            </asp:SiteMapPath>
                                        </div>
                                    </div>
                                    <div class="col-ks-10 HeaderTopButton">
                                        <asp:LinkButton ID="lnkAddFleets" runat="server" CssClass="fa-plus btn btn-primary" OnClientClick="ShowPopUp();" OnClick="lnkAddFleets_Click">
                                        </asp:LinkButton>
                                        <asp:LinkButton ID="btnAssignVehicles" runat="server" CssClass="btn btn-primary btn-fa-microchip"
                                            NavigateUrl="~/Forms/GroupingAssignment.aspx" Text="&nbsp;&nbsp;Device Assignment">
                                            <span runat="server" class="MultilingualBtnspan">
                                                <div class="AssignVehicle">
                                                    <div id="AssignVehiclesDiv" runat="server" class="MultilingualBtnTextAlign">
                                                    </div>
                                                </div>
                                            </span>
                                        </asp:LinkButton>
                                        <asp:LinkButton ID="btnAssignUsers" runat="server" CssClass="btn-fa-user btn btn-primary" NavigateUrl="~/Forms/GroupingUserAssignment.aspx" Text="&nbsp;&nbsp;User Assignment">
                                        </asp:LinkButton>
                                        <asp:LinkButton ID="btnBack" runat="server" CssClass="fa-arrow-left btn btn-primary" NavigateUrl="~/Forms/ConfigurationSetup.aspx" Text="&nbsp;&nbsp;Back to Configuration">
                                        </asp:LinkButton>
                                    </div>
                                </div>
                                <div class="col-ks-10 HeaderTopButton ControlHide">
                                    <div class="col-ks-1_5"></div>
                                    <div class="col-ks-2_5">
                                        <asp:ImageButton AlternateText="Add Fleet" ToolTip="Add Fleet" ID="lnkAddFleets1"
                                            runat="server" ImageUrl="~/images/btn-add-fleet.jpg" OnClick="lnkAddFleets_Click"
                                            Visible="false" />

                                    </div>
                                    <div class="col-ks-4_5" align="center">
                                        <asp:HyperLink ID="btnAssignVehicles1" runat="server" ImageUrl="~/images/btn-vehicle-assignment.jpg"
                                            NavigateUrl="~/Forms/GroupingAssignment.aspx" Visible="false"></asp:HyperLink>

                                    </div>
                                    <div class="col-ks-3_5">
                                        <asp:HyperLink ID="btnAssignUsers1" runat="server" NavigateUrl="~/Forms/GroupingUserAssignment.aspx"
                                            ImageUrl="~/images/btn-user-assignment.jpg" Visible="false"></asp:HyperLink>

                                    </div>
                                    <div class="col-ks-4">
                                        <asp:HyperLink ID="btnBack1" runat="server" ImageUrl="~/Images/btn-back-to-configuration.jpg"
                                            NavigateUrl="~/Forms/ConfigurationSetup.aspx" Visible="false"></asp:HyperLink>

                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <asp:Panel ID="pnlManageFleetHolder" runat="server" Visible="false">
                        <div class="vlive-filter">
                            <div class="container-fluid">
                                <div class="vlive-centrifugal-fan maintenance-plan">
                                    <div class="col-ks-16 vlive-header_VXL">
                                        <asp:Label ID="lblManageFleet" Text="Manage Fleet" runat="server" CssClass="pnlhearder"></asp:Label>
                                    </div>
                                    <div class="row ftop">
                                        <div class="col-md-12">
                                            <div class="col-ks-3">
                                                <asp:Label ID="lblFleetName" runat="server" Text="Fleet Name"
                                                    CssClass="label"></asp:Label>
                                                <%--<asp:Label ID="Label5" runat="server" ForeColor="Red">*</asp:Label>--%>
                                            </div>
                                            <div class="col-ks-5">
                                                <asp:TextBox ID="txtFleetName" runat="server" CssClass="form-control man-dat" onkeypress="return chkAlphaNumericWithSpace(event,this,99);"
                                                    MaxLength="100" TabIndex="1"></asp:TextBox>
                                            </div>
                                        </div>
                                        <div class="col-md-12">
                                            <div class="col-ks-3">
                                                <asp:Label ID="lblFleetDesc" runat="server" CssClass="label" Text="Description"></asp:Label>
                                                <%--<asp:Label ID="Label6" runat="server" ForeColor="Red">*</asp:Label>--%>
                                            </div>
                                            <div class="col-ks-5">
                                                <asp:TextBox ID="txtDescription" runat="server" Width="" CssClass="form-control man-dat" Height="60px" TextMode="MultiLine"
                                                    onkeypress="return chkDescription(event,this,249);" onblur="return disallowScriptTags(this);"
                                                    MaxLength="250" TabIndex="2"></asp:TextBox>
                                            </div>
                                        </div>
                                        <div class="col-md-12 ControlHide">
                                            <div class="col-ks-3">
                                                <asp:Label ID="lblPowerPlantRating" runat="server" Text="Powerplant Rating" CssClass="label">
                                                </asp:Label>
                                                <asp:Label ID="Label2" runat="server" ForeColor="Red">*</asp:Label>
                                            </div>
                                            <div class="col-ks-5">
                                                <asp:TextBox ID="txtPowerPlantRating" runat="server" CssClass="form-control"
                                                    onkeypress="return chkAlphaNumericWithSpace(event,this,99);" MaxLength="40" TabIndex="3">
                                                </asp:TextBox>
                                            </div>
                                        </div>
                                        <div class="col-md-12 ControlHide">
                                            <div class="col-ks-3">
                                                <asp:Label ID="lblHVREquipRating" runat="server" Text="Rating of HVR Equipment" CssClass="label">
                                                </asp:Label>
                                                <asp:Label ID="Label4" runat="server" ForeColor="Red">*</asp:Label>
                                            </div>
                                            <div class="col-ks-5">
                                                <asp:TextBox ID="txtHVREquipRating" runat="server" CssClass="form-control"
                                                    onkeypress="return chkAlphaNumericWithSpace(event,this,99);" MaxLength="40" TabIndex="4">
                                                </asp:TextBox>
                                            </div>
                                        </div>
                                        <%--<div class="col-sm-12 form-group icon-label">
                                                    <div class="col-sm-4 nullpadding icon-img">
                                                        <asp:Label ID="lblControllerType" runat="server" Text="Controller Type" CssClass="label"></asp:Label>
                                                        <asp:Label ID="Label9" runat="server" ForeColor="Red">*</asp:Label>
                                                    </div>
                                                    <div class="col-sm-6 nullpadding">
                                                        <asp:DropDownList ID="ddlControllerType" runat="server" TabIndex="5" CssClass="form-control">
                                                            <asp:ListItem Text="Precicon-III" Value="1" Selected="True"></asp:ListItem>
                                                            <asp:ListItem Text="Precicon-R" Value="2"></asp:ListItem>
                                                        </asp:DropDownList>
                                                    </div>
                                                </div>--%>
                                        <div class="col-md-12">
                                            <div class="col-ks-3">
                                                <span class="redtxt">|</span>&nbsp;<asp:Label ID="lblSeverity" runat="server" Text="Severity" CssClass="label"></asp:Label>
                                                <%--<asp:Label ID="Label7" runat="server" ForeColor="Red">*</asp:Label>--%>
                                            </div>
                                            <div class="col-ks-5">
                                                <asp:CheckBoxList ID="chkEmailSeverities" runat="server" CssClass="Chkinput" RepeatDirection="Horizontal"
                                                    RepeatLayout="Flow" TextAlign="Right" TabIndex="5" OnPreRender="chkEmailSeverities_PreRender">
                                                </asp:CheckBoxList>
                                            </div>
                                        </div>
                                        <div class="col-md-12">
                                            <div class="col-ks-8">
                                                <asp:ImageButton ID="btnAddNotifictions1" runat="server" CssClass="btn" OnClick="btnAddNotifictions_Click"
                                                    OnClientClick="ShowPopUp();" TabIndex="6" ImageUrl="~/images/btn-manage-notification.jpg"
                                                    onkeypress="return checkEscKey(event)" Visible="false" />
                                                <asp:LinkButton ID="btnAddNotifictions" runat="server" CssClass="btn btn-primary btn-fa-envelope-open" TabIndex="7"
                                                    OnClientClick="ShowPopUp();" OnClick="btnAddNotifictions_Click" Text="&nbsp;&nbsp;Manage Notifications">
                                                </asp:LinkButton>
                                            </div>
                                        </div>
                                        <div class="col-md-12">
                                            <div class="col-ks-8">
                                                <%--<asp:Label ID="Label12" runat="server" ForeColor="Red">*</asp:Label>--%>&nbsp;
                                                        <span class="redtxt">|</span>&nbsp;<asp:Label ID="lblIndicatesMandatory" runat="server" Text="Required Fields"></asp:Label>
                                            </div>
                                        </div>
                                        <div class="col-md-12">
                                            <div class="col-ks-4"></div>
                                            <div class="col-ks-4">
                                                <div class="col-ks-5">
                                                    <asp:ImageButton ID="lbtAddFleet1" runat="server" OnClientClick="return FleetValidation(true);"
                                                        OnClick="lbtAddFleet_Click" TabIndex="8" ValidationGroup="vgFleet" ImageUrl="~/images/btn-save.jpg"
                                                        Visible="false" />
                                                    <asp:LinkButton ID="lbtAddFleet" runat="server" CssClass="btn btn-primary btn-fa-floppy-o" OnClientClick="return FleetValidation(true);"
                                                        OnClick="lbtAddFleet_Click" ValidationGroup="vgFleet" Text="&nbsp;&nbsp;Save" TabIndex="9">
                                                    </asp:LinkButton>
                                                </div>
                                                <div class="col-ks-8">
                                                    <asp:ImageButton ID="lbtnCancel1" runat="server" TabIndex="10" OnClick="lbtnCancel_Click"
                                                        ImageUrl="~/images/btn-cancel.jpg" Visible="false" />
                                                    <asp:LinkButton ID="lbtnCancel" runat="server" CssClass="btn btn-primary btn-fa-ban" OnClick="lbtnCancel_Click" OnClientClick="ShowPopUp();" Text="&nbsp;&nbsp;Cancel" TabIndex="10">
                                                    </asp:LinkButton>
                                                </div>
                                            </div>
                                        </div>

                                    </div>
                                </div>
                            </div>
                        </div>

                    </asp:Panel>
                    <asp:Panel ID="pnlFleetDetailsList" runat="server">
                        <div class="vlive-filter">
                            <div class="container-fluid">
                                <div class="vlive-centrifugal-fan maintenance-plan">
                                    <div class="col-ks-16 vlive-header_VXL">
                                        <div class="col-ks-13">
                                            <asp:Label ID="lblFleetCaption" CssClass="pnlhearder" runat="server" Text="Fleet Details">
                                            </asp:Label>
                                        </div>
                                        <div class="col-ks-1">
                                            <dxw:ASPxComboBox ID="ASPxCboExport" runat="server" ValueType="System.String" CssClass="form-control exportddl"
                                                ShowImageInEditBox="false" ItemImage-Height="12px" ClientInstanceName="ASPxCboExport" SelectedIndex="0"
                                                CssFilePath="~/App_Themes/office2003Blue/Editors/styles.css" CssPostfix="Office2003_Blue"
                                                EnableTheming="true" Theme="Office2003Blue">
                                                <Items>
                                                    <dxw:ListEditItem ImageUrl="../images/icn-pdf.jpg" Text="pdf" Value="pdf" />
                                                    <dxw:ListEditItem ImageUrl="../images/icn-excel.jpg" Text="xls" Value="xls" />
                                                    <dxw:ListEditItem ImageUrl="../images/icn-excel-xlsx.png" Text="xlsx" Value="xlsx" />
                                                    <dxw:ListEditItem ImageUrl="../images/icn-word.jpg" Text="rtf" Value="rtf" />
                                                    <%--<dxw:ListEditItem ImageUrl="../images/icn-csv.gif" Text="csv" Value="csv" />--%>
                                                </Items>
                                            </dxw:ASPxComboBox>
                                        </div>
                                        <div class="col-ks-2">
                                            <asp:ImageButton ID="btnExport1" runat="server" ImageUrl="~/images/btn-export.jpg"
                                                OnClick="btnExport_Click" Visible="false" />
                                            <asp:LinkButton ID="btnExport" runat="server" CssClass="fa-file-excel-o btn btn-primary" Text="&nbsp;&nbsp;Export" OnClick="btnExport_Click">
                                            </asp:LinkButton>
                                        </div>
                                    </div>
                                    <div class="row ftop">
                                        <div class="col-md-12">
                                            <dxw:ASPxGridView ID="gvFleets" runat="server" Width="100%" KeyFieldName="FleetId"
                                                CssFilePath="~/App_Themes/office2003Blue/GridView/styles.css" CssPostfix="Office2003_Blue"
                                                EnableTheming="true" Theme="office2003Blue" OnHtmlRowCreated="gvFleets_OnHtmlRowCreated" OnRowCommand="gvFleets_RowCommand">
                                                <Settings ShowVerticalScrollBar="true" VerticalScrollableHeight="375" />
                                                <%--<Images ImageFolder="~/App_Themes/office2003Blue/GridView/">
                                                    <CollapsedButton Height="12px" Url="~/App_Themes/Office2  003 Blue/GridView/gvCollapsedButton.png"
                                                        Width="11px" />
                                                    <ExpandedButton Height="12px" Url="~/App_Themes/office2003Blue/GridView/gvExpandedButton.png"
                                                        Width="11px" />
                                                    <DetailCollapsedButton Height="12px" Url="~/App_Themes/office2003Blue/GridView/gvCollapsedButton.png"
                                                        Width="11px" />
                                                    <DetailExpandedButton Height="12px" Url="~/App_Themes/office2003Blue/GridView/gvExpandedButton.png"
                                                        Width="11px" />
                                                    </Images>--%>
                                                <Styles CssFilePath="~/App_Themes/office2003Blue/GridView/grid.css" AlternatingRow-Enabled="True"
                                                    CssPostfix="Office2003_Blue">
                                                    <Header ImageSpacing="5px" SortingImageSpacing="5px">
                                                    </Header>
                                                    <LoadingPanel ImageSpacing="10px">
                                                    </LoadingPanel>
                                                    <PagerBottomPanel CssClass="PageFooter">
                                                    </PagerBottomPanel>
                                                    <PagerTopPanel CssClass="PageFooter">
                                                    </PagerTopPanel>
                                                </Styles>
                                                <SettingsPager PrevPageButton-Image-Url="../App_Themes/office2003Blue/GridView/pPrev.gif"
                                                    PrevPageButton-Image-UrlDisabled="../App_Themes/office2003Blue/GridView/pPrevDisabled.gif"
                                                    NextPageButton-Image-UrlDisabled="../App_Themes/office2003Blue/GridView/pNextDisabled.gif"
                                                    NextPageButton-Image-Url="../App_Themes/office2003Blue/GridView/pNext.gif" AlwaysShowPager="true">
                                                </SettingsPager>
                                                <Columns>
                                                    <dxw:GridViewDataColumn FieldName="FleetId" Caption="Fleet ID" VisibleIndex="0"
                                                        Visible="false">
                                                    </dxw:GridViewDataColumn>
                                                    <dxw:GridViewDataTextColumn FieldName="FleetName" Caption="Fleet Name" VisibleIndex="1"
                                                        HeaderStyle-HorizontalAlign="Center" CellStyle-Wrap="True" Width="15%">
                                                        <HeaderCaptionTemplate>
                                                            <asp:Label ID="lblFleetName" runat="server" Font-Bold="false" Text="Fleet Name"></asp:Label>
                                                        </HeaderCaptionTemplate>
                                                        <Settings AllowAutoFilter="True" />
                                                    </dxw:GridViewDataTextColumn>
                                                    <dxw:GridViewDataTextColumn FieldName="Description" Caption="Description" VisibleIndex="2"
                                                        HeaderStyle-HorizontalAlign="Center" CellStyle-Wrap="True" Width="20%">
                                                        <HeaderCaptionTemplate>
                                                            <asp:Label ID="lblDescription" runat="server" Font-Bold="false"
                                                                Text="Description"></asp:Label>

                                                        </HeaderCaptionTemplate>
                                                        <Settings AllowAutoFilter="True" />
                                                    </dxw:GridViewDataTextColumn>
                                                    <dxw:GridViewDataTextColumn FieldName="Severity" Caption="Severity" VisibleIndex="3"
                                                        HeaderStyle-HorizontalAlign="Center" Width="20%" CellStyle-Wrap="True">
                                                        <HeaderCaptionTemplate>
                                                            <asp:Label ID="lblSeverity" runat="server" Font-Bold="false"
                                                                Text="Severity"></asp:Label>
                                                        </HeaderCaptionTemplate>
                                                        <Settings AllowAutoFilter="False" />
                                                    </dxw:GridViewDataTextColumn>
                                                    <dxw:GridViewDataTextColumn FieldName="EmailUserNameList" Caption="Email Users"
                                                        VisibleIndex="4" HeaderStyle-HorizontalAlign="Center" HeaderStyle-VerticalAlign="Middle"
                                                        Width="20%" CellStyle-Wrap="True">
                                                        <HeaderCaptionTemplate>
                                                            <asp:Label ID="lblEmailUserNameList" runat="server"
                                                                Font-Bold="false" Text="Email Users"></asp:Label>
                                                        </HeaderCaptionTemplate>
                                                        <Settings AllowAutoFilter="False" />
                                                    </dxw:GridViewDataTextColumn>
                                                    <dxw:GridViewDataTextColumn FieldName="SMSUserNameList" Caption="SMS Users" VisibleIndex="5"
                                                        HeaderStyle-HorizontalAlign="Center" HeaderStyle-VerticalAlign="Middle" Width="19%"
                                                        CellStyle-Wrap="True">
                                                        <HeaderCaptionTemplate>
                                                            <asp:Label ID="lblSMSUserNameList" runat="server" Font-Bold="false" Text="SMS Users"></asp:Label>
                                                        </HeaderCaptionTemplate>
                                                        <Settings AllowAutoFilter="False" />
                                                    </dxw:GridViewDataTextColumn>
                                                    <dxw:GridViewDataTextColumn Caption="Edit" VisibleIndex="6" HeaderStyle-HorizontalAlign="Center"
                                                        CellStyle-HorizontalAlign="Center" Width="3%" Name="Edit">
                                                        <HeaderTemplate>
                                                        </HeaderTemplate>
                                                        <DataItemTemplate>
                                                            <asp:LinkButton ID="btnEdit" runat="server" CommandArgument='<%# Eval("FleetId") %>' CssClass="Grid-btn-fa-pencil-square-o"
                                                                OnClick="btnEdit_click" OnClientClick="ShowPopUp();" Style="text-decoration: none;"></asp:LinkButton>
                                                            <%--<img src="../images/icn-edit.gif" alt="" />--%>
                                                        </DataItemTemplate>
                                                    </dxw:GridViewDataTextColumn>
                                                    <dxw:GridViewDataTextColumn Caption="Delete" VisibleIndex="7" HeaderStyle-HorizontalAlign="Center"
                                                        CellStyle-HorizontalAlign="Center" Width="3%" Name="Delete">
                                                        <HeaderTemplate>
                                                        </HeaderTemplate>
                                                        <DataItemTemplate>
                                                            <asp:LinkButton ID="btnDelete" runat="server" CommandArgument='<%# Eval("FleetId") %>'
                                                                AlternateText="Delete" CommandName="Delete" OnClick="btnDelete_click"
                                                                ImageAlign="Middle" CssClass="Grid-btn-fa-trash-o">
                                                                <%--<asp:Image ID="imgDeleteOption" runat="server" ImageUrl="~/images/delete-icon.gif" />--%>
                                                            </asp:LinkButton>
                                                        </DataItemTemplate>
                                                    </dxw:GridViewDataTextColumn>
                                                </Columns>
                                                <Settings ShowFilterRow="true" ShowFilterRowMenu="True" />
                                                <SettingsText EmptyDataRow="No fleet details found" />
                                            </dxw:ASPxGridView>
                                        </div>
                                        <dxw:ASPxGridViewExporter ID="ASPxGridViewExporter1" runat="server" GridViewID="gvFleets"
                                            ReportHeader="{\rtf1\ansi\ansicpg1252\deff0\deflang1033{\fonttbl{\f0\fnil\fcharset0 Arial;}}
                                                                \viewkind4\uc1\pard\qc\b\fs28 Fleet Details\par
                                                                \pard\par
                                                                \par
                                                                }
                                                                ">
                                            <PageFooter Right="[Page # of Pages #]">
                                            </PageFooter>
                                        </dxw:ASPxGridViewExporter>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </asp:Panel>
                    <!-- Content Ends Here -->
                </ContentTemplate>
                <Triggers>
                    <asp:PostBackTrigger ControlID="btnExport" />
                </Triggers>
            </asp:UpdatePanel>
            <asp:UpdatePanel ID="updNotify" runat="server" UpdateMode="Conditional">
                <ContentTemplate>
                    <asp:Panel ID="pnlNotificationsList" runat="server" CssClass="notifyManagePanel col-sm-9">
                        <uc3:NotificationsList ID="ucNotificationList" runat="server" NotificationType="3" />
                    </asp:Panel>
                </ContentTemplate>
            </asp:UpdatePanel>
            <cc1:ModalPopupExtender ID="mpeProgressIndicator" runat="server" PopupControlID="pnlProgress"
                TargetControlID="btnTesting">
            </cc1:ModalPopupExtender>
            <asp:Button ID="btnTesting" Style="display: none;" runat="server" />
            <%--<asp:UpdateProgress ID="uprDataLoading" runat="server" DynamicLayout="True" AssociatedUpdatePanelID="updFleetDetails">
            <ProgressTemplate>--%>
            <asp:Panel ID="pnlProgress" runat="server" CssClass="processMessage" Style="z-index: 1000;">
                <center>
                <br />
                <img id="imgLoad" runat="server" alt="Please Wait ..." src="../images/47.gif" /><br />
                <br />
                <asp:Label ID="lbl_msg12" Text="Processing... Please Wait..." runat="server" CssClass="specialdisplay"></asp:Label>
                <br />
                <br />
            </center>
            </asp:Panel>
            <%--  </ProgressTemplate>
        </asp:UpdateProgress>--%>

            <script src="../js/myformvalidations.js" type="text/javascript"></script>
            <script lang="javascript" type="text/javascript" src="../js/ScriptToClearCtrls.js"></script>
            <%--<script type="text/javascript" language="javascript" src="../js/FormValidations.js"></script>--%>
            <script type="text/javascript" lang="javascript" src="../js/GridCheckBoxMaintaining.js"></script>
            <script type="text/javascript" lang="javascript">
                function checkEscKey(event) {
                    // document.getElementById('pnlNotificationsList').style.display = 'none'
                    //                    var keynum                                  
                    //                    if(window.event) // IE                              
                    //                    {
                    //                       alert('esc key pressed');     
                    //                            keynum = event.keyCode
                    //                            alert(keynum);
                    //                    }
                    //                    else if(event.which) //Firefox
                    //                    {
                    //                    alert('esc key pressed');
                    //                            keynum = event.which
                    //                            alert(keynum);
                    //                    }     
                    //                    if (keynum == 27 ) {
                    //                     
                    //                    document.getElementById('pnlNotificationsList').style.display = 'none'


                    //var keycode;
                    //if (window.event) keycode = window.event.keyCode;
                    //else if (e) keycode = e.which;
                    //alert("keycode: " + keycode);
                }
            </script>
        </form>
    </div>
    <uc2:Footer ID="ucFooter" runat="server" />
</body>
</html>
