﻿<%@ page language="C#" autoeventwireup="true" inherits="Forms_TyreMapping, App_Web_egjhjt0c" enableeventvalidation="false" %>

<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc1" %>
<%@ Register Src="~/UserControls/TrinetraGrid.ascx" TagName="FleetGrid" TagPrefix="uc5" %>
<%@ Register Src="~/UserControls/TrinetraGrid.ascx" TagName="EmailGrid" TagPrefix="uc4" %>
<%@ Register Src="~/UserControls/New_Header.ascx" TagName="Header" TagPrefix="uc1" %>
<%@ Register Src="~/UserControls/New_Footer.ascx" TagName="Footer" TagPrefix="uc2" %>
<%@ Register Src="~/UserControls/Notification_List.ascx" TagPrefix="uc3" TagName="NotificationsList" %>
<%--<%@ Register Assembly="AspNetPager" Namespace="Wuqi.Webdiyer" TagPrefix="webdiyer" %>--%>

<%--<%@ Register Assembly="DevExpress.Web.v8.2, Version=8.2.10.0, Culture=neutral, PublicKeyToken=9b171c9fd64da1d1"
    Namespace="DevExpress.Web.ASPxMenu" TagPrefix="dxm" %>
<%@ Register Assembly="DevExpress.Web.ASPxGridView.v8.2" Namespace="DevExpress.Web.ASPxGridView"
    TagPrefix="dxgv" %>
<%@ Register Assembly="DevExpress.Web.ASPxEditors.v8.2, Version=8.2.10.0, Culture=neutral, PublicKeyToken=9b171c9fd64da1d1"
    Namespace="DevExpress.Web.ASPxEditors" TagPrefix="dxe" %>
<%@ Register Assembly="DevExpress.Web.ASPxEditors.v8.2" Namespace="DevExpress.Web.ASPxEditors"
    TagPrefix="dxe" %>
<%@ Register Assembly="DevExpress.Web.ASPxGridView.v8.2.Export" Namespace="DevExpress.Web.ASPxGridView.Export"
    TagPrefix="exp" %>
<%@ Register Assembly="DevExpress.Web.v8.2" Namespace="DevExpress.Web.ASPxPopupControl"
    TagPrefix="dxpc" %>
<%@ Register Assembly="DevExpress.Web.ASPxEditors.v8.2, Version=8.2.10.0, Culture=neutral, PublicKeyToken=9B171C9FD64DA1D1"
    Namespace="DevExpress.Web.ASPxEditors" TagPrefix="dx" %>--%>

<%@ Register Assembly="DevExpress.Web.v14.2" Namespace="DevExpress.Web" TagPrefix="dxw" %>

<!DOCTYPE html>
<html lang="en">
<head runat="server">
    <title>tSense-IoT Tyre Mapping</title>
    <meta content="charset=utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
    <%--<meta http-equiv="Page-Enter" content="blendTrans(Duration=0)" />
    <meta http-equiv="Page-Exit" content="blendTrans(Duration=0)" />
    <meta http-equiv="X-UA-Compatible" content="IE=7" />--%>

    <link href="../css/CustomeAlert/demos.css" rel="stylesheet" type="text/css" />
    <link href="../css/CustomeAlert/themes/jquery.ui.all.css" rel="stylesheet" type="text/css" />
    <link id="reset" runat="server" href="../css/reset.css" rel="stylesheet" type="text/css" />
    <link id="stylesheet2" runat="server" href="../css/stylesheet2.css" rel="stylesheet" type="text/css" />
    <link id="dropdown" runat="server" href="../css/dropdown.css" rel="stylesheet" type="text/css" />
    <link rel="SHORTCUT ICON" href="../images/favicon.ico" />
    <link id="ieonly" runat="server" rel="stylesheet" type="text/css" href="" />
    <link id="datepicker" runat="server" type="text/css" href="../css/ui.datepicker.css" rel="stylesheet" />
    <link id="uicore" runat="server" type="text/css" href="../css/ui.core.css" rel="stylesheet" />
    <link id="uitheme" runat="server" type="text/css" href="../css/ui.theme.css" rel="stylesheet" />

    <%--Custom Theme for DevEx 14.2--%>
    <link id="GridView" runat="server" type="text/css" href="~/App_Themes/Office2003Blue/GridView/grid.css" rel="stylesheet" />
    <link id="Editors" runat="server" type="text/css" href="~/App_Themes/Office2003Blue/Editors/styles.css" rel="stylesheet" />

    <%--BootStrap Css--%>
    <link id="BootStrapCss" href="../css/bootstrap.css" runat="server" rel="stylesheet" type="text/css" />
    <link id="mainstyle" runat="server" href="../css/mainstyle.css" rel="stylesheet" type="text/css" />
    <%--End of BootStrap Css--%>

    <script src="../js/CustomAlert/jquery.min.js" type="text/javascript"></script>
    <script src="../js/CustomAlert/jquery-ui-1.10.3.custom.min.js" type="text/javascript"></script>
    <script src="../js/CustomAlert/jquery-ui-1.10.3.custom.js" type="text/javascript"></script>
    <script src="../js/CustomAlert/CustomAlert.js" type="text/javascript"></script>
    <script src="../js/jquery-1.5.1.min.js" type="text/javascript"></script>
    <script src="../js/ui.datepicker.js" type="text/javascript"></script>
    <script src="../js/JQQueryDatePicker.js" type="text/javascript"></script>
    <script src="../js/myformvalidations.js" type="text/javascript"></script>
    <script src="../js/wow.min.js"></script>
</head>
<body>
    <div class="pageContainer">
        <form id="form1" runat="server">
            <asp:ScriptManager ID="ScriptManager1" runat="server">
            </asp:ScriptManager>
            <asp:UpdatePanel runat="server" ID="updVenDetails" UpdateMode="Conditional">
                <ContentTemplate>
                    <!-- Header Starts Here -->
                    <uc1:Header ID="ucHeader" runat="server" />
                    <!-- Nav Ends Here -->
                    <!-- Content Starts Here -->
                    <div id="outer">
                        <div id="inner">
                            <div id="float-wrap">
                                <!-- Main Content Starts Here -->
                                <div id="content">
                                    <div class="content-wrap">
                                        <div id="top-content" class="head-part">
                                            <div id="heading" class="col-sm-4">
                                                <img class="icon" src="../images/fleetmaintenance-icon.png" alt="" />
                                                <h1>
                                                    <asp:Literal ID="lblFleetMaintenanceCaption" Text="Fleet Maintenance" runat="server"></asp:Literal>
                                                </h1>
                                                <asp:LinkButton ID="lnkHomeCaption" runat="server">Home</asp:LinkButton>
                                                <span>&gt;</span>
                                                <asp:LinkButton ID="lnkVendorMgmt" PostBackUrl="TyreMapping.aspx" runat="server" Text="Tyre Mapping"></asp:LinkButton>
                                            </div>
                                            <div class="col-sm-8 head-part-btns">
                                                <div class="pull-right">
                                                    <asp:ImageButton ID="lbtnAddVendor1" runat="server" CausesValidation="false" OnClick="lbtnAddTyre_Click"
                                                        ImageUrl="~/images/btn-add-vehicle.jpg" Visible="false" />
                                                    <asp:LinkButton ID="lbtnAddVendor" runat="server" CssClass="MultilingualBtn" CausesValidation="false"
                                                        OnClick="lbtnAddTyre_Click">
                                                        <span id="Span1" runat="server" class="MultilingualBtnspan">
                                                            <div class="AddVehicle">
                                                                <div id="AddVendorDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                    Assign New Tyres
                                                                </div>
                                                            </div>
                                                        </span>
                                                    </asp:LinkButton>
                                                    <asp:ImageButton ID="lbtnVehSeveritySetting1" runat="server" CausesValidation="false"
                                                        ImageUrl="~/images/btn-vehicle-msg.jpg" Visible="false" />
                                                    <asp:LinkButton ID="lbtnRemoveTyreMapping" runat="server" CssClass="MultilingualBtn"
                                                        CausesValidation="false" OnClick="lbtnRemoveAddTyre_Click">
                                                        <span id="spnRemap" runat="server" class="MultilingualBtnspan">
                                                            <div class="AddVehicle">
                                                                <div id="SeveritySettingsDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                    Assign Removed Tyres
                                                                </div>
                                                            </div>
                                                        </span>
                                                    </asp:LinkButton>
                                                    <asp:ImageButton ID="ImageButton2" runat="server" CausesValidation="false" ImageUrl="~/images/btn-vehicle-msg.jpg"
                                                        Visible="false" />
                                                    <asp:LinkButton ID="lnkViewRemovedTyre" runat="server" CssClass="MultilingualBtn" CausesValidation="false"
                                                        OnClick="lbtnViewRemovedTyre_Click">
                                                        <span id="Span17" runat="server" class="MultilingualBtnspan">
                                                            <div class="AddVehicle">
                                                                <div id="Div6" runat="server" class="MultilingualBtnTextAlign">
                                                                    View Removed Tyres
                                                                </div>
                                                            </div>
                                                        </span>
                                                    </asp:LinkButton>
                                                    <asp:ImageButton ID="ibtnBackToConfig1" runat="server" CausesValidation="false" ImageUrl="~/images/btnFleetMaintenance.png"
                                                        PostBackUrl="~/Forms/FleetMaintenancePanel.aspx" Visible="false" />
                                                    <asp:LinkButton ID="ibtnBackToConfig" runat="server" CausesValidation="false" CssClass="MultilingualBtn"
                                                        PostBackUrl="~/Forms/FleetMaintenancePanel.aspx">
                                                        <span id="Span3" runat="server" class="MultilingualBtnspan">
                                                            <div class="Back">
                                                                <div id="BacktoConfigurationDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                    Back to Fleet Maintenance
                                                                </div>
                                                            </div>
                                                        </span>
                                                    </asp:LinkButton>
                                                </div>
                                            </div>
                                            <div class="clear clearfix"></div>
                                        </div>
                                        <div class="clear clearfix"></div>
                                        <asp:HiddenField ID="hdnRethreadPopup" runat="server" />
                                        <asp:Panel ID="pnlVendorInfo" runat="server" Visible="false">
                                            <div class="form-box">
                                                <h1>
                                                    <span class="icon">
                                                        <img src="../images/vehicle-icon.gif" alt="" title="" />
                                                    </span>
                                                    <asp:Label ID="lblVenInfoHeading" runat="server" Text="Tyre Mapping Information"></asp:Label>
                                                </h1>
                                                <div class="form-tbl rptFormTbl">
                                                    <div class="col-sm-12 nullpadding">
                                                        <div class="form-horizontal">
                                                            <div class="form-group" id="trReovedTyrePnl" runat="server" visible="false">
                                                                <div class="col-sm-2 col-md-1 padding-width-sm icon-img">
                                                                    <asp:Label ID="Label19" runat="server" Text="Select Tyre"></asp:Label>
                                                                    <span style="color: red">*</span>
                                                                </div>
                                                                <div class="col-sm-3 padding-width-sm">
                                                                    <asp:DropDownList ID="ddlRemovedTyre" runat="server" AutoPostBack="true" TabIndex="1"
                                                                        CssClass="form-control" OnSelectedIndexChanged="ddlRemovedTyre_SelectionChanged">
                                                                    </asp:DropDownList>
                                                                </div>
                                                                <div class="col-sm-2 col-md-1 padding-width-sm icon-img">
                                                                    <asp:Label ID="Label20" runat="server" Text="Retreaded Tyre" Visible="true"></asp:Label>
                                                                </div>
                                                                <div class="col-sm-3 padding-width-sm">
                                                                    <asp:DropDownList ID="DropDownList2" AutoPostBack="true" runat="server" Visible="false"
                                                                        CssClass="form-control" OnSelectedIndexChanged="ddlModel_SelectionChanged">
                                                                    </asp:DropDownList>
                                                                    <asp:CheckBox ID="chkRethreaded" runat="server" AutoPostBack="true" Text="" Checked="false"
                                                                        OnCheckedChanged="onCheckChanged" />
                                                                </div>
                                                            </div>
                                                            <div class="form-group">
                                                                <div class="col-sm-2 col-md-1 padding-width-sm icon-img">
                                                                    <asp:Label ID="lblVName" runat="server" Text="Vehicle Name"></asp:Label>
                                                                    <span style="color: red">*</span>
                                                                </div>
                                                                <div class="col-sm-3 padding-width-sm form-controllinebreak">
                                                                    <%--    <asp:TextBox ID="txtVenName" MaxLength="49" onkeypress="return chkDescription(event,this,49);"
                                                            TabIndex="2" runat="server" CssClass="form-control" Visible="false"></asp:TextBox>--%>
                                                                    <asp:DropDownList ID="ddlVehicleName" runat="server" TabIndex="3" CssClass="form-control"
                                                                        OnSelectedIndexChanged="VehicleName_selectionchanged" AutoPostBack="true">
                                                                    </asp:DropDownList>
                                                                </div>
                                                                <div class="col-sm-2 col-md-1 padding-width-sm icon-img">
                                                                    <asp:Label ID="lblId" runat="server" Text="Vendor Name"></asp:Label>
                                                                    <span style="color: red">*</span>
                                                                </div>
                                                                <div class="col-sm-3 padding-width-sm">
                                                                    <asp:DropDownList ID="ddlVendorName" AutoPostBack="true" runat="server" TabIndex="4"
                                                                        CssClass="form-control" OnSelectedIndexChanged="ddlVendorName_SelectionChanged">
                                                                    </asp:DropDownList>
                                                                    <%-- <asp:TextBox ID="txtTyreId1" MaxLength="49" TabIndex="1" runat="server" CssClass="form-control"></asp:TextBox>--%>
                                                                </div>
                                                            </div>
                                                            <div class="form-group">
                                                                <div class="col-sm-2 col-md-1 padding-width-sm icon-img">
                                                                    <asp:Label ID="Label12" runat="server" Text="Brand Name"></asp:Label>
                                                                    <span style="color: red">*</span>
                                                                </div>
                                                                <div class="col-sm-3 padding-width-sm form-controllinebreak">
                                                                    <asp:DropDownList ID="ddlTyre" runat="server" AutoPostBack="true" TabIndex="5"
                                                                        CssClass="form-control" OnSelectedIndexChanged="ddlBrandName_SelectionChanged">
                                                                    </asp:DropDownList>
                                                                </div>
                                                                <div class="col-sm-2 col-md-1 padding-width-sm icon-img">
                                                                    <asp:Label ID="Label16" runat="server" Text="Model"></asp:Label>
                                                                    <span style="color: red">*</span>
                                                                </div>
                                                                <div class="col-sm-3 padding-width-sm">
                                                                    <asp:TextBox ID="txtAvailable" runat="server" onpaste="return false" ondrop="return false"
                                                                        CssClass="form-control" TabIndex="6" Visible="false"></asp:TextBox>
                                                                    <asp:DropDownList ID="ddlModel" AutoPostBack="true" runat="server" TabIndex="2"
                                                                        CssClass="form-control" OnSelectedIndexChanged="ddlModel_SelectionChanged">
                                                                    </asp:DropDownList>
                                                                </div>
                                                            </div>
                                                            <div class="form-group">
                                                                <div class="col-sm-2 col-md-1 padding-width-sm icon-img">
                                                                    <asp:Label ID="Label11" runat="server" Text="Tyre Name"></asp:Label>
                                                                    <span style="color: red">*</span>
                                                                </div>
                                                                <div class="col-sm-3 padding-width-sm form-controllinebreak">
                                                                    <asp:TextBox ID="txtTyreName" runat="server" onpaste="return false" ondrop="return false"
                                                                        CssClass="form-control" TabIndex="7" MaxLength="25"></asp:TextBox>
                                                                </div>
                                                                <div class="col-sm-2 col-md-1 padding-width-sm icon-img">
                                                                    <asp:Label ID="lblPurchaseDate" runat="server" Text="Date"></asp:Label>
                                                                    <asp:Label ID="Label15" runat="server" ForeColor="Red">*</asp:Label>
                                                                </div>
                                                                <div class="col-sm-3 padding-width-sm">
                                                                    <asp:HiddenField runat="server" ID="hdnDateFormat" Value="dd-MMM-yyyy" />
                                                                    <asp:TextBox ID="txtDateOfJoining" runat="server" oncopy="return false" oncut="return false"
                                                                        TabIndex="8" onkeydown="doCheckBackSpaceOrDelete()" onkeypress="return false"
                                                                        onpaste="return false" CssClass="form-control" ToolTip="dd-MMM-yyyy"></asp:TextBox>
                                                                </div>
                                                            </div>
                                                            <div class="form-group">
                                                                <div class="col-sm-2 col-md-1 padding-width-sm icon-img">
                                                                    <asp:Label ID="lblAxle" runat="server" Text="Axle"></asp:Label>
                                                                    <span style="color: red">*</span>
                                                                </div>
                                                                <div class="col-sm-3 padding-width-sm form-controllinebreak">
                                                                    <%--     <asp:TextBox ID="ddlAxle" MaxLength="25" runat="server" onkeypress="return chkDescription(event,this,25);"
                                                            TabIndex="3" CssClass="form-control"></asp:TextBox>--%>
                                                                    <asp:DropDownList ID="ddlAxle" AutoPostBack="true" runat="server" TabIndex="9"
                                                                        CssClass="form-control" OnSelectedIndexChanged="Axle_selectionchanged">
                                                                    </asp:DropDownList>
                                                                </div>
                                                                <div class="col-sm-2 col-md-1 padding-width-sm icon-img">
                                                                    <asp:Label ID="lblLocation" runat="server" Text="Location"></asp:Label>
                                                                    <span style="color: red">*</span>
                                                                </div>
                                                                <div class="col-sm-3 padding-width-sm">
                                                                    <%--<asp:TextBox ID="ddlLocation" runat="server" TabIndex="4" onpaste="return false"
                                                            CssClass="form-control" onkeypress="return chkDescription(event,this,25);" MaxLength="25"> </asp:TextBox>--%>
                                                                    <asp:DropDownList ID="ddlLocation" runat="server" TabIndex="10" CssClass="form-control">
                                                                    </asp:DropDownList>
                                                                </div>
                                                            </div>
                                                            <div class="form-group">
                                                                <div class="col-sm-2 col-md-1 padding-width-sm icon-img">
                                                                    <asp:Label ID="lblOdometer" runat="server" Text="Odometer"></asp:Label>
                                                                    <%--    <span style="color: red">*</span>--%>
                                                                </div>
                                                                <div class="col-sm-3 padding-width-sm form-controllinebreak">
                                                                    <asp:TextBox ID="txtOdometer" runat="server" oncopy="return false" TabIndex="11"
                                                                        CssClass="form-control" MaxLength="10" ondrop="return false" onpaste="return false"
                                                                        onkeypress="return false" />
                                                                </div>
                                                                <%--<cc1:CalendarExtender ID="calFCExpired" runat="server" CssClass="cal_Theme1" TargetControlID="txtFcExpired"
                                                            Format="dd/MM/yyyy" OnClientDateSelectionChanged="FutureDate">
                                                        </cc1:CalendarExtender>--%>
                                                                <div class="col-sm-2 col-md-1 padding-width-sm icon-img">
                                                                    <asp:Label ID="lblLifetimeKM" runat="server" Text="Lifetime(KM)"></asp:Label>
                                                                    <%--  <span style="color: red">*</span>--%>
                                                                </div>
                                                                <div class="col-sm-3 padding-width-sm">
                                                                    <asp:TextBox ID="txtLifetimeKM" runat="server" onpaste="return false" onkeypress="return false;"
                                                                        ondrop="return false" CssClass="form-control" TabIndex="12"></asp:TextBox>
                                                                </div>
                                                            </div>
                                                            <div class="form-group">
                                                                <div class="col-sm-2 col-md-1 padding-width-sm icon-img">
                                                                    <asp:Label ID="Label2" runat="server" Text="Remainder"></asp:Label>
                                                                    <%--  <span style="color: red">*</span>--%>
                                                                </div>
                                                                <div class="col-sm-3 padding-width-sm form-controllinebreak">
                                                                    <div class="col-xs-4 padding-width-sm">
                                                                        1st &nbsp;
                                                            <asp:DropDownList ID="ddlPercentageR1" runat="server" CssClass="form-control" TabIndex="13">
                                                                <asp:ListItem Text="20%" Value="20" Selected="True"></asp:ListItem>
                                                                <asp:ListItem Text="30%" Value="30"></asp:ListItem>
                                                                <asp:ListItem Text="40%" Value="40"></asp:ListItem>
                                                                <asp:ListItem Text="50%" Value="50"></asp:ListItem>
                                                                <asp:ListItem Text="60%" Value="60"></asp:ListItem>
                                                                <asp:ListItem Text="70%" Value="70"></asp:ListItem>
                                                                <asp:ListItem Text="75%" Value="75"></asp:ListItem>
                                                                <asp:ListItem Text="80%" Value="80"></asp:ListItem>
                                                                <asp:ListItem Text="90%" Value="90"></asp:ListItem>
                                                            </asp:DropDownList>
                                                                    </div>
                                                                    &nbsp; 
                                                                    <div class="col-xs-4 padding-width-sm">
                                                                        2nd &nbsp;
                                                            <asp:DropDownList ID="ddlPercentageR2" runat="server" class="form-control" TabIndex="14">
                                                                <asp:ListItem Text="20%" Value="20" Selected="True"></asp:ListItem>
                                                                <asp:ListItem Text="30%" Value="30"></asp:ListItem>
                                                                <asp:ListItem Text="40%" Value="40"></asp:ListItem>
                                                                <asp:ListItem Text="50%" Value="50"></asp:ListItem>
                                                                <asp:ListItem Text="60%" Value="60"></asp:ListItem>
                                                                <asp:ListItem Text="70%" Value="70"></asp:ListItem>
                                                                <asp:ListItem Text="75%" Value="75"></asp:ListItem>
                                                                <asp:ListItem Text="80%" Value="80"></asp:ListItem>
                                                                <asp:ListItem Text="90%" Value="90"></asp:ListItem>
                                                            </asp:DropDownList>
                                                                    </div>
                                                                    &nbsp;
                                                                    <div class="col-xs-4 padding-width-sm" style="margin-top: -16px;">
                                                                        3rd &nbsp;
                                                            <asp:DropDownList ID="ddlPercentageR3" runat="server" class="form-control" TabIndex="15">
                                                                <asp:ListItem Text="20%" Value="20" Selected="True"></asp:ListItem>
                                                                <asp:ListItem Text="30%" Value="30"></asp:ListItem>
                                                                <asp:ListItem Text="40%" Value="40"></asp:ListItem>
                                                                <asp:ListItem Text="50%" Value="50"></asp:ListItem>
                                                                <asp:ListItem Text="60%" Value="60"></asp:ListItem>
                                                                <asp:ListItem Text="70%" Value="70"></asp:ListItem>
                                                                <asp:ListItem Text="75%" Value="75"></asp:ListItem>
                                                                <asp:ListItem Text="80%" Value="80"></asp:ListItem>
                                                                <asp:ListItem Text="90%" Value="90"></asp:ListItem>
                                                            </asp:DropDownList>
                                                                    </div>
                                                                </div>
                                                                <div class="col-sm-2 col-md-1 padding-width-sm icon-img">
                                                                    <asp:Label ID="Label10" runat="server" Text="TyreID" Visible="false"></asp:Label>
                                                                    <%--    <span style="color: red">*</span>--%>
                                                                </div>
                                                                <div class="col-sm-3 padding-width-sm">
                                                                    <asp:TextBox ID="txtTId" runat="server" oncopy="return false" TabIndex="16" CssClass="form-control"
                                                                        MaxLength="10" ondrop="return false" onpaste="return false" onkeypress="return false"
                                                                        Visible="false" />
                                                                </div>
                                                            </div>
                                                            <div class="form-group">
                                                                <div class="col-xs-2 col-md-1"></div>
                                                                <div class="col-sm-9 padding-width-sm icon-img">
                                                                    <asp:ImageButton ID="btnAddNotifictions1" runat="server" CssClass="btn" OnClick="btnAddNotifictions_Click"
                                                                        OnClientClick="ShowPopUp();" TabIndex="8" ImageUrl="~/images/btn-manage-notification.jpg"
                                                                        onkeypress="return checkEscKey(event)" Visible="false" />
                                                                    <asp:LinkButton ID="btnAddNotifictions" runat="server" CssClass="MultilingualBtn"
                                                                        OnClientClick="ShowPopUp();" OnClick="btnAddNotifictions_Click">
                                                                        <span id="Span11" runat="server" class="MultilingualBtnspan">
                                                                            <div class="ManageNotification">
                                                                                <div id="AddNotifictionsButDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                                    Manage Notifications
                                                                                </div>
                                                                            </div>
                                                                        </span>
                                                                    </asp:LinkButton>
                                                                </div>
                                                            </div>
                                                            <div class="form-group">
                                                                <div class="col-xs-12 padding-width-sm icon-img">
                                                                    <asp:Label ID="Label1" runat="server" ForeColor="Red">*</asp:Label>&nbsp;
                                                                    <asp:Label ID="lblIndicatesMandatory" runat="server">Required Fields</asp:Label>
                                                                </div>
                                                            </div>
                                                            <div class="form-group">
                                                                <div class="col-xs-2 col-md-1"></div>
                                                                <div class="col-sm-9 padding-width-sm icon-img">
                                                                    <asp:LinkButton ID="ibtnAddToList" ValidationGroup="vgVeh" runat="server" CssClass="MultilingualBtn"
                                                                        CausesValidation="false" OnClientClick="return ValidateTyreMapping();" OnClick="ibtnAddToList_Click">
                                                                        <span id="Span12" runat="server" class="MultilingualBtnspan">
                                                                            <div class="Update">
                                                                                <div id="Div2" runat="server" class="MultilingualBtnTextAlign">
                                                                                    Add To List
                                                                                </div>
                                                                            </div>
                                                                        </span>
                                                                    </asp:LinkButton>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="clearfix"></div>
                                                </div>
                                                <asp:Panel ID="pnlMap" runat="server">
                                                    <div id="grid-dsply">
                                                        <div class="clearfix"></div>
                                                        <div class="table-responsive">
                                                            <dxw:ASPxGridView ID="gvMap" runat="server" Width="100%" KeyFieldName="TyreMappingId"
                                                                Settings-ShowFooter="false" AutoGenerateColumns="false"
                                                                EnableTheming="true" Theme="Office2003Blue" CssFilePath="~/App_Themes/Office2003Blue/GridView/styles.css"
                                                                CssPostfix="Office2003_Blue" OnHtmlRowCreated="gvMap_OnHtmlRowCreated">
                                                                <Settings ShowVerticalScrollBar="true" VerticalScrollableHeight="200" />
                                                                <%--<Images ImageFolder="~/App_Themes/Office2003Blue/GridView/">
                                                            <CollapsedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvCollapsedButton.png"
                                                                Width="11px" />
                                                            <ExpandedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvExpandedButton.png"
                                                                Width="11px" />
                                                            <DetailCollapsedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvCollapsedButton.png"
                                                                Width="11px" />
                                                            <DetailExpandedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvExpandedButton.png"
                                                                Width="11px" />
                                                            </Images>--%>
                                                                <Styles CssFilePath="~/App_Themes/Office2003Blue/GridView/grid.css" AlternatingRow-Enabled="True"
                                                                    CssPostfix="Office2003_Blue">
                                                                    <Header ImageSpacing="5px" SortingImageSpacing="5px">
                                                                    </Header>
                                                                    <LoadingPanel ImageSpacing="10px">
                                                                    </LoadingPanel>
                                                                    <PagerBottomPanel CssClass="PageFooter">
                                                                    </PagerBottomPanel>
                                                                    <PagerTopPanel CssClass="PageFooter">
                                                                    </PagerTopPanel>
                                                                </Styles>
                                                                <SettingsPager PrevPageButton-Image-Url="../App_Themes/Office2003Blue/GridView/pPrev.gif"
                                                                    PrevPageButton-Image-UrlDisabled="../App_Themes/Office2003Blue/GridView/pPrevDisabled.gif"
                                                                    NextPageButton-Image-UrlDisabled="../App_Themes/Office2003Blue/GridView/pNextDisabled.gif"
                                                                    NextPageButton-Image-Url="../App_Themes/Office2003Blue/GridView/pNext.gif" AlwaysShowPager="true">
                                                                </SettingsPager>
                                                                <Columns>
                                                                    <dxw:GridViewDataColumn FieldName="TyreName" Caption="Tyre Name" VisibleIndex="0"
                                                                        Width="10%">
                                                                        <HeaderCaptionTemplate>
                                                                            <span class="icon">
                                                                                <img src="../Images/74.PNG" align="top" alt="" title="" /></span> <span>
                                                                                    <asp:Label ID="lblTyreCode" runat="server" Text="Tyre Name"></asp:Label></span>
                                                                        </HeaderCaptionTemplate>
                                                                        <DataItemTemplate>
                                                                            <asp:Label ID="lblTyreCode1" runat="server" Text='<%# Eval("TyreName")%>'>
                                                                            </asp:Label>
                                                                        </DataItemTemplate>
                                                                    </dxw:GridViewDataColumn>
                                                                    <dxw:GridViewDataColumn FieldName="VendorName" Caption="Vendor Name" VisibleIndex="1"
                                                                        Width="13%" HeaderStyle-HorizontalAlign="Center" CellStyle-HorizontalAlign="Center">
                                                                        <HeaderCaptionTemplate>
                                                                            <span class="icon">
                                                                                <img src="../images/71.PNG" alt="" title="" align="middle" /></span> <span>
                                                                                    <asp:Label ID="lblLifetime" runat="server" Text="Vendor Name"></asp:Label></span>
                                                                        </HeaderCaptionTemplate>
                                                                    </dxw:GridViewDataColumn>
                                                                    <dxw:GridViewDataColumn FieldName="BrandName" Caption="Brand Name" VisibleIndex="2"
                                                                        Width="11%" HeaderStyle-HorizontalAlign="Center" CellStyle-HorizontalAlign="Center">
                                                                        <HeaderCaptionTemplate>
                                                                            <span class="icon">
                                                                                <img src="../Images/icn-make-name.gif" alt="" title="" align="middle" /></span>
                                                                            <span>
                                                                                <asp:Label ID="lbLBrandName" runat="server" Text="Brand Name"></asp:Label></span>
                                                                        </HeaderCaptionTemplate>
                                                                    </dxw:GridViewDataColumn>
                                                                    <dxw:GridViewDataColumn FieldName="AxleName" Caption="Axle Name" VisibleIndex="3"
                                                                        Width="10%" HeaderStyle-HorizontalAlign="Center" CellStyle-HorizontalAlign="Center">
                                                                        <HeaderCaptionTemplate>
                                                                            <span class="icon">
                                                                                <img src="../images/85.PNG" alt="" title="" align="middle" /></span> <span>
                                                                                    <asp:Label ID="lblModal" runat="server" Text="Axle Name"></asp:Label></span>
                                                                        </HeaderCaptionTemplate>
                                                                    </dxw:GridViewDataColumn>
                                                                    <dxw:GridViewDataColumn FieldName="TyreLocation" Caption="Tyre Location" VisibleIndex="4"
                                                                        Width="13%" HeaderStyle-HorizontalAlign="Center" CellStyle-HorizontalAlign="Center">
                                                                        <HeaderCaptionTemplate>
                                                                            <span class="icon">
                                                                                <img src="../images/29.PNG" alt="" title="" /></span> <span>
                                                                                    <asp:Label ID="lblDateOfPurchase" runat="server" Text="Tyre Location"></asp:Label></span>
                                                                        </HeaderCaptionTemplate>
                                                                    </dxw:GridViewDataColumn>
                                                                    <dxw:GridViewDataColumn FieldName="Odometer" Caption="Odometer" VisibleIndex="5"
                                                                        Width="10%" CellStyle-HorizontalAlign="Center">
                                                                        <HeaderCaptionTemplate>
                                                                            <span class="icon">
                                                                                <img src="../images/58.PNG" alt="" title="" align="middle" /></span> <span>
                                                                                    <asp:Label ID="lblTyreBillNo" runat="server" Text="Odometer"></asp:Label></span>
                                                                        </HeaderCaptionTemplate>
                                                                    </dxw:GridViewDataColumn>
                                                                    <dxw:GridViewDataTextColumn FieldName="LifeTimeKM" VisibleIndex="6" Width="12%"
                                                                        Caption="LifeTime(KM)">
                                                                        <HeaderCaptionTemplate>
                                                                            <span class="icon">
                                                                                <asp:Image ID="imgDeviceID" runat="server" ImageUrl="../images/device-icon.gif" ImageAlign="top"
                                                                                    AlternateText="" /></span> <span>
                                                                                        <asp:Label runat="server" ID="lblDeviceIdHeading" Text="LifeTime(KM)"></asp:Label></span>
                                                                        </HeaderCaptionTemplate>
                                                                        <DataItemTemplate>
                                                                            <asp:Label ID="lblDeviceID" runat="server" Text='<%# Eval("LifeTimeKM")%>'>
                                                                            </asp:Label>
                                                                        </DataItemTemplate>
                                                                    </dxw:GridViewDataTextColumn>
                                                                    <dxw:GridViewDataColumn FieldName="EmailUserNameList" Caption="EmailUserNameList"
                                                                        VisibleIndex="7" Width="13%" CellStyle-Wrap="True">
                                                                        <HeaderCaptionTemplate>
                                                                            <span class="icon">
                                                                                <img src="../images/75.PNG" alt="" title="" /></span> <span>
                                                                                    <asp:Label ID="lblTyreCost" runat="server" Text="Email User"></asp:Label></span>
                                                                        </HeaderCaptionTemplate>
                                                                        <DataItemTemplate>
                                                                            <asp:Label ID="lblTyreCost" runat="server" Text='<%# Eval("EmailUserNameList")%>'></asp:Label></span>
                                                                        </DataItemTemplate>
                                                                        <Settings AllowAutoFilter="False" />
                                                                    </dxw:GridViewDataColumn>
                                                                    <dxw:GridViewDataTextColumn Caption="Edit" VisibleIndex="8" Width="3%" Name="Edit"
                                                                        CellStyle-HorizontalAlign="Center">
                                                                        <HeaderTemplate>
                                                                        </HeaderTemplate>
                                                                        <DataItemTemplate>
                                                                            <asp:LinkButton ID="btnUpdateVendor" runat="server" CommandArgument='<%# Eval("TyreMappingId") %>'
                                                                                OnClientClick="return ShowPopUp();" OnClick="btnUpdateMap_Click" Style="text-decoration: none;"><img src="../images/icn-edit.gif" alt="Edit" title="Click here to Edit"/></asp:LinkButton>
                                                                        </DataItemTemplate>
                                                                    </dxw:GridViewDataTextColumn>
                                                                    <dxw:GridViewDataTextColumn Caption="Delete" Width="3%" HeaderStyle-HorizontalAlign="Center"
                                                                        CellStyle-HorizontalAlign="Center" VisibleIndex="9">
                                                                        <HeaderTemplate>
                                                                        </HeaderTemplate>
                                                                        <DataItemTemplate>
                                                                            <%--Delete();--%>
                                                                            <asp:LinkButton ID="lbtnDeleteMap" runat="server" OnClientClick="return confirm('Are you sure want to delete this Mapping..!');"
                                                                                CommandArgument='<%#Eval("TyreMappingId") %>' OnClick="lbtnDelete_click"><img src="../images/delete-icon.gif" alt="Delete" title="Click here to Delete"/></asp:LinkButton>
                                                                        </DataItemTemplate>
                                                                    </dxw:GridViewDataTextColumn>
                                                                </Columns>
                                                                <Settings ShowFilterRow="false" ShowFilterRowMenu="false" />
                                                                <SettingsBehavior AllowDragDrop="false" AllowSort="false" />
                                                                <SettingsText EmptyDataRow="No Records Added" />
                                                                <SettingsPager PageSize="25">
                                                                </SettingsPager>
                                                            </dxw:ASPxGridView>
                                                        </div>
                                                    </div>
                                                    <div class="clear clearfix"></div>
                                                </asp:Panel>
                                                <div class="clear clearfix"></div>
                                                <asp:Panel ID="pnlSave" runat="server" CssClass="form-group">
                                                    <div class="col-xs-9">
                                                        <asp:ImageButton ID="ibtnUpdateVehicle1" runat="server" CausesValidation="true" ImageUrl="~/images/btn-update.jpg"
                                                            ValidationGroup="vgVeh" TabIndex="12" OnClientClick="return ValidateTyreMapping();"
                                                            OnClick="ibtnUpdateTyre_Click" Visible="false" />
                                                        <asp:LinkButton ID="ibtnUpdateVendor" ValidationGroup="vgVeh" runat="server" CssClass="MultilingualBtn"
                                                            CausesValidation="false" OnClientClick="return ValidateTyreMapping();" OnClick="ibtnUpdateTyre_Click">
                                                            <span id="Span6" runat="server" class="MultilingualBtnspan">
                                                                <div class="Update">
                                                                    <div id="UpdateVehicleButDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                        Update
                                                                    </div>
                                                                </div>
                                                            </span>
                                                        </asp:LinkButton>
                                                        <asp:ImageButton ID="ibtnAddVendor1" runat="server" CausesValidation="true" ImageUrl="~/images/btn-save.jpg"
                                                            ValidationGroup="vgVeh" TabIndex="13" OnClick="ibtnMap_Click" Visible="false" />
                                                        <asp:LinkButton ID="ibtnAddVendor" runat="server" CssClass="MultilingualBtn" ValidationGroup="vgVeh"
                                                            TabIndex="13" OnClick="ibtnMap_Click">
                                                            <span id="Span7" runat="server" class="MultilingualBtnspan">
                                                                <div class="Save">
                                                                    <div id="AddVehicleButDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                        Save
                                                                    </div>
                                                                </div>
                                                            </span>
                                                        </asp:LinkButton>
                                                        <%--  </td>  ibtnAddTyre_Click
                                                                <td>--%>&nbsp;
                                                            <asp:ImageButton ID="btnUserCancel1" runat="server" OnClick="btnUserCancel_Click"
                                                                CausesValidation="false" TabIndex="14" ImageUrl="~/images/btn-cancel.jpg" Visible="false" />
                                                        <asp:LinkButton ID="btnUserCancel" runat="server" CssClass="MultilingualBtn" OnClick="btnUserCancel_Click"
                                                            CausesValidation="false">
                                                            <%--OnClientClick="return ClearData();"--%>
                                                            <span id="Span8" runat="server" class="MultilingualBtnspan">
                                                                <div class="Cancel">
                                                                    <div id="UserCancelDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                        Cancel
                                                                    </div>
                                                                </div>
                                                            </span>
                                                        </asp:LinkButton>
                                                    </div>
                                                    <div class="clearfix"></div>
                                                </asp:Panel>
                                            </div>
                                            <cc1:ModalPopupExtender ID="mpRethreadPopup" PopupControlID="pnlRethread" TargetControlID="hdnRethreadPopup"
                                                X="500" runat="server" DynamicServicePath="" BackgroundCssClass="modalbackground"
                                                CancelControlID="btnCancelLifeTime">
                                            </cc1:ModalPopupExtender>
                                            <asp:Panel ID="pnlRethread" runat="server" Style="display: none;" CssClass="searchPanel">
                                                <div class="popup">
                                                    <div class="top">
                                                        <h1>
                                                            <asp:Label ID="Label22" Text="Enter Retreaded Tyre Details " runat="server"></asp:Label>
                                                        </h1>
                                                        <div class="close">
                                                            <asp:ImageButton ID="ImageButton6" OnClientClick="$find('mpRethreadPopup').hide(); return false;"
                                                                CausesValidation="false" ImageUrl="~/images/popup-close.gif" Visible="true" runat="server" />
                                                        </div>
                                                        <div class="clear clearfix"></div>
                                                    </div>
                                                    <div class="popup-content">
                                                        <div class="form-tbl">
                                                            <div class="form-group">
                                                                <div class="col-sm-2 col-md-1 padding-width-sm icon-img">
                                                                    <asp:Label ID="Label23" runat="server" Text="Lifetime(KM)"></asp:Label>
                                                                    <span style="color: red">*</span>
                                                                </div>
                                                                <div class="col-sm-3 padding-width-sm">
                                                                    <asp:TextBox ID="txtLifeTimeRethread" runat="server" MaxLength="15"
                                                                        TabIndex="40" TextMode="SingleLine" onpaste="return false;" ondrop="return false;"
                                                                        onkeypress="return chkNumeric_only(event);"></asp:TextBox>
                                                                </div>
                                                            </div>
                                                            <div class="form-group">
                                                                <div class="col-sm-2 col-md-1 padding-width-sm icon-img">
                                                                    <asp:Label ID="lblRetreadVendorName" runat="server" Text="Vendor Name"></asp:Label>
                                                                </div>
                                                                <div class="col-sm-3 padding-width-sm">
                                                                    <asp:DropDownList ID="ddlRetreadVendor" runat="server" Width="155px">
                                                                    </asp:DropDownList>
                                                                    <asp:ImageButton ID="lnkAdd" runat="server" ToolTip="Click here to Add New Vendor"
                                                                        OnClick="lnkAdd_Click" ImageUrl="../images/add-icon.gif"></asp:ImageButton>
                                                                </div>
                                                            </div>
                                                            <div class="form-group">
                                                                <div class="col-sm-2 col-md-1 padding-width-sm icon-img">
                                                                    <asp:Label ID="lblRetreadCost" runat="server" Text="Retreaded Cost"></asp:Label>
                                                                </div>
                                                                <div class="col-sm-3 padding-width-sm">
                                                                    <asp:TextBox ID="txtRetraedCost" runat="server" CssClass="form-control"
                                                                        MaxLength="10" onpaste="return false" onkeypress="return chkDecNums(event, this);"></asp:TextBox>
                                                                </div>
                                                            </div>
                                                            <div class="form-group">
                                                                <asp:ImageButton ID="btnSaveLifeTime1" runat="server" CausesValidation="true" TabIndex="42"
                                                                    ImageUrl="~/images/btn-save.jpg" Visible="false" OnClick="btnSaveLifeTime_Click" />
                                                                <asp:LinkButton ID="btnSaveLifeTime" runat="server" CausesValidation="true" CssClass="MultilingualBtn"
                                                                    OnClientClick="return ValidateLifetimeKM()" OnClick="btnSaveLifeTime_Click">
                                                                    <span id="Span19" runat="server" class="MultilingualBtnspan">
                                                                        <div class="Save">
                                                                            <div id="Div9" runat="server" class="MultilingualBtnTextAlign">
                                                                                Save
                                                                            </div>
                                                                        </div>
                                                                    </span>
                                                                </asp:LinkButton>&nbsp;
                                                                <asp:ImageButton ID="btnCancelLifeTime1" runat="server" class="btn" ImageUrl="~/images/btn-cancel.jpg"
                                                                    TabIndex="43" Visible="false" OnClick="btnCancelLifeTime_Click" OnClientClick="ClearLifetime();" />
                                                                <asp:LinkButton ID="btnCancelLifeTime" runat="server" CssClass="MultilingualBtn"
                                                                    OnClientClick="ClearLifetime();" OnClick="btnCancelLifeTime_Click">
                                                                    <span id="Span20" runat="server" class="MultilingualBtnspan">
                                                                        <div class="Cancel">
                                                                            <div id="Div10" runat="server" class="MultilingualBtnTextAlign">
                                                                                Cancel
                                                                            </div>
                                                                        </div>
                                                                    </span>
                                                                </asp:LinkButton>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </asp:Panel>
                                        </asp:Panel>
                                        <asp:Panel ID="pnlSwapping" runat="server" Visible="false">
                                            <div class="form-box">
                                                <h1>
                                                    <span class="icon">
                                                        <img src="../images/vehicle-icon.gif" alt="" title="" />
                                                    </span>
                                                    <asp:Label ID="Label3" runat="server" Text="Tyre Swapping Information"></asp:Label>
                                                </h1>
                                                <div class="form-tbl rptFormTbl">
                                                    <div class="form-horizontal">
                                                        <div class="form-group">
                                                            <div class="col-sm-2 col-md-1 padding-width-sm icon-img">
                                                                <asp:Label ID="Label4" runat="server" Text="From Vehicle Name"></asp:Label>
                                                                <span style="color: red"></span>
                                                            </div>
                                                            <div class="col-sm-3 padding-width-sm form-controllinebreak">
                                                                <asp:TextBox ID="txtFromVehicle" runat="server" onkeypress="return false" onPaste="return false"
                                                                    ondrop="return false" runat="server" CssClass="form-control"></asp:TextBox>
                                                                <%--            <asp:Label ID="lblFromVehicleName" runat="server" ></asp:Label>--%>
                                                                <%--   <asp:DropDownList ID="DropDownList1" runat="server" TabIndex="1" CssClass="form-control"
                                                            OnSelectedIndexChanged="VehicleName_selectionchanged" AutoPostBack="true">
                                                        </asp:DropDownList>--%>
                                                            </div>
                                                            <div class="col-sm-2 col-md-1 padding-width-sm icon-img">
                                                                <asp:Label ID="Label5" runat="server" Text="To Vehicle Name"></asp:Label>
                                                                <span style="color: red">*</span>
                                                            </div>
                                                            <div class="col-sm-3 padding-width-sm">
                                                                <%-- <asp:TextBox ID="txtTyreId1" MaxLength="49" TabIndex="1" runat="server" CssClass="form-control"></asp:TextBox>--%>
                                                                <asp:DropDownList ID="ddlToVehicleNames" runat="server" AutoPostBack="true" TabIndex="1"
                                                                    CssClass="form-control" OnSelectedIndexChanged="ToVehicleName_selectionchanged">
                                                                </asp:DropDownList>
                                                            </div>
                                                        </div>
                                                        <div class="form-group">
                                                            <div class="col-sm-2 col-md-1 padding-width-sm icon-img">
                                                                <asp:Label ID="Label6" runat="server" Text="From Axle"></asp:Label>
                                                            </div>
                                                            <div class="col-sm-3 padding-width-sm form-controllinebreak">
                                                                <asp:TextBox ID="txtFromAxle" MaxLength="25" runat="server" CssClass="form-control"
                                                                    onkeypress="return false" onpaste="return false" ondrop="return false"></asp:TextBox>
                                                            </div>
                                                            <div class="col-sm-2 col-md-1 padding-width-sm icon-img">
                                                                <asp:Label ID="Label7" runat="server" Text="To Axle"></asp:Label>
                                                                <span style="color: red">*</span>
                                                            </div>
                                                            <div class="col-sm-3 padding-width-sm">
                                                                <%--<asp:TextBox ID="ddlLocation" runat="server" TabIndex="4" onpaste="return false"
                                                            CssClass="form-control" onkeypress="return chkDescription(event,this,25);" MaxLength="25"> </asp:TextBox>--%>
                                                                <asp:DropDownList ID="ddlToAxle" AutoPostBack="true" runat="server" TabIndex="2"
                                                                    CssClass="form-control" OnSelectedIndexChanged="AxleTo_selectionchanged">
                                                                </asp:DropDownList>
                                                            </div>
                                                        </div>
                                                        <div class="form-group">
                                                            <div class="col-sm-2 col-md-1 padding-width-sm icon-img">
                                                                <asp:Label ID="Label8" runat="server" Text="From Location"></asp:Label>
                                                                <%--    <span style="color: red">*</span>--%>
                                                            </div>
                                                            <div class="col-sm-3 padding-width-sm form-controllinebreak">
                                                                <asp:TextBox ID="txtFromLocation" runat="server" oncopy="return false" CssClass="form-control"
                                                                    MaxLength="10" ondrop="return false" onpaste="return false" onkeypress="return false" />
                                                            </div>
                                                            <%--<cc1:CalendarExtender ID="calFCExpired" runat="server" CssClass="cal_Theme1" TargetControlID="txtFcExpired"
                                                            Format="dd/MM/yyyy" OnClientDateSelectionChanged="FutureDate">
                                                        </cc1:CalendarExtender>--%>
                                                            <div class="col-sm-2 col-md-1 padding-width-sm icon-img">
                                                                <asp:Label ID="Label9" runat="server" Text="To Location"></asp:Label>
                                                                <span style="color: red">*</span>
                                                            </div>
                                                            <div class="col-sm-3 padding-width-sm">
                                                                <asp:DropDownList ID="ddlToLocation" runat="server" TabIndex="3" CssClass="form-control">
                                                                </asp:DropDownList>
                                                            </div>
                                                        </div>
                                                        <div class="form-group">
                                                            <div class="col-sm-2 col-md-1 padding-width-sm icon-img">
                                                                <asp:Label ID="Label18" runat="server" Text="Reason For Swapping"></asp:Label>
                                                                <%--    <span style="color: red">*</span>--%>
                                                            </div>
                                                            <div class="col-sm-3 padding-width-sm form-controllinebreak">
                                                                <asp:TextBox ID="txtSwapComment" runat="server" oncopy="return false" CssClass="form-control"
                                                                    TextMode="MultiLine" MaxLength="150" ondrop="return false" onpaste="return false"
                                                                    onkeypress="return chkDescription(event,this,150);" />
                                                            </div>
                                                        </div>
                                                        <div class="form-group">
                                                            <div class="col-sm-3 padding-width-sm icon-img">
                                                                <asp:Label ID="Label13" runat="server" ForeColor="Red">*</asp:Label>&nbsp;
                                                            <asp:Label ID="Label14" runat="server">Required Fields</asp:Label>
                                                            </div>
                                                        </div>
                                                        <div class="form-group">
                                                            <div class="col-xs-3"></div>
                                                            <div class="col-sm-3 padding-width-sm">
                                                                <asp:ImageButton ID="ImageButton3" runat="server" CausesValidation="true" ImageUrl="~/images/btn-save.jpg"
                                                                    ValidationGroup="vgVeh" TabIndex="4" OnClientClick="return ValidateTyreSwapping();"
                                                                    OnClick="ibtnSwapTyre_Click" Visible="false" />
                                                                <asp:LinkButton ID="LinkButton3" runat="server" CssClass="MultilingualBtn" ValidationGroup="vgVeh"
                                                                    TabIndex="13" OnClientClick="return ValidateTyreSwapping();" OnClick="ibtnSwapTyre_Click">
                                                                    <span id="Span14" runat="server" class="MultilingualBtnspan">
                                                                        <div class="Save">
                                                                            <div id="Div3" runat="server" class="MultilingualBtnTextAlign">
                                                                                Save
                                                                            </div>
                                                                        </div>
                                                                    </span>
                                                                </asp:LinkButton>&nbsp;
                                                            <asp:ImageButton ID="ImageButton4" runat="server" OnClick="btnUserCancel_Click" CausesValidation="false"
                                                                TabIndex="5" ImageUrl="~/images/btn-cancel.jpg" Visible="false" />
                                                                <asp:LinkButton ID="LinkButton4" runat="server" CssClass="MultilingualBtn" OnClick="btnUserCancel_Click"
                                                                    CausesValidation="false">
                                                                    <%--OnClientClick="return ClearData();"--%>
                                                                    <span id="Span15" runat="server" class="MultilingualBtnspan">
                                                                        <div class="Cancel">
                                                                            <div id="Div4" runat="server" class="MultilingualBtnTextAlign">
                                                                                Cancel
                                                                            </div>
                                                                        </div>
                                                                    </span>
                                                                </asp:LinkButton>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="clear clearfix"></div>
                                            </div>
                                        </asp:Panel>
                                    </div>
                                    <div class="clear clearfix"></div>
                                    <asp:Panel ID="pnlVendorDetailsList" runat="server">
                                        <div id="grid-dsply">
                                            <div id="top">
                                                <div class="col-xs-12 gridheader">
                                                    <div class="col-sm-9 nullpadding">
                                                        <span class="txt">
                                                            <asp:Label runat="server" ID="lblFleetCaption" Text="Fleet"></asp:Label>
                                                        </span>
                                                        <span class="dropdown">
                                                            <dxw:ASPxComboBox ID="ddlFleet" runat="server" ValueType="System.Int32" Width="80px" Height="20px" AutoPostBack="true"
                                                                ShowImageInEditBox="false" ClientInstanceName="ddlFleet" SelectedIndex="0" EnableIncrementalFiltering="true"
                                                                CssFilePath="~/App_Themes/Office2003Blue/Editors/styles.css" CssPostfix="Office2003_Blue"
                                                                EnableTheming="true" Theme="Office2003Blue" OnSelectedIndexChanged="ddlFleet_SelectedIndexChanged">
                                                                <ClientSideEvents SelectedIndexChanged="function(s, e) { ShowPopUp(); }" />
                                                            </dxw:ASPxComboBox>
                                                        </span>&nbsp; 
                                                    <span class="txt">
                                                        <asp:Label ID="ASPxLabel1" runat="server" Text="Group by:" />
                                                    </span>&nbsp; 
                                                    <span class="dropdown">
                                                        <dxw:ASPxComboBox runat="server" ID="ASPxComboBox1" ShowImageInEditBox="false" ValueType="System.String"
                                                            SelectedIndex="0" ClientInstanceName="ASPxComboBox1" Width="80px" Height="20px" EnableTheming="true"
                                                            CssFilePath="~/App_Themes/Office2003Blue/Editors/styles.css" CssPostfix="Office2003_Blue" Theme="Office2003Blue">
                                                            <Items>
                                                                <dxw:ListEditItem Text="VehicleName" Value="0" />
                                                                <dxw:ListEditItem Text="BrandName" Value="2" />
                                                            </Items>
                                                            <ClientSideEvents SelectedIndexChanged="function(s) { gvTyre.PerformCallback(s.GetValue()) }" />
                                                        </dxw:ASPxComboBox>
                                                    </span>
                                                        <span class="dropdown">
                                                            <dxw:ASPxButton runat="server" ID="btnCollapse" Text="Collapse All Rows" UseSubmitBehavior="false"
                                                                AutoPostBack="false" Visible="false">
                                                                <ClientSideEvents Click="function() { gvTyre.CollapseAll() }" />
                                                            </dxw:ASPxButton>
                                                        </span>
                                                        <span class="txt">
                                                            <asp:LinkButton ID="LinkButton1" runat="server" CssClass="MultilingualBtn" Visible="false">
                                                                <clientsideevents click="function() { gvTyre.CollapseAll() }" />
                                                                <span id="Span4" runat="server" class="MultilingualBtnspan" visible="false">
                                                                    <div class="Import">
                                                                        <div id="Div1" runat="server" class="MultilingualBtnTextAlign">
                                                                            Collapse All
                                                                        </div>
                                                                    </div>
                                                                </span>
                                                            </asp:LinkButton>
                                                        </span>&nbsp; 
                                                    <span class="dropdown">
                                                        <dxw:ASPxButton runat="server" ID="btnExpand" Text="Expand All Rows" UseSubmitBehavior="false"
                                                            Height="5px" AutoPostBack="false" Visible="false">
                                                            <ClientSideEvents Click="function() { gvTyre.ExpandAll() }" />
                                                        </dxw:ASPxButton>
                                                    </span>&nbsp;
                                                    </div>
                                                    <div class="col-sm-3 nullpadding">
                                                        <div class="pull-right">
                                                            <span class="txt">
                                                                <asp:ImageButton ID="ibtnBulkUpdate1" runat="server" ImageUrl="~/images/import.jpg"
                                                                    Visible="false" />
                                                                <asp:LinkButton ID="ibtnBulkUpdate" runat="server" CssClass="MultilingualBtn" Visible="false"
                                                                    OnClientClick="popUpAdvancedSearch(1);HidePopUp();return false;">
                                                                    <span id="Span2" runat="server" class="MultilingualBtnspan" visible="false">
                                                                        <div class="Import">
                                                                            <div id="ImportDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                                Import
                                                                            </div>
                                                                        </div>
                                                                    </span>
                                                                </asp:LinkButton>
                                                            </span>&nbsp;
                                                        <span class="dropdown">
                                                            <dxw:ASPxComboBox ID="ASPxCboExport" runat="server" ValueType="System.String" Width="80px" Height="20px"
                                                                ShowImageInEditBox="false" ItemImage-Height="12px" ClientInstanceName="ASPxCboExport" SelectedIndex="0"
                                                                CssFilePath="~/App_Themes/Office2003Blue/Editors/styles.css" CssPostfix="Office2003_Blue"
                                                                EnableTheming="true" Theme="Office2003Blue">
                                                                <Items>
                                                                    <dxw:ListEditItem ImageUrl="../images/icn-pdf.jpg" Text="pdf" Value="pdf" />
                                                                    <dxw:ListEditItem ImageUrl="../images/icn-excel.jpg" Text="xls" Value="xls" />
                                                                    <dxw:ListEditItem ImageUrl="../images/icn-excel-xlsx.png" Text="xlsx" Value="xlsx" />
                                                                    <dxw:ListEditItem ImageUrl="../images/icn-word.jpg" Text="rtf" Value="rtf" />
                                                                    <%--<dxw:ListEditItem ImageUrl="../images/icn-csv.gif" Text="csv" Value="csv" />--%>
                                                                </Items>
                                                            </dxw:ASPxComboBox>
                                                        </span>&nbsp;
                                                        <span class="txt">
                                                            <asp:ImageButton ID="btnExport1" runat="server" ImageUrl="~/images/btn-export.jpg"
                                                                OnClick="btnExport_Click" Visible="false" />
                                                            <asp:LinkButton ID="btnExport" runat="server" CssClass="MultilingualBtn" OnClick="btnExport_Click">
                                                                <span id="Span9" runat="server" class="MultilingualBtnspan">
                                                                    <div class="Export">
                                                                        <div id="ExportButDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                            Export
                                                                        </div>
                                                                    </div>
                                                                </span>
                                                            </asp:LinkButton>
                                                        </span>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="clear clearfix"></div>
                                            <div class="table-responsive">
                                                <dxw:ASPxGridView ID="gvTyre" runat="server" Width="100%" KeyFieldName="TyreMappingId" SettingsBehavior-SortMode="Default"
                                                    CssFilePath="~/App_Themes/Office2003Blue/GridView/styles.css" CssPostfix="Office2003_Blue"
                                                    EnableTheming="true" Theme="Office2003Blue" OnHtmlRowCreated="gvTyre_OnHtmlRowCreated" OnCustomCallback="grid_CustomCallback">
                                                    <%--<Images ImageFolder="~/App_Themes/Office2003Blue/GridView/">
                                                    <CollapsedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvCollapsedButton.png"
                                                        Width="11px" />
                                                    <ExpandedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvExpandedButton.png"
                                                        Width="11px" />
                                                    <DetailCollapsedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvCollapsedButton.png"
                                                        Width="11px" />
                                                    <DetailExpandedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvExpandedButton.png"
                                                        Width="11px" />
                                                </Images>--%>
                                                    <Styles CssFilePath="~/App_Themes/Office2003Blue/GridView/grid.css" AlternatingRow-Enabled="True"
                                                        CssPostfix="Office2003_Blue">
                                                        <Header ImageSpacing="5px" SortingImageSpacing="5px">
                                                        </Header>
                                                        <LoadingPanel ImageSpacing="10px">
                                                        </LoadingPanel>
                                                        <PagerBottomPanel CssClass="PageFooter">
                                                        </PagerBottomPanel>
                                                        <PagerTopPanel CssClass="PageFooter">
                                                        </PagerTopPanel>
                                                    </Styles>
                                                    <SettingsPager PrevPageButton-Image-Url="../App_Themes/Office2003Blue/GridView/pPrev.gif"
                                                        PrevPageButton-Image-UrlDisabled="../App_Themes/Office2003Blue/GridView/pPrevDisabled.gif"
                                                        NextPageButton-Image-UrlDisabled="../App_Themes/Office2003Blue/GridView/pNextDisabled.gif"
                                                        NextPageButton-Image-Url="../App_Themes/Office2003Blue/GridView/pNext.gif" AlwaysShowPager="true">
                                                    </SettingsPager>
                                                    <Columns>
                                                        <dxw:GridViewDataColumn FieldName="TyreCode" Caption="Tyre ID" VisibleIndex="0"
                                                            Width="10%" Visible="false">
                                                            <HeaderCaptionTemplate>
                                                                <span class="icon">
                                                                    <img src="../Images/46.PNG" align="top" alt="" title="" /></span> <span>
                                                                        <asp:Label ID="lblTyreCode" runat="server" Text="Tyre ID"></asp:Label></span>
                                                            </HeaderCaptionTemplate>
                                                            <DataItemTemplate>
                                                                <asp:Label ID="lblTyreCode1" runat="server" Text='<%# Eval("TyreCode")%>'>
                                                                </asp:Label>
                                                            </DataItemTemplate>
                                                        </dxw:GridViewDataColumn>
                                                        <dxw:GridViewDataColumn FieldName="TyreName" Caption="Tyre Name" VisibleIndex="0"
                                                            Width="10%">
                                                            <HeaderCaptionTemplate>
                                                                <span class="icon">
                                                                    <img src="../Images/74.PNG" align="top" alt="" title="" /></span> <span>
                                                                        <asp:Label ID="lblTyreCode" runat="server" Text="Tyre Name"></asp:Label></span>
                                                            </HeaderCaptionTemplate>
                                                            <DataItemTemplate>
                                                                <asp:Label ID="lblTyreCode1" runat="server" Text='<%# Eval("TyreName")%>'>
                                                                </asp:Label>
                                                            </DataItemTemplate>
                                                        </dxw:GridViewDataColumn>
                                                        <dxw:GridViewDataColumn FieldName="VehicleDescription" Caption="Vehicle Name" VisibleIndex="1"
                                                            Width="10%">
                                                            <HeaderCaptionTemplate>
                                                                <span class="icon">
                                                                    <img src="../images/vehicle-icon.GIF" alt="" title="" align="top" /></span>
                                                                <span>
                                                                    <asp:Label ID="lblVendorName" runat="server" Text="Vehicle Name"></asp:Label></span>
                                                            </HeaderCaptionTemplate>
                                                            <DataItemTemplate>
                                                                <asp:Label ID="lblVenName" runat="server" Text='<%# Eval("VehicleDescription")%>'>
                                                                </asp:Label>
                                                            </DataItemTemplate>
                                                            <Settings AllowAutoFilter="true" />
                                                        </dxw:GridViewDataColumn>
                                                        <dxw:GridViewDataColumn FieldName="VendorName" Caption="Vendor Name" VisibleIndex="2"
                                                            Width="13%" HeaderStyle-HorizontalAlign="Center" CellStyle-HorizontalAlign="Center">
                                                            <HeaderCaptionTemplate>
                                                                <span class="icon">
                                                                    <img src="../images/71.PNG" alt="" title="" align="middle" /></span> <span>
                                                                        <asp:Label ID="lblLifetime" runat="server" Text="Vendor Name"></asp:Label></span>
                                                            </HeaderCaptionTemplate>
                                                        </dxw:GridViewDataColumn>
                                                        <dxw:GridViewDataColumn FieldName="BrandName" Caption="Brand Name" VisibleIndex="3"
                                                            Width="10%" HeaderStyle-HorizontalAlign="Center" CellStyle-HorizontalAlign="Center">
                                                            <HeaderCaptionTemplate>
                                                                <span class="icon">
                                                                    <img src="../Images/icn-make-name.gif" alt="" title="" align="middle" /></span>
                                                                <span>
                                                                    <asp:Label ID="lbLBrandName" runat="server" Text="Brand Name"></asp:Label></span>
                                                            </HeaderCaptionTemplate>
                                                        </dxw:GridViewDataColumn>
                                                        <dxw:GridViewDataColumn FieldName="AxleName" Caption="Axle Name" VisibleIndex="6"
                                                            Width="10%" HeaderStyle-HorizontalAlign="Center" CellStyle-HorizontalAlign="Center">
                                                            <HeaderCaptionTemplate>
                                                                <span class="icon">
                                                                    <img src="../images/85.PNG" alt="" title="" align="middle" /></span> <span>
                                                                        <asp:Label ID="lblModal" runat="server" Text="Axle Name"></asp:Label></span>
                                                            </HeaderCaptionTemplate>
                                                            <Settings AllowAutoFilter="False" />
                                                        </dxw:GridViewDataColumn>
                                                        <dxw:GridViewDataColumn FieldName="TyreLocation" Caption="Tyre Location" VisibleIndex="5"
                                                            Width="10%" HeaderStyle-HorizontalAlign="Center" CellStyle-HorizontalAlign="Center">
                                                            <HeaderCaptionTemplate>
                                                                <span class="icon">
                                                                    <img src="../images/29.PNG" alt="" title="" /></span> <span>
                                                                        <asp:Label ID="lblDateOfPurchase" runat="server" Text="Tyre Location"></asp:Label></span>
                                                            </HeaderCaptionTemplate>
                                                            <Settings AllowAutoFilter="False" />
                                                        </dxw:GridViewDataColumn>
                                                        <dxw:GridViewDataColumn FieldName="Odometer" Caption="Odometer" VisibleIndex="7"
                                                            Width="10%" CellStyle-HorizontalAlign="Center">
                                                            <HeaderCaptionTemplate>
                                                                <span class="icon">
                                                                    <img src="../images/58.PNG" alt="" title="" align="middle" /></span> <span>
                                                                        <asp:Label ID="lblTyreBillNo" runat="server" Text="Odometer"></asp:Label></span>
                                                            </HeaderCaptionTemplate>
                                                            <Settings AllowAutoFilter="False" />
                                                        </dxw:GridViewDataColumn>
                                                        <dxw:GridViewDataTextColumn FieldName="LifeTimeKM" VisibleIndex="4" Width="10%"
                                                            Caption="Lifetime(KM)">
                                                            <HeaderCaptionTemplate>
                                                                <span class="icon">
                                                                    <asp:Image ID="imgDeviceID" runat="server" ImageUrl="../images/device-icon.gif" ImageAlign="top"
                                                                        AlternateText="" /></span> <span>
                                                                            <asp:Label runat="server" ID="lblDeviceIdHeading" Text="Lifetime(KM)"></asp:Label></span>
                                                            </HeaderCaptionTemplate>
                                                            <DataItemTemplate>
                                                                <asp:Label ID="lblDeviceID" runat="server" Text='<%# Eval("LifeTimeKM")%>'>
                                                                </asp:Label>
                                                            </DataItemTemplate>
                                                            <Settings AllowAutoFilter="False" />
                                                        </dxw:GridViewDataTextColumn>
                                                        <%--   <dxw:GridViewDataColumn FieldName="Quantity" Caption="Quantity" VisibleIndex="4"
                                                    Width="10%">
                                                    <HeaderCaptionTemplate>
                                                        <span class="icon">
                                                            <img src="../images/city.png" alt="" title=""  /></span> <span >
                                                                <asp:Label ID="lblQuantity" runat="server" Text="Quantity"></asp:Label></span>
                                                    </HeaderCaptionTemplate>
                                                    <DataItemTemplate>
                                                        <asp:Label ID="lblQuantity1" runat="server" Text='<%# Eval("Quantity")%>'>
                                                        </asp:Label>
                                                    </DataItemTemplate>
                                                    <Settings AllowAutoFilter="False" />
                                                </dxw:GridViewDataColumn>--%>
                                                        <dxw:GridViewDataColumn FieldName="EmailUserNameList" Caption="Email UserNameList"
                                                            VisibleIndex="8" Width="10%">
                                                            <HeaderCaptionTemplate>
                                                                <span class="icon">
                                                                    <img src="../images/75.PNG" alt="" title="" /></span> <span>
                                                                        <asp:Label ID="lblTyreCost" runat="server" Text="Email UserNameList"></asp:Label></span>
                                                            </HeaderCaptionTemplate>
                                                            <DataItemTemplate>
                                                                <asp:Label ID="lblTyreCost" runat="server" Text='<%# Eval("EmailUserNameList")%>'></asp:Label></span>
                                                            </DataItemTemplate>
                                                            <Settings AllowAutoFilter="False" />
                                                        </dxw:GridViewDataColumn>
                                                        <dxw:GridViewDataColumn FieldName="SMSUserNameList" Caption="SMS UserNameList" VisibleIndex="9"
                                                            Width="10%" Visible="false">
                                                            <HeaderCaptionTemplate>
                                                                <span class="icon">
                                                                    <img src="../images/83.PNG" alt="" title="" /></span> <span>
                                                                        <asp:Label ID="lblTyreCost" runat="server" Text="SMS UserNameList"></asp:Label></span>
                                                            </HeaderCaptionTemplate>
                                                            <DataItemTemplate>
                                                                <asp:Label ID="lblTyreCost" runat="server" Text='<%# Eval("SMSUserNameList")%>'></asp:Label></span>
                                                            </DataItemTemplate>
                                                            <Settings AllowAutoFilter="False" />
                                                        </dxw:GridViewDataColumn>
                                                        <dxw:GridViewDataColumn FieldName="ReThreadStatus" Caption="Is Re-Treaded" VisibleIndex="10"
                                                            Width="10%" HeaderStyle-HorizontalAlign="Center" CellStyle-HorizontalAlign="Center">
                                                            <HeaderCaptionTemplate>
                                                                <span class="icon"><span>
                                                                    <asp:Label ID="lblReTreadedStatus" runat="server" Text="Is Re-Treaded"></asp:Label></span>
                                                            </HeaderCaptionTemplate>
                                                            <DataItemTemplate>
                                                                <asp:Label ID="lblReTreadedText" runat="server" Text='<%# Eval("ReThreadStatus") %>'></asp:Label></span>
                                                            </DataItemTemplate>
                                                        </dxw:GridViewDataColumn>
                                                        <dxw:GridViewDataColumn FieldName="SwapStatus" Caption="Is Swapped" VisibleIndex="10"
                                                            Width="10%" HeaderStyle-HorizontalAlign="Center" CellStyle-HorizontalAlign="Center">
                                                            <HeaderCaptionTemplate>
                                                                <span class="icon"><span>
                                                                    <asp:Label ID="lblSwapStatus" runat="server" Text="Is Swapped"></asp:Label></span>
                                                            </HeaderCaptionTemplate>
                                                            <DataItemTemplate>
                                                                <asp:Label ID="lblSwapStatusText" runat="server" Text='<%# Eval("SwapStatus") %>'></asp:Label></span>
                                                            </DataItemTemplate>
                                                        </dxw:GridViewDataColumn>
                                                        <dxw:GridViewDataTextColumn Caption="Swap" VisibleIndex="11" Width="3%" Name="Swap"
                                                            CellStyle-HorizontalAlign="Center">
                                                            <HeaderTemplate>
                                                                <asp:Label ID="lblSwap" runat="server" Text="Swapping"></asp:Label></span>
                                                            </HeaderTemplate>
                                                            <DataItemTemplate>
                                                                <asp:LinkButton ID="btnSwapTyre" runat="server" CommandArgument='<%# Eval("TyreMappingId") %>'
                                                                    OnClientClick="return ShowPopUp();" OnClick="btnSwapTyre_Click" Style="text-decoration: none;"><img src="../images/icn-crc-incorrect.gif" alt="Swap" title="Click here to Swap Tyre"/></asp:LinkButton>
                                                            </DataItemTemplate>
                                                        </dxw:GridViewDataTextColumn>
                                                        <dxw:GridViewDataTextColumn Caption="Remove" VisibleIndex="12" Width="3%" Name="Remove"
                                                            CellStyle-HorizontalAlign="Center">
                                                            <HeaderTemplate>
                                                                <asp:Label ID="lblRemove" runat="server" Text="Remove"></asp:Label></span>
                                                            </HeaderTemplate>
                                                            <DataItemTemplate>
                                                                <asp:LinkButton ID="btnRemoveTyre" runat="server" CommandArgument='<%# Eval("TyreMappingId") %>'
                                                                    OnClientClick="return ShowPopUp();" OnClick="btnRemoveTyre_Click" Style="text-decoration: none;"><img src="../images/35.PNG" alt="Remove" title="Click here to Remove Tyre"/></asp:LinkButton>
                                                            </DataItemTemplate>
                                                        </dxw:GridViewDataTextColumn>
                                                        <dxw:GridViewDataTextColumn Caption="Edit" VisibleIndex="13" Width="3%" Name="Edit"
                                                            CellStyle-HorizontalAlign="Center">
                                                            <HeaderTemplate>
                                                            </HeaderTemplate>
                                                            <DataItemTemplate>
                                                                <asp:LinkButton ID="btnUpdateVendor" runat="server" CommandArgument='<%# Eval("TyreMappingId") %>'
                                                                    OnClientClick="return ShowPopUp();" OnClick="btnUpdateTyre_Click" Style="text-decoration: none;"><img src="../images/icn-edit.gif" alt="Edit" title="Click here to Edit"/></asp:LinkButton>
                                                            </DataItemTemplate>
                                                        </dxw:GridViewDataTextColumn>
                                                        <dxw:GridViewDataTextColumn Caption="Delete" Width="3%" HeaderStyle-HorizontalAlign="Center"
                                                            CellStyle-HorizontalAlign="Center" Visible="false">
                                                            <HeaderTemplate>
                                                            </HeaderTemplate>
                                                            <DataItemTemplate>
                                                                <%--Delete();--%>
                                                                <asp:LinkButton ID="lbtnDelete" runat="server" OnClientClick="return ShowPopUp();"
                                                                    Visible="false" CommandArgument='<%#Eval("TyreMappingId") %>' OnClick="lbtnDelete_click"><img src="../images/delete-icon.gif" alt="Delete" title="Click here to Delete"/></asp:LinkButton>
                                                            </DataItemTemplate>
                                                        </dxw:GridViewDataTextColumn>
                                                        <%--Visible='<%#Eval("Category").ToString()=="1"?false:true %>' 
                                                     Visible='<%#Eval("ReThreadStatus").ToString()=="Yes" ? false:true %>' 
                                                
                                                 <dxw:GridViewDataColumn FieldName="TyreWidth" Caption="Tyre Width" VisibleIndex="10"
                                                    
                                                    Visible="false" Width="10%" HeaderStyle-HorizontalAlign="Center" CellStyle-HorizontalAlign="Center">
                                                    <HeaderCaptionTemplate>
                                                        <span class="icon">
                                                            <img src="../images/85.PNG" alt="" title="" align="middle" /></span> <span >
                                                                <asp:Label ID="lblTyreWidth" runat="server" Text="Tyre Width"></asp:Label></span>
                                                    </HeaderCaptionTemplate>
                                                    <Settings AllowAutoFilter="False" />
                                                </dxw:GridViewDataColumn>
                                                <dxw:GridViewDataColumn FieldName="Total" Caption="Total Amount" VisibleIndex="5"
                                                    Visible="false" Width="10%">
                                                    <HeaderCaptionTemplate>
                                                        <span class="icon">
                                                            <img src="../images/85.PNG" alt="" title="" /></span> <span >
                                                                <asp:Label ID="lblTotalAmount" runat="server" Text="Total Amount"></asp:Label></span>
                                                    </HeaderCaptionTemplate>
                                                    <DataItemTemplate>
                                                        <asp:Label ID="lblDeviceID" runat="server" Text='<%# Eval("TotalAmount")%>'>
                                                        </asp:Label>
                                                    </DataItemTemplate>
                                                    <Settings AllowAutoFilter="False" />
                                                </dxw:GridViewDataColumn>
                                                <dxw:GridViewDataColumn FieldName="TyreSize" Caption="Tyre Size" VisibleIndex="9"
                                                    Visible="false" Width="10%" HeaderStyle-HorizontalAlign="Center" CellStyle-HorizontalAlign="Center">
                                                    <HeaderCaptionTemplate>
                                                        <span class="icon">
                                                            <img src="../images/85.PNG" alt="" title="" align="middle" /></span> <span >
                                                                <asp:Label ID="lblTyreSize" runat="server" Text="Tyre Size"></asp:Label></span>
                                                    </HeaderCaptionTemplate>
                                                    <Settings AllowAutoFilter="False" />
                                                </dxw:GridViewDataColumn>--%>
                                                    </Columns>
                                                    <Settings ShowFilterRow="true" ShowFilterRowMenu="True" />
                                                    <SettingsBehavior AllowSort AllowDragDrop="false" />
                                                    <SettingsText EmptyDataRow="No Tyre details found" />
                                                    <SettingsPager PageSize="10">
                                                    </SettingsPager>
                                                </dxw:ASPxGridView>
                                            </div>
                                            <dxw:ASPxGridViewExporter ID="ASPxGridViewExporter1" runat="server" GridViewID="gvTyre"
                                                ReportHeader="{\rtf1\ansi\ansicpg1252\deff0\deflang1033{\fonttbl{\f0\fnil\fcharset0 Times New Roman;}{\f1\fnil\fcharset0 Arial;}}
                                                                \viewkind4\uc1\pard\f0\fs20\b\f1\fs28 Vendor Details\par\par\par}"
                                                DetailHorizontalOffset="1" DetailVerticalOffset="1" MaxColumnWidth="120">
                                                <Styles>
                                                    <Default VerticalAlign="Middle">
                                                    </Default>
                                                    <Header BackColor="#D1D1D1" Font-Bold="True" Font-Names="Arial" Font-Size="10pt"
                                                        ForeColor="Black" HorizontalAlign="Center" VerticalAlign="Middle" Wrap="false">
                                                    </Header>
                                                    <Cell VerticalAlign="Middle" Wrap="True" Font-Size="8pt" Font-Names="Arial" HorizontalAlign="Left"
                                                        ForeColor="Black">
                                                    </Cell>
                                                </Styles>
                                                <PageHeader Center="Tyre Mapping Details" VerticalAlignment="Far">
                                                    <Font Bold="True" Names="Arial" Size="10pt" Underline="True"></Font>
                                                </PageHeader>
                                                <PageFooter Right="[Page # of Pages #]">
                                                </PageFooter>
                                            </dxw:ASPxGridViewExporter>
                                        </div>
                                        <asp:HiddenField ID="hdnResetPopupTarget" runat="server" />
                                        <cc1:ModalPopupExtender ID="mpResetPwd" PopupControlID="pnlResetPwd" TargetControlID="hdnResetPopupTarget"
                                            X="280" runat="server" DynamicServicePath="" BackgroundCssClass="modalbackground"
                                            CancelControlID="btnCancelPwd">
                                        </cc1:ModalPopupExtender>
                                        <asp:Panel ID="pnlResetPwd" runat="server" Style="display: none;" CssClass="iButtonPanelImport">
                                            <div class="popup">
                                                <div class="form-group">
                                                    <div class="top">
                                                        <h1>
                                                            <asp:Label ID="lblResetPwd" Text="Enter Reason for Removing Tyre " runat="server"></asp:Label>
                                                        </h1>
                                                        <div class="close">
                                                            <asp:ImageButton ID="ImageButton1" OnClientClick="$find('mpResetPwd').hide(); return false;"
                                                                CausesValidation="false" ImageUrl="~/images/popup-close.gif" Visible="true" runat="server" />
                                                        </div>
                                                        <div class="clear clearfix"></div>
                                                    </div>
                                                    <div class="popup-content">
                                                        <div class="form-tbl">
                                                            <div class="form-group">
                                                                <div class="col-sm-2 col-md-1 padding-width-sm icon-img">
                                                                    <asp:Label ID="Label17" runat="server" Text="Reason for Removing"></asp:Label>
                                                                    <span style="color: red">*</span>
                                                                </div>
                                                                <div class="col-sm-3 padding-width-sm">
                                                                    <asp:TextBox ID="txtComment" runat="server" MaxLength="22" TabIndex="40"
                                                                        TextMode="MultiLine" onpaste="return false;" ondrop="return false;"
                                                                        onkeypress="return chkDescription(event,this,150);" CssClass="form-control">
                                                                    </asp:TextBox>
                                                                </div>
                                                            </div>
                                                            <div class="form-group">
                                                                <asp:ImageButton ID="btnSavePwd1" runat="server" CausesValidation="true" TabIndex="42"
                                                                    ImageUrl="~/images/btn-save.jpg" Visible="false" OnClick="btnSavePwd_Click" />
                                                                <asp:LinkButton ID="btnSavePwd" runat="server" CausesValidation="true" CssClass="MultilingualBtn"
                                                                    OnClientClick="return ValidateRemoveComment()" OnClick="btnSavePwd_Click">
                                                                    <span id="Span13" runat="server" class="MultilingualBtnspan">
                                                                        <div class="Save">
                                                                            <div id="SavePwdButDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                                Save
                                                                            </div>
                                                                        </div>
                                                                    </span>
                                                                </asp:LinkButton>&nbsp;
                                                                        <asp:ImageButton ID="btnCancelPwd1" runat="server" class="btn" ImageUrl="~/images/btn-cancel.jpg"
                                                                            TabIndex="43" onkeydown="return setFocus(event,'txtNewPwd');" Visible="false" />
                                                                <asp:LinkButton ID="btnCancelPwd" runat="server" CssClass="MultilingualBtn">
                                                                    <span id="Span16" runat="server" class="MultilingualBtnspan">
                                                                        <div class="Cancel">
                                                                            <div id="CancelPwdButDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                                Cancel
                                                                            </div>
                                                                        </div>
                                                                    </span>
                                                                </asp:LinkButton>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </asp:Panel>
                                    </asp:Panel>
                                    <div class="clear clearfix"></div>
                                    <asp:Panel ID="pnlViewRemovedTyres" runat="server" Visible="false">
                                        <div id="grid-dsply">
                                            <div id="top">
                                                <div class="col-sm-12">
                                                    <span class="txt">
                                                        <asp:Label runat="server" ID="Label24" Text="Removed Tyre Details"></asp:Label>
                                                    </span>
                                                </div>
                                            </div>
                                            <div class="clear clearfix"></div>
                                            <div class="table-responsive">
                                                <dxw:ASPxGridView ID="gvRemovedTyre" runat="server" Width="100%" KeyFieldName="TyreMappingId"
                                                    Settings-ShowFooter="false" AutoGenerateColumns="false" EnableTheming="true" Theme="Office2003Blue"
                                                    CssFilePath="~/App_Themes/Office2003Blue/GridView/styles.css" CssPostfix="Office2003_Blue"
                                                    OnHtmlRowCreated="gvMap_OnHtmlRowCreated">
                                                    <Settings ShowVerticalScrollBar="true" VerticalScrollableHeight="200" />
                                                    <%--<Images ImageFolder="~/App_Themes/Office2003Blue/GridView/">
                                                <CollapsedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvCollapsedButton.png"
                                                    Width="11px" />
                                                <ExpandedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvExpandedButton.png"
                                                    Width="11px" />
                                                <DetailCollapsedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvCollapsedButton.png"
                                                    Width="11px" />
                                                <DetailExpandedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvExpandedButton.png"
                                                    Width="11px" />
                                            </Images>--%>
                                                    <Styles CssFilePath="~/App_Themes/Office2003Blue/GridView/grid.css" AlternatingRow-Enabled="True"
                                                        CssPostfix="Office2003_Blue">
                                                        <Header ImageSpacing="5px" SortingImageSpacing="5px">
                                                        </Header>
                                                        <LoadingPanel ImageSpacing="10px">
                                                        </LoadingPanel>
                                                        <PagerBottomPanel CssClass="PageFooter">
                                                        </PagerBottomPanel>
                                                        <PagerTopPanel CssClass="PageFooter">
                                                        </PagerTopPanel>
                                                    </Styles>
                                                    <SettingsPager PrevPageButton-Image-Url="../App_Themes/Office2003Blue/GridView/pPrev.gif"
                                                        PrevPageButton-Image-UrlDisabled="../App_Themes/Office2003Blue/GridView/pPrevDisabled.gif"
                                                        NextPageButton-Image-UrlDisabled="../App_Themes/Office2003Blue/GridView/pNextDisabled.gif"
                                                        NextPageButton-Image-Url="../App_Themes/Office2003Blue/GridView/pNext.gif" AlwaysShowPager="true">
                                                    </SettingsPager>
                                                    <Columns>
                                                        <dxw:GridViewDataColumn FieldName="TyreName" Caption="Tyre Name" VisibleIndex="0"
                                                            Width="10%">
                                                            <HeaderCaptionTemplate>
                                                                <span class="icon">
                                                                    <img src="../Images/74.PNG" align="top" alt="" title="" /></span> <span>
                                                                        <asp:Label ID="lblTyreCode" runat="server" Text="Tyre Name"></asp:Label></span>
                                                            </HeaderCaptionTemplate>
                                                            <DataItemTemplate>
                                                                <asp:Label ID="lblTyreCode1" runat="server" Text='<%# Eval("TyreName")%>'>
                                                                </asp:Label>
                                                            </DataItemTemplate>
                                                            <Settings AllowAutoFilter="true" />
                                                        </dxw:GridViewDataColumn>
                                                        <dxw:GridViewDataColumn FieldName="VehicleDescription" Caption="Vehicle Name" VisibleIndex="1"
                                                            Width="13%" HeaderStyle-HorizontalAlign="Center" CellStyle-HorizontalAlign="Center">
                                                            <HeaderCaptionTemplate>
                                                                <span class="icon">
                                                                    <img src="../images/vehicle-icon.GIF" alt="" title="" align="top" /></span>
                                                                <asp:Label ID="lblLifetime" runat="server" Text="Vehicle Name"></asp:Label></span>
                                                            </HeaderCaptionTemplate>
                                                            <Settings AllowAutoFilter="true" />
                                                        </dxw:GridViewDataColumn>
                                                        <dxw:GridViewDataColumn FieldName="VendorName" Caption="Vendor Name" VisibleIndex="1"
                                                            Width="13%" HeaderStyle-HorizontalAlign="Center" CellStyle-HorizontalAlign="Center">
                                                            <HeaderCaptionTemplate>
                                                                <span class="icon">
                                                                    <img src="../images/71.PNG" alt="" title="" align="middle" /></span> <span>
                                                                        <asp:Label ID="lblLifetime" runat="server" Text="Vendor Name"></asp:Label></span>
                                                            </HeaderCaptionTemplate>
                                                        </dxw:GridViewDataColumn>
                                                        <dxw:GridViewDataColumn FieldName="BrandName" Caption="Brand Name" VisibleIndex="2"
                                                            Width="11%" HeaderStyle-HorizontalAlign="Center" CellStyle-HorizontalAlign="Center">
                                                            <HeaderCaptionTemplate>
                                                                <span class="icon">
                                                                    <img src="../Images/icn-make-name.gif" alt="" title="" align="middle" /></span>
                                                                <span>
                                                                    <asp:Label ID="lbLBrandName" runat="server" Text="Brand Name"></asp:Label></span>
                                                            </HeaderCaptionTemplate>
                                                            <Settings AllowAutoFilter="true" />
                                                        </dxw:GridViewDataColumn>
                                                        <dxw:GridViewDataColumn FieldName="AxleName" Caption="Axle Name" VisibleIndex="3"
                                                            Width="10%" HeaderStyle-HorizontalAlign="Center" CellStyle-HorizontalAlign="Center">
                                                            <HeaderCaptionTemplate>
                                                                <span class="icon">
                                                                    <img src="../images/85.PNG" alt="" title="" align="middle" /></span> <span>
                                                                        <asp:Label ID="lblModal" runat="server" Text="Axle Name"></asp:Label></span>
                                                            </HeaderCaptionTemplate>
                                                        </dxw:GridViewDataColumn>
                                                        <dxw:GridViewDataColumn FieldName="TyreLocation" Caption="Tyre Location" VisibleIndex="4"
                                                            Width="13%" HeaderStyle-HorizontalAlign="Center" CellStyle-HorizontalAlign="Center">
                                                            <HeaderCaptionTemplate>
                                                                <span class="icon">
                                                                    <img src="../images/29.PNG" alt="" title="" /></span> <span>
                                                                        <asp:Label ID="lblDateOfPurchase" runat="server" Text="Tyre Location"></asp:Label></span>
                                                            </HeaderCaptionTemplate>
                                                        </dxw:GridViewDataColumn>
                                                        <dxw:GridViewDataColumn FieldName="Odometer" Caption="Odometer" VisibleIndex="5"
                                                            Width="10%" CellStyle-HorizontalAlign="Center">
                                                            <HeaderCaptionTemplate>
                                                                <span class="icon">
                                                                    <img src="../images/58.PNG" alt="" title="" align="middle" /></span> <span>
                                                                        <asp:Label ID="lblTyreBillNo" runat="server" Text="Odometer"></asp:Label></span>
                                                            </HeaderCaptionTemplate>
                                                        </dxw:GridViewDataColumn>
                                                        <dxw:GridViewDataTextColumn FieldName="LifeTimeKM" VisibleIndex="6" Width="12%"
                                                            Caption="Lifetime(KM)" CellStyle-HorizontalAlign="Center">
                                                            <HeaderCaptionTemplate>
                                                                <span class="icon">
                                                                    <asp:Image ID="imgDeviceID" runat="server" ImageUrl="../images/device-icon.gif" ImageAlign="top"
                                                                        AlternateText="" /></span> <span>
                                                                            <asp:Label runat="server" ID="lblDeviceIdHeading" Text="Lifetime(KM)"></asp:Label></span>
                                                            </HeaderCaptionTemplate>
                                                            <DataItemTemplate>
                                                                <asp:Label ID="lblDeviceID" runat="server" Text='<%# Eval("LifeTimeKM")%>'>
                                                                </asp:Label>
                                                            </DataItemTemplate>
                                                        </dxw:GridViewDataTextColumn>
                                                        <%-- <dxw:GridViewDataColumn FieldName="EmailUserNameList" Caption="EmailUserNameList"
                                                    VisibleIndex="7" Width="13%" CellStyle-Wrap="True">
                                                    <HeaderCaptionTemplate>
                                                        <span class="icon">
                                                            <img src="../images/75.PNG" alt="" title="" /></span> <span >
                                                                <asp:Label ID="lblTyreCost" runat="server" Text="Email User"></asp:Label></span>
                                                    </HeaderCaptionTemplate>
                                                    <DataItemTemplate>
                                                        <asp:Label ID="lblTyreCost" runat="server" Text='<%# Eval("EmailUserNameList")%>'></asp:Label></span>
                                                    </DataItemTemplate>
                                                    <Settings AllowAutoFilter="False" />
                                                </dxw:GridViewDataColumn>
                                                <dxw:GridViewDataTextColumn Caption="Edit" VisibleIndex="8" Width="3%" Name="Edit"
                                                    CellStyle-HorizontalAlign="Center">
                                                    <HeaderTemplate>
                                                    </HeaderTemplate>
                                                    <DataItemTemplate>
                                                        <asp:LinkButton ID="btnUpdateVendor" runat="server" CommandArgument='<%# Eval("TyreMappingId") %>'
                                                            OnClientClick="return ShowPopUp();" OnClick="btnUpdateMap_Click" Style="text-decoration: none;"><img src="../images/icn-edit.gif" alt="Edit" title="Click here to Edit"/></asp:LinkButton>
                                                    </DataItemTemplate>
                                                </dxw:GridViewDataTextColumn>
                                                <dxw:GridViewDataTextColumn Caption="Delete" Width="3%" HeaderStyle-HorizontalAlign="Center"
                                                    CellStyle-HorizontalAlign="Center" VisibleIndex="9">
                                                    <HeaderTemplate>
                                                    </HeaderTemplate>
                                                    <DataItemTemplate>                                                       
                                                        <asp:LinkButton ID="lbtnDeleteMap" runat="server" OnClientClick="return confirm('Are you sure want to delete this Mapping..!');"
                                                            CommandArgument='<%#Eval("TyreMappingId") %>' OnClick="lbtnDelete_click"><img src="../images/delete-icon.gif" alt="Delete" title="Click here to Delete"/></asp:LinkButton>
                                                    </DataItemTemplate>
                                                </dxw:GridViewDataTextColumn>--%>
                                                    </Columns>
                                                    <Settings ShowFilterRow="true" ShowFilterRowMenu="true" />
                                                    <SettingsBehavior AllowDragDrop="false" AllowSort="true" />
                                                    <SettingsText EmptyDataRow="No Records Added" />
                                                    <SettingsPager PageSize="25">
                                                    </SettingsPager>
                                                </dxw:ASPxGridView>
                                            </div>
                                        </div>
                                    </asp:Panel>
                                    <div class="clear clearfix"></div>
                                </div>
                            </div>
                            <%--</div>--%>
                            <!-- Main Content Ends Here -->
                            <div id="left"></div>
                            <div class="clear clearfix"></div>
                        </div>
                        <div id="right"></div>
                        <div class="clear clearfix"></div>
                    </div>
                    <asp:Button ID="btnLoadModel" runat="server" CssClass="btn" Style="display: none"></asp:Button>
                    <asp:Button ID="btnTest" runat="server" OnClick="btnTest_click" CssClass="ControlHide" Text="Test" />
                    <asp:HiddenField ID="hdnCancelsts" runat="server" />
                    <asp:HiddenField ID="hdnselectedays" runat="server" />
                    <%--<cc1:ModalPopupExtender ID="mpDriverDetailsLoad" runat="server" BackgroundCssClass="modalbackground"
                        PopupControlID="pnlImportVehicles" TargetControlID="ibtnBulkUpdate" X="280" CancelControlID="ibtnCancel">
                    </cc1:ModalPopupExtender>--%>
                </ContentTemplate>
                <Triggers>
                    <asp:PostBackTrigger ControlID="ibtnAddVendor" />
                    <asp:PostBackTrigger ControlID="ibtnUpdateVendor" />
                    <asp:PostBackTrigger ControlID="btnExport" />
                    <asp:PostBackTrigger ControlID="btnTest" />
                    <%--<asp:PostBackTrigger ControlID="gvTyre_cell3_4_lnkLegend" /> --%>
                </Triggers>
            </asp:UpdatePanel>
            <asp:Panel ID="pnlImportVehicles" runat="server" CssClass="iButtonPanelImport col-sm-5 col-md-5 col-lg-4" Style="display: none;">
                <div class="popup">
                    <div class="top">
                        <h1>
                            <asp:Label ID="lblFile" Text="Bulk Update Tyre Details" runat="server"></asp:Label>
                        </h1>
                        <div class="close">
                            <asp:ImageButton ID="ibtnClose" OnClientClick="popUpAdvancedSearch(0);HidePopUp();return false;"
                                CausesValidation="false" ImageUrl="~/images/popup-close.gif" Visible="true" runat="server" />
                        </div>
                        <div class="clear clearfix"></div>
                    </div>
                    <div class="popup-cont">
                        <div class="form-tbl">
                            <div class="form-horizontal">
                                <div class="form-group">
                                    <div class="col-sm-2 icon-img">
                                        <asp:Label ID="lblDriverDetails" runat="server" Text="Select File"></asp:Label>
                                    </div>
                                    <div class="col-sm-10">
                                        <asp:FileUpload ID="fuDrivers" runat="server" /><%--onchange="return validateCSVFileUpload(this);"--%>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <div class="col-sm-2"></div>
                                    <div class="col-sm-10">
                                        <asp:ImageButton ID="ibtnUpdateDrivers1" runat="server" ImageUrl="~/images/btn-update.jpg"
                                            Visible="false" />
                                        <asp:LinkButton ID="ibtnUpdateDrivers" runat="server" CssClass="MultilingualBtn"
                                            TabIndex="17" OnClick="ibtnUpdateDrivers_Click" OnClientClick=" ShowPopUp();">
                                            <span id="Span5" runat="server" class="MultilingualBtnspan">
                                                <div class="Update">
                                                    <div id="UpdateDiv" runat="server" class="MultilingualBtnTextAlign">
                                                        Update
                                                    </div>
                                                </div>
                                            </span>
                                        </asp:LinkButton>
                                        <asp:ImageButton ID="ibtnCancel1" runat="server" ImageUrl="~/images/btn-Cancel.jpg" Visible="false" />&nbsp;
                                    <asp:LinkButton ID="ibtnCancel" runat="server" CssClass="MultilingualBtn" TabIndex="19">
                                        <span id="Span10" runat="server" class="MultilingualBtnspan">
                                            <div class="Cancel">
                                                <div id="CancelDiv" runat="server" class="MultilingualBtnTextAlign">
                                                    Cancel
                                                </div>
                                            </div>
                                        </span>
                                    </asp:LinkButton>&nbsp;&nbsp;
                                    <asp:LinkButton ID="lbtnDownloadTemp" runat="server" Text="Download Template" OnClick="Download_Template">
                                    </asp:LinkButton>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </asp:Panel>
            <asp:UpdatePanel ID="UpdatePanel2" runat="server" UpdateMode="Conditional">
            </asp:UpdatePanel>
            <asp:UpdatePanel ID="updNotify" runat="server" UpdateMode="Conditional">
                <ContentTemplate>
                    <asp:Panel ID="pnlNotificationsList" runat="server" Style="display: none;" CssClass="manageNotificationPanel col-xs-9 nullpadding">
                        <uc3:NotificationsList ID="ucNotificationList" runat="server" NotificationType="3" />
                    </asp:Panel>
                </ContentTemplate>
            </asp:UpdatePanel>
            <cc1:ModalPopupExtender ID="mpeProgressIndicator" runat="server" PopupControlID="pnlProgress"
                TargetControlID="Button1">
            </cc1:ModalPopupExtender>
            <asp:Button ID="Button1" Style="display: none;" runat="server" />
            <asp:Panel ID="pnlProgress" runat="server" CssClass="processMessage" Style="z-index: 1000;">
                <center>
                <br />
                <img id="imgLoad" runat="server" alt="Please Wait ..." src="../images/47.gif" /><br />
                <br />
                <asp:Label ID="lbl_msg12" Text="Processing... Please Wait..." runat="server" CssClass="specialdisplay"></asp:Label>
                <br />
                <br />
            </center>
            </asp:Panel>

            <script src="../js/ScriptToClearCtrls.js" type="text/javascript"></script>
            <script type="text/javascript" src="../js/GridCheckBoxMaintaining.js"></script>
            <script type="text/javascript" src="../js/DriverManagementScript.js"></script>
            <script type="text/javascript" src="../js/myformvalidations.js"></script>
            <script type="text/javascript" src="../js/FormValidations.js"></script>
            <script lang="javascript" type="text/javascript">
                function HidePopUp() {
                    if ($find('mpeProgressIndicator') != undefined) {
                        $find('mpeProgressIndicator').hide();
                    }
                }
                function ShowPopUp() {
                    if ($find('mpeProgressIndicator') != undefined) {
                        $find('mpeProgressIndicator').show();
                    }
                }
                Sys.Browser.WebKit = {}; //Safari 3 is considered WebKit
                if (navigator.userAgent.indexOf('WebKit/') > -1) {
                    Sys.Browser.agent = Sys.Browser.WebKit;
                    Sys.Browser.version = parseFloat(navigator.userAgent.match(/WebKit\/(\d+(\.\d+)?)/)[1]);
                    Sys.Browser.name = 'WebKit';
                }
                var keyValue;
                function OnMoreInfoClick(element) {
                    popup.ShowAtElement(element);

                }
                function validateCSVFileUpload(obj) {

                    var AlertFileType = 'Invalid file format... Please upload only .xls/.xlsx files.';
                    var fileName = new String();
                    var fileExtension = new String();
                    var validfileextensions = "xls";
                    var validfileextensions1 = "xlsx";
                    var flag = false;
                    // store the file name into the variable
                    filename = obj.value;
                    // extract and store the file extension into another variable
                    fileextension = filename.substr(filename.length - 3, 3);
                    // check over the valid file extensions to compare them with uploaded file
                    if (fileextension.toLowerCase() == validfileextensions.toString().toLowerCase() || fileextension.toLowerCase() == validfileextensions1.toString().toLowerCase()) {
                        flag = true;

                    }
                    else {
                        TrinetraCustomAlerts(AlertFileType);
                    }
                }
                function popup_Shown(s, e) {

                    popup.ShowAtPos(s, e);
                }
                function calSelectiondays() {

                    // aspxCalTodayClick('popup_calDriverScheduler');
                    aspxCalClearClick('popup_calDriverScheduler');

                    //var selecteddate = new Date(s.GetSelectedDate());
                    // alert('dfgfgdfg'); return false;
                    //var selectedays = document.getElementById('hdnselectedays').value;

                    //                if (selectedays > 2) {
                    //                    document.getElementById('hdnselectedays').value = 0;
                    //                    selectedays = 0;
                    //                    TrinetraCustomAlerts('Only 2 days can be maintenance days in a month client');
                    //                }
                    //                else {
                    //                    selectedays++;
                    //                    alert(selectedays, selecteddate);
                    //                    document.getElementById('hdnselectedays').value = selectedays;
                    //                    selectedays = selectedays;
                    //                }
                }
                function Sum() {

                    if (document.getElementById("txtLifetimeKM").value != "" && document.getElementById("txtOdometer").value != "")

                        document.getElementById("txtTotalAmount").value = document.getElementById("txtLifetimeKM").value * document.getElementById("txtOdometer").value;

                }
                function Map() {

                    //    var rowscount = document.getElementByID('gvMap');
                    var gvID = document.getElementById('gvMap_DXMainTable');
                    // var rowscount = $("gvMap").length;
                    // var acount = $("gvMap").context.childNodes.length;
                    //alert(gvID.rows.length);
                }
                function ClearLifetime() {
                    document.getElementById('txtLifeTimeRethread').value = "";

                }
                //            function PopupRethreaded() {
                //            debugger
                //                var chkRethread = document.getElementById('chkRethreaded')
                //                if (chkRethread.checked) {
                //                    $('mpRethreadPopup').Show();
                //                } else {
                //                    $('mpRethreadPopup').hide();
                //                }

                //            }
                //
                function ValidateCheck() {
                    var chk = document.getElementById('chkRethreaded');
                    var ddlRemovedTyre = document.getElementById('ddlRemovedTyre').value;
                    if (chk.checked) {
                        if (ddlRemovedTyre == 0) {
                            TrinetraCustomAlerts('Please select ther Tyre');
                        }
                    }

                }
                function popUpAdvancedSearch(PanelStatus) {
                    if (document.getElementById('pnlImportVehicles') != null) {
                        if (PanelStatus == 1)
                            document.getElementById('pnlImportVehicles').style.display = "inline-block";
                        else
                            document.getElementById('pnlImportVehicles').style.display = "none";
                    }
                }
            </script>
        </form>
    </div>
    <!-- Content Ends Here -->
    <uc2:Footer ID="ucFooter" runat="server" />
</body>
</html>
