﻿<%@ page language="C#" autoeventwireup="true" inherits="Forms_VehicleInfo, App_Web_3ejnptky" enableeventvalidation="false" %>

<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc1" %>
<%@ Register Src="~/UserControls/TrinetraGrid.ascx" TagName="FleetGrid" TagPrefix="uc5" %>
<%@ Register Src="~/UserControls/TrinetraGrid.ascx" TagName="EmailGrid" TagPrefix="uc4" %>
<%@ Register Src="~/UserControls/New_Header.ascx" TagName="Header" TagPrefix="uc1" %>
<%@ Register Src="~/UserControls/New_Footer.ascx" TagName="Footer" TagPrefix="uc2" %>
<%@ Register Src="~/UserControls/Notification_List.ascx" TagPrefix="uc3" TagName="NotificationsList" %>

<%--<%@ Register Assembly="AspNetPager" Namespace="Wuqi.Webdiyer" TagPrefix="webdiyer" %>--%>

<%--<%@ Register Assembly="DevExpress.Web.v8.2, Version=8.2.10.0, Culture=neutral, PublicKeyToken=9b171c9fd64da1d1"
    Namespace="DevExpress.Web.ASPxMenu" TagPrefix="dxm" %>
<%@ Register Assembly="DevExpress.Web.ASPxGridView.v8.2" Namespace="DevExpress.Web.ASPxGridView"
    TagPrefix="dxgv" %>
<%@ Register Assembly="DevExpress.Web.ASPxEditors.v8.2, Version=8.2.10.0, Culture=neutral, PublicKeyToken=9b171c9fd64da1d1"
    Namespace="DevExpress.Web.ASPxEditors" TagPrefix="dxe" %>
<%@ Register Assembly="DevExpress.Web.ASPxEditors.v8.2" Namespace="DevExpress.Web.ASPxEditors"
    TagPrefix="dxe" %>
<%@ Register Assembly="DevExpress.Web.ASPxGridView.v8.2.Export" Namespace="DevExpress.Web.ASPxGridView.Export"
    TagPrefix="exp" %>--%>

<%@ Register Assembly="DevExpress.Web.v14.2" Namespace="DevExpress.Web" TagPrefix="dxw" %>

<%--********* For Bootstrap Implementation *************--%>
<!DOCTYPE html>
<html lang="en">
<%--********* End of Bootstrap Implementation *************--%>
<head id="Head1" runat="server">
    <title>tSense-IoT Configuration</title>
    <%-- <meta http-equiv="Page-Enter" content="blendTrans(Duration=0)" />
    <meta http-equiv="Page-Exit" content="blendTrans(Duration=0)" />
    <meta http-equiv="X-UA-Compatible" content="IE=7" />--%>
    <%--********* For Bootstrap Implementation *************--%>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <%--********* End of Bootstrap Implementation *************--%>

    <link href="../css/CustomeAlert/demos.css" rel="stylesheet" type="text/css" />
    <link href="../css/CustomeAlert/themes/jquery.ui.all.css" rel="stylesheet" type="text/css" />
    <link id="reset" runat="server" href="../css/reset.css" rel="stylesheet" type="text/css" />
    <link id="stylesheet2" runat="server" href="../css/stylesheet2.css" rel="stylesheet" type="text/css" />
    <link id="dropdown" runat="server" href="../css/dropdown.css" rel="stylesheet" type="text/css" />
    <link rel="SHORTCUT ICON" href="../images/favicon.ico" />
    <link id="ieonly" runat="server" rel="stylesheet" type="text/css" href="" />
    <link id="datepicker" runat="server" type="text/css" href="../css/ui.datepicker.css" rel="stylesheet" />
    <link id="uicore" runat="server" type="text/css" href="../css/ui.core.css" rel="stylesheet" />
    <link id="uitheme" runat="server" type="text/css" href="../css/ui.theme.css" rel="stylesheet" />

    <%--Custom Theme for DevEx 14.2--%>
    <link id="GridView" runat="server" type="text/css" href="~/App_Themes/Office2003Blue/GridView/grid.css" rel="stylesheet" />
    <link id="Editors" runat="server" type="text/css" href="~/App_Themes/Office2003Blue/Editors/styles.css" rel="stylesheet" />

    <%--********* For Bootstrap Implementation *************--%>
    <link id="BootStrapCss" href="../css/bootstrap.css" runat="server" rel="stylesheet" type="text/css" />
    <link id="mainstyle" runat="server" href="../css/mainstyle.css" rel="stylesheet" type="text/css" />
    <%--********* End of Bootstrap Implementation *************--%>

    <script src="../js/CustomAlert/jquery.min.js" type="text/javascript"></script>
    <script src="../js/CustomAlert/jquery-ui-1.10.3.custom.min.js" type="text/javascript"></script>
    <script src="../js/CustomAlert/jquery-ui-1.10.3.custom.js" type="text/javascript"></script>
    <script src="../js/CustomAlert/CustomAlert.js" type="text/javascript"></script>
    <%--<script src="../js/jquery-1.11.2.min.js" type="text/javascript"></script>--%>
    <script type="text/javascript" src="../js/jquery-1.5.1.min.js"></script>
    <%--<script type="text/javascript" src="../js/jquery-1.3.2.js"></script>--%>
    <script type="text/javascript" src="../js/jquery-1.5.1.min.js"></script>
    <script type="text/javascript" src="../js/ui.datepicker.js"></script>
    <script type="text/javascript" lang="javascript" src="../js/JQQueryDatePicker.js"></script>
    <script src="../js/wow.min.js"></script>
</head>
<body>
    <%--********* For Bootstrap Implementation *************--%>
    <div class="pageContainer">
        <%--********* End of Bootstrap Implementation *************--%>
        <form id="form1" runat="server">
            <asp:ScriptManager ID="ScriptManager1" runat="server">
            </asp:ScriptManager>
            <asp:UpdatePanel runat="server" ID="updVhDetails" UpdateMode="Conditional">
                <ContentTemplate>
                    <!-- Header Starts Here -->
                    <uc1:Header ID="ucHeader" runat="server" />
                    <!-- Nav Ends Here -->
                    <!-- Content Starts Here -->
                    <div id="outer">
                        <div id="inner">
                            <div id="float-wrap">
                                <!-- Main Content Starts Here -->
                                <div id="content">
                                    <div class="content-wrap">
                                        <div id="top-content" class="head-part">
                                            <div id="heading" class="col-sm-6 col-md-3">
                                                <img class="icon" src="../images/configuration-icon.jpg" alt="" />
                                                <h1>
                                                    <asp:Literal ID="lblConfigurationCaption" runat="server"></asp:Literal></h1>
                                                <asp:LinkButton ID="lnkHomeCaption" runat="server"></asp:LinkButton><span>&gt;</span><asp:LinkButton
                                                    ID="lnkManageVehicles" PostBackUrl="VehicleInfo.aspx" runat="server" Text="Manage Vehicle"
                                                    OnClick="lnkManageVehicles_Click"></asp:LinkButton>
                                            </div>
                                            <div class="col-sm-6 col-md-9 head-part-btns">
                                                <div class="pull-right">
                                                    <asp:ImageButton ID="lbtnAddVehicle1" runat="server" CausesValidation="false" OnClick="lbtnAddVehicle_Click"
                                                        ImageUrl="~/images/btn-add-vehicle.jpg" Visible="false" />
                                                    <asp:LinkButton ID="lbtnAddVehicle" runat="server" CssClass="MultilingualBtn" CausesValidation="false" OnClientClick="ShowPopUp();"
                                                        OnClick="lbtnAddVehicle_Click">
                                                        <span runat="server" class="MultilingualBtnspan">
                                                            <div class="AddVehicle">
                                                                <div id="AddVehicleDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                    Add Vehicle
                                                                </div>
                                                            </div>
                                                        </span>
                                                    </asp:LinkButton>
                                                    <asp:ImageButton ID="ibtnBulkUpdate1" runat="server" OnClick="ibtnBulkUpdate_Click"
                                                        ImageUrl="~/images/import.jpg" Visible="false" />
                                                    <asp:LinkButton ID="ibtnBulkUpdate" runat="server" CssClass="MultilingualBtn" OnClick="ibtnBulkUpdate_Click">
                                                        <span runat="server" class="MultilingualBtnspan">
                                                            <div class="Import">
                                                                <div id="ImportDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                    Import
                                                                </div>
                                                            </div>
                                                        </span>
                                                    </asp:LinkButton>
                                                    <cc1:ModalPopupExtender ID="mpVehDetailsLoad" runat="server" BackgroundCssClass="modalbackground"
                                                        PopupControlID="pnlImportVehicles" TargetControlID="ibtnBulkUpdate" X="280" CancelControlID="ibtnCancel">
                                                    </cc1:ModalPopupExtender>
                                                    <asp:ImageButton ID="lbtnVehSeveritySetting1" PostBackUrl="MsgSeveritySettings.aspx"
                                                        runat="server" CausesValidation="false" ImageUrl="~/images/btn-vehicle-msg.jpg"
                                                        Visible="false" />
                                                    <asp:LinkButton ID="lbtnVehSeveritySetting" runat="server" CssClass="MultilingualBtn"
                                                        CausesValidation="false" PostBackUrl="MsgSeveritySettings.aspx">
                                                        <span runat="server" class="MultilingualBtnspan">
                                                            <div class="SeveritySettings">
                                                                <div id="SeveritySettingsDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                    Severity Settings
                                                                </div>
                                                            </div>
                                                        </span>
                                                    </asp:LinkButton>
                                                    <asp:LinkButton ID="lbtnInterimTrack" runat="server" CssClass="MultilingualBtn"
                                                        CausesValidation="false" PostBackUrl="UserVehicleTicketMapping.aspx">
                                                        <span runat="server" class="MultilingualBtnspan">
                                                            <div class="InterimTrack">
                                                                <div id="Div1" runat="server" class="MultilingualBtnTextAlign">
                                                                    Interim Tracking
                                                                </div>
                                                            </div>
                                                        </span>
                                                    </asp:LinkButton>
                                                    <asp:ImageButton ID="btnBack1" runat="server" OnClick="btnBack_Click" CausesValidation="false"
                                                        ImageUrl="~/images/btn-back-to-configuration.jpg" Visible="false" />
                                                    <asp:LinkButton ID="btnBack" runat="server" CssClass="MultilingualBtn" CausesValidation="false"
                                                        PostBackUrl="~/Forms/ConfigurationSetup.aspx">
                                                        <span runat="server" class="MultilingualBtnspan">
                                                            <div class="Back">
                                                                <div id="BacktoConfigurationDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                    Back to Configuration
                                                                </div>
                                                            </div>
                                                        </span>
                                                    </asp:LinkButton>
                                                </div>
                                            </div>
                                            <div class="clear clearfix">
                                            </div>
                                            <div class="row-Geozone"></div>
                                        </div>
                                        <div class="clear clearfix">
                                        </div>
                                        <asp:Panel ID="pnlVehicleInfo" runat="server" Visible="false">
                                            <div class="form-box">
                                                <h1>
                                                    <span class="icon">
                                                        <img src="../images/vehicle-icon.gif" alt="" title="" />
                                                    </span>
                                                    <asp:Label ID="lblVehInfoHeading" runat="server" Text="Vehicle Information"></asp:Label>
                                                </h1>
                                                <div class="row">
                                                    <div class="col-sm-10 col-md-10 col-lg-8 form-horizontal">
                                                        <%--   <div class="form-tbl">--%>
                                                        <div id="trDevice" runat="server">
                                                            <div class="col-sm-12 form-group" style="padding-top: 5px;">
                                                                <div class="col-sm-2 col-xs-4 icon-img">
                                                                    <asp:Label ID="lblDevID" runat="server" Text="Device ID" CssClass="label"></asp:Label>
                                                                    <asp:Label ID="lblManDeviceID" runat="server" ForeColor="Red">*</asp:Label>
                                                                </div>
                                                                <div class="col-sm-4 col-xs-8">
                                                                    <asp:Label ID="lblDevice" runat="server" CssClass="label" Text="[Device ID of the Vehicle]"></asp:Label>
                                                                    <asp:DropDownList ID="ddlBoxId" runat="server" CssClass="form-control ddl" TabIndex="1" AppendDataBoundItems="true">
                                                                    </asp:DropDownList>
                                                                </div>
                                                                <div class="col-sm-6"></div>
                                                            </div>
                                                        </div>
                                                        <div class="col-sm-12 form-group">
                                                            <div class="col-sm-2 icon-img">
                                                                <asp:Label ID="lblVName" runat="server" Text="Vehicle name" CssClass="label"></asp:Label>
                                                                <asp:Label ID="Label2" runat="server" ForeColor="Red">*</asp:Label>
                                                            </div>
                                                            <div class="col-sm-4">
                                                                <asp:TextBox ID="txtVehName" MaxLength="20" CssClass="form-control" onkeypress="return chkDescription(event,this,19);"
                                                                    TabIndex="1" runat="server"></asp:TextBox>
                                                                <asp:RequiredFieldValidator ID="rfvVehName" ValidationGroup="vgVeh" ControlToValidate="txtVehName"
                                                                    ErrorMessage="Vehicle name required" Display="None" runat="server"></asp:RequiredFieldValidator>
                                                            </div>
                                                            <div style="display: none">
                                                                <asp:Label ID="lblInternalNo" runat="server" Text="Internal Number" CssClass="label"></asp:Label>
                                                                <asp:Label ID="lblReqInternalNo" runat="server" ForeColor="Red">*</asp:Label>
                                                            </div>
                                                            <div style="display: none">
                                                                <asp:TextBox ID="txtInternalNo" MaxLength="20" onkeypress="return chkAlphaNumericWithoutSpace(event)"
                                                                    TabIndex="2" runat="server"></asp:TextBox>
                                                                <asp:RequiredFieldValidator ID="rfvInternalNo" ValidationGroup="vgVeh" ControlToValidate="txtInternalNo"
                                                                    ErrorMessage="Internal Vehicle Number required" Display="None" runat="server"></asp:RequiredFieldValidator>
                                                            </div>
                                                            <div class="col-sm-6"></div>
                                                        </div>
                                                        <div class="col-sm-12 form-group">
                                                            <div class="col-sm-2 icon-img">
                                                                <asp:Label ID="lblVIN" runat="server" Text="VIN" CssClass="label"></asp:Label>
                                                            </div>
                                                            <div class="col-sm-4">
                                                                <asp:TextBox ID="txtVIN" MaxLength="20" CssClass="form-control form-controllinebreak" runat="server" onkeypress="return chkAlphaNumericWithoutSpace(event)"
                                                                    TabIndex="4"></asp:TextBox>
                                                            </div>
                                                            <div class="col-sm-2 icon-img">
                                                                <asp:Label ID="lblMake" runat="server" Text="Make" CssClass="label"></asp:Label>
                                                            </div>
                                                            <div class="col-sm-4">
                                                                <asp:DropDownList ID="ddlVehMake" CssClass="form-control ddl" runat="server" TabIndex="5">
                                                                </asp:DropDownList>
                                                            </div>
                                                        </div>
                                                        <div class="col-sm-12 form-group">
                                                            <div class="col-sm-2 icon-img">
                                                                <asp:Label ID="lblLICPlate" runat="server" Text="License Plate" CssClass="label"></asp:Label>
                                                                <asp:Label ID="Label6" runat="server" ForeColor="Red">*</asp:Label>
                                                            </div>
                                                            <div class="col-sm-4">
                                                                <asp:TextBox ID="txtLICPlate" MaxLength="20" CssClass="form-control  form-controllinebreak" runat="server" onkeypress="return chkAlphaNumericWithSpace(event,this,19)"
                                                                    TabIndex="6"></asp:TextBox>
                                                                <asp:RequiredFieldValidator ID="rfvLICPlate" ValidationGroup="vgVeh" ControlToValidate="txtLICPlate"
                                                                    ErrorMessage="License Plate required" Display="None" runat="server"></asp:RequiredFieldValidator>
                                                            </div>
                                                            <div class="col-sm-2 icon-img">
                                                                <asp:Label ID="lblModel" runat="server" Text="Model" CssClass="label"></asp:Label>
                                                            </div>
                                                            <div class="col-sm-4">
                                                                <asp:DropDownList ID="ddlModel" CssClass="form-control ddl" runat="server" TabIndex="7">
                                                                </asp:DropDownList>
                                                            </div>
                                                        </div>
                                                        <div class="col-sm-12 form-group">
                                                            <div class="col-sm-2">
                                                                <asp:Label ID="lblSeverity" runat="server" Text="Severity" CssClass="label"></asp:Label>
                                                                <asp:Label ID="Label8" runat="server" ForeColor="Red">*</asp:Label>
                                                            </div>
                                                            <div class="col-sm-4 padding-width-lg-left form-controllinebreak">
                                                                <div style="direction: ltr">
                                                                    <asp:CheckBoxList ID="chkSeverities" runat="server" CssClass="Chkinput" RepeatDirection="Horizontal"
                                                                        RepeatLayout="Flow" TabIndex="8" OnPreRender="chkSeverities_PreRender">
                                                                    </asp:CheckBoxList>
                                                                </div>
                                                            </div>
                                                            <div class="col-sm-2 icon-img">
                                                                <asp:Label ID="lblYear" runat="server" Text="Year" CssClass="label"></asp:Label>
                                                            </div>
                                                            <div class="col-sm-4">
                                                                <asp:TextBox ID="txtYear" runat="server" CssClass="form-control" onkeypress="return chkNumeric_WithoutStartingZero(event)"
                                                                    MaxLength="4" TabIndex="9"></asp:TextBox>
                                                            </div>
                                                        </div>
                                                        <div class="col-sm-12 form-group">
                                                            <div class="col-sm-6"></div>
                                                            <div class="col-sm-2 icon-img">
                                                                <asp:Label ID="lblColor" runat="server" CssClass="label" Text="Color"></asp:Label>
                                                            </div>
                                                            <div class="col-sm-4">
                                                                <asp:TextBox ID="txtColor" runat="server" CssClass="form-control" MaxLength="20" onkeypress="return chkCharacter_only(event)"
                                                                    TabIndex="11"></asp:TextBox>
                                                            </div>
                                                        </div>
                                                        <div class="col-sm-12 form-group">
                                                            <div class="col-sm-2 icon-img">
                                                                <asp:Label ID="lblVehPurchaseDate" runat="server" Text="Purchase Date"></asp:Label>
                                                                <asp:Label ID="Label16" runat="server" ForeColor="Red">*</asp:Label>
                                                            </div>
                                                            <div class="col-sm-2">
                                                                <asp:TextBox ID="txtPurchasedDate" runat="server" onkeypress="return false" onpaste="return false"
                                                                    CssClass="form-control form-controllinebreak" TabIndex="14"></asp:TextBox>
                                                            </div>
                                                            <div class="col-sm-2"></div>
                                                            <div class="col-sm-2 icon-img">
                                                                <asp:Label ID="lblInstalledDate" runat="server" Text="Installed Date"></asp:Label>
                                                            </div>
                                                            <div class="col-sm-2">
                                                                <asp:TextBox ID="txtInstalledDate" runat="server" onkeypress="return false" onpaste="return false"
                                                                    CssClass="form-control" TabIndex="17"></asp:TextBox>
                                                            </div>
                                                            <div class="col-sm-2"></div>
                                                        </div>
                                                        <div class="col-sm-12 form-group">
                                                            <div class="col-sm-2 icon-img">
                                                                <asp:Label ID="lblCurrentEngineHrs" runat="server" Text="Opening Running Hours"></asp:Label>
                                                            </div>
                                                            <div class="col-sm-4">
                                                                <asp:TextBox ID="txtCurrentEngineHrs" runat="server" CssClass="form-control form-controllinebreak" oncopy="return false"
                                                                    ondrop="return false" onpaste="return false" MaxLength="6" onkeypress="return chkNumeric_only(event);" />
                                                            </div>
                                                            <div class="col-sm-2 icon-img">
                                                                <asp:Label ID="lblLifeSpan" runat="server" CssClass="label" Text="Life Span(Kms)"></asp:Label>
                                                                <asp:Label ID="Label17" runat="server" ForeColor="Red">*</asp:Label>
                                                            </div>
                                                            <div class="col-sm-4">
                                                                <asp:TextBox ID="txtLifeSpan" runat="server" CssClass="form-control" MaxLength="20" onkeypress="return chkNumeric_only(event);"
                                                                    TabIndex="11"></asp:TextBox>
                                                            </div>
                                                        </div>
                                                        <div class="col-sm-12 form-group">
                                                            <div class="col-sm-2 icon-img">
                                                                <asp:Label ID="lblVType" runat="server" Text="Vehicle type" CssClass="label"></asp:Label>
                                                                <asp:Label ID="Label5" runat="server" ForeColor="Red">*</asp:Label>
                                                            </div>
                                                            <div class="col-sm-4">
                                                                <asp:DropDownList ID="ddlVehType" CssClass="form-control ddl form-controllinebreak" runat="server" TabIndex="10">
                                                                </asp:DropDownList>
                                                                <asp:RequiredFieldValidator ID="rfvVehType0" ValidationGroup="vgVeh" ControlToValidate="ddlVehType"
                                                                    ErrorMessage="Vehicle type required" Display="None" runat="server" InitialValue="- Select -"></asp:RequiredFieldValidator>
                                                            </div>
                                                            <div class="col-sm-2 icon-img">
                                                                <asp:Label ID="lblVehCategory" runat="server" Text="Vehicle Category"></asp:Label>
                                                            </div>
                                                            <div class="col-sm-4">
                                                                <asp:DropDownList runat="server" ID="ddlVehCategory" CssClass="form-control ddl" TabIndex="13">
                                                                    <asp:ListItem Selected="True">- Select -</asp:ListItem>
                                                                    <asp:ListItem>HMV</asp:ListItem>
                                                                    <asp:ListItem>MMV</asp:ListItem>
                                                                    <asp:ListItem>LMV</asp:ListItem>
                                                                </asp:DropDownList>
                                                            </div>
                                                        </div>
                                                        <div class="col-sm-12 form-group">
                                                            <div class="col-sm-2 icon-img">
                                                                <asp:Label ID="lblVehicleCapacity" runat="server" Text="Vehicle Capacity"></asp:Label>
                                                            </div>
                                                            <div class="col-sm-2">
                                                                <asp:TextBox ID="txtVehicleCapacity" CssClass="form-control form-controllinebreak" runat="server" TabIndex="17"></asp:TextBox>
                                                            </div>
                                                            <div class="col-sm-2">
                                                                <asp:DropDownList runat="server" CssClass="form-control form-controllinebreak" ID="ddlVehicleCapacityUnit" TabIndex="13">
                                                                    <asp:ListItem Selected="True" Value="0">- Select -</asp:ListItem>
                                                                    <asp:ListItem Value="1">No. of seats</asp:ListItem>
                                                                    <asp:ListItem Value="2">Kilos/Tons</asp:ListItem>
                                                                </asp:DropDownList>
                                                            </div>

                                                            <div class="col-sm-2 icon-img">
                                                                <asp:Label ID="lblFuelTankCapacity" runat="server" Text="Fuel Tank Capacity"></asp:Label>
                                                            </div>
                                                            <div class="col-sm-2">
                                                                <asp:TextBox ID="txtFuelTankCapacity" runat="server" CssClass="form-control form-controllinebreak" oncopy="return false"
                                                                    ondrop="return false" onpaste="return false" MaxLength="5" onkeypress="return chkNumeric_only(event);" />
                                                            </div>
                                                            <div class="col-sm-2">
                                                                <asp:DropDownList runat="server" CssClass="form-control" ID="ddlFuelTankCapacityUnit" TabIndex="13">
                                                                    <asp:ListItem Selected="True" Value="0">- Select -</asp:ListItem>
                                                                    <asp:ListItem Value="1">Litres</asp:ListItem>
                                                                    <asp:ListItem Value="2">Gallons</asp:ListItem>
                                                                </asp:DropDownList>
                                                            </div>
                                                        </div>
                                                        <div class="col-sm-12 form-group">
                                                            <div class="col-sm-2 icon-img">
                                                                <asp:Label ID="lblInsuranceExpiryDate" runat="server" Text="Insurance Expiry Date"></asp:Label>
                                                            </div>
                                                            <div class="col-sm-2">
                                                                <asp:TextBox ID="txtInsuranceExpiryDate" runat="server" onkeypress="return false" onpaste="return false"
                                                                    CssClass="form-control form-controllinebreak" TabIndex="12"></asp:TextBox>
                                                            </div>
                                                            <div class="col-sm-2"></div>
                                                            <div class="col-sm-2 icon-img">
                                                                <asp:Label ID="lblInsuranceDate" runat="server" Text="Insurance Renewed On"></asp:Label>
                                                            </div>
                                                            <div class="col-sm-2">
                                                                <asp:TextBox ID="txtInsuranceDate" runat="server" onkeypress="return false" onpaste="return false"
                                                                    CssClass="form-control" TabIndex="12"></asp:TextBox>
                                                            </div>
                                                            <div class="col-sm-2"></div>
                                                        </div>
                                                        <div class="col-sm-12 form-group">
                                                            <div class="col-sm-2 icon-img">
                                                                <asp:Label ID="lblPermitExpired" runat="server" Text="Permit Renewed On"></asp:Label>
                                                            </div>
                                                            <div class="col-sm-2">
                                                                <asp:TextBox ID="txtPermitExpired" runat="server" onkeypress="return false" onpaste="return false"
                                                                    CssClass="form-control form-controllinebreak" TabIndex="14"></asp:TextBox>
                                                            </div>
                                                            <div class="col-sm-2"></div>
                                                            <div class="col-sm-2 icon-img">
                                                                <asp:Label ID="lblFcExpired" runat="server" Text="FC Renewed On"></asp:Label>
                                                            </div>
                                                            <div class="col-sm-2">
                                                                <asp:TextBox ID="txtFcExpired" runat="server" onkeypress="return false" onpaste="return false"
                                                                    CssClass="form-control" TabIndex="15"></asp:TextBox>
                                                            </div>
                                                            <div class="col-sm-2"></div>
                                                        </div>
                                                        <div class="col-sm-12 form-group">
                                                            <div class="col-sm-2">
                                                                <asp:Label ID="Label3" runat="server" Text="Vehicle Ownership"></asp:Label>
                                                            </div>
                                                            <div class="col-sm-4">
                                                                <asp:RadioButtonList ID="rdblstVehicleOwnership" CssClass="radiobtnlst form-controllinebreak" runat="server" AutoPostBack="false" RepeatDirection="Horizontal" onchange="OwnershipVisibility();">
                                                                    <asp:ListItem Value="1" Text="Owned" Selected="True"></asp:ListItem>
                                                                    <asp:ListItem Value="2" Text="Leased"></asp:ListItem>
                                                                </asp:RadioButtonList>
                                                            </div>
                                                            <div id="tblLeaseExpiryDetails" runat="server" style="display: none;">
                                                                <div class="col-sm-2 icon-img">

                                                                    <asp:Label ID="lblLeaseExpiryDate" runat="server" Text="Lease Expiry Date"></asp:Label>
                                                                    <asp:Label ID="Label18" runat="server" ForeColor="Red">*</asp:Label>
                                                                </div>
                                                                <div class="col-sm-2">
                                                                    <asp:TextBox ID="txtLeaseExpiryDate" runat="server" onkeypress="return false" onpaste="return false"
                                                                        CssClass="form-control form-controllinebreak" TabIndex="15"></asp:TextBox>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="col-sm-12 form-group">
                                                            <div class="col-sm-6 form-controllinebreak" style="margin-top: -20px;">
                                                                <asp:CheckBox ID="chkIsUnderWarranty" CssClass="checkbox-inline icon-label checkbox" runat="server" Text="Warranty" AutoPostBack="false" onchange="WarrantyVisibility();"></asp:CheckBox>
                                                            </div>
                                                            <div id="tblWarrantyExpiryDetails" runat="server" style="display: none;">
                                                                <div class="col-sm-2 icon-img">
                                                                    <asp:Label ID="lblWarrantyExpiryDate" runat="server" Text="Warranty Expiry Date"></asp:Label>
                                                                    <asp:Label ID="Label19" runat="server" ForeColor="Red">*</asp:Label>
                                                                </div>
                                                                <div class="col-sm-2">
                                                                    <asp:TextBox ID="txtWarrantyExpiryDate" runat="server" onkeypress="return false" onpaste="return false"
                                                                        CssClass="form-control" TabIndex="15"></asp:TextBox>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="clear clearfix"></div>
                                                    </div>
                                                    <div class="col-sm-10 col-lg-4">
                                                        <div class="panel panel-default override-col-width">
                                                            <div class="panel-heading">
                                                                <strong>
                                                                    <span id="lblUploadPanelHeading">Upload Vehicle related documents </span>
                                                                </strong>
                                                            </div>
                                                            <div class="panel-body">
                                                                <div class="form-horizontal col-sm-12">
                                                                    <div class="form-group">
                                                                        <div class="col-sm-12 checkbox">
                                                                            <asp:CheckBox ID="chkVehicleDocsUpload" runat="server" Text="Upload Vehicle Documents(RC, FC and Insurance)"
                                                                                onchange="UploadControlsVisibility();" />
                                                                        </div>
                                                                    </div>
                                                                    <div id="divUploadControls" runat="server" class="col-sm-12 padding-width-sm" style="display: none;">
                                                                        <div class="form-group">
                                                                            <div class="col-sm-3 padding-width-sm icon-label">
                                                                                <asp:Label ID="lblRCUpload" runat="server" Text="Upload RC"></asp:Label>
                                                                            </div>
                                                                            <div class="col-sm-3 padding-width-sm">
                                                                                <asp:FileUpload ID="fuRCUpload" runat="server" onchange="return validatePDFFileUpload(this.id);" accept=".pdf" />
                                                                            </div>
                                                                        </div>
                                                                        <div class="form-group">
                                                                            <div class="col-sm-3 padding-width-sm icon-label">
                                                                                <asp:Label ID="lblFCUpload" runat="server" Text="Upload FC"></asp:Label>
                                                                            </div>
                                                                            <div class="col-sm-3 padding-width-sm">
                                                                                <asp:FileUpload ID="fuFCUpload" runat="server" onchange="return validatePDFFileUpload(this.id);" accept=".pdf" />
                                                                            </div>
                                                                        </div>
                                                                        <div class="form-group">
                                                                            <div class="col-sm-3 padding-width-sm icon-label">
                                                                                <asp:Label ID="lblInsuranceUpload" runat="server" Text="Upload Insurance"></asp:Label>
                                                                            </div>
                                                                            <div class="col-sm-3 padding-width-sm">
                                                                                <asp:FileUpload ID="fuInsuranceUpload" runat="server" onchange="return validatePDFFileUpload(this.id);" accept=".pdf" />
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="row">
                                                    <div class="col-sm-12 form-group">
                                                        <div class="col-sm-4"></div>
                                                        <div class="col-sm-5">
                                                            <asp:ImageButton ID="btnAddNotifictions1" runat="server" CssClass="btn" OnClick="btnAddNotifictions_Click"
                                                                OnClientClick="ShowPopUp();" TabIndex="12" ImageUrl="~/images/btn-manage-notification.jpg"
                                                                Visible="false" />
                                                            <asp:LinkButton ID="btnAddNotifictions" runat="server" CssClass="MultilingualBtn"
                                                                OnClientClick="ShowPopUp();" OnClick="btnAddNotifictions_Click">
                                                                <span runat="server" class="MultilingualBtnspan">
                                                                    <div class="ManageNotification">
                                                                        <div id="AddNotifictionsButDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                            Manage Notifications
                                                                        </div>
                                                                    </div>
                                                                </span>
                                                            </asp:LinkButton>
                                                        </div>
                                                        <div class="col-sm-6"></div>
                                                    </div>
                                                    <div class="col-sm-12 form-group">
                                                        <div class="col-sm-4 icon-img">
                                                            <asp:Label ID="Label1" runat="server" ForeColor="Red">*</asp:Label>&nbsp;
                                                                <asp:Label ID="lblIndicatesMandatory" runat="server">Required Fields</asp:Label>
                                                        </div>
                                                        <div class="col-sm-4">
                                                            <asp:LinkButton ID="ibtnUpdateVehicle" ValidationGroup="vgVeh" runat="server" CssClass="MultilingualBtn"
                                                                CausesValidation="false" OnClientClick="return ValidateVehicleInfo(true,true,true);"
                                                                OnClick="ibtnUpdateVehicle_Click">
                                                                <span runat="server" class="MultilingualBtnspan">
                                                                    <div class="Update">
                                                                        <div id="UpdateVehicleButDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                            Update
                                                                        </div>
                                                                    </div>
                                                                </span>
                                                            </asp:LinkButton>
                                                            <asp:LinkButton ID="ibtnAddVehicle" runat="server" CssClass="MultilingualBtn" ValidationGroup="vgVeh"
                                                                TabIndex="13" OnClientClick="return ValidateVehicleInfo(true,true,true);" OnClick="ibtnAddVehicle_Click">
                                                                <span runat="server" class="MultilingualBtnspan">
                                                                    <div class="Save">
                                                                        <div id="AddVehicleButDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                            Save
                                                                        </div>
                                                                    </div>
                                                                </span>
                                                            </asp:LinkButton>
                                                            <asp:LinkButton ID="btnUserCancel" runat="server" CssClass="MultilingualBtn" OnClick="btnUserCancel_Click" OnClientClick="ShowPopUp();"
                                                                CausesValidation="false">
                                                                <%--OnClientClick="return ClearData();"--%>
                                                                <span runat="server" class="MultilingualBtnspan">
                                                                    <div class="Cancel">
                                                                        <div id="UserCancelDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                            Cancel
                                                                        </div>
                                                                    </div>
                                                                </span>
                                                            </asp:LinkButton>
                                                        </div>
                                                        <div class="col-sm-4"></div>
                                                    </div>
                                                </div>
                                            </div>
                                        </asp:Panel>
                                        <div class="clear clearfix"></div>
                                        <asp:Panel ID="pnlVehicleDetailsList" runat="server">
                                            <div id="grid-dsply">
                                                <div id="top">
                                                    <div class="col-xs-12 gridheader">
                                                        <div class="left-col">
                                                            <span class="txtAlign">
                                                                <asp:Label ID="lblFleet" runat="server" Text="Fleet"></asp:Label>
                                                            </span>
                                                            <span class="dropdown">
                                                                <dxw:ASPxComboBox ID="ddlFleet" runat="server" ValueType="System.Int32" Width="130px" Height="20px"
                                                                    ShowImageInEditBox="false" ClientInstanceName="ddlFleet" SelectedIndex="0"
                                                                    OnSelectedIndexChanged="ddlFleet_SelectedIndexChanged" AutoPostBack="true"
                                                                    CssFilePath="~/App_Themes/office2003Blue/Editors/styles.css" CssPostfix="Office2003_Blue"
                                                                    EnableTheming="true" Theme="Office2003Blue">
                                                                    <ClientSideEvents SelectedIndexChanged="function(s, e) { ShowPopUp(); }" />
                                                                </dxw:ASPxComboBox>
                                                            </span>
                                                        </div>
                                                        <div class="right-col">
                                                            <span class="dropdown" style="width: 80px;">
                                                                <dxw:ASPxComboBox ID="ASPxCboExport" runat="server" ValueType="System.String" Width="80px" Height="20px"
                                                                    ShowImageInEditBox="false" ItemImage-Height="12px" ClientInstanceName="ASPxCboExport" SelectedIndex="0"
                                                                    CssFilePath="~/App_Themes/office2003Blue/Editors/styles.css" CssPostfix="Office2003_Blue"
                                                                    EnableTheming="true" Theme="Office2003Blue">
                                                                    <Items>
                                                                        <dxw:ListEditItem ImageUrl="../images/icn-pdf.jpg" Text="pdf" Value="pdf" />
                                                                        <dxw:ListEditItem ImageUrl="../images/icn-excel.jpg" Text="xls" Value="xls" />
                                                                        <dxw:ListEditItem ImageUrl="../images/icn-excel-xlsx.png" Text="xlsx" Value="xlsx" />
                                                                        <dxw:ListEditItem ImageUrl="../images/icn-word.jpg" Text="rtf" Value="rtf" />
                                                                        <%--<dxw:ListEditItem ImageUrl="../images/icn-csv.gif" Text="csv" Value="csv" />--%>
                                                                    </Items>
                                                                </dxw:ASPxComboBox>
                                                            </span>&nbsp;<span class="txt">
                                                                <asp:ImageButton ID="btnExport1" runat="server" ImageUrl="~/images/btn-export.jpg"
                                                                    OnClick="btnExport_Click" Visible="false" />
                                                                <asp:LinkButton ID="btnExport" runat="server" CssClass="MultilingualBtn" OnClick="btnExport_Click">
                                                                    <span runat="server" class="MultilingualBtnspan">
                                                                        <div class="Export">
                                                                            <div id="ExportButDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                                Export
                                                                            </div>
                                                                        </div>
                                                                    </span>
                                                                </asp:LinkButton>
                                                            </span>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="clear clearfix">
                                                </div>
                                                <div class="table-responsive">
                                                    <dxw:ASPxGridView ID="gvVehicles" runat="server" Width="100%" EnableTheming="true" Theme="Office2003Blue"
                                                        EnableViewState="true" KeyFieldName="BoxId" CssFilePath="~/App_Themes/office2003Blue/GridView/styles.css"
                                                        CssPostfix="Office2003_Blue" OnHtmlRowCreated="gvVehicles_OnHtmlRowCreated">
                                                        <SettingsBehavior ProcessSelectionChangedOnServer="false" />
                                                        <Styles CssFilePath="~/App_Themes/office2003Blue/GridView/grid.css" AlternatingRow-Enabled="True"
                                                            CssPostfix="Office2003_Blue">
                                                            <Header ImageSpacing="5px" SortingImageSpacing="5px">
                                                            </Header>
                                                            <LoadingPanel ImageSpacing="10px">
                                                            </LoadingPanel>
                                                            <PagerBottomPanel CssClass="PageFooter">
                                                            </PagerBottomPanel>
                                                            <PagerTopPanel CssClass="PageFooter">
                                                            </PagerTopPanel>
                                                        </Styles>
                                                        <SettingsPager PageSize="15" PrevPageButton-Image-Url="../App_Themes/office2003Blue/GridView/pPrev.gif"
                                                            PrevPageButton-Image-UrlDisabled="../App_Themes/office2003Blue/GridView/pPrevDisabled.gif"
                                                            NextPageButton-Image-UrlDisabled="../App_Themes/office2003Blue/GridView/pNextDisabled.gif"
                                                            NextPageButton-Image-Url="../App_Themes/office2003Blue/GridView/pNext.gif" AlwaysShowPager="true">
                                                        </SettingsPager>
                                                        <Columns>
                                                            <dxw:GridViewDataColumn FieldName="BoxId" Caption="DeviceID" VisibleIndex="0" Width="10%">
                                                                <HeaderCaptionTemplate>
                                                                    <span class="icon">
                                                                        <img src="../images/icn-device-id.gif" align="top" alt="" title="" /></span>
                                                                    <span class="label">
                                                                        <asp:Label ID="lblDeviceIDCaption" runat="server" Text="Device ID"></asp:Label></span>
                                                                </HeaderCaptionTemplate>
                                                            </dxw:GridViewDataColumn>
                                                            <dxw:GridViewDataColumn FieldName="VehicleDescription" Caption="Vehicle Name" VisibleIndex="1"
                                                                Width="10%">
                                                                <HeaderCaptionTemplate>
                                                                    <span class="icon">
                                                                        <img src="../images/icn-vehicle-name.gif" alt="" title="" align="top" /></span>
                                                                    <span class="label">
                                                                        <asp:Label ID="lblVehNameCaption" runat="server" Text="Vehicle Name"></asp:Label></span>
                                                                </HeaderCaptionTemplate>
                                                            </dxw:GridViewDataColumn>
                                                            <%--<dxw:GridViewDataColumn FieldName="DisplayName" Caption="Display Name" VisibleIndex="2"
                                                    Width="10%">
                                                    <HeaderCaptionTemplate>
                                                        <span class="icon">
                                                            <asp:Image ID="imgDisplayName" runat="server" ImageUrl="..\Images\icn-make-name.gif" /></span>
                                                        <span class="label">
                                                            <asp:Label ID="lblDispalyName" runat="server" Text="Display Name"></asp:Label></span>
                                                    </HeaderCaptionTemplate>
                                                </dxw:GridViewDataColumn>--%>
                                                            <dxw:GridViewDataColumn FieldName="MakeName" Caption="Make Name" VisibleIndex="2"
                                                                Width="10%">
                                                                <HeaderCaptionTemplate>
                                                                    <span class="icon">
                                                                        <img src="../images/icn-make-name.gif" alt="" title="" align="middle" /></span>
                                                                    <span class="label">
                                                                        <asp:Label ID="lblMakeNameCaption" runat="server" Text="Make Name"></asp:Label></span>
                                                                </HeaderCaptionTemplate>
                                                            </dxw:GridViewDataColumn>
                                                            <dxw:GridViewDataColumn FieldName="ModelName" Caption="Model" VisibleIndex="3" Width="10%">
                                                                <HeaderCaptionTemplate>
                                                                    <span class="icon">
                                                                        <img src="../images/icn-model-name.gif" alt="" title="" align="middle" /></span>
                                                                    <span class="label">
                                                                        <asp:Label ID="lblModelCaption" runat="server" Text="Model"></asp:Label></span>
                                                                </HeaderCaptionTemplate>
                                                            </dxw:GridViewDataColumn>
                                                            <dxw:GridViewDataColumn FieldName="LicensePlate" Caption="License Plate" VisibleIndex="4"
                                                                Width="10%">
                                                                <HeaderCaptionTemplate>
                                                                    <span class="icon">
                                                                        <img src="../images/license-icon.gif" alt="" title="" /></span> <span class="label">
                                                                            <asp:Label ID="lblLicPlateCaption" runat="server" Text="License Plate"></asp:Label></span>
                                                                </HeaderCaptionTemplate>
                                                            </dxw:GridViewDataColumn>
                                                            <dxw:GridViewDataColumn FieldName="EmailUserNameList" Caption="Email Users" VisibleIndex="5"
                                                                Width="18%">
                                                                <HeaderCaptionTemplate>
                                                                    <span class="icon">
                                                                        <img src="../images/icn-email-users.gif" alt="" title="" align="top" />
                                                                    </span><span class="label">&nbsp;<asp:Label ID="lblEmailUsersCaption" runat="server"
                                                                        Font-Bold="false" Text="Email Users"></asp:Label>
                                                                    </span>
                                                                </HeaderCaptionTemplate>
                                                                <CellStyle Wrap="True">
                                                                </CellStyle>
                                                                <Settings AllowAutoFilter="False" />
                                                            </dxw:GridViewDataColumn>
                                                            <dxw:GridViewDataColumn FieldName="SMSUserNameList" Caption="SMS Users" VisibleIndex="6"
                                                                Width="15%">
                                                                <HeaderCaptionTemplate>
                                                                    <span class="icon">
                                                                        <img src="../images/icn-sms-users.gif" alt="" title="" align="top" />
                                                                    </span><span class="label">
                                                                        <asp:Label ID="lblSMSUsersCaption" runat="server" Font-Bold="false" Text="SMS Users"></asp:Label>
                                                                    </span>
                                                                </HeaderCaptionTemplate>
                                                                <CellStyle Wrap="True">
                                                                </CellStyle>
                                                                <Settings AllowAutoFilter="False" />
                                                            </dxw:GridViewDataColumn>
                                                            <dxw:GridViewDataColumn FieldName="Severity" Caption="Severity" VisibleIndex="8"
                                                                Width="11%" CellStyle-Wrap="True">
                                                                <HeaderCaptionTemplate>
                                                                    <span class="icon">
                                                                        <img src="../images/icn-severity.gif" alt="" title="" />
                                                                    </span><span class="label">&nbsp;<asp:Label ID="lblSeverityCaption" runat="server"
                                                                        Font-Bold="false" Text="Severity"></asp:Label>
                                                                    </span>
                                                                </HeaderCaptionTemplate>
                                                                <Settings AllowAutoFilter="False" />
                                                            </dxw:GridViewDataColumn>
                                                            <dxw:GridViewDataTextColumn Caption="Download" VisibleIndex="9" Width="3%" Name="Download">
                                                                <HeaderTemplate>
                                                                </HeaderTemplate>
                                                                <DataItemTemplate>
                                                                    <asp:LinkButton ID="lbtnDownloadVehicleDocs" runat="server" CommandArgument='<%# Eval("VehicleId") %>'
                                                                        OnClick="lbtnDownloadVehicleDocs_Click" Style="text-decoration: none;">
                                                                        <%--<asp:Image ID="imgIsDocumentsAvlbl" runat="server" Height="16" Width="16" />--%>
                                                                    </asp:LinkButton>
                                                                </DataItemTemplate>
                                                            </dxw:GridViewDataTextColumn>
                                                            <dxw:GridViewDataTextColumn Caption="Edit" VisibleIndex="9" Width="3%" Name="Edit">
                                                                <HeaderTemplate>
                                                                </HeaderTemplate>
                                                                <DataItemTemplate>
                                                                    <asp:LinkButton ID="btnUpdateVehicle" runat="server" CommandArgument='<%# Eval("VehicleId") %>'
                                                                        OnClientClick="ShowPopUp();" OnClick="btnUpdateVehicle_Click" Style="text-decoration: none;">
                                                                        <img src="../images/icn-edit.gif" alt=""/>
                                                                    </asp:LinkButton>
                                                                </DataItemTemplate>
                                                            </dxw:GridViewDataTextColumn>
                                                            <dxw:GridViewDataTextColumn Caption="Delete" Width="3%" HeaderStyle-HorizontalAlign="Center" VisibleIndex="9" CellStyle-HorizontalAlign="Center">
                                                                <HeaderTemplate>
                                                                </HeaderTemplate>
                                                                <DataItemTemplate>
                                                                    <%--Delete();--%>
                                                                    <asp:LinkButton ID="lbtnDelete" runat="server" OnClientClick="return Delete();" CommandArgument='<%#Eval("VehicleId") %>'
                                                                        OnClick="lbtnDelete_click">
                                                                        <img src="../images/delete-icon.gif" alt="" />
                                                                    </asp:LinkButton>
                                                                </DataItemTemplate>
                                                            </dxw:GridViewDataTextColumn>
                                                        </Columns>
                                                        <Settings ShowVerticalScrollBar="true" VerticalScrollableHeight="270" />
                                                        <Settings ShowFilterRow="true" ShowFilterRowMenu="True" />
                                                        <SettingsText EmptyDataRow="No vehicle details found" />
                                                        <SettingsBehavior AllowFocusedRow="false" />
                                                    </dxw:ASPxGridView>
                                                </div>
                                                <dxw:ASPxGridViewExporter ID="ASPxGridViewExporter1" runat="server" GridViewID="gvVehicles"
                                                    ReportHeader="{\rtf1\ansi\ansicpg1252\deff0\deflang1033{\fonttbl{\f0\fnil\fcharset0 Times New Roman;}
                                                    {\f1\fnil\fcharset0 Arial;}}\viewkind4\uc1\pard\f0\fs20\b\f1\fs28 Vehicle Details\par\par\par}">
                                                    <PageFooter Right="[Page # of Pages #]">
                                                    </PageFooter>
                                                </dxw:ASPxGridViewExporter>
                                            </div>
                                        </asp:Panel>
                                    </div>
                                </div>
                            </div>

                            <%--</div>--%>
                            <!-- Main Content Ends Here -->
                            <div id="left">
                            </div>
                            <div class="clear clearfix">
                            </div>
                        </div>
                        <div id="right">
                        </div>
                        <div class="clear clearfix">
                        </div>
                    </div>
                    <asp:Button ID="btnLoadModel" runat="server" CssClass="btn" OnClick="ddlVehMake_SelectionChanged"
                        Style="display: none"></asp:Button>
                </ContentTemplate>
                <Triggers>
                    <asp:PostBackTrigger ControlID="ibtnAddVehicle" />
                    <asp:PostBackTrigger ControlID="btnExport" />
                    <asp:PostBackTrigger ControlID="ibtnUpdateVehicle" />
                </Triggers>
            </asp:UpdatePanel>

            <asp:Button ID="btnTesting" Style="display: none;" runat="server" />

            <asp:Panel ID="pnlNotificationsList" runat="server" CssClass="notifyManagePanel col-sm-9">
                <asp:UpdatePanel ID="updNotify" runat="server" UpdateMode="Conditional">
                    <ContentTemplate>
                        <uc3:NotificationsList ID="ucNotificationList" runat="server" NotificationType="3" />
                    </ContentTemplate>
                </asp:UpdatePanel>
            </asp:Panel>
            <asp:Panel ID="pnlImportVehicles" runat="server" Style="display: none;" CssClass="import-LandmarkPanel col-sm-7 col-md-5 col-lg-4">
                <div class="popup">
                    <div class="top">
                        <h1>
                            <asp:Label ID="lblFile" Text="Bulk Update Vehicle Details" runat="server"></asp:Label></h1>
                        <div class="close">
                            <asp:ImageButton ID="ibtnClose" OnClientClick="$find('mpVehDetailsLoad').hide(); return false;"
                                CausesValidation="false" ImageUrl="~/images/popup-close.gif" Visible="true" runat="server" />
                        </div>
                        <div class="clear clearfix">
                        </div>
                    </div>
                    <div class="popup-content">
                        <div class="form-tbl ">
                            <div class="form-horizontal">
                                <div class="form-group">
                                    <div class="col-sm-2">
                                        <asp:Label ID="lblVehDetails" runat="server" Text="Select File" CssClass="label"></asp:Label>
                                    </div>
                                    <div class="col-sm-10">
                                        <asp:FileUpload ID="fuVehicles" runat="server" onchange="return validateCSVFileUpload(this);" />
                                    </div>
                                </div>
                                <div class="form-group">
                                    <div class="col-sm-2"></div>
                                    <div class="col-sm-10">
                                        <asp:ImageButton ID="ibtnUpdateVehicles1" runat="server" ImageUrl="~/images/btn-update.jpg"
                                            OnClick="ibtnUpdateVehicles_Click" Visible="false" />
                                        <asp:LinkButton ID="ibtnUpdateVehicles" runat="server" CssClass="MultilingualBtn"
                                            OnClick="ibtnUpdateVehicles_Click">
                                            <span runat="server" class="MultilingualBtnspan">
                                                <div class="Update">
                                                    <div id="UpdateVehiclesDiv" runat="server" class="MultilingualBtnTextAlign">
                                                        Update
                                                    </div>
                                                </div>
                                            </span>
                                        </asp:LinkButton>&nbsp;
                                            <asp:ImageButton ID="ibtnCancel1" runat="server" ImageUrl="~/images/btn-Cancel.jpg"
                                                Visible="false" />
                                        <asp:LinkButton ID="ibtnCancel" runat="server" CssClass="MultilingualBtn">
                                            <span runat="server" class="MultilingualBtnspan">
                                                <div class="Cancel">
                                                    <div id="CancelDiv" runat="server" class="MultilingualBtnTextAlign">
                                                        Cancel
                                                    </div>
                                                </div>
                                            </span>
                                        </asp:LinkButton>&nbsp;
                                            <asp:LinkButton ID="lbtnDownloadTemp1" runat="server" Text="Download Template" OnClick="Download_Template"
                                                Visible="false"></asp:LinkButton>
                                        <asp:LinkButton ID="lbtnDownloadTemp" runat="server" OnClick="Download_Template">
                                            <span runat="server" class="MultilingualBtnspan">
                                                <div class="Download">
                                                    <div id="DownloadTemplateDiv" runat="server" class="MultilingualBtnTextAlign">
                                                        Template
                                                    </div>
                                                </div>
                                            </span>
                                        </asp:LinkButton>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </asp:Panel>
            <asp:Panel ID="pnlDownloadVehicleDocs" runat="server" Style="display: none;" CssClass="searchPanel col-sm-7 col-md-5 col-lg-4">
                <asp:UpdatePanel ID="updDownloadDocs" runat="server" UpdateMode="Conditional">
                    <ContentTemplate>
                        <div class="popup">
                            <div class="top">
                                <h1>
                                    <asp:Label ID="Label4" Text="Download Vehicle Documents" runat="server"></asp:Label></h1>
                                <%--<div class="close">
                                    <asp:ImageButton ID="ImageButton1" OnClientClick="popupDownloadVehicleDocs(0);HidePopUp();return false;"
                                        CausesValidation="false" ImageUrl="~/images/popup-close.gif" Visible="true" runat="server" />
                                </div>--%>
                                <div class="clear clearfix"></div>
                            </div>
                            <div class="popup-content">
                                <div class="form-tbl ">
                                    <div class="form-horizontal">
                                        <div class="form-group">
                                            <div class="col-sm-3 padding-width-sm">
                                                <asp:Label ID="lblAvlblDocsforDownloadCaption" runat="server" CssClass="b"
                                                    Text="Uploaded Documents for Vehicle: "></asp:Label>
                                            </div>
                                            <div class="col-sm-9 padding-width-sm">
                                                <asp:Label ID="lblAvlblDocsforDownload" runat="server"></asp:Label>
                                            </div>
                                        </div>
                                        <div class="form-group">
                                            <div class="col-sm-3"></div>
                                            <div class="col-sm-1 padding-width-sm">
                                                <%--<asp:CheckBoxList ID="chklstVehicleDocsList" runat="server" RepeatDirection="Vertical">
                                            <asp:ListItem Text="RC" Value="1"></asp:ListItem>
                                            <asp:ListItem Text="FC" Value="2"></asp:ListItem>
                                            <asp:ListItem Text="Insurance" Value="3"></asp:ListItem>
                                        </asp:CheckBoxList>--%>
                                                <asp:LinkButton ID="lnkDownloadRCDocument" runat="server" CssClass="ControlHide"
                                                    OnClick="lnkDownloadRCDocument_Click" OnClientClick="ShowPopUp();">
                                                    <span runat="server" class="">RC 
                                                        <%--<div class="Download">
                                                            <div id="Div1" runat="server" class="MultilingualBtnTextAlign">
                                                            </div>
                                                        </div>--%>
                                                    </span>
                                                </asp:LinkButton>
                                                <asp:LinkButton ID="lnkDownloadFCDocument" runat="server" CssClass="ControlHide"
                                                    OnClick="lnkDownloadFCDocument_Click" OnClientClick="ShowPopUp();">
                                                    <span runat="server" class="">FC 
                                                        <%--<div class="Download">
                                                            <div id="Div2" runat="server" class="MultilingualBtnTextAlign">
                                                            </div>
                                                        </div>--%>
                                                    </span>
                                                </asp:LinkButton>
                                                <asp:LinkButton ID="lnkDownloadInsuranceDocument" runat="server" CssClass="ControlHide"
                                                    OnClick="lnkDownloadInsuranceDocument_Click" OnClientClick="ShowPopUp();">
                                                    <span runat="server" class="">Insurance 
                                                        <%--<div class="Download">
                                                            <div id="Div3" runat="server" class="MultilingualBtnTextAlign">
                                                            </div>
                                                        </div>--%>
                                                    </span>
                                                </asp:LinkButton>
                                            </div>
                                        </div>
                                        <div class="form-group">
                                            <div class="col-sm-12 padding-width-sm">
                                                <asp:Panel runat="server" ID="IpdfViewer" Style="width: 100%; height: 100%">
                                                </asp:Panel>
                                            </div>
                                        </div>
                                        <div class="form-group">
                                            <%--<div class="col-sm-3"></div>--%>
                                            <div class="col-sm-12 text-center">
                                                <%--<asp:LinkButton ID="lnkDownloadVehicleDocs" runat="server" CssClass="MultilingualBtn"
                                                    OnClick="lnkDownloadVehicleDocs_Click" Visible="false">
                                                    <span runat="server" class="MultilingualBtnspan">
                                                        <div class="Download">
                                                            <div id="divDownload" runat="server" class="MultilingualBtnTextAlign">
                                                                Download
                                                            </div>
                                                        </div>
                                                    </span>
                                                </asp:LinkButton>--%>
                                                <asp:LinkButton ID="lbtnCancelDownloadVehicleDocs" runat="server" CssClass="MultilingualBtn"
                                                    OnClick="lbtnCancelDownloadVehicleDocs_Click" OnClientClick="ShowPopUp();">
                                                    <span runat="server" class="MultilingualBtnspan">
                                                        <div class="Cancel">
                                                            <div id="divCancel" runat="server" class="MultilingualBtnTextAlign">
                                                                Close
                                                            </div>
                                                        </div>
                                                    </span>
                                                </asp:LinkButton>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </ContentTemplate>
                </asp:UpdatePanel>
            </asp:Panel>
            <cc1:ModalPopupExtender ID="mpeProgressIndicator" runat="server" PopupControlID="pnlProgress"
                TargetControlID="btnTesting" BackgroundCssClass="modalBackground">
            </cc1:ModalPopupExtender>
            <asp:Button ID="Button1" Style="display: none;" runat="server" />
            <%-- <asp:UpdateProgress ID="uprDataLoading" runat="server" DynamicLayout="True" AssociatedUpdatePanelID="updVhDetails">
            <ProgressTemplate>--%>
            <asp:Panel ID="pnlProgress" runat="server" CssClass="processMessage">
                <center>
                    <br />
                    <img id="imgLoad" runat="server" alt="Please Wait ..." src="../images/47.gif" /><br />
                    <br />
                    <asp:Label ID="lbl_msg12" Text="Processing... Please Wait..." runat="server" CssClass="specialdisplay"></asp:Label>
                    <br />
                    <br />
                </center>
            </asp:Panel>
            <%--</ProgressTemplate>
        </asp:UpdateProgress>--%>

            <script type="text/javascript" src="../js/ScriptToClearCtrls.js"></script>
            <script type="text/javascript" src="../js/GridCheckBoxMaintaining.js"></script>
            <script type="text/javascript" src="../js/DriverManagementScript.js"></script>
            <script type="text/javascript" src="../js/myformvalidations.js"></script>
            <script type="text/javascript" src="../js/FormValidations.js"></script>
            <script type="text/javascript">
                var AlertFileType = '" files are not allowed.\n\n Please upload only CSV files.';
                //Set Alert message to the varibale.
                function SetAlertMessageFileType(FileType) {
                    AlertFileType = FileType;
                }
                function validateFileUpload1(obj) {
                    var fileName = new String();
                    var fileExtension = new String();
                    var validFileExtensions = "csv";
                    var flag = false;
                    // store the file name into the variable
                    fileName = obj.value;
                    // extract and store the file extension into another variable
                    fileExtension = fileName.substr(fileName.length - 3, 3);
                    // Check over the valid file extensions to compare them with uploaded file
                    if (fileExtension.toLowerCase() == validFileExtensions.toString().toLowerCase()) {
                        flag = true;
                    }
                    // display the alert message box according to the flag value
                    if (flag == false) {
                        TrinetraCustomAlerts(fileExtension.toUpperCase() + AlertFileType);

                        var file = document.getElementById("fuVehicles");
                        file.select();
                        //cmd = file.createTextRange();
                        //cmd.execCommand('delete');
                        file.value = '';
                        file.focus();

                        return false;
                    }
                    else {
                        return true;
                    }
                }
                function validateCSVFileUpload(obj) {
                    var fileName = new String();
                    var fileExtension = new String();
                    var validFileExtensions = "csv";
                    var flag = false;
                    // store the file name into the variable
                    fileName = obj.value;
                    // extract and store the file extension into another variable
                    fileExtension = fileName.substr(fileName.length - 3, 3);
                    // Check over the valid file extensions to compare them with uploaded file
                    if (fileExtension.toLowerCase() == validFileExtensions.toString().toLowerCase()) {
                        flag = true;
                    }
                    // display the alert message box according to the flag value
                    if (flag == false) {
                        TrinetraCustomAlerts(fileExtension.toUpperCase() + AlertFileType);
                        var file1 = document.getElementById("fuVehicles");
                        //alert(file1);
                        file1.select();
                        //cmd = file1.createTextRange();
                        //cmd.execCommand('delete');
                        file1.value = '';
                        file1.focus();
                        return false;
                    }
                    else {
                        return true;
                    }
                }
                function validatePDFFileUpload(obj) {
                    var fileName = new String();
                    var fileExtension = new String();
                    var validFile = ".pdf";
                    var validFileExtensions = validFile.split('/');
                    var flag = false;
                    // store the file name into the variable
                    fileName = document.getElementById(obj).value;
                    // extract and store the file extension into another variable
                    fileExtension = fileName.substr(fileName.lastIndexOf('.'), fileName.length);
                    // Check over the valid file extensions to compare them with uploaded file
                    for (var i = 0; i < validFileExtensions.length; i++) {
                        if (fileExtension.toLowerCase() == validFileExtensions[i].toString().toLowerCase()) {
                            flag = true;
                        }
                    }
                    // display the alert message box according to the flag value
                    if (flag == false) {
                        TrinetraCustomAlerts(fileExtension.toUpperCase() + '" files are not allowed.\n\n Please upload only ' + validFile + ' files.');
                        var file = document.getElementById(obj);
                        file.value = "";
                        var file1 = file.cloneNode(false);
                        file1.onchange = file.onchange;
                        file.parentNode.replaceChild(file1, file);
                        return false;
                    }
                    else {
                        return true;
                    }
                }
                function OwnershipVisibility() {
                    var a = document.getElementById('rdblstVehicleOwnership_1');
                    var b = document.getElementById('tblLeaseExpiryDetails');
                    if (a.checked == true) {
                        b.style.display = 'block';
                    }
                    else {
                        b.style.display = 'none';
                    }
                }
                function WarrantyVisibility() {
                    if (document.getElementById('chkIsUnderWarranty').checked == true) {
                        document.getElementById('tblWarrantyExpiryDetails').style.display = 'block';
                    }
                    else {
                        document.getElementById('tblWarrantyExpiryDetails').style.display = 'none';
                    }
                }
                function UploadControlsVisibility() {
                    if (document.getElementById('chkVehicleDocsUpload') != null) {
                        if (document.getElementById('chkVehicleDocsUpload').checked == true) {
                            document.getElementById('divUploadControls').style.display = 'block';
                        }
                        else {
                            document.getElementById('divUploadControls').style.display = 'none';
                        }
                    }
                }
                function popupDownloadVehicleDocs(PanelStatus) {
                    if (document.getElementById('pnlDownloadVehicleDocs') != null) {
                        if (PanelStatus == 1)
                            document.getElementById('pnlDownloadVehicleDocs').style.display = "inline-block";
                        else
                            document.getElementById('pnlDownloadVehicleDocs').style.display = "none";
                    }
                }
            </script>
            <script lang="javascript" type="text/javascript">
                function HidePopUp() {
                    if ($find('mpeProgressIndicator') != undefined) {
                        $find('mpeProgressIndicator').hide();
                    }
                }
                function ShowPopUp() {
                    if ($find('mpeProgressIndicator') != undefined) {
                        $find('mpeProgressIndicator').show();
                    }
                }
                function ClearData() {
                    document.getElementById('txtColor').value = "";
                    document.getElementById('txtLICPlate').value = "";
                    document.getElementById('txtVehName').value = "";
                    document.getElementById('txtVIN').value = "";
                    document.getElementById('txtYear').value = "";
                    document.getElementById('txtFcExpired').value = "";
                    document.getElementById('txtInsuranceDate').value = "";
                    document.getElementById('txtPermitExpired').value = "";
                    document.getElementById('txtCurrentEngineHrs').value = "";
                    document.getElementById('txtFuelTankCapacity').value = "";
                    document.getElementById('txtPurchasedDate').value = "";
                    document.getElementById('txtLifeSpan').value = "";
                    document.getElementById('txtInsuranceExpiryDate').value = "";
                    document.getElementById('txtLeaseExpiryDate').value = "";
                    document.getElementById('txtWarrantyExpiryDate').value = "";
                    // document.getElementById('ddlBoxId').selectedIndex = 0
                    document.getElementById('ddlModel').selectedIndex = 0
                    document.getElementById('ddlVehMake').selectedIndex = 0
                    document.getElementById('ddlVehType').selectedIndex = 0
                    document.getElementById('ddlFuelTankCapacityUnits').selectedIndex = 0;
                    document.getElementById('chkSeverities').selectedIndex = 2
                    document.getElementById('chkIsUnderWarranty').checked = false;
                    if ($find('mpeProgressIndicator') != undefined) {
                        $find('mpeProgressIndicator').hide();
                    }
                }
            </script>
            <script type="text/javascript">
                Sys.Browser.WebKit = {}; //Safari 3 is considered WebKit
                if (navigator.userAgent.indexOf('WebKit/') > -1) {
                    Sys.Browser.agent = Sys.Browser.WebKit;
                    Sys.Browser.version = parseFloat(navigator.userAgent.match(/WebKit\/(\d+(\.\d+)?)/)[1]);
                    Sys.Browser.name = 'WebKit';
                }
            </script>
        </form>
    </div>
    <!-- Content Ends Here -->
    <uc2:Footer ID="ucFooter" runat="server" />
</body>
</html>
