﻿<%@ page language="C#" autoeventwireup="true" enableeventvalidation="false" inherits="Forms_VehicleListing, App_Web_tnfq0fem" %>

<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc1" %>
<%@ Register Src="~/UserControls/New_Header.ascx" TagName="Header" TagPrefix="uc1" %>
<%@ Register Src="~/UserControls/New_Footer.ascx" TagName="Footer" TagPrefix="uc2" %>

<%--<%@ Register Assembly="DevExpress.Web.ASPxGridView.v8.2, Version=8.2.10.0, Culture=neutral, PublicKeyToken=9B171C9FD64DA1D1"
    Namespace="DevExpress.Web.ASPxGridView" TagPrefix="dxwgv" %>
<%@ Register Assembly="DevExpress.Web.ASPxEditors.v8.2, Version=8.2.10.0, Culture=neutral, PublicKeyToken=9B171C9FD64DA1D1"
    Namespace="DevExpress.Web.ASPxEditors" TagPrefix="dxe" %>
<%@ Register Assembly="DevExpress.Web.ASPxEditors.v8.2" Namespace="DevExpress.Web.ASPxEditors"
    TagPrefix="dxe" %>
<%@ Register Assembly="DevExpress.Web.ASPxGridView.v8.2.Export, Version=8.2.10.0, Culture=neutral, PublicKeyToken=9B171C9FD64DA1D1"
    Namespace="DevExpress.Web.ASPxGridView.Export" TagPrefix="exp" %>
<%@ Register Assembly="DevExpress.Web.ASPxEditors.v8.2, Version=8.2.10.0, Culture=neutral, PublicKeyToken=9B171C9FD64DA1D1"
    Namespace="DevExpress.Web.ASPxEditors" TagPrefix="dx" %>--%>

<%--********* For Bootstrap Implementation *************--%>
<!DOCTYPE html>
<html lang="en">
<%--********* End of Bootstrap Implementation *************--%>
<head id="Head1" runat="server">
    <%--********* For Bootstrap Implementation *************--%>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <%--********* End of Bootstrap Implementation *************--%>
    <title>tSense-IoT Vehicle scheduling</title>
    <link id="reset" runat="server" href="../css/reset.css" rel="stylesheet" type="text/css" />
    <link id="stylesheet2" runat="server" href="../css/stylesheet2.css" rel="stylesheet"
        type="text/css" />
    <link id="dropdown" runat="server" href="../css/dropdown.css" rel="stylesheet" type="text/css" />
    <link rel="SHORTCUT ICON" href="../images/favicon.ico" />
    <link id="ieonly" runat="server" href="" rel="stylesheet" type="text/css" />
    <link rel="SHORTCUT ICON" href="../images/favicon.ico" />
    <link id="datepicker" runat="server" type="text/css" href="../css/ui.datepicker.css"
        rel="stylesheet" />
    <link id="uicore" runat="server" type="text/css" href="../css/ui.core.css" rel="stylesheet" />
    <link id="uitheme" runat="server" type="text/css" href="../css/ui.theme.css" rel="stylesheet" />
    <%--Custom Theme for DevEx 14.2--%>
    <link id="GridView" runat="server" type="text/css" href="~/App_Themes/Office2003Blue/GridView/grid.css" rel="stylesheet" />
    <link id="Editors" runat="server" type="text/css" href="~/App_Themes/Office2003Blue/Editors/styles.css" rel="stylesheet" />
    <style type="text/css">
        </style>

    <script language="JavaScript1.2" type="text/javascript" src="../js/myformvalidations.js"></script>

    <script language="javascript" type="text/javascript" src="../js/DriverManagementScript.js"></script>

    <link id="Link1" runat="server" href="" rel="stylesheet" type="text/css" />

    <script type="text/javascript" src="../js/jquery-1.5.1.min.js"></script>

    <script src="../js/jquery-1.5.1.min.js" type="text/javascript"></script>

    <script type="text/javascript" src="../js/ui.datepicker.js"></script>

    <script type="text/javascript" language="javascript" src="../js/JQQueryDatePicker.js"></script>
    <%--********* For Bootstrap Implementation *************--%>
    <link id="BootStrapCss" href="../css/bootstrap.css" runat="server" rel="stylesheet" type="text/css" />
    <link id="mainstyle" runat="server" href="../css/mainstyle.css" rel="stylesheet" type="text/css" />
    <%--********* End of Bootstrap Implementation *************--%>
    <script src="../js/wow.min.js"></script>
</head>
<body>
    <%--********* For Bootstrap Implementation *************--%>
    <div class="pageContainer">
        <%--********* End of Bootstrap Implementation *************--%>
        <form id="form1" runat="server">
            <asp:ScriptManager ID="ScriptManager1" runat="server">
            </asp:ScriptManager>
            <asp:UpdatePanel runat="server" ID="updVhDetails" UpdateMode="Conditional">
                <ContentTemplate>
                    <!-- Header Starts Here -->
                    <uc1:Header ID="ucHeader" runat="server" />
                    <!-- Nav Ends Here -->
                    <!-- Content Starts Here -->
                    <div id="outer">
                        <div id="inner">
                            <div id="float-wrap">
                                <!-- Main Content Starts Here -->
                                <div id="content">
                                    <div class="content-wrap">
                                        <div id="top-content" class="container-fluid head-part">
                                            <div id="heading" class="col-sm-4 col-md-4">
                                                <img class="icon" src="../images/configuration-icon.jpg" alt="" />
                                                <h1>
                                                    <asp:Literal ID="lblConfigurationSetupCaption" Text="Configuration" runat="server"></asp:Literal>
                                                </h1>
                                                <asp:LinkButton ID="lnkHomeCaption" runat="server"></asp:LinkButton><span>&gt;</span><span><a
                                                    href="VehicleListing.aspx"><asp:Label ID="lblVehicleListing" Text="Vehicle Listing"
                                                        runat="server"></asp:Label></a></span>
                                            </div>
                                            <div id="" class="col-sm-7 col-md-7 pull-right">
                                                <div class="pull-right btn-wrap">

                                                    <asp:ImageButton ID="ibtnDriverMaster1" runat="server" PostBackUrl="~/Forms/DriverMaster.aspx"
                                                        ImageUrl="~/images/btn-manage-drivers.png" Visible="false" />
                                                    <asp:LinkButton ID="ibtnDriverMaster" runat="server" CssClass="MultilingualBtn" PostBackUrl="~/Forms/DriverMaster.aspx">
                                                        <span runat="server" class="MultilingualBtnspan">
                                                            <div class="ManageDrivers">
                                                                <div id="DriverMasterDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                    Driver Master
                                                                </div>
                                                            </div>
                                                        </span>
                                                    </asp:LinkButton>&nbsp;
                                                                 
                                                                        <asp:ImageButton ID="ibtnDriverAssignment1" runat="server" PostBackUrl="~/Forms/NewDriverAssignmentDevx.aspx"
                                                                            ImageUrl="~/images/btn-schedule-driver.png" Visible="false" />
                                                    <asp:LinkButton ID="ibtnDriverAssignment" runat="server" CssClass="MultilingualBtn"
                                                        PostBackUrl="~/Forms/NewDriverAssignmentDevx.aspx">
                                                        <span runat="server" class="MultilingualBtnspan">
                                                            <div class="ScheduleDriver">
                                                                <div id="ScheduleDriverDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                    Schedule Driver
                                                                </div>
                                                            </div>
                                                        </span>
                                                    </asp:LinkButton>&nbsp;
                                                                   
                                                                        <asp:ImageButton ID="ibtnViewDriver1" runat="server" PostBackUrl="~/Forms/DriverListing.aspx"
                                                                            ImageUrl="~/images/btn-driver-scheduling.png" Visible="false" />
                                                    <asp:LinkButton ID="ibtnViewDriver" runat="server" CssClass="MultilingualBtn" PostBackUrl="~/Forms/DriverListing.aspx">
                                                        <span runat="server" class="MultilingualBtnspan">
                                                            <div class="DriverSchedule">
                                                                <div id="DriverScheduleDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                    Driver Schedule
                                                                </div>
                                                            </div>
                                                        </span>
                                                    </asp:LinkButton>&nbsp;
                                                                   
                                                                        <asp:ImageButton ID="ibtnBackToConfig1" runat="server" CausesValidation="false" ImageUrl="~/images/btn-back-to-configuration.jpg"
                                                                            PostBackUrl="~/Forms/ConfigurationSetup.aspx" Visible="false" />
                                                    <asp:LinkButton ID="ibtnBackToConfig" runat="server" CssClass="MultilingualBtn" PostBackUrl="~/Forms/ConfigurationSetup.aspx">
                                                        <span runat="server" class="MultilingualBtnspan">
                                                            <div class="Back">
                                                                <div id="BackDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                    Back to Configuration
                                                                </div>
                                                            </div>
                                                        </span>
                                                    </asp:LinkButton>&nbsp;
                                                </div>
                                            </div>
                                            <div class="clear clearfix">
                                            </div>
                                        </div>
                                        <div class="clear clearfix">
                                        </div>
                                        <asp:Panel ID="pnlDriverInfo" runat="server">
                                            <div class="form-box col-xs-12 nullpadding">
                                                <h1>
                                                    <span class="icon">
                                                        <img src="../images/vehicle-schedule_resize.png" alt="" style="padding-top: 2px;" /></span><asp:Label
                                                            ID="lblCapVehicleSchedule" Text="Vehicle Schedule Details" runat="server"></asp:Label></h1>

                                                <div class="col-sm-12 MySearchPanelFilter">
                                                    <div class="col-xs-12 col-sm-5 col-lg-2">
                                                        <div class="col-xs-4 col-lg-5 nullpadding">
                                                            <asp:Label ID="lblVehicleName" runat="server" Text="Vehicle Name" CssClass="label"></asp:Label>
                                                            <asp:Label ID="Label2" runat="server" ForeColor="Red">*</asp:Label>
                                                        </div>
                                                        <div class="col-xs-7 nullpadding">
                                                            <asp:DropDownList ID="ddlVehicleName" runat="server" class="form-control">
                                                                <asp:ListItem>- Select -</asp:ListItem>
                                                                <asp:ListItem>All</asp:ListItem>
                                                                <asp:ListItem>Driver1</asp:ListItem>
                                                                <asp:ListItem>Driver2</asp:ListItem>
                                                            </asp:DropDownList>
                                                        </div>
                                                    </div>
                                                    <div class="col-xs-12 col-sm-4 col-lg-2">
                                                        <div class="col-xs-4 col-lg-5 nullpadding">
                                                            <asp:Label ID="lblFromDate" runat="server" Text="From Date" CssClass="label"></asp:Label>
                                                            <asp:Label ID="Label15" runat="server" ForeColor="Red">*</asp:Label>
                                                        </div>
                                                        <div class="col-xs-7 nullpadding">
                                                            <asp:HiddenField runat="server" ID="hdnDateFormat" Value="dd-MMM-yyyy" />
                                                            <asp:TextBox ID="txtFromDate" runat="server" oncopy="return false" oncut="return false"
                                                                onkeydown="doCheckBackSpaceOrDelete()" onkeypress="return false" onpaste="return false"
                                                                Width="100px" class="form-control" ToolTip="dd-MMM-yyyy"></asp:TextBox>
                                                            <asp:ImageButton ID="img3" runat="server" ImageUrl="~/images/calendar-icon.gif" Visible="false" />
                                                        </div>
                                                    </div>
                                                    <div class="col-xs-12 col-sm-3 col-lg-2">
                                                        <div class="col-xs-4 col-lg-5 nullpadding">
                                                            <asp:Label ID="lblToDate" runat="server" CssClass="label" Text="To Date"></asp:Label>
                                                            <asp:Label ID="Label9" runat="server" ForeColor="Red">*</asp:Label>
                                                        </div>
                                                        <div class="col-xs-7 nullpadding">
                                                            <asp:TextBox ID="txtToDate" runat="server" oncopy="return false" oncut="return false"
                                                                onkeydown="doCheckBackSpaceOrDelete()" onkeypress="return false" onpaste="return false"
                                                                Width="100px" class="form-control" ToolTip="dd-MMM-yyyy"></asp:TextBox>
                                                            <asp:ImageButton ID="ImageButton1" runat="server" ImageUrl="~/images/calendar-icon.gif" Visible="false" />
                                                        </div>
                                                    </div>
                                                    <div class="col-xs-12 col-sm-3 col-lg-2">
                                                        <div class="col-xs-4 col-lg-5 nullpadding">
                                                            <asp:Label ID="lblStatus" runat="server" Text="Status"></asp:Label>
                                                        </div>
                                                        <div class="col-xs-7 nullpadding">
                                                            <asp:DropDownList ID="ddlStatus" runat="server" class="form-control" AutoPostBack="true"
                                                                OnSelectedIndexChanged="ddlStatus_SelectedIndexChanged">
                                                                <%-- <asp:ListItem Selected="True">All</asp:ListItem>
                                                            <asp:ListItem>Completed</asp:ListItem>
                                                            <asp:ListItem>Not Started</asp:ListItem>
                                                            <asp:ListItem>Ongoing</asp:ListItem>
                                                            <asp:ListItem>Scheduled</asp:ListItem>
                                                            <asp:ListItem>Not Driven</asp:ListItem>--%>
                                                            </asp:DropDownList>
                                                        </div>
                                                    </div>
                                                    <div class="col-xs-12 col-sm-3 col-lg-2">
                                                        <div class="col-xs-2 nullpadding">
                                                        </div>
                                                        <div class="col-xs-8 nullpadding">
                                                            <asp:ImageButton ID="btnView1" runat="server" OnClientClick="return ValidateDriverSchedule();"
                                                                OnClick="btnView_Click" ImageUrl="~/images/btn-view-schedules.png" Visible="false" />
                                                            <asp:LinkButton ID="btnView" runat="server" CssClass="MultilingualBtn" OnClientClick="return ValidateVehicleSchedule();"
                                                                OnClick="btnView_Click">
                                                                <span id="Span1" runat="server" class="MultilingualBtnspan">
                                                                    <div class="ViewSchedule">
                                                                        <div id="ViewScheduleDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                            View Schedule
                                                                        </div>
                                                                    </div>
                                                                </span>
                                                            </asp:LinkButton>&nbsp;
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="clear clearfix">
                                                </div>
                                            </div>
                                        </asp:Panel>
                                    </div>
                                    <div class="clear clearfix">
                                    </div>
                                    <asp:Panel ID="pnlVehicleSchedulingDetails" runat="server" CssClass="form-tbl">
                                        <div id="grid-dsply">
                                            <div class="fleetContent">
                                                <div class="table-responsive">
                                                    <asp:GridView ID="gvVehicleDetails" runat="server" AllowPaging="False" AllowSorting="False"
                                                        AutoGenerateColumns="False" BackColor="#CCCCCC" CellPadding="0" CellSpacing="1"
                                                        GridLines="None" Width="100%" OnRowDataBound="gvVehicleDetails_RowDataBound"
                                                        EmptyDataText="No Drivers found" ShowFooter="true">
                                                        <Columns>
                                                            <asp:TemplateField>
                                                                <HeaderTemplate>
                                                                    <table cellpadding="0" cellspacing="0" width="100%">
                                                                        <tr style="font-weight: bold;">
                                                                            <td style="width: 2%;"></td>
                                                                            <td style="width: 13%; text-align: left;">
                                                                                <span class="icon">
                                                                                    <img src="../images/icn-vehicle-name.gif" align="top" alt="" style="padding-bottom: 5px;" /></span>
                                                                                <asp:Label ID="lblVName" Text="Vehicle Name" runat="server"></asp:Label>
                                                                            </td>
                                                                            <td style="width: 13%; text-align: center;">
                                                                                <span class="icon">
                                                                                    <img src="../images/icn-license-number.gif" align="top" alt="" style="padding-bottom: 5px;" /></span>
                                                                                <asp:Label ID="lblLPlate" Text="License Plate Number" runat="server"></asp:Label>
                                                                            </td>
                                                                            <td style="width: 13%; text-align: center;">
                                                                                <span class="icon">
                                                                                    <img src="../images/icn-make-name.gif" align="top" alt="" style="padding-bottom: 5px;" /></span>
                                                                                <asp:Label ID="lblMake" Text="Make Name" runat="server"></asp:Label>
                                                                            </td>
                                                                            <td style="width: 13%; text-align: center;">
                                                                                <span class="icon">
                                                                                    <img src="../images/icn-model-name.gif" align="top" alt="" style="padding-bottom: 5px;" /></span>
                                                                                <asp:Label ID="lblModel" Text="Model Name" runat="server"></asp:Label>
                                                                            </td>
                                                                        </tr>
                                                                    </table>
                                                                </HeaderTemplate>
                                                                <ItemTemplate>
                                                                    <table cellpadding="0" cellspacing="0" width="100%">
                                                                        <tr id="trVehicleDetails" runat="server">
                                                                            <td style="width: 2%;">
                                                                                <img id="imgExpandCollapse" onclick="ExpandOrCollpase(this.id);" src="../images/gvCollapsedButton.png"
                                                                                    runat="server" />
                                                                            </td>
                                                                            <td style="width: 20%; text-align: left;">
                                                                                <asp:Label ID="lblVehicleName" runat="server" Text='<%# Eval("DisplayName") %>'></asp:Label>
                                                                            </td>
                                                                            <td style="width: 20%; text-align: center;">
                                                                                <asp:Label ID="lblLicense" runat="server" Text='<%# Eval("LicensePlate") %>'></asp:Label>
                                                                            </td>
                                                                            <td style="width: 20%; text-align: center;">
                                                                                <asp:Label ID="lblMake" runat="server" Text='<%# Eval("MakeName")%>'></asp:Label>
                                                                            </td>
                                                                            <td style="width: 20%; text-align: center;">
                                                                                <asp:Label ID="lblModelName" runat="server" Text='<%# Eval("ModelName")%>'></asp:Label>
                                                                            </td>
                                                                        </tr>
                                                                        <tr id="trOperationsList" class="ControlHide" runat="server" style="padding-bottom: 5px">
                                                                            <td></td>
                                                                            <td colspan="7" style="margin: 0px; padding: 0px; width: 100%">
                                                                                <div id="grid-dsply">
                                                                                    <div class="fleetContent">
                                                                                        <asp:GridView ID="gvDriverDetails" runat="server" AllowPaging="False" AllowSorting="true"
                                                                                            AutoGenerateColumns="false" CellPadding="0" CellSpacing="1" GridLines="None"
                                                                                            Width="100%" OnRowDataBound="gvDriverDetails_RowDataBound">
                                                                                            <Columns>
                                                                                                <asp:TemplateField HeaderStyle-Width="20%" ItemStyle-Width="20%" ItemStyle-HorizontalAlign="Center">
                                                                                                    <HeaderTemplate>
                                                                                                        <span class="icon">
                                                                                                            <img src="../images/icn-Driver-name.gif" align="top" alt="" style="padding-bottom: 5px" /></span>
                                                                                                        <asp:Label ID="lblDriName" Text="Driver Name" runat="server"></asp:Label>
                                                                                                    </HeaderTemplate>
                                                                                                    <ItemTemplate>
                                                                                                        <asp:Label ID="lblDriverName" runat="server" Text='<%# Eval("DisplayName") %>'></asp:Label>
                                                                                                    </ItemTemplate>
                                                                                                </asp:TemplateField>
                                                                                                <asp:TemplateField HeaderStyle-Width="15%" ItemStyle-Width="15%" ItemStyle-HorizontalAlign="Center">
                                                                                                    <HeaderTemplate>
                                                                                                        <span class="icon">
                                                                                                            <img src="../images/icn-Driver-name.gif" align="top" alt="" style="padding-bottom: 5px" /></span>
                                                                                                        <asp:Label ID="lblSecondDriName" Text="Second Driver Name" runat="server"></asp:Label>
                                                                                                    </HeaderTemplate>
                                                                                                    <ItemTemplate>
                                                                                                        <asp:Label ID="lblSecondDriverName" runat="server" Text='<%# Eval("SecondDriver") %>'></asp:Label>
                                                                                                    </ItemTemplate>
                                                                                                </asp:TemplateField>
                                                                                                <asp:TemplateField HeaderStyle-Width="15%" ItemStyle-Width="15%" ItemStyle-HorizontalAlign="Center">
                                                                                                    <HeaderTemplate>
                                                                                                        <span class="icon">
                                                                                                            <img src="../images/date.png" align="top" alt="" style="padding-bottom: 5px" /></span>
                                                                                                        <asp:Label ID="lblDate" Text="Date" runat="server"></asp:Label>
                                                                                                    </HeaderTemplate>
                                                                                                    <ItemTemplate>
                                                                                                        <asp:Label ID="lblDate" runat="server" Text='<%# Eval("AssignmentDate") %>'></asp:Label>
                                                                                                    </ItemTemplate>
                                                                                                </asp:TemplateField>
                                                                                                <asp:TemplateField HeaderStyle-Width="15%" ItemStyle-Width="15%" ItemStyle-HorizontalAlign="Center">
                                                                                                    <HeaderTemplate>
                                                                                                        <span class="icon">
                                                                                                            <img src="../images/icn-time.gif" align="top" alt="" style="padding-bottom: 5px" /></span>
                                                                                                        <asp:Label ID="lblFTime" Text="Scheduled Time" runat="server"></asp:Label>
                                                                                                    </HeaderTemplate>
                                                                                                    <ItemTemplate>
                                                                                                        <asp:Label ID="lblTime" runat="server" Text='<%# Eval("ScheduledTime") %>'></asp:Label>
                                                                                                    </ItemTemplate>
                                                                                                </asp:TemplateField>
                                                                                                <asp:TemplateField HeaderStyle-Width="15%" ItemStyle-Width="15%" ItemStyle-HorizontalAlign="Center">
                                                                                                    <HeaderTemplate>
                                                                                                        <span class="icon">
                                                                                                            <img src="../images/icn-time.gif" align="top" alt="" style="padding-bottom: 5px" /></span>
                                                                                                        <asp:Label ID="lblTTime" Text="Actual Driven Time" runat="server"></asp:Label>
                                                                                                    </HeaderTemplate>
                                                                                                    <ItemTemplate>
                                                                                                        <asp:Label ID="lblToTime" runat="server" Text='<%# Eval("ActualDrivenTime") %>'></asp:Label>
                                                                                                    </ItemTemplate>
                                                                                                </asp:TemplateField>
                                                                                                <asp:TemplateField HeaderStyle-Width="15%" ItemStyle-Width="15%" ItemStyle-HorizontalAlign="Center">
                                                                                                    <HeaderTemplate>
                                                                                                        <span class="icon">
                                                                                                            <img src="../images/icn-address.gif" align="top" alt="" style="padding-bottom: 5px" /></span>
                                                                                                        <asp:Label ID="lblSta" Text="Status" runat="server"></asp:Label>
                                                                                                    </HeaderTemplate>
                                                                                                    <ItemTemplate>
                                                                                                        <asp:Label ID="lblSatus" runat="server" Text='<%# Eval("VehStatus") %>'></asp:Label>
                                                                                                        <%--<asp:ImageButton id="ibtnStatus" runat="server" />--%>
                                                                                                    </ItemTemplate>
                                                                                                </asp:TemplateField>
                                                                                                <asp:TemplateField HeaderStyle-Width="5%" ItemStyle-Width="5%" ItemStyle-HorizontalAlign="Center">
                                                                                                    <HeaderTemplate>
                                                                                                    </HeaderTemplate>
                                                                                                    <ItemTemplate>
                                                                                                        <asp:ImageButton ID="ibtnDelete" runat="server" ImageUrl="../images/delete-icon.gif"
                                                                                                            ToolTip="Click here to delete" Visible="false" OnClientClick="return confirm('Do you want to delete this.');"
                                                                                                            CommandArgument='<%# Eval("AssignmentId")+","+ Eval("VehStatus") %>' OnClick="ibtnDelete_Click" />
                                                                                                    </ItemTemplate>
                                                                                                </asp:TemplateField>
                                                                                            </Columns>
                                                                                            <SelectedRowStyle BackColor="Aqua" />
                                                                                            <RowStyle CssClass="fleetCon" />
                                                                                            <FooterStyle CssClass="fleetFoot" />
                                                                                            <AlternatingRowStyle CssClass="fleetConalt" />
                                                                                            <SelectedRowStyle CssClass="fleetRowd" />
                                                                                            <PagerStyle CssClass="fleetFoot" HorizontalAlign="Left" />
                                                                                            <HeaderStyle CssClass="fleetHead" />
                                                                                            <EmptyDataRowStyle CssClass="fleetHead" />
                                                                                            <EmptyDataTemplate>
                                                                                                <asp:Label ID="lblEmptyText" Text=" No Record Found" runat="server"></asp:Label>
                                                                                            </EmptyDataTemplate>

                                                                                        </asp:GridView>
                                                                                    </div>
                                                                                </div>
                                                                            </td>
                                                                        </tr>
                                                                    </table>
                                                                </ItemTemplate>
                                                            </asp:TemplateField>
                                                        </Columns>
                                                        <RowStyle CssClass="fleetCon" />
                                                        <FooterStyle CssClass="fleetFoot" />
                                                        <AlternatingRowStyle CssClass="fleetConalt" />
                                                        <PagerStyle CssClass="fleetFoot" HorizontalAlign="Left" />
                                                        <HeaderStyle CssClass="fleetHead" />
                                                        <EmptyDataRowStyle CssClass="fleetHead" />
                                                    </asp:GridView>
                                                </div>
                                            </div>
                                        </div>
                                    </asp:Panel>
                                    <asp:HiddenField ID="hdnbtnName" runat="server" />
                                </div>
                            </div>
                            <!-- Main Content Ends Here -->
                            <div id="left">
                            </div>
                            <div class="clear clearfix">
                            </div>
                        </div>
                        <div id="right">
                        </div>
                        <div class="clear clearfix">
                        </div>
                    </div>
                    <%-- </div>--%>
                    <!-- Content Ends Here -->
                    <asp:Button ID="btnTest" Text="Test" CssClass="ControlHide" runat="server" />
                </ContentTemplate>
                <Triggers>
                    <asp:PostBackTrigger ControlID="btnTest" />
                </Triggers>
                <Triggers>
                    <%-- <asp:PostBackTrigger ControlID="btnExport" />--%>
                </Triggers>
            </asp:UpdatePanel>
            <cc1:ModalPopupExtender ID="mpeMapProgressIndicator" runat="server" PopupControlID="pnlProgress"
                TargetControlID="btnTesting" BackgroundCssClass="modalBackground">
            </cc1:ModalPopupExtender>
            <%--<asp:UpdateProgress ID="uprDataLoading" runat="server" DynamicLayout="True" AssociatedUpdatePanelID="updVhDetails">
            <ProgressTemplate>--%>
            <asp:Panel ID="pnlProgress" runat="server" CssClass="processMessage" Style="z-index: 1000;">
                <center>
                <br />
                <img id="imgLoad" runat="server" alt="Please Wait ..." src="../images/47.gif" /><br />
                <br />
                <asp:Label ID="lbl_msg12" Text="Processing... Please Wait..." runat="server" CssClass="specialdisplay"></asp:Label>
                <br />
                <br />
            </center>
            </asp:Panel>
            <%--</ProgressTemplate>
        </asp:UpdateProgress>--%>

            <script type="text/javascript" src="../js/GridCheckBoxMaintaining.js"></script>

            <script language="javascript" type="text/javascript" src="../js/DriverManagementScript.js"></script>

            <asp:Button ID="btnTesting" Text="Test" CssClass="ControlHide" runat="server" />
            <asp:HiddenField ID="hdnLogout" runat="server" />
        </form>
    </div>
    <uc2:Footer ID="ucFooter" runat="server" />
</body>
</html>
